local array = include( "modules/array" )
local util = include( "modules/util" )
local mathutil = include( "modules/mathutil" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilityutil = include( "sim/abilities/abilityutil" )

-------------------------------------------------------------------------
-- +3 max AP while alarm level is below 1

local ITB_LilyAugment =
{
	name = "Bethany Augment",
	getName = function( self, sim, unit )
		return self.name
	end,
		
	onSpawnAbility = function( self, sim, unit )
        self.abilityOwner = unit --item
		sim:addTrigger( simdefs.TRG_ALARM_STATE_CHANGE, self )
		local agent = unit:getUnitOwner()
		local alarmLevel = sim:getTrackerStage()
		local boost = agent:getTraits().APboost
		if alarmLevel < 1 then
			agent:getTraits().mpMax = agent:getTraits().mpMax + boost
			agent:getTraits().mp = agent:getTraits().mpMax
			agent:getTraits().LilyAPBoost = boost
		end
	end,
        
	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_ALARM_STATE_CHANGE, self )
		local agent = self.abilityOwner:getUnitOwner()
		local boost = agent:getTraits().APboost
		if agent and boost and agent:getTraits().LilyAPBoost then
			agent:getTraits().mpMax = agent:getTraits().mpMax - boost
		end
        self.abilityOwner = nil
	end,

    canUseAbility = function( self, sim, abilityOwner, abilityUser )
        return abilityutil.checkRequirements( abilityOwner, abilityUser )
    end,

    onTrigger = function( self, sim, evType, evData )
		local owner = self.abilityOwner:getUnitOwner()
		if (evType == simdefs.TRG_ALARM_STATE_CHANGE) and owner and owner:getTraits().APboost and (sim:getTrackerStage() == 1) then
			owner:getTraits().mp = owner:getTraits().mp - owner:getTraits().APboost
			owner:getTraits().mpMax = owner:getTraits().mpMax - owner:getTraits().APboost
			owner:getTraits().APboost = nil
        end
    end,
}

return ITB_LilyAugment