local array = include( "modules/array" )
local util = include( "modules/util" )
local mathutil = include( "modules/mathutil" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilityutil = include( "sim/abilities/abilityutil" )

-------------------------------------------------------------------------
-- give Henry the scurry abilities on spawn

local ITB_giveHenryScurry =
{
	name = "Henry Augment",
	getName = function( self, sim, unit )
		return self.name
	end,
		
	onSpawnAbility = function( self, sim, unit )
        self.abilityOwner = unit --item
		local agent = unit:getUnitOwner()
		agent:giveAbility("ITB_henry_squeeze_up")
		agent:giveAbility("ITB_henry_squeeze_down")
		agent:giveAbility("ITB_henry_squeeze_left")
		agent:giveAbility("ITB_henry_squeeze_right")
	end,
        
	onDespawnAbility = function( self, sim, unit )
        local agent = self.abilityOwner:getUnitOwner()
		unit:removeAbility(sim, "ITB_henry_squeeze_up" )
		unit:removeAbility(sim, "ITB_henry_squeeze_down" )
		unit:removeAbility(sim, "ITB_henry_squeeze_left" )
		unit:removeAbility(sim, "ITB_henry_squeeze_right" )
        self.abilityOwner = nil
	end,

    canUseAbility = function( self, sim, abilityOwner, abilityUser )
        return abilityutil.checkRequirements( abilityOwner, abilityUser )
    end,
}

return ITB_giveHenryScurry