local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilitydefs = include( "sim/abilitydefs" )
local abilityutil = include( "sim/abilities/abilityutil" )

local oldActivateLockedConsole = abilitydefs.lookupAbility("activate_locked_console")
local oldExecuteAbility = oldActivateLockedConsole.executeAbility

local activate_locked_console = util.extend(oldActivateLockedConsole)
{
	canUseAbility = function( self, sim, abilityOwner, unit, targetUnitID )
		local targetUnit = sim:getUnit( targetUnitID )
		local userUnit = abilityOwner:getUnitOwner()

		if abilityOwner:getTraits().cooldown and abilityOwner:getTraits().cooldown > 0 then
			return false, util.sformat( STRINGS.ABILITIES.UI.REASON.COOLDOWN, abilityOwner:getTraits().cooldown)
		end	

		local keybits = false 
		for i,item in ipairs( unit:getChildren() ) do
 			if item:getTraits().keybits then 
				if item:getTraits().keybits == abilityOwner:getTraits().keybits then 
					keybits = true 
				end  
			end
		end 

		if keybits == false then 
			return false, STRINGS.UI.REASON.MONST3R_REQUIRED
		end

		if abilityOwner:getPlayerOwner() ~= sim:getPC() then 
			return false, STRINGS.ABILITIES.TOOLTIPS.UNLOCK_WITH_INCOGNITA
		end

		return abilityutil.checkRequirements( abilityOwner, userUnit )
	end,

	executeAbility = function( self, sim, abilityOwner, unit, targetUnitID )
		oldExecuteAbility( self, sim, abilityOwner, unit, targetUnitID )

		simquery.LEVER_resetStatus( sim, unit, "ANY", false )
	end,
}
return activate_locked_console