local util = include( "modules/util" )
local simdefs = include("sim/simdefs")

local coit_multishot =
{
	name = "",
	profile_icon = nil,

	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	onSpawnAbility = function( self, sim, unit )
		sim:addTrigger( simdefs.TRG_END_TURN, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_END_TURN, self, unit )
	end,

	onTrigger = function( self, sim, evType, evData, unit )
		if evType == simdefs.TRG_END_TURN then
			if evData:isNPC() then
				if unit:getTraits().coit_multishot then
					unit:getTraits().coit_multishot = "idle"
				end
			end
		end
	end,
}

return coit_multishot
