local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )

local coit_overdrive =
{
	name = STRINGS.CORPORATE_ITEMS.ABILITIES.OVERDRIVE.NAME,
	
	alwaysShow = true,
	HUDpriority = -1,
	
	profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_speed_small.png",

	getName = function( self, sim, unit )
		return self.name
	end,
	
	createToolTip = function( self, sim, unit )
		local desc = util.sformat( STRINGS.CORPORATE_ITEMS.ABILITIES.OVERDRIVE.DESC, self.cooldown or 0 )

		return abilityutil.formatToolTip( STRINGS.CORPORATE_ITEMS.ABILITIES.OVERDRIVE.NAME, desc )
	end,
	
	canUseAbility = function( self, sim, unit )
		return false, STRINGS.CORPORATE_ITEMS.ABILITIES.PASSIVE
	end,

	onSpawnAbility = function( self, sim, unit )
		unit:getTraits().ap = (unit:getTraits().ap or 0) + 1 --+1 attack
		unit:addMP( 4 ) --+4 ap
		unit:getTraits().meleeDamage = (unit:getTraits().meleeDamage or 0) + 1 --+1 melee damage

		sim:addTrigger( simdefs.TRG_START_TURN, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		unit:getTraits().meleeDamage = unit:getTraits().meleeDamage - 1
		
		if not unit:isDown( ) then
			unit:setKO( sim, 2 )
		end

		sim:removeTrigger( simdefs.TRG_START_TURN, self, unit )
	end,

	executeAbility = function( self, sim, unit )

	end,

	onTrigger = function( self, sim, evType, evData, unit )
		if evType == simdefs.TRG_START_TURN and evData:isPC() then
			if self.cooldown then
				self.cooldown = self.cooldown - 1
				if self.cooldown <= 0 then
					unit:removeAbility( sim, "coit_overdrive" )
				else
					unit:getTraits().ap = (unit:getTraits().ap or 0) + 1 --+1 attack
					unit:addMP( 4 ) --+4 ap
				end
			end
		end
	end,
}

return coit_overdrive
