local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilitydefs = include( "sim/abilitydefs" )

local oldDeployable = abilitydefs.lookupAbility("deployable")
local oldExecuteAbility = oldDeployable.executeAbility
local oldCanUseAbility = oldDeployable.canUseAbility

local deployable = util.extend(oldDeployable)
{
	canUseAbility = function( self, sim, abilityOwner, abilityUser )
		if abilityOwner:getTraits().noDeploy then
			return false, STRINGS.FUNCLIB.UI.REASON_NODEPLOY
		end

		return oldCanUseAbility( self, sim, abilityOwner, abilityUser )
	end,

	executeAbility = function( self, sim, abilityOwner, abilityUser )
		if abilityOwner:getTraits().usesCharges and abilityOwner:getTraits().charges > 0 then
			abilityOwner:getTraits().charges = abilityOwner:getTraits().charges - 1
		end
		oldExecuteAbility( self, sim, abilityOwner, abilityUser )

		simquery.LEVER_resetStatus( sim, abilityUser, "LEGIT", true )
	end,
}
return deployable