local abilitydefs = include( "sim/abilitydefs" )
local escape = abilitydefs._abilities["escape"]
local simquery = include( "sim/simquery" )

local baseExecuteAbility = escape.executeAbility
escape.executeAbility = function( self, sim, abilityOwner )

	local player = sim:getPC()
	local cell = sim:getCell( abilityOwner:getLocation() )

	if cell.exitID then
		for _, unit in pairs( sim:getAllUnits() ) do
			local c = sim:getCell( unit:getLocation() )
			if c and c.exitID and unit:hasAbility( "escape" ) then
				if player and player._deployedSummons then
					for agentID, deployData in pairs( player._deployedSummons ) do
						if deployData.id == unit:getID() then
							deployData.escapedUnit = unit
							deployData.exitID = cell.exitID
						end
					end
				end
			end
		end
	end

	baseExecuteAbility( self, sim, abilityOwner )

	--is the drone left alone? if so, kill it
	local droneUnit = nil
	for _, agent in ipairs( sim:getPC():getSummons() ) do
		if agent:getTraits().maa_isUmiDrone then
			droneUnit = agent
			break
		end
	end
	if droneUnit then
		--is the drone alone? then kill it instead
		local fieldUnits, escapingUnits = simquery.countFieldAgents(sim)
		local otherUnit = false
		for _, fieldUnit in ipairs( fieldUnits ) do
			if not fieldUnit:getTraits().maa_isUmiDrone then
				otherUnit = true
				break
			end
		end

		if not otherUnit then
			droneUnit:killUnit( sim )
		end
	end
end
