local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )
local simquery = include( "sim/simquery" )
local abilitydefs = include( "sim/abilitydefs" )

local oldIcebreak = abilitydefs.lookupAbility("icebreak")
local oldExecuteAbility = oldIcebreak.executeAbility

local icebreak = util.extend(oldIcebreak)
{
	executeAbility = function( self, sim, unit, userUnit, target )
		if unit:getTraits().icebreakPWR then
	    		sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt = util.sformat( STRINGS.UI.FLY_TXT.PLUS_PWR, unit:getTraits().icebreakPWR), unit = userUnit, color={r=255/255,g=255/255,b=51/255,a=1}} )
	    		sim:getCurrentPlayer():addCPUs( unit:getTraits().icebreakPWR )
		end
		if unit:getTraits().icebreakFortify then
			sim:getUnit(target):getTraits().mainframe_no_recapture = true
		end
		oldExecuteAbility( self, sim, unit, userUnit, target )

		simquery.LEVER_resetStatus( sim, userUnit, "LEGIT", true )
	end,
}
return icebreak