local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilitydefs = include( "sim/abilitydefs" )

local oldInstallAugment = abilitydefs.lookupAbility("installAugment")
local oldExecuteAbility = oldInstallAugment.executeAbility
local oldCanUseAbility = oldInstallAugment.canUseAbility

local installAugment = util.extend(oldInstallAugment)
{
	canUseAbility = function( self, sim, unit, userUnit )
		local pass = nil
		if unit:getTraits().LEVERinstallRequirement then
			for i, req in pairs (unit:getTraits().LEVERinstallRequirement) do
				if req ~= userUnit:getTraits().LEVER_status then
					pass = true
				else
					pass = false
					break
				end
			end
		end
		if pass then
			return false, STRINGS.FUNCLIB.UI.REASON_REQ
		end
		return oldCanUseAbility( self, sim, unit, userUnit )
	end,

	executeAbility = function( self, sim, unit, userUnit )
		oldExecuteAbility( self, sim, unit, userUnit )

		sim:triggerEvent( "TRG_AUGMENT_INSTALLED", { unit = unit, userUnit = userUnit } )
		simquery.LEVER_resetStatus( sim, userUnit, "LEGIT", true )
	end,
}
return installAugment