local abilitydefs = include( "sim/abilitydefs" )
local installAugment = abilitydefs._abilities["installAugment"]

local baseCanUseAbility = installAugment.canUseAbility
installAugment.canUseAbility = function( self, sim, abilityOwner, abilityUser )
	local result, reason = baseCanUseAbility( self, sim, abilityOwner, abilityUser )

	if result and abilityOwner:getTraits().maa_is_particle_uplink then
		--only let the player install the uplink if the user doesn't already have one and if there is a possible partner to link to
		for _, child in ipairs( abilityUser:getChildren() ) do
			if child:getTraits().maa_is_particle_uplink and child:getTraits().installed then
				return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.PARTICLE_UPLINK.ALREADY_UPLINK
			end
		end
		for _, simUnit in pairs( sim:getAllUnits() ) do
			if simUnit ~= abilityOwner and simUnit:getTraits().maa_is_particle_uplink and not simUnit:getTraits().maa_partner_installed then
				return true
			end
		end
		return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.PARTICLE_UPLINK.NO_PARTNER
	end

	return result, reason
end
