local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )
local simquery = include( "sim/simquery" )
local abilitydefs = include( "sim/abilitydefs" )
local abilityutil = include( "sim/abilities/abilityutil" )

local oldJackinRootConsole = abilitydefs.lookupAbility("jackin_root_console")
local oldExecuteAbility = oldJackinRootConsole.executeAbility

local jackin_root_console = util.extend(oldJackinRootConsole)
{
	executeAbility = function( self, sim, unit, userUnit, target )
		oldExecuteAbility( self, sim, unit, userUnit, target )

		simquery.LEVER_resetStatus( sim, userUnit, "ANY", false )
	end,

	canUseAbility = function( self, sim, abilityOwner, unit, targetUnitID )
		local targetUnit = sim:getUnit( targetUnitID )
		local userUnit = abilityOwner:getUnitOwner()

		if abilityOwner:getTraits().cooldown and abilityOwner:getTraits().cooldown > 0 then
			return false,  util.sformat(STRINGS.UI.REASON.COOLDOWN,abilityOwner:getTraits().cooldown)
		end	
		if abilityOwner:getTraits().usesCharges and abilityOwner:getTraits().charges < 1 then
			return false, util.sformat(STRINGS.UI.REASON.CHARGES)
		end				

		if unit:getTraits().monster_hacking == true then 
			return false, STRINGS.UI.REASON.ALREADY_HACKING 
		end 

		if unit:getTraits().monst3rUnit ~= true then 
			return false, STRINGS.UI.REASON.ONLY_MONSTER
		end 

		if abilityOwner:getPlayerOwner() ~= sim:getPC() then 
			return false, STRINGS.ABILITIES.TOOLTIPS.UNLOCK_WITH_INCOGNITA
		end

		return abilityutil.checkRequirements( abilityOwner, userUnit )
	end,
}
return jackin_root_console