local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )

local maa_adrenaline_damage_up =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ADRENALINE_DMG_UP.NAME,
	profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_melee_small-old.png",
	alwaysShow = true,
	maa_activeAbility = true,

	createToolTip = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ADRENALINE_DMG_UP.NAME, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ADRENALINE_DMG_UP.DESC, 0 )
	end,

	getName = function( self, sim, unit )
		return self.name
	end,

	canUseAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		if not unit:getTraits().installed then
			return false
		end
		if unit:getTraits().ammo < unit:getTraits().adrenaline_cost_damage then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ADRENALINE_DMG_UP.NO_AMMO
		end

		return true
	end,

	executeAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		local x0, y0 = userUnit:getLocation()
		userUnit:getTraits().maa_buff_melee_damage = (userUnit:getTraits().maa_buff_melee_damage or 0) + 1
		unit:getTraits().ammo = unit:getTraits().ammo - unit:getTraits().adrenaline_cost_damage
		self._sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt=STRINGS.MORE_ARCHIVE_AGENTS.UI.FLY_TXT.ADRENALINE_DAMAGE_UP, x=x0, y=y0, color={r=255/255,g=178/255,b=102/255,a=1}} )
	end,
}

return maa_adrenaline_damage_up
