local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )

local maa_alarm_block =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ALARM_BLOCK.NAME,
	
	alwaysShow = true,
	maa_activeAbility = true,
	usesAction = false, --we use this to better indicate toggle status
	
	createToolTip = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		if unit:getTraits().toggle then
			return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ALARM_BLOCK.NAME_OFF, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ALARM_BLOCK.DESC_OFF )
		else
			return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ALARM_BLOCK.NAME_ON, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ALARM_BLOCK.DESC_ON )
		end
	end,
	
	profile_icon = "gui/icons/action_icons/Action_icon_Small/actionicon_noentry.png",
	getProfileIcon =  function( self, sim, unit )
			if unit:getTraits().toggle then
				return "gui/icons/action_icons/Action_icon_Small/actionicon_noentry.png"
			else
				return "gui/icons/action_icons/Action_icon_Small/actionicon_noentry.png"
			end
		end,

	getName = function( self, sim, unit )
		return self.name
	end,

	canUseAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		if not unit:getTraits().installed then
			return false
		end

		return true --you can always toggle
	end,

	executeAbility = function( self, sim, unit )
		local player = unit:getPlayerOwner()
		if unit:getTraits().toggle then
			unit:getTraits().toggle = false
			player:getTraits().maa_alarm_block = nil
			self.usesAction = false
		else
			unit:getTraits().toggle = true
			player:getTraits().maa_alarm_block = unit:getTraits().maa_pwr_per_alarm or 1
			self.usesAction = true
		end
	end,

	onSpawnAbility = function( self, sim, unit )
		
	end,

	onDespawnAbility = function( self, sim, unit )
		local player = unit:getPlayerOwner()
		if player then
			player:getTraits().maa_alarm_block = nil
		end
	end,
}

return maa_alarm_block
