local util = include( "modules/util" )
local simdefs = include("sim/simdefs")

local maa_daemon_tazer_charger =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DAEMON_TAZER_CHARGER.NAME,
	profile_icon = nil,

	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	onSpawnAbility = function( self, sim, unit )
		sim:addTrigger( "TRG_MAA_TRUE_DAEMON_INSTALL", self, unit )
		sim:addTrigger( simdefs.TRG_DAEMON_INSTALL, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( "TRG_MAA_TRUE_DAEMON_INSTALL", self, unit )
		sim:removeTrigger( simdefs.TRG_DAEMON_INSTALL, self, unit )
	end,

	onTrigger = function( self, sim, evType, evData, unit )
		if evType == "TRG_MAA_TRUE_DAEMON_INSTALL" then
			--we listen first to the true daemon trigger to figure out if the following daemon install is a reversable daemon
			self.true_daemon = false
			if evData then
				self.true_daemon = true
			end
		elseif evType == simdefs.TRG_DAEMON_INSTALL then
			if unit:getTraits().installed then
				if self.true_daemon or not unit:getTraits().trueDaemon then
					unit:getTraits().ammo = math.min( unit:getTraits().maxAmmo or 0, unit:getTraits().ammo + 1 )
				end
			end
		end
	end,
}

return maa_daemon_tazer_charger
