local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local speechdefs = include("sim/speechdefs")
local simquery = include("sim/simquery")
local inventory = include("sim/inventory")
local abilityutil = include( "sim/abilities/abilityutil" )

local maa_deactivate_drone = 
{

	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DEACTIVATE_DRONE.NAME,
	
	profile_icon = "gui/icons/action_icons/Action_icon_Small/actionicon_noentry.png",
	usesAction = true,
	alwaysShow = true,
	maa_activeAbility = true,
	
	getName = function( self, sim, unit )
		return self.name
	end,

	createToolTip = function( self, sim, unit )
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DEACTIVATE_DRONE.NAME, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DEACTIVATE_DRONE.DESC )
	end,
	

	canUseAbility = function( self, sim, unit, userUnit)	
		if userUnit:isDown() then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DEACTIVATE_DRONE.NO_SHUTDOWN
		end
		
		return true
	end,
	
	executeAbility = function( self, sim, unit, userUnit)
		userUnit:resetAllAiming()
		userUnit:setKO( sim, 2 )
		userUnit:getTraits().maa_drone_shutdown = true
	end,
}

return maa_deactivate_drone
