local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local mathutil = include( "modules/mathutil" )
local simquery = include( "sim/simquery" )

local maa_drone_controller =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DRONE_CONTROLLER.NAME,
	profile_icon = nil,

	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	onSpawnAbility = function( self, sim, unit )
		sim:addTrigger( simdefs.TRG_UNIT_KO, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_UNIT_KO, self, unit )
		--shutdown the drone
		local droneUnit = nil
		for _, agent in ipairs( sim:getPC():getSummons() ) do
			if agent:getTraits().maa_isUmiDrone then
				droneUnit = agent
				break
			end
		end
		if droneUnit then
				droneUnit:resetAllAiming()
				droneUnit:setKO( sim, 2 )
				droneUnit:getTraits().maa_drone_shutdown = true
		end
	end,

	onTrigger = function( self, sim, evType, evData, unit )
		local userUnit = unit:getUnitOwner()
		if userUnit then
			if evType == simdefs.TRG_UNIT_KO then
				if evData.unit == userUnit then
					--shutdown the drone
					local droneUnit = nil
					for _, agent in ipairs( sim:getPC():getSummons() ) do
						if agent:getTraits().maa_isUmiDrone then
							droneUnit = agent
							break
						end
					end
					if droneUnit then
						droneUnit:resetAllAiming()
						droneUnit:setKO( sim, 2 )
						droneUnit:getTraits().maa_drone_shutdown = true
					end
				end
			end
		end
	end,
}

return maa_drone_controller
