local util = include( "modules/util" )
local abilitydefs = include( "sim/abilitydefs" )
local icebreak = abilitydefs._abilities["icebreak"]
local simdefs = include( "sim/simdefs" )

local baseCanUseAbility = icebreak.canUseAbility
local baseExecuteAbility = icebreak.executeAbility

local maa_drone_icebreak = util.extend( icebreak )
{
	profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png",
	
	getProfileIcon = function( self, sim, abilityOwner )
		return self.profile_icon
	end,
	
	canUseAbility = function( self, sim, unit )
		if unit:getTraits().maa_drone_icebreak_cooldown and unit:getTraits().maa_drone_icebreak_cooldown > 0 then
			return false, util.sformat(STRINGS.UI.REASON.COOLDOWN,unit:getTraits().maa_drone_icebreak_cooldown)
		end
		
		return baseCanUseAbility( self, sim, unit )
	end,
	
	executeAbility = function( self, sim, unit, userUnit, target )
		baseExecuteAbility( self, sim, unit, userUnit, target )
		
		if unit:getTraits().maa_drone_icebreak_cooldownMax then
			unit:getTraits().maa_drone_icebreak_cooldown = unit:getTraits().maa_drone_icebreak_cooldownMax
		end
	end,
	
	onSpawnAbility = function( self, sim, unit )
		sim:addTrigger( simdefs.TRG_END_TURN, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_END_TURN, self, unit )
	end,
	
	onTrigger = function( self, sim, evType, evData, unit )
		if unit:getTraits().installed then
			if evType == simdefs.TRG_END_TURN then
				if evData:isNPC() then
					if unit:getTraits().maa_drone_icebreak_cooldown and unit:getTraits().maa_drone_icebreak_cooldown > 0 then
						unit:getTraits().maa_drone_icebreak_cooldown = unit:getTraits().maa_drone_icebreak_cooldown - 1
					end
				end
			end
		end
	end,
}

return maa_drone_icebreak
