local util = include( "modules/util" )
local simdefs = include("sim/simdefs")

local maa_drone_pwr_gen =
{
	name = "",
	profile_icon = nil,

	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	onSpawnAbility = function( self, sim, unit )
		local trigger = sim:addTrigger( simdefs.TRG_START_TURN, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_START_TURN, self, unit )
	end,

	onTrigger = function( self, sim, evType, evData, unit )
		local userUnit = unit:getUnitOwner()
		local x0, y0 = userUnit:getLocation()
		if unit:getTraits().installed and userUnit and not userUnit:isDown() then
			if evType == simdefs.TRG_START_TURN then
				if evData:isPC() then
					local player = unit:getPlayerOwner()
					local pwr = unit:getTraits().maa_drone_pwr_gen_amount
					unit:getPlayerOwner():addCPUs( pwr )
					sim:dispatchEvent( simdefs.EV_UNIT_FLY_TXT, {txt=util.sformat(STRINGS.UI.FLY_TXT.PLUS_PWR, pwr), x=x0,y=y0, color={r=163/255,g=243/255,b=248/255,a=1},} )
				end
			end
		end
	end,
}

return maa_drone_pwr_gen
