local array = include( "modules/array" )
local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )

local maa_drone_turret_reload =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.RELOAD_DRONE_TURRET.NAME,
	createToolTip = function( self, sim, unit, targetCell)
		local userUnit = unit:getUnitOwner()
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.RELOAD_DRONE_TURRET.NAME, util.sformat( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.RELOAD_DRONE_TURRET.DESC, userUnit:getTraits().maa_clip_cost or 0, userUnit:getTraits().maa_drone_clip or 0 ) )
	end,

	profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",

	alwaysShow = true,
	maa_activeAbility = true,

	getName = function( self, sim, unit )
		return self.name
	end,

	canUseAbility = function( self, sim, weaponUnit, unit )
	
		if not unit:getTraits().maa_drone_clip then 
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.RELOAD_DRONE_TURRET.NO_MAGAZINE
		end
		
		if weaponUnit:getTraits().ammo >= weaponUnit:getTraits().maxAmmo then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.RELOAD_DRONE_TURRET.CLIP_FULL
		end
		
		if unit:getTraits().maa_drone_clip <= 0 then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.RELOAD_DRONE_TURRET.NO_AMMO
		end
		
		local unitOwner = unit:getPlayerOwner()
		if not unitOwner:getCredits() or unitOwner:getCredits() < ( unit:getTraits().maa_clip_cost or 0 ) then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.RELOAD_DRONE_TURRET.NO_CREDITS
		end
		
		return true
	end,
	
	executeAbility = function( self, sim, weaponUnit, unit )
		if unit:getTraits().maa_drone_clip and unit:getTraits().maa_drone_clip >= 0 then
			weaponUnit:getTraits().ammo = weaponUnit:getTraits().maxAmmo
			unit:getTraits().maa_drone_clip = unit:getTraits().maa_drone_clip - 1
			
			local unitOwner = unit:getPlayerOwner()
			local x1, y1 = unit:getLocation()
			local credits = -( unit:getTraits().maa_clip_cost or 0 )
			if unitOwner then
				unitOwner:addCredits( credits, sim, x1, y1 )
			end
		end
	end
}
return maa_drone_turret_reload
