local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )

local maa_dtc_damage =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DTC_DAMAGE.NAME,
	profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_melee_small-old.png",
	alwaysShow = true,
	maa_activeAbility = true,

	createToolTip = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DTC_DAMAGE.NAME, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DTC_DAMAGE.DESC )
	end,

	getName = function( self, sim, unit )
		return self.name
	end,

	canUseAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		if not unit:getTraits().installed then
			return false
		end
		local tazer = nil
		for _, child in ipairs( userUnit:getChildren() ) do
			if child:getTraits().maa_olivia_tazer then
				tazer = child
				break
			end
		end
		if not tazer then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DTC_COOLDOWN.NO_TAZER
		end
		if unit:getTraits().ammo < (unit:getTraits().maa_dtc_cd_cost or 1) then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DTC_COOLDOWN.NO_AMMO
		end

		return true
	end,

	executeAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		local tazer = nil
		for _, child in ipairs( userUnit:getChildren() ) do
			if child:getTraits().maa_olivia_tazer then
				tazer = child
				break
			end
		end
		
		if tazer then
			tazer:getTraits().damage = (tazer:getTraits().damage or 1) + 1
			
			if unit:getTraits().ammo then
				unit:getTraits().ammo = unit:getTraits().ammo - 1
			end
		end
	end,
}

return maa_dtc_damage
