local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )
local array = include( "modules/array" )

local maa_echo_injector =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.ECHO_INJECTOR.NAME,

	getName = function( self, sim, unit )
		return self.name
	end,

	onSpawnAbility = function( self, sim, unit )
		self.seerUnits = {}
		sim:addTrigger( simdefs.TRG_UNIT_NEWINTEREST, self, unit )
		sim:addTrigger( simdefs.TRG_START_TURN, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_UNIT_NEWINTEREST, self, unit )
		sim:removeTrigger( simdefs.TRG_START_TURN, self, unit )
	end,

	onTrigger = function( self, sim, evType, evData, unit )
		if unit:getTraits().installed then
			local userUnit = unit:getUnitOwner()
			if evType == simdefs.TRG_UNIT_NEWINTEREST then
				if not userUnit:isKO() then
					if evData.interest.sense == simdefs.SENSE_HEARING and userUnit == evData.interest.sourceUnit and not array.find( self.seerUnits, evData.unit ) then
						if #self.seerUnits < ( unit:getTraits().echo_max_bonus or 3 ) then
							userUnit:addMP( unit:getTraits().echo_mp_bonus or 2 )
							table.insert( self.seerUnits, evData.unit )
							
							local x1, y1 = userUnit:getLocation()
							sim:dispatchEvent( simdefs.EV_GAIN_AP, { unit = userUnit } )
							sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt=STRINGS.MORE_ARCHIVE_AGENTS.UI.FLY_TXT.ECHO_INJECT,x=x1,y=y1,color={r=1,g=1,b=1,a=1}} )
						end
					end
				end
			elseif evType == simdefs.TRG_START_TURN then
				--reset who heard me
				self.seerUnits = {}
			end
		end
	end,
}

return maa_echo_injector
