local util = include( "modules/util" )
local simdefs = include("sim/simdefs")

local maa_lightning_reflexes =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.REFLEX_INJECTOR.NAME,
	profile_icon = nil,

	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	onSpawnAbility = function( self, sim, unit )
		sim:addTrigger( simdefs.TRG_END_TURN, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_END_TURN, self, unit )
	end,

	onTrigger = function( self, sim, evType, evData, unit )
		if evType == simdefs.TRG_END_TURN then
			--reset, who was dodged
			unit:getTraits().dodged_units = nil
		end
	end,
}

return maa_lightning_reflexes
