local util = include( "modules/util" )
local array = include( "modules/array" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )


local maa_open_mod_case =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.OPEN_MOD_CASE.NAME,

	profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_hijack_small.png",
	
	createToolTip = function( self, sim, unit )
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.OPEN_MOD_CASE.NAME, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.OPEN_MOD_CASE.DESC )
	end,
	
	alwaysShow = true,
	getName = function( self, sim, unit )
		return self.name
	end,

	canUseAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		if not userUnit then
			return false
		end
		
		return true
	end,

	executeAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		
		sim:dispatchEvent( "MAA_EV_ITEMS_PANEL", { unit = unit, targetUnit = userUnit } )
	end,
}

return maa_open_mod_case
