local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )

local maa_power_robotic_frame =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.CHARGE_ROBOTIC_FRAME.NAME,
	profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_leg_small2.png",
	alwaysShow = true,
	maa_activeAbility = true,
	
	createToolTip = function( self, sim, unit )
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.CHARGE_ROBOTIC_FRAME.NAME, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.CHARGE_ROBOTIC_FRAME.DESC )
	end,

	getName = function( self, sim, unit )
		return self.name
	end,

	canUseAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		local player = unit:getPlayerOwner()
		if not unit:getTraits().installed then
			return false
		end
		if player:getCpus() < (unit:getTraits().pwrCost or 1) then
			return false, STRINGS.UI.REASON.NOT_ENOUGH_PWR
		end

		return true
	end,

	executeAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		local player = unit:getPlayerOwner()
		local x0, y0 = userUnit:getLocation()
		local cpus = unit:getTraits().pwrCost or 1
		userUnit:addMP( unit:getTraits().maa_mp_add or 1 )
		player:addCPUs( -cpus )
		sim:dispatchEvent( simdefs.EV_UNIT_FLY_TXT, {txt=util.sformat(STRINGS.UI.FLY_TXT.MINUS_PWR, cpus), x=x0,y=y0, color={r=163/255,g=243/255,b=248/255,a=1},} )
		sim:dispatchEvent( simdefs.EV_GAIN_AP, { unit = userUnit } )
	end,
}

return maa_power_robotic_frame
