local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilityutil = include( "sim/abilities/abilityutil" )

local maa_powerframe_charge =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.POWERFRAME_CHARGE.NAME,
	createToolTip = function( self, sim, unit )
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.POWERFRAME_CHARGE.NAME, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.POWERFRAME_CHARGE.DESC , 0 )
	end,

	profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_augment_sharp_small.png",

	getName = function( self, sim, unit )
		return self.name
	end,

	canUseAbility = function( self, sim, itemUnit, unit )
		if not unit:getTraits().maa_powerframe then
			return false --Don't show if no powerframe
		end
		if not itemUnit:getTraits().cooldown then
			return false --Don't show for items that don't have a cooldown
		end
		if itemUnit:getTraits().cooldown <= 0 then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.POWERFRAME_CHARGE.NO_CD
		end
		local powerframe = unit:getTraits().maa_powerframe
		if powerframe:getTraits().ammo <= 0 then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.POWERFRAME_CHARGE.NO_AMMO
		end

		return true
	end,
	
	executeAbility = function( self, sim, itemUnit, unit )
		local powerframe = unit:getTraits().maa_powerframe
		if powerframe then
			powerframe:getTraits().ammo = powerframe:getTraits().ammo - 1
			itemUnit:getTraits().cooldown = math.max( itemUnit:getTraits().cooldown - 5, 0 )
			if unit then
				local x0, y0 = unit:getLocation()
				sim:emitSound( { path = "SpySociety/Actions/recharge_item", range = simdefs.SOUND_RANGE_0 }, x0, y0, unit )
			end
		end
	end
}

return maa_powerframe_charge
