local util = include( "modules/util" )
local simdefs = include("sim/simdefs")

local maa_recover_drone =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.RECOVER_DRONE.NAME,
	profile_icon = nil,

	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	onSpawnAbility = function( self, sim, unit )
		sim:addTrigger( simdefs.TRG_UNIT_KO, self, unit )
		sim:addTrigger( "MAA_TRG_ITEM_LOOT", self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_UNIT_KO, self, unit )
		sim:removeTrigger( "MAA_TRG_ITEM_LOOT", self, unit )
	end,

	onTrigger = function( self, sim, evType, evData, unit )
		if evType == simdefs.TRG_UNIT_KO then
			if evData.unit == unit then
				if evData.ticks then 
					--drone got KOed
					if unit:getTraits().maa_droneCan then
						--drop the deployable drone to pickup
						sim:warpUnit( unit:getTraits().maa_droneCan, sim:getCell( unit:getLocation() ) )
					end
				else
					--drone woke up
					if unit:getTraits().maa_droneCan and unit:getTraits().maa_droneCan:getLocation() then
						--warp the deployable drone into the void
						sim:warpUnit( unit:getTraits().maa_droneCan, nil )
					end
				end
			end
		elseif evType == "MAA_TRG_ITEM_LOOT" then
			if unit:getTraits().maa_droneCan then
				if evData.item == unit:getTraits().maa_droneCan then
					--someone picked up the drone
					--warp the drone into the void
					sim:warpUnit( unit, nil )
					--unit:setKO( sim, nil )
					unit:getTraits().maa_drone_shutdown = nil
					unit:getTraits().maa_droneCan:getTraits().cooldown = unit:getTraits().maa_droneCan:getTraits().maa_cooldownMaxDeploy
					
					unit:setPlayerOwner( nil )
				end
			end
		end
	end,
}

return maa_recover_drone
