local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local inventory = include("sim/inventory")
local abilityutil = include( "sim/abilities/abilityutil" )
local unitdefs = include( "sim/unitdefs" )
local simfactory = include( "sim/simfactory" )

local maa_replace_weapon =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WEAPON_TRADER_LICENSE.NAME,

	alwaysShow = true,

	getName = function( self, sim, unit )
		return self.name
	end,

	-- onTooltip = function( self, hud, sim, abilityOwner, abilityUser )
	-- 	return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DRUNK.NAME, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.DRUNK.DESC )
	-- end,

	canUseAbility = function( self, sim, unit )
		return false
	end,

	onSpawnAbility = function( self, sim, unit )
		print("spawn replace ability for: ", unit:getName() )
		local userUnit = unit:getUnitOwner()
		if userUnit then
			local can_swap = true
			if unit:getTraits().restrictedUse then
				local legal_user = false
				local userAgentID = userUnit:getUnitData().agentID
				if not userAgentID then
					can_swap = false
				end
				
				for _, user in ipairs( unit:getTraits().restrictedUse ) do
					if user.agentID == userAgentID then
						legal_user = true
						break
					end
				end
				
				if not legal_user then
					can_swap = false
				end
			end
			if can_swap then
				--create a fake shop, we can pick an item from
				local template = unitdefs.lookupTemplate("maa_monster_shop")
				local fake_shop = simfactory.createUnit( template, sim )
				sim:spawnUnit( fake_shop )
				fake_shop:onWarp( sim, nil, nil ) --fake onWarp call to create the items in the shop
				
				local weapon = fake_shop[ (unit:getTraits().maa_item_type or "items") ][1]
				--local weapon = fake_shop.weapons[1]
				weapon:getTraits().maa_swap_at_end = unit
				sim:spawnUnit( weapon )
				userUnit:addChild( weapon )
				inventory.autoEquip( unit )
				
				userUnit:removeChild( unit )
			end
		end
	end,

	onDespawnAbility = function( self, sim, unit )
	
	end,

	executeAbility = function( self, sim, unit )

	end,
}

return maa_replace_weapon
