local util = include( "modules/util" )
local showItemStore = include( "sim/abilities/showItemStore" )
local abilityutil = include( "sim/abilities/abilityutil" )
local simdefs = include( "sim/simdefs" )

local baseCanUseAbility = showItemStore.canUseAbility

local maa_showSecretStore = util.extend( showItemStore ) 
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.PROPS.MONSTER_SHOP, 
	
	createToolTip = function( self, sim, unit )
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.PROPS.MONSTER_SHOP, STRINGS.MORE_ARCHIVE_AGENTS.PROPS.MONSTER_SHOP_DESC , 0 )
	end,
	
	canUseAbility = function( self, sim, unit, userUnit )
		if not userUnit:getTraits().maa_secret_shop_access then
			return false
		end
		
		return baseCanUseAbility( self, sim, unit, userUnit )
	end,
	
	executeAbility = function ( self, sim, unit, userUnit)
		assert( not unit:isGhost() )
		-- Create the store inventory.
		local overload = nil
		if unit:getTraits().inventoryMaxSize then
			math.max( userUnit:getInventoryCount() - userUnit:getTraits().inventoryMaxSize, 0)
		end
		print("secretShop: ", self.secretShop)
		sim:dispatchEvent( simdefs.EV_ITEMS_PANEL, { shopUnit = self.secretShop, shopperUnit = userUnit, overload = overload } )
		sim:triggerEvent(simdefs.TRG_CLOSE_NANOFAB, { unit = self.secretShop, sourceUnit = userUnit } )

		unit:clearBuyback()
	end, 
}

maa_showSecretStore.onTooltip = nil

return maa_showSecretStore
