local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )
local array = include( "modules/array" )

local maa_silent_melee =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES..NAME,

	getName = function( self, sim, unit )
		return self.name
	end,

	onSpawnAbility = function( self, sim, unit )
		sim:addTrigger( simdefs.TRG_UNIT_HIT, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_UNIT_HIT, self, unit )
	end,

	onTrigger = function( self, sim, evType, evData, unit )
		if unit:getTraits().installed then
			local userUnit = unit:getUnitOwner()
			if evType == simdefs.TRG_UNIT_HIT then
				--Check if Banks KOed someone
				if evData.melee and evData.sourceUnit == userUnit then
					userUnit:getTraits().maa_buff_melee_damage = nil
					userUnit:getTraits().maa_buff_melee_pierce = nil
				end
			end
		end
	end,
}

return maa_silent_melee
