local util = include( "modules/util" )
local abilityutil = include( "sim/abilities/abilityutil" )
local simdefs = include( "sim/simdefs" )
local inventory = include("sim/inventory")

local maa_use_power_bank =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.USE_POWER_BANK.NAME,
	createToolTip = function( self, sim, unit )
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.USE_POWER_BANK.NAME, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.USE_POWER_BANK.DESC , 0 )
	end,

	profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chargeweapon_small.png",

	getName = function( self, sim, unit )
		return self.name
	end,

	canUseAbility = function( self, sim, itemUnit, unit )
		
		if itemUnit:getTraits().ammo and itemUnit:getTraits().ammo <= 0 then
			return false, STRINGS.UI.REASON.NO_AMMO
		end

		return abilityutil.checkRequirements( itemUnit, unit )
	end,
	
	executeAbility = function( self, sim, itemUnit, unit )
		local player = unit:getPlayerOwner()
		if itemUnit:getTraits().maa_power_value then
			local cpus = itemUnit:getTraits().maa_power_value
			player:addCPUs( cpus )
			local x0, y0 = unit:getLocation()
			sim:dispatchEvent( simdefs.EV_UNIT_FLY_TXT, {txt=util.sformat(STRINGS.UI.FLY_TXT.PLUS_PWR, cpus), x=x0,y=y0, color={r=163/255,g=243/255,b=248/255,a=1},} )
			
			inventory.useItem( sim, unit, itemUnit )
		end
	end
}

return maa_use_power_bank
