local util = include( "modules/util" )
local abilityutil = include( "sim/abilities/abilityutil" )
local simdefs = include("sim/simdefs")

local maa_validate_bounty_kill =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.VALIDATE_KILL.NAME,

	getName = function( self, sim, unit, userUnit )
		return self.name
	end,

	createToolTip = function( self, sim, abilityOwner, abilityUser, targetID )
		return abilityutil.formatToolTip( STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.VALIDATE_KILL.NAME, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.VALIDATE_KILL.DESC )
	end,


	profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_augment_shalem_small.png",
	proxy = true,
	alwaysShow = true,
	ghostable = true,

	acquireTargets = function( self, targets, game, sim, unit )
		local userUnit = unit:getUnitOwner()
		local cell = sim:getCell( userUnit:getLocation() )

		local units = {}


		for i, cellUnit in ipairs(cell.units) do
			if cellUnit:getTraits().iscorpse and cellUnit:getTraits().maa_bounty then
				table.insert( units, cellUnit )
			end
		end

		return targets.unitTarget( game, units, self, unit, userUnit )
	end,

	canUseAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()

		if not unit:getTraits().installed then
			return false
		end
		if not userUnit then
			return false
		end

		return true
	end,

	executeAbility = function( self, sim, unit, userUnit, target )
		target = sim:getUnit(target)
		local x1,y1 = userUnit:getLocation()
		local credits = target:getTraits().maa_bounty or 0

		sim:dispatchEvent( simdefs.EV_PLAY_SOUND, "SpySociety/HUD/gameplay/gain_money")
		userUnit:getPlayerOwner():addCredits(credits, sim, x1, y1)

		sim._resultTable.credits_gained.maa_bounty_cashflow = (sim._resultTable.credits_gained.maa_bounty_cashflow or 0) + credits

		target:getTraits().maa_bounty = nil
	end,
}

return maa_validate_bounty_kill
