local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local mathutil = include( "modules/mathutil" )

local maa_wireless_heartmonitor_scan =
{
	name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTMONITOR_SCANNER.NAME,
	profile_icon = nil,
	
	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	onSpawnAbility = function( self, sim, unit )
		sim:addTrigger( simdefs.TRG_UNIT_WARP, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_UNIT_WARP, self, unit )
	end,

	onTrigger = function( self, sim, evType, evData, abilityOwner )
		if evType == simdefs.TRG_UNIT_WARP then
			local userUnit = abilityOwner:getUnitOwner()
			local player = abilityOwner:getPlayerOwner()
			if not userUnit:isKO() and abilityOwner:getTraits().installed then
				if evData.unit == userUnit then
					--if the warped unit is internationale, check all units if they are legal and in range
					sim:forEachUnit(
						function( unit )
							local x1, y1 = unit:getLocation()
							if x1 and y1 and unit:getTraits().heartMonitor and unit:getTraits().heartMonitor == "enabled" then
								if evData.to_cell then
									local distance = mathutil.dist2d( evData.to_cell.x, evData.to_cell.y, x1, y1 )
									if distance < abilityOwner:getTraits().wireless_range then
										player:glimpseUnit( sim, unit:getID() )
										sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = unit } )      
									end
								end
							end
						end )
				else
					--for all other units compare their distance with internationales, no stupid linear search please
					local checkUnit = evData.unit
					local x1, y1 = userUnit:getLocation()
					
					if x1 and y1 and checkUnit:getTraits().heartMonitor and checkUnit:getTraits().heartMonitor == "enabled" then
						if evData.to_cell then
							local distance = mathutil.dist2d( evData.to_cell.x, evData.to_cell.y, x1, y1 )
							if distance < abilityOwner:getTraits().wireless_range then
								player:glimpseUnit( sim, checkUnit:getID() )
								sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = checkUnit } )      
							end
						end
					end	
				end
			end
		end
	end,
}

return maa_wireless_heartmonitor_scan
