local abilitydefs = include( "sim/abilitydefs" )
local melee = abilitydefs._abilities["melee"]
local abilityutil = include( "sim/abilities/abilityutil" )
local simquery = include("sim/simquery")
local simdefs = include( "sim/simdefs" )

local baseCanUseAbility = melee.canUseAbility
melee.canUseAbility = function( self, sim, unit, userUnit, targetID )
	local result, reason1, reason2 = baseCanUseAbility( self, sim, unit, userUnit, targetID )
	
	if result then
		local tazerUnit = simquery.getEquippedMelee( unit )
		if tazerUnit and tazerUnit:getTraits().coit_no_max_alarm and sim:getTrackerStage() >= simdefs.TRACKER_MAXSTAGE then
			return false, STRINGS.CORPORATE_ITEMS.UI.MAX_ALARM_WARN
		end
		
		if tazerUnit and targetID then
			if tazerUnit:getTraits().coit_ammo_per_armor then
				local targetUnit = sim:getUnit( targetID )
				local meleeDamage, armorPierce, armor = simquery.calculateDamageAndArmorForMelee(sim, tazerUnit, targetUnit)
				--how much armorPierce is needed from the weapon?
				local diff = (tazerUnit:getTraits().armorPiercing or 0) + armor - armorPierce
				if diff > 0 then
					--armorPierce from the weapon is needed
					if ( diff * tazerUnit:getTraits().coit_ammo_per_armor ) > ( tazerUnit:getTraits().ammo or tazerUnit:getTraits().charges or 0) then
						--not enough charges to pay for the armor
						return false, STRINGS.UI.COMBAT_PANEL_NEED_CHARGES, STRINGS.UI.COMBAT_PANEL_NEED_CHARGES_2
					end
				end
			end
		end
	end
	
	return result, reason1, reason2
end

local baseExecuteAbility = melee.executeAbility
melee.executeAbility = function( self, sim, unit, userUnit, target )
	local targetUnit = sim:getUnit(target)

	local tazer = simquery.getEquippedMelee(unit)
	local meleeDamage,  armorPierce, armor = simquery.calculateDamageAndArmorForMelee(sim, tazer, targetUnit)
	if tazer:getTraits().coit_ammo_per_armor then
		local diff = (tazer:getTraits().armorPiercing or 0) + armor - armorPierce
		if diff > 0 then
			if tazer:getTraits().ammo then
				tazer:getTraits().ammo = tazer:getTraits().ammo - ( diff * tazer:getTraits().coit_ammo_per_armor )
			elseif tazer:getTraits().charges then
				tazer:getTraits().charges = tazer:getTraits().charges - ( diff * tazer:getTraits().coit_ammo_per_armor )
			end
		end
	end
	
	baseExecuteAbility(  self, sim, unit, userUnit, target )
end
