local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )
local simquery = include( "sim/simquery" )
local abilitydefs = include( "sim/abilitydefs" )

local oldOpenDetentionCells = abilitydefs.lookupAbility("open_detention_cells")
local oldExecuteAbility = oldOpenDetentionCells.executeAbility

local open_detention_cells = util.extend(oldOpenDetentionCells)
{
	executeAbility = function( self, sim, unit, userUnit, target )
		oldExecuteAbility( self, sim, unit, userUnit, target )

		simquery.LEVER_resetStatus( sim, userUnit, "ANY", false )
	end,

	canUseAbility = function( self, sim, abilityOwner, unit )
		if abilityOwner:getTraits().mainframe_status ~= "active" then
			return false
		end

		if abilityOwner:getTraits().cooldown and abilityOwner:getTraits().cooldown > 0 then
			return false, util.sformat(STRINGS.UI.REASON.COOLDOWN,abilityOwner:getTraits().cooldown)
		end	

		if abilityOwner:getPlayerOwner() ~= sim:getPC() then 
			return false, STRINGS.ABILITIES.TOOLTIPS.UNLOCK_WITH_INCOGNITA
		end

		if not simquery.canUnitReach( sim, unit, abilityOwner:getLocation() ) then
			return false
		end

		return true
	end,
}
return open_detention_cells