local abilitydefs = include( "sim/abilitydefs" )
local overwatch = abilitydefs._abilities["overwatch"]
local simquery = include("sim/simquery")

local baseCanUseAbility = overwatch.canUseAbility
overwatch.canUseAbility = function( self, sim, unit )
	local weaponUnit = simquery.getEquippedGun( unit )
	
	local ap_added = false
	if weaponUnit and weaponUnit:getTraits().coit_multishot and weaponUnit:getTraits().coit_multishot == "active" then
		unit:getTraits().ap = unit:getTraits().ap + 1
		ap_added = true
	end
	
	local result, reason = baseCanUseAbility( self, sim, unit )
	
	if ap_added then
		unit:getTraits().ap = unit:getTraits().ap - 1
	end
	
	return result, reason
end
