local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )
local simquery = include( "sim/simquery" )
local abilitydefs = include( "sim/abilitydefs" )
local abilityutil = include( "sim/abilities/abilityutil" )

local oldOverwatchMelee = abilitydefs.lookupAbility("overwatchMelee")
local oldExecuteAbility = oldOverwatchMelee.executeAbility
local oldCanUseAbility = oldOverwatchMelee.canUseAbility

local overwatchMelee = util.extend(oldOverwatchMelee)
{

	canUseAbility = function( self, sim, unit )
		local tazerUnit = simquery.getEquippedMelee( unit )
		if tazerUnit and tazerUnit:getTraits().behindMelee then
			return false, STRINGS.FUNCLIB.UI.COMBAT_PANEL_NO_BEHIND2
		end

		if unit:getTraits().mpAttackRestrict and unit:getTraits().mpAttackRestrict > unit:getMP() then
			return false, string.format(STRINGS.FUNCLIB.UI.COMBAT_PANEL_MP, unit:getTraits().mpAttackRestrict)
		end

		if tazerUnit then
			local canUse, reason = abilityutil.checkRequirements( tazerUnit, unit )
			if not canUse then
				return false, reason
			end
		end

		return oldCanUseAbility( self, sim, unit )
	end,

	executeAbility = function( self, sim, unit, userUnit )
		oldExecuteAbility( self, sim, unit )

		simquery.LEVER_resetStatus( sim, userUnit, "ANY", false )
	end,
}
return overwatchMelee