local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilitydefs = include( "sim/abilitydefs" )

local oldParalyze = abilitydefs.lookupAbility("paralyze")
local oldExecuteAbility = oldParalyze.executeAbility

local paralyze = util.extend(oldParalyze)
{
	executeAbility = function( self, sim, unit, userUnit, targetID )
		local target = sim:getUnit(targetID)
		if unit:getTraits().impare_sight then
			if target:getTraits().LOSrange then
				target:getTraits().LOSrange = math.max(target:getTraits().LOSrange - unit:getTraits().impare_sight, 4)
			end
			if target:getTraits().LOSperipheralRange then
				target:getTraits().LOSperipheralRange = math.max(target:getTraits().LOSperipheralRange - unit:getTraits().impare_sight, 5)
			end
		end

		if unit:getTraits().impare_hearing and target:getTraits().hasHearing then
			target:getTraits().hasHearing = false
		end

		if unit:getTraits().impare_AP and target:getTraits().mpMax then
			target:getTraits().mpMax = math.max(target:getTraits().mpMax - unit:getTraits().impare_AP, 4)
		end

		if unit:getTraits().koTimeDart and target:getTraits().W93_rangedKO then
			target:getTraits().koTimer = target:getTraits().koTimer + unit:getTraits().koTimeDart
		end

		oldExecuteAbility( self, sim, unit, userUnit, targetID )

		simquery.LEVER_resetStatus( sim, userUnit, "ANY", false )
	end,
}
return paralyze