local util = include( "modules/util" )
local abilitydefs = include( "sim/abilitydefs" )

local oldPeek = abilitydefs.lookupAbility("peek")
local oldCanUseAbility = oldPeek.canUseAbility

local peek = util.extend(oldPeek)
{
	canUseAbility = function( self, sim, unit )
		if sim:getPC():getTraits().blindfold_penalty and sim:getPC():getTraits().blindfold_penalty > 0 then
			return false, STRINGS.FUNCLIB.UI.REASON_BLINDFOLD
		end

		return oldCanUseAbility( self, sim, unit )
	end,
}
return peek
