local util = include("modules/util")
local simdefs = include("sim/simdefs")
local abilityutil = include("sim/abilities/abilityutil")

local _M = {
    name = STRINGS.HEATSIGNATURE.ABILITIES.PRIME_GRENADES,
    profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_hijack_small.png",
    alwaysShow = true
}

function _M:getName(sim, unit)
    return unit:getTraits().grenadesPrimed and STRINGS.HEATSIGNATURE.ABILITIES.PRIME_GRENADES_OFF or
        STRINGS.HEATSIGNATURE.ABILITIES.PRIME_GRENADES
end

function _M:createToolTip(sim, unit)
    return abilityutil.formatToolTip(
        self:getName(sim, unit),
        unit:getTraits().grenadesPrimed and STRINGS.HEATSIGNATURE.ABILITIES.PRIME_GRENADES_OFF_DESC or
            STRINGS.HEATSIGNATURE.ABILITIES.PRIME_GRENADES_ON_DESC,
        1
    )
end

function _M:canUseAbility(sim, itemUnit, userUnit)
    return true
end

function _M:executeAbility(sim, itemUnit, userUnit)
    itemUnit:getTraits().grenadesPrimed = not itemUnit:getTraits().grenadesPrimed
    if itemUnit:getTraits().grenadesPrimed then
        sim:triggerEvent(simdefs.TRG_GRENADES_PRIMED, {unit = itemUnit})
    end
end

return _M
