local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilitydefs = include( "sim/abilitydefs" )

local oldScandevice = abilitydefs.lookupAbility("scandevice")
local oldExecuteAbility = oldScandevice.executeAbility

local scandevice = util.extend(oldScandevice)
{
	executeAbility = function( self, sim, unit, userUnit, target )
		local targetUnit = sim:getUnit(target)
		if targetUnit:getTraits().mainframe_program and unit == userUnit and unit:getTraits().W93_PWR_aug then
	    		sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt = util.sformat( STRINGS.UI.FLY_TXT.PLUS_PWR, 2), unit = userUnit, color={r=255/255,g=255/255,b=51/255,a=1}} )
	    		sim:getCurrentPlayer():addCPUs( 2 )
		end

		oldExecuteAbility( self, sim, unit, userUnit, target )

		simquery.LEVER_resetStatus( sim, userUnit, "LEGIT", true )
	end,
}
return scandevice