local array = include("modules/array")
local abilitydefs = include( "sim/abilitydefs" )
local showItemStore = abilitydefs._abilities["showItemStore"]
local store = include( "sim/units/store" )

local baseExecuteAbility = showItemStore.executeAbility
showItemStore.executeAbility = function( self, sim, unit, userUnit )
	--find all potential stores, that sell programs
	local server_types = {}
	for store_type, store in pairs( store.STORE_ITEM.storeType ) do
		if store.progAmount > 0 then
			table.insert( server_types, store_type )
		end
	end
	
	if array.find( server_types, unit:getTraits().storeType ) then
		local player = sim:getPC()
		sim.maa_temporary_removed = {}
		local playerAbilities = player:getAbilities()
		for i=#playerAbilities, 1, -1 do
			if playerAbilities[i].maa_temporary_program then
				table.insert( sim.maa_temporary_removed, playerAbilities[i] )
				table.remove( playerAbilities, i )
			end
		end
	end
	baseExecuteAbility( self, sim, unit, userUnit )
end
