local util = include( "client_util" )
local mainframe = include( "sim/mainframe" )
local simdefs = include( "sim/simdefs" )

local sitrep_chronjob =
{
	buffAbility = true,
	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	name = STRINGS.SITREP.ABILITIES.CHRONJOB.NAME,
	buffDesc = STRINGS.SITREP.ABILITIES.CHRONJOB.UNIT_DESC,

	onSpawnAbility = function( self, sim, unit )
		self.owner = unit:getPlayerOwner()
		sim:addTrigger( "TRG_UNIT_HACKED", self, unit )
		sim:addTrigger( simdefs.TRG_START_TURN, self, unit )

	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( "TRG_UNIT_HACKED", self )
		sim:removeTrigger( simdefs.TRG_START_TURN, self )
	end,

	onTrigger = function( self, sim, evType, evData, userUnit )
		if evType == "TRG_UNIT_HACKED" then
			if evData.unit == userUnit then
				if not self.counter then
					self.counter = 2
				end
			end
		elseif evType == simdefs.TRG_START_TURN then
			if self.counter and sim:getCurrentPlayer() == sim:getNPC() then
				self.counter = self.counter - 1
				if self.counter <= 0 then
					self.counter = nil
					if userUnit and userUnit:getPlayerOwner() ~= self.owner then
						mainframe.revertIce( sim, userUnit )
					end
				end
			end
		end
	end,
}

return sitrep_chronjob
