local simdefs = include( "sim/simdefs" )

local sitrep_daemonitor =
{
	buffAbility = true,
	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	name = STRINGS.SITREP.ABILITIES.DAEMONITOR.NAME,
	buffDesc = STRINGS.SITREP.ABILITIES.DAEMONITOR.UNIT_DESC,

	onSpawnAbility = function( self, sim, unit )
		self.owner_unit = unit
		sim:addTrigger( simdefs.TRG_UNIT_KO, self, unit )
		sim:addTrigger( simdefs.TRG_UNIT_KILLED, self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( simdefs.TRG_UNIT_KO, self )
		sim:removeTrigger( simdefs.TRG_UNIT_KILLED, self )
	end,

	onTrigger = function( self, sim, evType, evData, userUnit )
		if evType == simdefs.TRG_UNIT_KO or evType == simdefs.TRG_UNIT_KILLED then
			if evData.unit == self.owner_unit then
				if evData.unit:getTraits().heartMonitor and evData.unit:getTraits().heartMonitor == "enabled" then
					--tied to the heartmonitor. if the heartmonitor is disabled, this one is too
					local daemonList = sim:getIcePrograms()
					local daemon = daemonList:getChoice( sim:nextRand( 1, daemonList:getTotalWeight() ))
					sim:getNPC():addMainframeAbility( sim, daemon, sim:getNPC(), nil )
				end
			end
		end
	end,
}

return sitrep_daemonitor
