local mainframe = include( "sim/mainframe" )
local simdefs = include( "sim/simdefs" )

local sitrep_failsafe =
{
	buffAbility = true,
	getName = function( self, sim, unit )
		return self.name
	end,
	canUseAbility = function( self, sim, unit )
		return false -- Passives are never 'used'
	end,
	executeAbility = nil, -- Passives by definition have no execute.

	name = STRINGS.SITREP.ABILITIES.FAILSAFE.NAME,
	buffDesc = STRINGS.SITREP.ABILITIES.FAILSAFE.UNIT_DESC,

	onSpawnAbility = function( self, sim, unit )
		sim:addTrigger( "TRG_UNIT_HACKED", self, unit )
	end,

	onDespawnAbility = function( self, sim, unit )
		sim:removeTrigger( "TRG_UNIT_HACKED", self )
	end,

	onTrigger = function( self, sim, evType, evData, userUnit )
		if evType == "TRG_UNIT_HACKED" then
			if evData.unit == userUnit then
				--hacky solution to make rebooting devices revertable
				if userUnit:getTraits().mainframe_status == "off" then
					userUnit:getTraits().mainframe_status = "active"
				end
				if mainframe.canRevertIce( sim, userUnit ) then
					mainframe.revertIce( sim, userUnit )
					userUnit:getTraits().mainframe_booting = userUnit:getTraits().sitrep_failsafeDuration or 2
				end
			end
		end
	end,
}

return sitrep_failsafe
