local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local inventory = include( "sim/inventory" )
local abilitydefs = include( "sim/abilitydefs" )

local oldThrow = abilitydefs.lookupAbility("throw")
local oldCanUseAbility = oldThrow.canUseAbility
local oldExecuteAbility = oldThrow.executeAbility

local throw = util.extend(oldThrow)
{
	canUseAbility = function( self, sim, grenadeUnit, unit, targetCell )
		if grenadeUnit:getTraits().usesCharges and grenadeUnit:getTraits().charges < 1 then
			return false, util.sformat(STRINGS.UI.REASON.CHARGES)
		end

		if grenadeUnit:getTraits().ammo and grenadeUnit:getTraits().ammo < (grenadeUnit:getTraits().ammoRequired or 1) then
			return false, util.sformat(STRINGS.UI.REASON.NO_AMMO)
		end

		return oldCanUseAbility( self, sim, grenadeUnit, unit, targetCell )
	end,

	executeAbility = function( self, sim, unit, userUnit, target )
		oldExecuteAbility( self, sim, unit, userUnit, target )

		if userUnit:isValid() and not userUnit:getTraits().interrupted then
			if unit:getTraits().throwUnit then
				inventory.useItem( sim, userUnit, unit )
			end
		end

		simquery.LEVER_resetStatus( sim, userUnit, "LEGIT", true )
	end,
}
return throw