local util = include( "modules/util" )
local simquery = include("sim/simquery")
local abilitydefs = include( "sim/abilitydefs" )

local oldUseStim = abilitydefs.lookupAbility("use_stim")
local oldExecuteAbility = oldUseStim.executeAbility
local oldDoInjection = oldUseStim.doInjection

local use_stim = util.extend(oldUseStim)
{
	doInjection = function( self, sim, unit, userUnit, target )
		if unit:getTraits().ap then 
			target:getTraits().ap = target:getTraits().ap + unit:getTraits().ap	
		end 
		oldDoInjection( self, sim, unit, userUnit, target )
	end,

	executeAbility = function( self, sim, unit, userUnit, target )
		oldExecuteAbility( self, sim, unit, userUnit, target )

		simquery.LEVER_resetStatus( sim, userUnit, "LEGIT", true )
	end,
}
return use_stim