local abilityutil = include("sim/abilities/abilityutil")
local util = include( "modules/util" )

local baseCheckRequirements = abilityutil.checkRequirements
function abilityutil.checkRequirements( abilityOwner, abilityUser )
	if abilityUser and abilityUser:getTraits().maa_isUmiDrone then
		if abilityOwner:getRequirements() then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DRONE_TOOLKIT_SUPPORT.NO_DRONE_ITEM
		end
	end
	
	return baseCheckRequirements( abilityOwner, abilityUser )
end

local baseCanConsumeAmmo = abilityutil.canConsumeAmmo
function abilityutil.canConsumeAmmo( sim, weaponUnit, consume )
	local result = { baseCanConsumeAmmo( sim, weaponUnit, consume ) }
	
	if result[1] then
		if weaponUnit:getTraits().maa_weapon_modded then
			return false, STRINGS.MORE_ARCHIVE_AGENTS.ABILITIES.INSTALL_MOD.MODDED
		end
		if weaponUnit:getTraits().maa_mp_cost then
			local userUnit = weaponUnit:getUnitOwner()
			if userUnit and userUnit:getMP() < weaponUnit:getTraits().maa_mp_cost then
				return false, STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_TRACER.NO_MP
			end
		end
	end
	
	return unpack( result )
end
