local util = include("client_util")
local simgrenade = include( "sim/units/simgrenade" )
local simunit = include( "sim/simunit" )
local simquery = include( "sim/simquery" )
local simfactory = include( "sim/simfactory" )
local simdefs = include( "sim/simdefs" )

local acid_grenade = { ClassType = "coit_acid_grenade_unit" }

function acid_grenade:onExplode( cells )
	local sim, player = self:getSim(), self:getPlayerOwner()

	for i, cell in ipairs(cells) do
		for i, cellUnit in ipairs( cell.units ) do
			if cellUnit:getTraits().armor and cellUnit:getTraits().armor > 0 and simquery.isEnemyAgent( player, cellUnit) then
				cellUnit:getTraits().armor = 0
				sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = cellUnit } )
			end
		end
	end			
end

local function createAcidGrenade( unitData, sim )
	local unit = simgrenade.createGrenade( unitData, sim )
	
	util.tmerge( unit, util.tcopy( acid_grenade ))
	
	return unit
end

simfactory.register( createAcidGrenade )
