local agent_panel = include( "hud/agent_panel" ).agent_panel
local updateButtonFromAbilityTarget = include( "hud/agent_panel" ).updateButtonFromAbilityTarget
local util = include( "client_util" )

local function checkforSamePopup(self)
	if not self._popUpsSelected_aug or #self._popUpsSelected_aug ~= #self._popUps_aug then
		return false
	else

		for i, element in ipairs(self._popUps_aug)do
			if not self._popUpsSelected_aug[i] or element.ability:getID() ~= self._popUpsSelected_aug[i].ability:getID() then
				return false
			end
		end

		return true
	end
end

local function refreshPopUp(self)
	local group = self._hud._screen.binder.agentPanel.binder.augmentGroup

	if checkforSamePopup(self) then
		for i, widget in group.binder.augments.binder.popUp.binder:forEach( "action" ) do
			if  self._popUpsSelected_aug[i] then
				widget:setVisible(true)
				widget:createTransition( "deactivate_below_popup",
						function( transition )
							widget:setVisible( false )
						end,
					 { easeOut = true } )
			else
				widget:setVisible(false)
			end
		end
		self._popUps_aug = {}
		self._popUpsSelected_aug = nil
		self._hud:transitionNull()
	else
		if #self._popUps_aug > 0 then
			group.binder.inventory_title:setVisible(false)
			group.binder.augments.binder.popUp:setVisible(true)

			local abilityBtn = nil

			for i, widget in group.binder.augments.binder.popUp.binder:forEach( "action" ) do
				if i<= #self._popUps_aug then
					widget:createTransition( "activate_below_popup" )
					widget:setVisible(true)


					local ability = self._popUps_aug[i].ability
					local abilityOwner = self._popUps_aug[i].abilityOwner
					local abilityUser = self._popUps_aug[i].abilityUser
					local unitID = self._popUps_aug[i].unitID

					abilityBtn = ability

					updateButtonFromAbilityTarget( self, widget, ability, abilityOwner, abilityUser, unitID)
				else
					widget:setVisible(false)
				end
			end

			local buttonWidget = nil
			for i, widget in self._hud._screen.binder.agentPanel.binder.augments.binder:forEach( "inv" ) do
				if widget._item then
					local abilities = widget._item:getAbilities()
					for i,itemAbility in ipairs(abilities) do
						if itemAbility == abilityBtn then
							buttonWidget = widget
							break
						end
					end
				end
			end

			if buttonWidget then
				local lx,ly = buttonWidget:getPosition()
				local lx1,ly1 = group.binder.augments.binder.popUp:getPosition()
				group.binder.augments.binder.popUp:setPosition(lx,ly1)
			end

			self._popUpsSelected_aug = self._popUps_aug
		else
			group.binder.inventory_title:setVisible(true)
			group.binder.augments.binder.popUp:setVisible(false)
		end
	end
end

local baseRefreshPanel = agent_panel.refreshPanel
function agent_panel:refreshPanel( swipein )
	baseRefreshPanel( self, swipein )

	refreshPopUp(self)
end
