local util = include( "client_util" )
local targets = include( "hud/targeting" )
local world_hud = include( "hud/hud-inworld" )
local updateButtonFromAbilityTarget = include( "hud/agent_panel" ).updateButtonFromAbilityTarget
local agent_panel = include( "hud/agent_panel" ).agent_panel

--------------------------------------------------------------------

function agent_panel:addAbilityTargets( cellTargets, ability, abilityOwner, abilityUser )
	local game, sim = self._hud._game, self._hud._game.simCore
	local target
	if ability.acquireTargets then
		-- Targeted ability.  Show all targets.
		target = ability:acquireTargets( targets, game, sim, abilityOwner, abilityUser )
	elseif ability.showTargets then
		target = ability:showTargets( targets, game, sim, abilityOwner, abilityUser )
	end

	if target and not ability.noTargetUI then
		if target:hasTargets() then
			if target.startTargeting then
				target:startTargeting( cellTargets )
			end
			table.insert( self._targets, target )
		end
		if ability.showTargets then
			return false, target
		end
		return true, target

	elseif abilityOwner ~= abilityUser then
		local cell

		if abilityOwner:getLocation() then
			cell = sim:getCell( abilityOwner:getLocation() )

			local wx, wy, wz = game:cellToWorld( cell.x, cell.y )
			wx, wy, wz = cellTargets:findLocation( wx, wy )
			local widget = self._hud._world_hud:createWidget( world_hud.HUD, "Target",{ worldx = wx, worldy = wy, worldz = wz, layoutID = abilityOwner:getID() } )

			updateButtonFromAbilityTarget( self, widget, ability, abilityOwner, abilityUser )
		else
			if abilityOwner:getTraits().augment and abilityOwner:getTraits().installed then
				table.insert(self._popUps_aug,{ ability=ability, abilityOwner=abilityOwner, abilityUser=abilityUser})
			else
				table.insert(self._popUps,{ ability=ability, abilityOwner=abilityOwner, abilityUser=abilityUser})
			end
		end

		return true
	end



	return false
end

local baseRefreshPanel = agent_panel.refreshPanel
function agent_panel:refreshPanel( swipein )
	self._popUps_aug, self._popUpsSelected_aug = {}, nil
	baseRefreshPanel( self, swipein )
end
