local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include("sim/simdefs")
local speechdefs = include("sim/speechdefs")
local SCRIPTS = include('client/story_scripts')
local DEFAULT_DRONE = commondefs.DEFAULT_DRONE
local SOUNDS = commondefs.SOUNDS

local WILSON_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,  

	wallcover = "SpySociety/Movement/foley_suit/wallcover",
	crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
	fall = "SpySociety/Movement/foley_suit/fall",	
	fall_knee = "SpySociety/Movement/bodyfall_agent_knee_hardwood",
	fall_kneeframe = 9,
	fall_hand = "SpySociety/Movement/bodyfall_agent_hand_hardwood",
	fall_handframe = 20,
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 35,						
	getup = "SpySociety/Movement/foley_suit/getup",	
	grab = "SpySociety/Movement/foley_suit/grab_guard",	
	pin = "SpySociety/Movement/foley_suit/pin_guard",
	pinned = "SpySociety/Movement/foley_suit/pinned",
	peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_suit/peek_back",					
	move = "SpySociety/Movement/foley_suit/move",		
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",			
}

local agent_templates =
{
	ds_wilson =
	{
		type = "simunit", 
        agentID = "agent_wilson_mod",
		name = STRINGS.AGENT_WILSON.WILSON.NAME,
		file = STRINGS.AGENT_WILSON.WILSON.FILE,
		fullname = STRINGS.AGENT_WILSON.WILSON.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService = STRINGS.AGENT_WILSON.WILSON.YEARS_OF_SERVICE,
		age = STRINGS.AGENT_WILSON.WILSON.AGE,
		homeTown = STRINGS.AGENT_WILSON.WILSON.HOMETOWN,
		gender = "male",
		class = "Engineer",
		toolTip =  STRINGS.AGENT_WILSON.WILSON.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/wilson_36_alt.png",
		profile_icon_64x64= "gui/profile_icons/wilson_64.png",		
		splash_image = "gui/agents/wilson_1024.png",
		team_select_img = {
			"gui/agents/team_select_wilson.png",
		},

		profile_anim = "portraits/sharpshooter_face",
		profile_build = "portraits/wilson_face_beard2",
		kanim = "kanim_wilson_beard1",
		hireText =  STRINGS.AGENT_WILSON.WILSON.RESCUED,
		centralHireSpeech = nil,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8, seesShadowCreatures = true, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		abilities = util.tconcat( { "sprint", "wilson_shave" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = WILSON_SOUNDS,
		speech = STRINGS.AGENT_WILSON.WILSON.BANTER,
		blurb =  STRINGS.AGENT_WILSON.WILSON.ALT_1.BIO,
		upgrades = { "augment_wilson","item_power_tazer_1", },		
	},	
	
	ds_wilson_arch =
	{
		type = "simunit", 
        agentID = "agent_wilson_mod",
		name = STRINGS.AGENT_WILSON.WILSON.NAME, --"NAME",
		file = STRINGS.AGENT_WILSON.WILSON.FILE,
		fullname = STRINGS.AGENT_WILSON.WILSON.ALT_2.FULLNAME,
		loadoutName = STRINGS.UI.ON_ARCHIVE,
		yearsOfService = STRINGS.AGENT_WILSON.WILSON.YEARS_OF_SERVICE,
		age = STRINGS.AGENT_WILSON.WILSON.ALT_2.AGE,
		homeTown = STRINGS.AGENT_WILSON.WILSON.HOMETOWN,
		gender = "male",
		class = "Engineer",
		toolTip = STRINGS.AGENT_WILSON.WILSON.ALT_2.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/wilson_36_alt.png",
		profile_icon_64x64= "gui/profile_icons/wilson_64.png",	
		splash_image = "gui/agents/wilson_1024.png",
		team_select_img = {
			"gui/agents/team_select_wilson.png",
		},

		profile_anim = "portraits/sharpshooter_face",
		profile_build = "portraits/wilson_face_beard1",
		kanim = "kanim_wilson_labcoat_beard1",
		hireText =  STRINGS.AGENT_WILSON.WILSON.RESCUED,
		centralHireSpeech = nil,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8, seesShadowCreatures = true, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		abilities = util.tconcat( { "sprint",  "wilson_shave"}, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = WILSON_SOUNDS,
		speech = STRINGS.AGENT_WILSON.WILSON.BANTER,
		blurb =  STRINGS.AGENT_WILSON.WILSON.ALT_2.BIO,
		upgrades = { "augment_wilson_2","item_chemical_wilson","item_clip", },		
	},		
}

return agent_templates