local util = include( "modules/util" )
local commondefs = include("sim/unitdefs/commondefs")
local speechdefs = include( "sim/speechdefs" )
local simdefs = include("sim/simdefs")
local SCRIPTS = include('client/story_scripts')
-----------------------------------------------------
-- Agent templates

local DECKARD_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,
					
	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",					
	fall_knee = "SpySociety/Movement/bodyfall_agent_knee_hardwood",
	fall_kneeframe = 9,
	fall_hand = "SpySociety/Movement/bodyfall_agent_hand_hardwood",
	fall_handframe = 20,
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 35,						
	getup = "SpySociety/Movement/foley_trench/getup",
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",	
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",	
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local SHALEM_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,  

	wallcover = "SpySociety/Movement/foley_suit/wallcover",
	crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
	fall = "SpySociety/Movement/foley_suit/fall",	
	fall_knee = "SpySociety/Movement/bodyfall_agent_knee_hardwood",
	fall_kneeframe = 9,
	fall_hand = "SpySociety/Movement/bodyfall_agent_hand_hardwood",
	fall_handframe = 20,
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 35,						
	getup = "SpySociety/Movement/foley_suit/getup",	
	grab = "SpySociety/Movement/foley_suit/grab_guard",	
	pin = "SpySociety/Movement/foley_suit/pin_guard",
	pinned = "SpySociety/Movement/foley_suit/pinned",
	peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_suit/peek_back",					
	move = "SpySociety/Movement/foley_suit/move",		
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",			
}

local XU_SOUNDS =
{
    bio = "",
    escapeVo = "",
    speech="SpySociety/Agents/dialogue_player",  
    step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL, 
    stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT, 
					
    wallcover = "SpySociety/Movement/foley_suit/wallcover",
    crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
    fall = "SpySociety/Movement/foley_suit/fall",	
    fall_knee = "SpySociety/Movement/bodyfall_agent_knee_hardwood",
    fall_kneeframe = 9,
    fall_hand = "SpySociety/Movement/bodyfall_agent_hand_hardwood",
    fall_handframe = 20,
    land = "SpySociety/Movement/deathfall_agent_hardwood",
    land_frame = 35,						
    getup = "SpySociety/Movement/foley_suit/getup",	
    grab = "SpySociety/Movement/foley_suit/grab_guard",	
    pin = "SpySociety/Movement/foley_suit/pin_guard",
    pinned = "SpySociety/Movement/foley_suit/pinned",
    peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",	
    peek_bwd = "SpySociety/Movement/foley_suit/peek_back",	
    move = "SpySociety/Movement/foley_suit/move",	
    hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local BANKS_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT, 

	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,						
	getup = "SpySociety/Movement/foley_trench/getup",	
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",	
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local INTERNATIONALE_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_suit/wallcover", 
	crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
	fall = "SpySociety/Movement/foley_suit/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,						
	getup = "SpySociety/Movement/foley_suit/getup",
	grab = "SpySociety/Movement/foley_suit/grab_guard",
	pin = "SpySociety/Movement/foley_suit/pin_guard",
	pinned = "SpySociety/Movement/foley_suit/pinned",
	peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_suit/peek_back",
	move = "SpySociety/Movement/foley_suit/move",		
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",		
}

local NIKA_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_suit/wallcover", 
	crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
	fall = "SpySociety/Movement/foley_suit/fall",	
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,	
	getup = "SpySociety/Movement/foley_suit/getup",
	grab = "SpySociety/Movement/foley_suit/grab_guard",
	pin = "SpySociety/Movement/foley_suit/pin_guard",
	pinned = "SpySociety/Movement/foley_suit/pinned",
	peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_suit/peek_back",
	move = "SpySociety/Movement/foley_suit/move",		
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local SHARP_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_cyborg/wallcover", 
	crouchcover = "SpySociety/Movement/foley_cyborg/crouchcover",
	fall = "SpySociety/Movement/foley_cyborg/fall",	
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 35,	
	getup = "SpySociety/Movement/foley_cyborg/getup",
	grab = "SpySociety/Movement/foley_cyborg/grab_guard",
	pin = "SpySociety/Movement/foley_cyborg/pin_guard",
	pinned = "SpySociety/Movement/foley_cyborg/pinned",
	peek_fwd = "SpySociety/Movement/foley_cyborg/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_cyborg/peek_back",
	move = "SpySociety/Movement/foley_cyborg/move",						
	hit = "SpySociety/HitResponse/hitby_ballistic_cyborg",
}

local PRISM_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT, 

	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,						
	getup = "SpySociety/Movement/foley_trench/getup",	
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",	
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",    
}

return {

	-- BETHANY
	itb_bethany =
	{
		type = "simunit",
        agentID = "itb_bethany",
		name =  STRINGS.BREACH_AGENTS.AGENTS.BETHANY.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.BETHANY.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.BETHANY.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.HOMETOWN,
		gender = "female",
		class = "Engineer",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/bethanyJones_36.png",
		profile_icon_64x64= "gui/profile_icons/bethanyJones_64.png",
		splash_image = "gui/agents/bethany_1024.png",
		profile_anim = "portraits/BethanyJones_face",
		team_select_img = {
			"gui/agents/team_select_bethanyJones.png"
		},

		kanim = "kanim_bethany_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_PRISM,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, marksmanSkill = 2,},
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},		
		startingSkills = { hacking = 2 },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = PRISM_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.BANTER,
		blurb =  STRINGS.BREACH_AGENTS.AGENTS.BETHANY.ALT_1.BIO,
		upgrades = { "ITB_augment_bethany","ITB_item_iceminegun_bethany" },	
	},

	itb_bethany_a =
	{
		type = "simunit",
        agentID = "itb_bethany",
		name =  STRINGS.BREACH_AGENTS.AGENTS.BETHANY.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.BETHANY.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.BETHANY.ALT_2.FULLNAME,
		loadoutName = STRINGS.UI.ON_ARCHIVE,
		yearsOfService = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.ALT_2.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.HOMETOWN,
		gender = "female",
		class = "Engineer",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.ALT_2.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/bethanyJones_36.png",
		profile_icon_64x64= "gui/profile_icons/bethanyJones_64.png",
		splash_image = "gui/agents/bethany_1024.png",
		profile_anim = "portraits/BethanyJones_face",
		team_select_img = {
			"gui/agents/team_select_bethanyJones.png"
		},

		kanim = "kanim_bethany_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_PRISM,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, marksmanSkill = 2,},
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},		
		startingSkills = { hacking = 2 },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = PRISM_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.BETHANY.BANTER,
		blurb =  STRINGS.BREACH_AGENTS.AGENTS.BETHANY.ALT_2.BIO,
		upgrades = { "ITB_augment_bethany_2","ITB_item_icegun_bethany" },	
	},
	
	-- SILICA	
	itb_silica =
	{
		type = "simunit",
        agentID = "itb_silica",
		name = STRINGS.BREACH_AGENTS.AGENTS.SILICA.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.SILICA.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.SILICA.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService =  STRINGS.BREACH_AGENTS.AGENTS.SILICA.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.SILICA.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.SILICA.HOMETOWN,
		gender = "male",
		class = "Cyborg",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.SILICA.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/silica_36.png",
		profile_icon_64x64= "gui/profile_icons/silica_64.png",
		splash_image = "gui/agents/silica_1024.png",
		profile_anim = "portraits/Silica_face",	
		team_select_img = {
			"gui/agents/team_select_silica.png"
		},

		kanim = "kanim_silica_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.SILICA.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, marksmanSkill = 2, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHARP_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.SILICA.BANTER,
		blurb = STRINGS.BREACH_AGENTS.AGENTS.SILICA.ALT_1.BIO,
		upgrades = {  "ITB_augment_silica", "item_tag_pistol_silica" },	
	},	
	
	itb_silica_a =
	{
		type = "simunit",
        agentID = "itb_silica",
		name = STRINGS.BREACH_AGENTS.AGENTS.SILICA.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.SILICA.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.SILICA.ALT_2.FULLNAME,
		loadoutName = STRINGS.UI.ON_ARCHIVE,
		yearsOfService =  STRINGS.BREACH_AGENTS.AGENTS.SILICA.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.SILICA.ALT_2.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.SILICA.HOMETOWN,
		gender = "male",
		class = "Cyborg",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.SILICA.ALT_2.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/silica_36.png",
		profile_icon_64x64= "gui/profile_icons/silica_64.png",
		splash_image = "gui/agents/silica_1024.png",
		profile_anim = "portraits/Silica_face",	
		team_select_img = {
			"gui/agents/team_select_silica.png"
		},

		kanim = "kanim_silica_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.SILICA.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, marksmanSkill = 2, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHARP_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.SILICA.BANTER,
		blurb = STRINGS.BREACH_AGENTS.AGENTS.SILICA.ALT_2.BIO,
		upgrades = {  "ITB_augment_silica_2","item_tazer", "item_flurrydart_silica" },	
	},		
	
	-- ARCHIMEDES
	itb_archimedes =
	{
		type = "simunit",
        agentID = "itb_archimedes",
		name = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService =  STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.HOMETOWN,
		gender = "male",
		class = "Cyborg",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/archimedes_36.png",
		profile_icon_64x64= "gui/profile_icons/archimedes_64.png",
		splash_image = "gui/agents/archimedes_1024.png",
		profile_anim = "portraits/Archimedes_face",	
		team_select_img = {
			"gui/agents/team_select_archimedes.png"
		},

		kanim = "kanim_archimedes_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, marksmanSkill = 2, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHARP_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.BANTER,
		blurb = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.ALT_1.BIO,
		upgrades = {  "ITB_augment_archimedes", "ITB_item_archimedes_pistol","item_tazer", }, 
	},			
	
	itb_archimedes_a =
	{
		type = "simunit",
        agentID = "itb_archimedes",
		name = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.ALT_2.FULLNAME,
		loadoutName = STRINGS.UI.ON_ARCHIVE,
		yearsOfService =  STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.ALT_2.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.HOMETOWN,
		gender = "male",
		class = "Cyborg",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.ALT_2.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/archimedes_36.png",
		profile_icon_64x64= "gui/profile_icons/archimedes_64.png",
		splash_image = "gui/agents/archimedes_1024.png",
		profile_anim = "portraits/Archimedes_face",	
		team_select_img = {
			"gui/agents/team_select_archimedes.png"
		},

		kanim = "kanim_archimedes_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, marksmanSkill = 2, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		-- abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		abilities = { "shootOverwatch", "jackin", "overwatch", "peek", "escape", "disarmtrap", "observePath", "moveBody", "lastWords", "sprint" },
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHARP_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.BANTER,
		blurb = STRINGS.BREACH_AGENTS.AGENTS.ARCHIMEDES.ALT_2.BIO,
		upgrades = {  "ITB_augment_archimedes_2","ITB_item_archimedes_rifle" }, 
	},		
	
	-- CAMILA
	itb_camila =
	{
		type = "simunit",
        agentID = "itb_camila",
		name =  STRINGS.BREACH_AGENTS.AGENTS.CAMILA.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.CAMILA.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.CAMILA.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService = STRINGS.BREACH_AGENTS.AGENTS.CAMILA.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.CAMILA.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.CAMILA.HOMETOWN,
		gender = "female",
		class = "Disguise",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.CAMILA.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/camilaVera_36.png",
		profile_icon_64x64= "gui/profile_icons/camilaVera_64.png",
		splash_image = "gui/agents/camila_1024.png",
		profile_anim = "portraits/CamilaVera_face",
		-- profile_anim = "portraits/olivia_face",
		-- profile_build = "portraits/CamilaVera_face",--anim/build split in agentdefs is redundant if the portrait anim contains the right animation.xml (without which it won't show up in Kanim Viewre any
		team_select_img = {
			"gui/agents/team_select_camilaVera.png"
		},

		kanim = "kanim_camila_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.CAMILA.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_PRISM,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8},
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},		
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = PRISM_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.CAMILA.BANTER,
		blurb =  STRINGS.BREACH_AGENTS.AGENTS.CAMILA.ALT_1.BIO,
		upgrades = { "ITB_augment_camila","item_power_tazer_1", "ITB_item_smokegrenade_camila", },	
	},
	
	-- HENRY
	itb_henry =
	{
		type = "simunit", 
        agentID = "itb_henry", -- agentID = "itb_hotshot",
		name = STRINGS.BREACH_AGENTS.AGENTS.HENRY.NAME,
		file = STRINGS.BREACH_AGENTS.AGENTS.HENRY.FILE,
		fullname = STRINGS.BREACH_AGENTS.AGENTS.HENRY.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService = STRINGS.BREACH_AGENTS.AGENTS.HENRY.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.HENRY.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.HENRY.HOMETOWN,
		gender = "male",
		class = "Sharpshooter",
		toolTip =  STRINGS.BREACH_AGENTS.AGENTS.HENRY.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/henryKwan_36.png",
		profile_icon_64x64= "gui/profile_icons/henryKwan_64.png",		
		splash_image = "gui/agents/henry_1024.png",
		team_select_img = {
			"gui/agents/team_select_henryKwan.png",
		},

		profile_anim = "portraits/HenryKwan_face",
		kanim = "kanim_henry_ITB",
		hireText =  STRINGS.BREACH_AGENTS.AGENTS.HENRY.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHALEM11,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { anarchy = 2, },
		abilities = util.tconcat( { "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHALEM_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.HENRY.BANTER,
		blurb =  STRINGS.BREACH_AGENTS.AGENTS.HENRY.ALT_1.BIO,
		upgrades = { "ITB_augment_henry", "item_tazer" },		
	},

	itb_henry_a =
	{
		type = "simunit", 
        agentID = "itb_henry", -- agentID = "itb_hotshot",
		name = STRINGS.BREACH_AGENTS.AGENTS.HENRY.NAME,
		file = STRINGS.BREACH_AGENTS.AGENTS.HENRY.FILE,
		fullname = STRINGS.BREACH_AGENTS.AGENTS.HENRY.ALT_2.FULLNAME,
		loadoutName = STRINGS.UI.ON_ARCHIVE,
		yearsOfService = STRINGS.BREACH_AGENTS.AGENTS.HENRY.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.HENRY.ALT_2.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.HENRY.HOMETOWN,
		gender = "male",
		class = "Sharpshooter",
		toolTip =  STRINGS.BREACH_AGENTS.AGENTS.HENRY.ALT_2.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/henryKwan_36.png",
		profile_icon_64x64= "gui/profile_icons/henryKwan_64.png",		
		splash_image = "gui/agents/henry_1024.png",
		team_select_img = {
			"gui/agents/team_select_henryKwan.png",
		},

		profile_anim = "portraits/HenryKwan_face",
		kanim = "kanim_henry_ITB",
		hireText =  STRINGS.BREACH_AGENTS.AGENTS.HENRY.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHALEM11,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { anarchy = 2, },
		abilities = util.tconcat( { "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHALEM_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.HENRY.BANTER,
		blurb =  STRINGS.BREACH_AGENTS.AGENTS.HENRY.ALT_2.BIO,
		upgrades = { "ITB_augment_henry_2", "item_tazer" },		
	},	
	
	-- LILY
	itb_lily =
	{
		type = "simunit",
        agentID = "itb_lily",
		name =  STRINGS.BREACH_AGENTS.AGENTS.LILY.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.LILY.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.LILY.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService = STRINGS.BREACH_AGENTS.AGENTS.LILY.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.LILY.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.LILY.HOMETOWN,
		gender = "female",
		class = "Disguise",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.LILY.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/lilyReed_36.png",
		profile_icon_64x64= "gui/profile_icons/lilyReed_64.png",
		splash_image = "gui/agents/lily_1024.png",
		profile_anim = "portraits/LilyReed_face",
		team_select_img = {
			"gui/agents/team_select_lilyReed.png"
		},

		kanim = "kanim_lily_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.LILY.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_PRISM,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8},
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},		
		startingSkills = { anarchy = 2 },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = PRISM_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.LILY.BANTER,
		blurb =  STRINGS.BREACH_AGENTS.AGENTS.LILY.ALT_1.BIO,
		upgrades = { "ITB_augment_lily","item_tazer","item_icebreaker" },	
	},

	-- GANA
	itb_gana =
	{
		type = "simunit",
        agentID = "itb_gana",
		name = STRINGS.BREACH_AGENTS.AGENTS.GANA.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.GANA.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.GANA.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService =  STRINGS.BREACH_AGENTS.AGENTS.GANA.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.GANA.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.GANA.HOMETOWN,
		gender = "male",
		class = "Cyborg",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.GANA.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/gana_36.png",
		profile_icon_64x64= "gui/profile_icons/gana_64.png",
		splash_image = "gui/agents/gana_1024.png",
		profile_anim = "portraits/portrait_animation_template",	
		profile_build = "portraits/Gana_face",
		team_select_img = {
			"gui/agents/team_select_gana.png"
		},

		kanim = "kanim_gana_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.GANA.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHARP_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.GANA.BANTER,
		blurb = STRINGS.BREACH_AGENTS.AGENTS.GANA.ALT_1.BIO,
		upgrades = {  "ITB_augment_gana", "item_armor_tazer_1", "ITB_item_gana_locktorch" }, 
	},

	itb_gana_a =
	{
		type = "simunit",
        agentID = "itb_gana",
		name = STRINGS.BREACH_AGENTS.AGENTS.GANA.NAME,
		file =  STRINGS.BREACH_AGENTS.AGENTS.GANA.FILE,
		fullname =  STRINGS.BREACH_AGENTS.AGENTS.GANA.ALT_2.FULLNAME,
		loadoutName = STRINGS.UI.ON_ARCHIVE,
		yearsOfService =  STRINGS.BREACH_AGENTS.AGENTS.GANA.YEARS_OF_SERVICE,
		age = STRINGS.BREACH_AGENTS.AGENTS.GANA.AGE,
		homeTown = STRINGS.BREACH_AGENTS.AGENTS.GANA.HOMETOWN,
		gender = "male",
		class = "Cyborg",
		toolTip = STRINGS.BREACH_AGENTS.AGENTS.GANA.ALT_2.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/gana_36.png",
		profile_icon_64x64= "gui/profile_icons/gana_64.png",
		splash_image = "gui/agents/gana_1024.png",
		profile_anim = "portraits/portrait_animation_template",	
		profile_build = "portraits/Gana_face",
		team_select_img = {
			"gui/agents/team_select_gana.png"
		},

		kanim = "kanim_gana_ITB",
		hireText = STRINGS.BREACH_AGENTS.AGENTS.GANA.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHARP_SOUNDS,
		speech = STRINGS.BREACH_AGENTS.AGENTS.GANA.BANTER,
		blurb = STRINGS.BREACH_AGENTS.AGENTS.GANA.ALT_2.BIO,
		upgrades = {  "ITB_augment_gana_2", "item_armor_tazer_1" }, 
	},

	-- itb_prospero =
	-- {
		-- type = "simunit",
        -- agentID = "itb_prospero",
		-- name = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.NAME,
		-- file =  STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.FILE,
		-- fullname =  STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.ALT_1.FULLNAME,
		-- loadoutName = STRINGS.UI.ON_ARCHIVE,
		-- yearsOfService =  STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.YEARS_OF_SERVICE,
		-- age = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.AGE,
		-- homeTown = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.HOMETOWN,
		-- gender = "male",
		-- class = "Cyborg",
		-- toolTip = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.ALT_1.TOOLTIP,
		-- onWorldTooltip = commondefs.onAgentTooltip,

		-- profile_icon_36x36= "gui/profile_icons/gana_36.png",
		-- profile_icon_64x64= "gui/profile_icons/gana_64.png",
		-- splash_image = "gui/agents/gana_1024.png",
		-- profile_anim = "portraits/portrait_animation_template",	
		-- profile_build = "portraits/Gana_face",
		-- team_select_img = {
			-- "gui/agents/team_select_gana.png"
		-- },

		-- kanim = "kanim_gana_ITB", --TEMP
		-- hireText = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.RESCUED,
		-- centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		-- traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, },
		-- skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		-- startingSkills = { },
		-- abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		-- children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		-- sounds = SHARP_SOUNDS,
		-- speech = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.BANTER,
		-- blurb = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.ALT_1.BIO,
		-- upgrades = {  "ITB_augment_prospero", "item_tazer" }, 
	-- },
	
	-- itb_prospero_a =
	-- {
		-- type = "simunit",
        -- agentID = "itb_prospero",
		-- name = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.NAME,
		-- file =  STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.FILE,
		-- fullname =  STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.ALT_2.FULLNAME,
		-- loadoutName = STRINGS.UI.ON_ARCHIVE,
		-- yearsOfService =  STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.YEARS_OF_SERVICE,
		-- age = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.AGE,
		-- homeTown = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.HOMETOWN,
		-- gender = "male",
		-- class = "Cyborg",
		-- toolTip = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.ALT_2.TOOLTIP,
		-- onWorldTooltip = commondefs.onAgentTooltip,

		-- profile_icon_36x36= "gui/profile_icons/gana_36.png",
		-- profile_icon_64x64= "gui/profile_icons/gana_64.png",
		-- splash_image = "gui/agents/gana_1024.png",
		-- profile_anim = "portraits/portrait_animation_template",	
		-- profile_build = "portraits/Gana_face",
		-- team_select_img = {
			-- "gui/agents/team_select_gana.png"
		-- },

		-- kanim = "kanim_gana_ITB", --TEMP
		-- hireText = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.RESCUED,
		-- centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		-- traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, },
		-- skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		-- startingSkills = { },
		-- abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		-- children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		-- sounds = SHARP_SOUNDS,
		-- speech = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.BANTER,
		-- blurb = STRINGS.BREACH_AGENTS.AGENTS.PROSPERO.ALT_2.BIO,
		-- upgrades = {  "ITB_augment_prospero_2", "item_tazer" }, 
	-- },	

}