local util = include( "modules/util" )
local commondefs = include("sim/unitdefs/commondefs")
local speechdefs = include( "sim/speechdefs" )
local simdefs = include("sim/simdefs")
local SCRIPTS = include('client/story_scripts')
-----------------------------------------------------
-- Agent templates

local WRAITH_SOUNDS =
{	
	bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT, 

	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,						
	getup = "SpySociety/Movement/foley_trench/getup",	
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",	
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local LOBA_SOUNDS =
{	
	bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT, 

	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,						
	getup = "SpySociety/Movement/foley_trench/getup",	
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",	
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local agent_templates =
{
	APEX_Wraith =
	{
		type = "simunit",
	    agentID = "APEX_Wraith",
		name = STRINGS.APEX.AGENTS.WRAITH.NAME,
		file =  STRINGS.APEX.AGENTS.WRAITH.FILE,
		fullname = STRINGS.APEX.AGENTS.WRAITH.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService = STRINGS.APEX.AGENTS.WRAITH.YEARS_OF_SERVICE,
		age = STRINGS.APEX.AGENTS.WRAITH.AGE,
		homeTown = STRINGS.APEX.AGENTS.WRAITH.HOMETOWN,
		gender = "female",
		class = "Stealth",
		toolTip = STRINGS.APEX.AGENTS.WRAITH.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/lady_wraith_36.png",
		profile_icon_64x64= "gui/profile_icons/lady_wraith_64.png",
		splash_image = "gui/agents/wraith_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_wraith.png",
		},

		profile_anim = "portraits/wraith_face",
		kanim = "kanim_female_wraith",
		hireText = STRINGS.APEX.AGENTS.WRAITH.RESCUED,
		--centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_WRAITH,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { stealth = 2 },
		abilities = { "sprint", "shootOverwatch", "jackin", "overwatch", "escape", "melee", "disarmtrap", "overwatchMelee" , "meleeOverwatch", "moveBody", "lastWords"  },
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = WRAITH_SOUNDS,
		speech = speechdefs.engineer_2,
		blurb = STRINGS.APEX.AGENTS.WRAITH.ALT_1.BIO,
		upgrades = { "APEX_Voices", "item_tazer", "APEX_Rifter" },

		-- autoprocessing section: tells the Smartlink which modapi functions to use on which files
		prereqs = { 
			itemdefs = "addItemDef",
			abilitydefs = "addAbilityDef",
			animdefs = "addAnimDef",
		},
	},

	APEX_Loba =
	{
		type = "simunit",
	    agentID = "APEX_Loba",
		name = STRINGS.APEX.AGENTS.LOBA.NAME,
		file =  STRINGS.APEX.AGENTS.LOBA.FILE,
		fullname = STRINGS.APEX.AGENTS.LOBA.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService = STRINGS.APEX.AGENTS.LOBA.YEARS_OF_SERVICE,
		age = STRINGS.APEX.AGENTS.LOBA.AGE,
		homeTown = STRINGS.APEX.AGENTS.LOBA.HOMETOWN,
		gender = "female",
		class = "Stealth",
		toolTip = STRINGS.APEX.AGENTS.LOBA.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/lady_loba_36.png",
		profile_icon_64x64= "gui/profile_icons/lady_loba_64.png",
		splash_image = "gui/agents/loba_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_loba.png",
		},
		profile_anim = "portraits/loba_face",
		kanim = "kanim_female_loba",
		hireText = STRINGS.APEX.AGENTS.LOBA.RESCUED,
		--centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_WRAITH,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { anarchy = 2 },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = LOBA_SOUNDS,
		speech = speechdefs.engineer_2,
		blurb = STRINGS.APEX.AGENTS.LOBA.ALT_1.BIO,
		upgrades = { "APEX_EyeForQuality", "APEX_Bracelet", "item_lockdecoder" },

		prereqs = { 
			itemdefs = "addItemDef",
			abilitydefs = "addAbilityDef",
			animdefs = "addAnimDef",
		},
	},
}

return agent_templates