---------------------------------------------------------------------
-- Invisible Inc. Mod.


local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include("sim/simdefs")
local speechdefs = include("sim/speechdefs")
local SCRIPTS = include('client/story_scripts')
local DEFAULT_DRONE = commondefs.DEFAULT_DRONE
local SOUNDS = commondefs.SOUNDS

local DOSAN_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,
					
	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",					
	fall_knee = "SpySociety/Movement/bodyfall_agent_knee_hardwood",
	fall_kneeframe = 9,
	fall_hand = "SpySociety/Movement/bodyfall_agent_hand_hardwood",
	fall_handframe = 20,
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 35,						
	getup = "SpySociety/Movement/foley_trench/getup",
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",	
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",	
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}


local agent_templates =
{
	dosan_01 =
	{
		type = "simunit",
     		agentID = "dosan_01",
		name = STRINGS.Dosan.AGENTS.DOSAN.NAME,
		fullname = STRINGS.Dosan.AGENTS.DOSAN.FULLNAME,
		codename = STRINGS.Dosan.AGENTS.DOSAN.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		file = STRINGS.Dosan.AGENTS.DOSAN.FILE,
		yearsOfService = STRINGS.Dosan.AGENTS.DOSAN.YEARS_OF_SERVICE,
		age = STRINGS.Dosan.AGENTS.DOSAN.AGE,
		homeTown =  STRINGS.Dosan.AGENTS.DOSAN.HOMETOWN,
		gender = "male",
		class = "Sharpshooter",
		toolTip = STRINGS.Dosan.AGENTS.DOSAN.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/dosan_36.png",
		profile_icon_64x64= "gui/profile_icons/dosan_64x64.png",
		splash_image = "gui/agents/dosan_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_dosan.png"
		},

		profile_anim = "portraits/robo_alex_face",
		profile_build = "portraits/dosan_build",
		kanim = "kanim_dosan",
		hireText =  STRINGS.Dosan.AGENTS.DOSAN.RESCUED,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax =8},
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		abilities = util.tconcat( {  "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = { },
		sounds = DOSAN_SOUNDS,
		speech = STRINGS.Dosan.AGENTS.DOSAN.BANTER,
		blurb = STRINGS.Dosan.AGENTS.DOSAN.BIO,
		upgrades = { "augment_dosan_pda", "item_dosans_hands" },
	},

}

return agent_templates