local util = include("modules/util")
local commondefs = include("sim/unitdefs/commondefs")
local simdefs = include("sim/simdefs")

local FEMALE_SOUNDS = {
    bio = "",
    escapeVo = "",
    speech = "SpySociety/Agents/dialogue_player",
    step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL,
    stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT,
    wallcover = "SpySociety/Movement/foley_trench/wallcover",
    crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
    fall = "SpySociety/Movement/foley_trench/fall",
    land = "SpySociety/Movement/deathfall_agent_hardwood",
    land_frame = 16,
    getup = "SpySociety/Movement/foley_trench/getup",
    grab = "SpySociety/Movement/foley_trench/grab_guard",
    pin = "SpySociety/Movement/foley_trench/pin_guard",
    pinned = "SpySociety/Movement/foley_trench/pinned",
    peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",
    peek_bwd = "SpySociety/Movement/foley_trench/peek_back",
    move = "SpySociety/Movement/foley_trench/move",
    hit = "SpySociety/HitResponse/hitby_ballistic_flesh"
}

local sader_template = {
    type = "simunit",
    agentID = "saderfiasco",
    name = STRINGS.HEATSIGNATURE.SADERFIASCO.NAME,
    file = STRINGS.HEATSIGNATURE.SADERFIASCO.FILE,
    yearsOfService = STRINGS.HEATSIGNATURE.SADERFIASCO.YEARS_OF_SERVICE,
    age = STRINGS.HEATSIGNATURE.SADERFIASCO.AGE,
    homeTown = STRINGS.HEATSIGNATURE.SADERFIASCO.HOMETOWN,
    speech = STRINGS.HEATSIGNATURE.SADERFIASCO.BANTER,
    hireText = STRINGS.HEATSIGNATURE.SADERFIASCO.RESCUED,
    gender = "female",
    sounds = FEMALE_SOUNDS,
    onWorldTooltip = commondefs.onAgentTooltip,
    profile_icon_36x36 = "gui/profile_icons/saderfiasco_36.png",
    profile_icon_64x64 = "gui/profile_icons/saderfiasco_64x64.png",
    splash_image = "gui/agents/saderfiasco_1024.png",
    team_select_img = {"gui/agents/team_select_1_saderfiasco.png"},
    traits = util.extend(commondefs.DEFAULT_AGENT_TRAITS) {mp = 8, mpMax = 8},
    skills = util.extend(commondefs.DEFAULT_AGENT_SKILLS) {},
    startingSkills = {anarchy = 2},
    abilities = util.tconcat({"sprint"}, commondefs.DEFAULT_AGENT_ABILITIES),
    children = {},
    logs = {}
}

return {
    saderfiasco = util.extend(sader_template) {
        fullname = STRINGS.HEATSIGNATURE.SADERFIASCO.ALT_1.FULLNAME,
        codename = STRINGS.HEATSIGNATURE.SADERFIASCO.ALT_1.FULLNAME,
        loadoutName = STRINGS.UI.ON_FILE,
        toolTip = STRINGS.HEATSIGNATURE.SADERFIASCO.ALT_1.TOOLTIP,
        blurb = STRINGS.HEATSIGNATURE.SADERFIASCO.ALT_1.BIO,
        profile_anim = "portraits/saderfiasco_face",
        profile_build = "portraits/saderfiasco_face",
        kanim = "kanim_saderfiasco",
        upgrades = {"item_facebreaker", "item_glitchtrap_selfcharging"}
    },
    saderfiasco_a = util.extend(sader_template) {
        fullname = STRINGS.HEATSIGNATURE.SADERFIASCO.ALT_2.FULLNAME,
        codename = STRINGS.HEATSIGNATURE.SADERFIASCO.ALT_2.FULLNAME,
        loadoutName = STRINGS.UI.ON_ARCHIVE,
        toolTip = STRINGS.HEATSIGNATURE.SADERFIASCO.ALT_2.TOOLTIP,
        blurb = STRINGS.HEATSIGNATURE.SADERFIASCO.ALT_2.BIO,
        profile_anim = "portraits/saderfiasco_a_face",
        profile_build = "portraits/saderfiasco_a_face",
        kanim = "kanim_saderfiasco",
        upgrades = {"item_swapper", "item_flashgrenade_sticky_launcher"}
    }
}
