local util = include( "modules/util" )
local commondefs = include("sim/unitdefs/commondefs")
local simdefs = include("sim/simdefs")
local speechdefs = include( "sim/speechdefs" )
local SCRIPTS = include('client/story_scripts')

local DECKARD_SOUNDS =
{
	bio = "SpySociety/VoiceOver/Missions/Bios/Decker",
	escapeVo = "SpySociety/VoiceOver/Missions/Escape/Operator_Escape_Agent_Deckard",
	speech="SpySociety/Agents/dialogue_player",
	step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL,
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",
	fall_knee = "SpySociety/Movement/bodyfall_agent_knee_hardwood",
	fall_kneeframe = 9,
	fall_hand = "SpySociety/Movement/bodyfall_agent_hand_hardwood",
	fall_handframe = 20,
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 35,
	getup = "SpySociety/Movement/foley_trench/getup",
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local INTERNATIONALE_SOUNDS =
{
	bio = "SpySociety/VoiceOver/Missions/Bios/Internationale",
	escapeVo = "SpySociety/VoiceOver/Missions/Escape/Operator_Escape_Agent_Internationale",
	speech="SpySociety/Agents/dialogue_player",
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL,
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_suit/wallcover",
	crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
	fall = "SpySociety/Movement/foley_suit/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,
	getup = "SpySociety/Movement/foley_suit/getup",
	grab = "SpySociety/Movement/foley_suit/grab_guard",
	pin = "SpySociety/Movement/foley_suit/pin_guard",
	pinned = "SpySociety/Movement/foley_suit/pinned",
	peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",
	peek_bwd = "SpySociety/Movement/foley_suit/peek_back",
	move = "SpySociety/Movement/foley_suit/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local SHALEM_SOUNDS =
{
	bio = "SpySociety/VoiceOver/Missions/Bios/Shalem",
	escapeVo = "SpySociety/VoiceOver/Missions/Escape/Operator_Escape_Agent_Shalem11",
	speech="SpySociety/Agents/dialogue_player",
	step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL,
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_suit/wallcover",
	crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
	fall = "SpySociety/Movement/foley_suit/fall",
	fall_knee = "SpySociety/Movement/bodyfall_agent_knee_hardwood",
	fall_kneeframe = 9,
	fall_hand = "SpySociety/Movement/bodyfall_agent_hand_hardwood",
	fall_handframe = 20,
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 35,
	getup = "SpySociety/Movement/foley_suit/getup",
	grab = "SpySociety/Movement/foley_suit/grab_guard",
	pin = "SpySociety/Movement/foley_suit/pin_guard",
	pinned = "SpySociety/Movement/foley_suit/pinned",
	peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",
	peek_bwd = "SpySociety/Movement/foley_suit/peek_back",
	move = "SpySociety/Movement/foley_suit/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local BANKS_SOUNDS =
{
    bio = "SpySociety/VoiceOver/Missions/Bios/Banks",
    escapeVo = "SpySociety/VoiceOver/Missions/Escape/Operator_Escape_Agent_Banks",
	speech="SpySociety/Agents/dialogue_player",
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL,
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,
	getup = "SpySociety/Movement/foley_trench/getup",
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local XU_SOUNDS =
{
    bio = "SpySociety/VoiceOver/Missions/Bios/DrXu",
    escapeVo = "SpySociety/VoiceOver/Missions/Escape/Operator_Escape_Agent_DrXu",
    speech="SpySociety/Agents/dialogue_player",
    step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL,
    stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,

    wallcover = "SpySociety/Movement/foley_suit/wallcover",
    crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
    fall = "SpySociety/Movement/foley_suit/fall",
    fall_knee = "SpySociety/Movement/bodyfall_agent_knee_hardwood",
    fall_kneeframe = 9,
    fall_hand = "SpySociety/Movement/bodyfall_agent_hand_hardwood",
    fall_handframe = 20,
    land = "SpySociety/Movement/deathfall_agent_hardwood",
    land_frame = 35,
    getup = "SpySociety/Movement/foley_suit/getup",
    grab = "SpySociety/Movement/foley_suit/grab_guard",
    pin = "SpySociety/Movement/foley_suit/pin_guard",
    pinned = "SpySociety/Movement/foley_suit/pinned",
    peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",
    peek_bwd = "SpySociety/Movement/foley_suit/peek_back",
    move = "SpySociety/Movement/foley_suit/move",
    hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local NIKA_SOUNDS =
{
    bio = "SpySociety/VoiceOver/Missions/Bios/Muratova",
    escapeVo = "SpySociety/VoiceOver/Missions/Escape/Operator_Escape_Agent_Nika",
	speech="SpySociety/Agents/dialogue_player",
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL,
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_suit/wallcover",
	crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
	fall = "SpySociety/Movement/foley_suit/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,
	getup = "SpySociety/Movement/foley_suit/getup",
	grab = "SpySociety/Movement/foley_suit/grab_guard",
	pin = "SpySociety/Movement/foley_suit/pin_guard",
	pinned = "SpySociety/Movement/foley_suit/pinned",
	peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",
	peek_bwd = "SpySociety/Movement/foley_suit/peek_back",
	move = "SpySociety/Movement/foley_suit/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local SHARP_SOUNDS =
{
    bio = "SpySociety/VoiceOver/Missions/Bios/Sharp",
    escapeVo = "SpySociety/VoiceOver/Missions/Escape/Operator_Escape_Agent_Sharp",
	speech="SpySociety/Agents/dialogue_player",
	step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL,
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_cyborg/wallcover",
	crouchcover = "SpySociety/Movement/foley_cyborg/crouchcover",
	fall = "SpySociety/Movement/foley_cyborg/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 35,
	getup = "SpySociety/Movement/foley_cyborg/getup",
	grab = "SpySociety/Movement/foley_cyborg/grab_guard",
	pin = "SpySociety/Movement/foley_cyborg/pin_guard",
	pinned = "SpySociety/Movement/foley_cyborg/pinned",
	peek_fwd = "SpySociety/Movement/foley_cyborg/peek_forward",
	peek_bwd = "SpySociety/Movement/foley_cyborg/peek_back",
	move = "SpySociety/Movement/foley_cyborg/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_cyborg",
}

local PRISM_SOUNDS =
{
	bio = "SpySociety/VoiceOver/Missions/Bios/Esther",
    escapeVo = "SpySociety/VoiceOver/Missions/Escape/Operator_Escape_Agent_Prism",
	speech="SpySociety/Agents/dialogue_player",
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL,
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,
	getup = "SpySociety/Movement/foley_trench/getup",
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local CENTRAL_SOUNDS = util.extend(PRISM_SOUNDS)
{
	bio = "SpySociety/VoiceOver/Missions/Bios/Central",
}

local MONST3R_SOUNDS = util.extend(DECKARD_SOUNDS)
{
	bio = "SpySociety/VoiceOver/Missions/Bios/Monst3r",
}

-------------------------------------------------------------------------------------

local agents =
{
	maa_decker_1 =
	{
		type = "simunit",
		agentID = 1,
		name = STRINGS.AGENTS.DECKARD.NAME,
		fullname = STRINGS.AGENTS.DECKARD.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.DECKER.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_B,
		file =STRINGS.AGENTS.DECKARD.FILE,
		yearsOfService = STRINGS.AGENTS.DECKARD.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.DECKER.ALT_3.AGE,
		homeTown =  STRINGS.AGENTS.DECKARD.HOMETOWN,
		gender = "male",
		class = "Stealth",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.DECKER.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/stealth_36.png",
		profile_icon_64x64= "gui/profile_icons/stealth1_64x64.png",
		splash_image = "gui/agents/deckard_1024.png",

		team_select_img = {
			"gui/agents/team_select_1_deckard.png",
		},

		profile_anim = "portraits/stealth_guy_face",
		kanim = "kanim_stealth_male",
		hireText = STRINGS.AGENTS.DECKARD.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_DECKARD,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax =8, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { stealth = 2},
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),-- "stealth"
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = DECKARD_SOUNDS,
		speech = speechdefs.stealth_1,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.DECKER.ALT_3.BIO,
		upgrades = { "maa_daemon_cloak_augment", "item_tazer" },
	},

	maa_maria_1 =
	{
		type = "simunit",
		agentID = 5,
		name = STRINGS.AGENTS.INTERNATIONALE.NAME,
		file = STRINGS.AGENTS.INTERNATIONALE.FILE,
		fullname = STRINGS.AGENTS.INTERNATIONALE.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.INTERNATIONALE.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_B,
		yearsOfService = STRINGS.AGENTS.INTERNATIONALE.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.INTERNATIONALE.ALT_3.AGE,
		homeTown = STRINGS.AGENTS.INTERNATIONALE.HOMETOWN,
		gender = "female",
		class = "Engineer",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.INTERNATIONALE.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/lady_tech_36.png",
		profile_icon_64x64= "gui/profile_icons/engineer2_64x64.png",
		splash_image = "gui/agents/red_1024.png",

		team_select_img = {
			"gui/agents/team_select_1_red.png",
		},

		profile_anim = "portraits/lady_tech_face",
		kanim = "kanim_female_engineer_2",
		hireText = STRINGS.AGENTS.INTERNATIONALE.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_INTERNATIONALE,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { hacking = 2},
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = INTERNATIONALE_SOUNDS,
		speech = speechdefs.engineer_2,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.INTERNATIONALE.ALT_3.BIO,
		upgrades = { "maa_heartmonitor_scanner", "item_tazer" },
	},

	maa_shalem_1 =
	{
		type = "simunit",
		agentID = 2,
		name = STRINGS.AGENTS.SHALEM.NAME,
		file = STRINGS.AGENTS.SHALEM.FILE,
		fullname = STRINGS.AGENTS.SHALEM.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_B,
		yearsOfService = STRINGS.AGENTS.SHALEM.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_3.AGE,
		homeTown = STRINGS.AGENTS.SHALEM.HOMETOWN,
		gender = "male",
		class = "Sharpshooter",
		toolTip =  STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/sharpshooter_36.png",
		profile_icon_64x64= "gui/profile_icons/shalem_64x64.png",
		splash_image = "gui/agents/shalem_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_shalem.png",
		},

		profile_anim = "portraits/sharpshooter_face",
		kanim = "kanim_sharpshooter_male",
		hireText =  STRINGS.AGENTS.SHALEM.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHALEM11,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8, marksmanSkill = 3 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { inventory = 2 },
		abilities = util.tconcat( { "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHALEM_SOUNDS,
		speech = speechdefs.sharpshooter_1,
		blurb =  STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_3.BIO,
		upgrades = { "maa_targeting_visor", "maa_shalem_xray_rifle", "maa_sniper_cloak" },
	},

	maa_banks_1 =
	{
		type = "simunit",
		agentID = 4,
		name = STRINGS.AGENTS.BANKS.NAME,
		file =  STRINGS.AGENTS.BANKS.FILE,
		fullname = STRINGS.AGENTS.BANKS.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_B,
		yearsOfService = STRINGS.AGENTS.BANKS.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_3.AGE,
		homeTown = STRINGS.AGENTS.BANKS.HOMETOWN,
		gender = "female",
		class = "Stealth",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/lady_stealth_36.png",
		profile_icon_64x64= "gui/profile_icons/banks_64x64.png",
		splash_image = "gui/agents/banks_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_banks.png",
		},

		profile_anim = "portraits/lady_stealth_face",
		kanim = "kanim_female_stealth_2",
		hireText = STRINGS.AGENTS.BANKS.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_BANKS,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax =8 },	--passiveKey = simdefs.DOOR_KEYS.SECURITY
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { anarchy = 2 },
		abilities = util.tconcat( { "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ), -- "stealth"
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = BANKS_SOUNDS,
		speech = speechdefs.stealth_2,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_3.BIO,
		upgrades = { "maa_shadow_cloak_augment", "maa_neurotoxin_dart_gun" },
	},

	maa_tony_1 =
	{
		type = "simunit",
		agentID = 3,
		name = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_3.NAME,
		file = STRINGS.AGENTS.XU.FILE,
		fullname = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_3.DRLESS_FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_B,
		yearsOfService = STRINGS.AGENTS.XU.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_3.AGE,
		homeTown = STRINGS.AGENTS.XU.HOMETOWN,
		gender = "male",
		class = "Engineer",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/tony_36.png",
		profile_icon_64x64= "gui/profile_icons/tony_64x64.png",
		splash_image = "gui/agents/tony_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_tony.png",
		},

		profile_anim = "portraits/baby_tony_face",
		kanim = "kanim_hacker_male_B",
		hireText = STRINGS.AGENTS.XU.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_TONY,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = XU_SOUNDS,
		speech = speechdefs.engineer_1,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_3.BIO,
		upgrades = { "maa_heartshocktrap_activator", "maa_heartshocktrap", "maa_spot_emp" },
	},

	maa_nika_1 =
	{
		type = "simunit",
		agentID = 6,
		name =  STRINGS.AGENTS.NIKA.NAME,
		file =  STRINGS.AGENTS.NIKA.FILE,
		fullname =  STRINGS.AGENTS.NIKA.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NIKA.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_B,
		yearsOfService =  STRINGS.AGENTS.NIKA.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NIKA.ALT_3.AGE,
		homeTown = STRINGS.AGENTS.NIKA.HOMETOWN,
		gender = "female",
		class = "Sharpshooter",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NIKA.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/lady_sharpshooter_36.png",
		profile_icon_64x64= "gui/profile_icons/nika_64x64.png",
		splash_image = "gui/agents/nika_1024.png",
		profile_anim = "portraits/lady_sharpshooter_face",
		team_select_img = {
			"gui/agents/team_select_1_nika.png"
		},

		kanim = "kanim_female_sharpshooter_2",
		hireText = STRINGS.AGENTS.NIKA.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_NIKA,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, marksmanSkill = 2 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to te upgrades table in createDefaultAgency()
		sounds = NIKA_SOUNDS,
		speech = speechdefs.sharpshooter_2,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NIKA.ALT_3.BIO,
		upgrades = { "maa_adrenaline_amplifier", "item_tazer" },
		logs = {},
	},

	maa_sharp_1 =
	{
		type = "simunit",
		agentID = 7,
		name =  STRINGS.AGENTS.SHARP.NAME,
		file =  STRINGS.AGENTS.SHARP.FILE,
		fullname =  STRINGS.AGENTS.SHARP.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_B,
		yearsOfService =  STRINGS.AGENTS.SHARP.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_3.AGE,
		homeTown = STRINGS.AGENTS.SHARP.HOMETOWN,
		gender = "male",
		class = "Cyborg",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/sharp_36.png",
		profile_icon_64x64= "gui/profile_icons/sharp_64x64.png",
		splash_image = "gui/agents/sharp_1024.png",
		profile_anim = "portraits/robo_alex_face",
		team_select_img = {
			"gui/agents/team_select_1_sharp.png"
		},

		kanim = "kanim_cyborg_male",
		hireText = STRINGS.AGENTS.SHARP.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, augmentMaxSize=6 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { hacking = 2 },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHARP_SOUNDS,
		speech = speechdefs.cyborg_1,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_3.BIO,
		upgrades = {  "maa_modular_powerframe", "item_tazer" },
	},

	maa_prism_1 =
	{
		type = "simunit",
		agentID = 8,
		name =  STRINGS.AGENTS.PRISM.NAME,
		file =  STRINGS.AGENTS.PRISM.FILE,
		fullname =  STRINGS.AGENTS.PRISM.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.PRISM.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_B,
		yearsOfService =  STRINGS.AGENTS.PRISM.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.PRISM.ALT_3.AGE,
		homeTown = STRINGS.AGENTS.PRISM.HOMETOWN,
		gender = "female",
		class = "Disguise",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.PRISM.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/prism_36.png",
		profile_icon_64x64= "gui/profile_icons/prism1_64x64.png",
		splash_image = "gui/agents/prism_1024.png",
		profile_anim = "portraits/prism_face",
		team_select_img = {
			"gui/agents/team_select_1_prism.png"
		},

		kanim = "kanim_disguise_female",
		hireText = STRINGS.AGENTS.PRISM.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_PRISM,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8},
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { anarchy = 2 },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = PRISM_SOUNDS,
		speech = speechdefs.disguise_1,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.PRISM.ALT_3.BIO,
		upgrades = { "maa_mainframe_brain_interface", "item_portabledrive" },
	},

	maa_central_1 =
	{
		type = "simunit",
		name = STRINGS.AGENTS.CENTRAL.NAME,
		agentID = 108,
		fullname = STRINGS.AGENTS.CENTRAL.ALT_1.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_OFB,
		yearsOfService = STRINGS.AGENTS.CENTRAL.YEARS_OF_SERVICE,
		age = STRINGS.AGENTS.CENTRAL.AGE,
		homeTown = STRINGS.AGENTS.CENTRAL.HOMETOWN,
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.CENTRAL.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/central_36.png",
		profile_icon_64x64= "gui/profile_icons/central_64x64.png",
		splash_image = "gui/agents/central_1024.png",
		profile_anim = "portraits/central_face",
		gender = "female",
		team_select_img = {
			"gui/agents/team_select_1_central.png",
		},
		kanim = "kanim_central",
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { inventoryMaxSize = 3, mp=8, mpMax=8, noUpgrade = true, central=true  },
		tags = { "central" },
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		abilities = util.tconcat( {  "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ),-- "stealth"
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { anarchy = 3 },
		sounds = CENTRAL_SOUNDS,
		speech = speechdefs.central,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.CENTRAL.ALT_3.BIO,
		hireText = STRINGS.AGENTS.CENTRAL.RESCUED,
		lockedText = STRINGS.UI.TEAM_SELECT.UNLOCK_CENTRAL_MONSTER,
		upgrades = { "maa_incognita_routine_interface", "item_tazer", "maa_power_bank" },
	},

	maa_monster_1 =
	{
		type = "simunit",
		agentID = 100,
		name = STRINGS.AGENTS.MONST3R.NAME,
		fullname = STRINGS.AGENTS.MONST3R.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.MONSTER.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_OFB,
		yearsOfService = STRINGS.AGENTS.MONST3R.YEARS_OF_SERVICE,
		age = STRINGS.AGENTS.MONST3R.AGE,
		homeTown =STRINGS.AGENTS.MONST3R.HOMETOWN,
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.MONSTER.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/monst3r_36.png",
		profile_icon_64x64= "gui/profile_icons/monst3r_64x64.png",
		gender = "male",
		splash_image = "gui/agents/monst3r_1024.png",
		profile_anim = "portraits/monst3r_face",
		team_select_img = {
			"gui/agents/team_select_1_monst3r.png",
		},
		lockedText = STRINGS.UI.TEAM_SELECT.UNLOCK_CENTRAL_MONSTER,
		kanim = "kanim_monst3r",
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { inventoryMaxSize = 3, mp=8, mpMax=8, noUpgrade = true, monst3rUnit = true, monst3r = true },
		tags = { "monst3r" },
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		abilities = util.tconcat( {  "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ),-- "stealth"
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { hacking = 3 },
		sounds = MONST3R_SOUNDS,
		speech = speechdefs.monst3r,
		hireText = STRINGS.AGENTS.MONST3R.RESCUED,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.MONSTER.ALT_3.BIO,
		upgrades = { "maa_advanced_nanofab_subroutine", "item_monst3r_gun" },
	},

	maa_decker_2 =
	{
		type = "simunit",
		agentID = 1,
		name = STRINGS.AGENTS.DECKARD.NAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.DECKER.ALT_4.FULLNAME,
		fullname = STRINGS.AGENTS.DECKARD.ALT_1.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_C,
		file = STRINGS.AGENTS.DECKARD.FILE,
		yearsOfService = STRINGS.AGENTS.DECKARD.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.DECKER.ALT_4.AGE,
		homeTown = STRINGS.AGENTS.DECKARD.HOMETOWN,
		gender = "male",
		class = "Stealth",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.DECKER.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/stealth_36.png",
		profile_icon_64x64= "gui/profile_icons/stealth2_64x64.png",
		splash_image = "gui/agents/deckard2_1024.png",
		team_select_img = {
			"gui/agents/team_select_2_deckard.png",
		},
		profile_anim = "portraits/stealth_guy_face",
		kanim = "kanim_stealth_male_a",
		hireText = STRINGS.AGENTS.DECKARD.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_DECKARD,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax =8, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { stealth = 2},
		abilities = util.tconcat( {  "sprint", "maa_drunk" }, commondefs.DEFAULT_AGENT_ABILITIES ),-- "stealth"
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = DECKARD_SOUNDS,
		speech = speechdefs.stealth_1,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.DECKER.ALT_4.BIO,
		upgrades = { "maa_defibrillator_augment", "item_tazer", "maa_whiskey"},
	},

	maa_maria_2 =
	{
		type = "simunit",
		agentID = 5,
		name = STRINGS.AGENTS.INTERNATIONALE.NAME,
		file = STRINGS.AGENTS.INTERNATIONALE.FILE,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.INTERNATIONALE.ALT_4.FULLNAME,
		fullname = STRINGS.AGENTS.INTERNATIONALE.ALT_1.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_C,
		yearsOfService = STRINGS.AGENTS.INTERNATIONALE.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.INTERNATIONALE.ALT_4.AGE,
		homeTown = STRINGS.AGENTS.INTERNATIONALE.HOMETOWN,
		gender = "female",
		class = "Engineer",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.INTERNATIONALE.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/lady_tech_36.png",
		profile_icon_64x64= "gui/profile_icons/engineer2a_64x64.png",
		splash_image = "gui/agents/red2_1024.png",
		team_select_img = {
			"gui/agents/team_select_2_red.png",
		},
		profile_anim = "portraits/lady_tech_face",
		kanim = "kanim_female_engineer_2_a",
		hireText = STRINGS.AGENTS.INTERNATIONALE.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_INTERNATIONALE,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { hacking = 2},
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
        children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = INTERNATIONALE_SOUNDS,
		speech = speechdefs.engineer_2,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.INTERNATIONALE.ALT_4.BIO,
		upgrades = { "maa_idle_cycle_processor", "item_tazer", "maa_portable_power_battery" },
	},

	maa_shalem_2 =
	{
		type = "simunit",
		agentID = 2,
		name =  STRINGS.AGENTS.SHALEM.NAME,
		file =  STRINGS.AGENTS.SHALEM.FILE,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_4.FULLNAME,
		fullname = STRINGS.AGENTS.SHALEM.ALT_1.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_C,
		yearsOfService =  STRINGS.AGENTS.SHALEM.YEARS_OF_SERVICE,
		age =  STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_4.AGE,
		homeTown = STRINGS.AGENTS.SHALEM.HOMETOWN,
		gender = "male",
		class = "Sharpshooter",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/sharpshooter_36.png",
		profile_icon_64x64= "gui/profile_icons/shalem2_64x64.png",
		splash_image = "gui/agents/shalem_1024_2.png",
		team_select_img = {
			"gui/agents/team_select_2_shalem.png",
		},

		profile_anim = "portraits/sharpshooter_face",
		kanim = "kanim_sharpshooter_male_a",
		hireText =  STRINGS.AGENTS.SHALEM.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHALEM11,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8, marksmanSkill = 3 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { inventory = 2, },
		abilities = util.tconcat( { "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHALEM_SOUNDS,
		speech = speechdefs.sharpshooter_1,
		blurb =  STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_4.BIO,
		upgrades = {"maa_kill_validator", "item_tazer", "maa_lethal_injection" },
	},

	maa_banks_2 =
	{
		type = "simunit",
		agentID = 4,
		name = STRINGS.AGENTS.BANKS.NAME,
		file =  STRINGS.AGENTS.BANKS.FILE,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_4.FULLNAME,
		fullname = STRINGS.AGENTS.BANKS.ALT_1.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_C,
		yearsOfService = STRINGS.AGENTS.BANKS.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_4.AGE,
		homeTown = STRINGS.AGENTS.BANKS.HOMETOWN,
		gender = "female",
		class = "Stealth",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/lady_stealth_36.png",
		profile_icon_64x64= "gui/profile_icons/banks2_64x64.png",
		splash_image = "gui/agents/banks2_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_banks2.png",
		},
		profile_anim = "portraits/lady_stealth_face",
		kanim = "kanim_female_stealth_2_a",
		hireText = STRINGS.AGENTS.BANKS.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_BANKS,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax =8 },	--passiveKey = simdefs.DOOR_KEYS.SECURITY
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { anarchy = 2 },
		abilities = util.tconcat( { "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ), -- "stealth"
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = BANKS_SOUNDS,
		speech = speechdefs.stealth_2,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_4.BIO,
		upgrades = { "maa_neural_targetor", "item_tazer" },
	},

	maa_tony_2 =
	{
		type = "simunit",
		agentID = 3,
		name = STRINGS.AGENTS.XU.NAME,
		file = STRINGS.AGENTS.XU.FILE,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_4.FULLNAME,
		fullname = STRINGS.AGENTS.XU.ALT_1.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_C,
		yearsOfService = STRINGS.AGENTS.XU.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_4.AGE,
		homeTown = STRINGS.AGENTS.XU.HOMETOWN,
		gender = "male",

		class = "Engineer",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/tony_36.png",
		profile_icon_64x64= "gui/profile_icons/tony2_64x64.png",
		splash_image = "gui/agents/tony2_1024.png",
		team_select_img = {
			"gui/agents/team_select_2_tony.png",
		},

		profile_anim = "portraits/dr_tony_face",
		kanim = "kanim_hacker_male_C",
		hireText = STRINGS.AGENTS.XU.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_TONY,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = XU_SOUNDS,
		speech = speechdefs.engineer_1,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.TONY.ALT_4.BIO,
		upgrades = { "item_tazer", "maa_tony_toolkit"},
	},

	maa_nika_2 =
	{
		type = "simunit",
		agentID = 6,
		name =  STRINGS.AGENTS.NIKA.NAME,
		file =  STRINGS.AGENTS.NIKA.FILE,
		fullname =  STRINGS.AGENTS.NIKA.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NIKA.ALT_4.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_C,
		yearsOfService =  STRINGS.AGENTS.NIKA.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NIKA.ALT_4.AGE,
		homeTown = STRINGS.AGENTS.NIKA.HOMETOWN,
		gender = "female",
		class = "Sharpshooter",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NIKA.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/lady_sharpshooter_36.png",
		profile_icon_64x64= "gui/profile_icons/nika2_64x64.png",
		splash_image = "gui/agents/nika2_1024.png",
		profile_anim = "portraits/lady_sharpshooter_face",
		team_select_img = {
			"gui/agents/team_select_1_nika2.png"
		},

		kanim = "kanim_female_sharpshooter_2_a",
		hireText = STRINGS.AGENTS.NIKA.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_NIKA,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, marksmanSkill = 2 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = NIKA_SOUNDS,
		speech = speechdefs.sharpshooter_2,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NIKA.ALT_4.BIO,
		upgrades = { "maa_reflex_injector", "item_light_pistol_ammo" },
	},

	maa_sharp_2 =
	{

		type = "simunit",
		agentID = 7,
		name =  STRINGS.AGENTS.SHARP.NAME,
		file =  STRINGS.AGENTS.SHARP.FILE,
		fullname =  STRINGS.AGENTS.SHARP.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_4.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_C,
		yearsOfService =  STRINGS.AGENTS.SHARP.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_4.AGE,
		homeTown = STRINGS.AGENTS.SHARP.HOMETOWN,
		gender = "male",
		class = "Cyborg",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/sharp2_36.png",
		profile_icon_64x64= "gui/profile_icons/sharp2_64x64.png",
		splash_image = "gui/agents/sharp2_1024.png",
		profile_anim = "portraits/robo_alex_face",
		team_select_img = {
			"gui/agents/team_select_1_sharp2.png"
		},
		kanim = "kanim_cyborg_male_a",
		hireText = STRINGS.AGENTS.SHARP.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, augmentMaxSize=6 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { hacking = 2 },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHARP_SOUNDS,
		speech = speechdefs.cyborg_1,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_4.BIO,
		upgrades = {  "maa_robotic_frame", "item_tazer" },
	},

	maa_monster_2 =
	{
		type = "simunit",
		agentID = 100,
		name = STRINGS.AGENTS.MONST3R.NAME,
		fullname = STRINGS.AGENTS.MONST3R.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.MONSTER.ALT_4.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_OFC,
		yearsOfService = STRINGS.AGENTS.MONST3R.YEARS_OF_SERVICE,
		age = STRINGS.AGENTS.MONST3R.AGE,
		homeTown =STRINGS.AGENTS.MONST3R.HOMETOWN,
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.MONSTER.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/monst3r_36.png",
		profile_icon_64x64= "gui/profile_icons/monst3r_64x64.png",
		gender = "male",
		splash_image = "gui/agents/monst3r_1024.png",
		profile_anim = "portraits/monst3r_face",
		team_select_img = {
			"gui/agents/team_select_1_monst3r.png",
		},
		lockedText = STRINGS.UI.TEAM_SELECT.UNLOCK_CENTRAL_MONSTER,
		kanim = "kanim_monst3r",
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { inventoryMaxSize = 3, mp=8, mpMax=8, noUpgrade = true, monst3rUnit = true, monst3r = true, marksmanSkill = 2, },
		tags = { "monst3r" },
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		abilities = util.tconcat( {  "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ),-- "stealth"
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { hacking = 3 },
		sounds = MONST3R_SOUNDS,
		speech = speechdefs.monst3r,
		hireText = STRINGS.AGENTS.MONST3R.RESCUED,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.MONSTER.ALT_4.BIO,
		upgrades = { "maa_weapon_trader_license", "maa_item_trader_license" },
	},

	maa_prism_2 =
	{
		type = "simunit",
		agentID = 8,
		name =  STRINGS.AGENTS.PRISM.NAME,
		file =  STRINGS.AGENTS.PRISM.FILE,
		fullname =  STRINGS.AGENTS.PRISM.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.PRISM.ALT_4.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_C,
		yearsOfService =  STRINGS.AGENTS.PRISM.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.PRISM.ALT_4.AGE,
		homeTown = STRINGS.AGENTS.PRISM.HOMETOWN,
		gender = "female",
		class = "Disguise",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.PRISM.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/prism2_36.png",
		profile_icon_64x64= "gui/profile_icons/prism2_64x64.png",
		splash_image = "gui/agents/prism2_1024.png",
		profile_anim = "portraits/prism_face",
		team_select_img = {
			"gui/agents/team_select_1_prism2.png"
		},
		kanim = "kanim_disguise_female_a",
		hireText = STRINGS.AGENTS.PRISM.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_PRISM,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, augmentMaxSize = 0  },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { anarchy = 2 },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = PRISM_SOUNDS,
		speech = speechdefs.disguise_1,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.PRISM.ALT_4.BIO,
		upgrades = { "item_tazer", "maa_holographic_motion_capture_suit", "maa_post_production_processing_chip" },
	},

	maa_central_2 =
	{
		type = "simunit",
		name = STRINGS.AGENTS.CENTRAL.NAME,
		agentID = 108,
		fullname = STRINGS.AGENTS.CENTRAL.ALT_1.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_OFC,
		yearsOfService = STRINGS.AGENTS.CENTRAL.YEARS_OF_SERVICE,
		age = STRINGS.AGENTS.CENTRAL.AGE,
		homeTown = STRINGS.AGENTS.CENTRAL.HOMETOWN,
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.CENTRAL.ALT_4.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/central_36.png",
		profile_icon_64x64= "gui/profile_icons/central_64x64.png",
		splash_image = "gui/agents/central_1024.png",
		profile_anim = "portraits/central_face",
		gender = "female",
		team_select_img = {
			"gui/agents/team_select_1_central.png",
		},
		kanim = "kanim_central",
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { inventoryMaxSize = 3, mp=8, mpMax=8, noUpgrade = true, central=true  },
		tags = { "central" },
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		abilities = util.tconcat( {  "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ),-- "stealth"
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { anarchy = 3 },
		sounds = CENTRAL_SOUNDS,
		speech = speechdefs.central,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.CENTRAL.ALT_4.BIO,
		hireText = STRINGS.AGENTS.CENTRAL.RESCUED,
		lockedText = STRINGS.UI.TEAM_SELECT.UNLOCK_CENTRAL_MONSTER,
		upgrades = { "maa_alarm_rerouter", "maa_blacklisted_tazer" },
	},

	maa_banks_3 =
	{
		type = "simunit",
		agentID = 4,
		name = STRINGS.AGENTS.BANKS.NAME,
		file =  STRINGS.AGENTS.BANKS.FILE,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_5.FULLNAME,
		fullname = STRINGS.AGENTS.BANKS.ALT_1.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_D,
		yearsOfService = STRINGS.AGENTS.BANKS.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_5.AGE,
		homeTown = STRINGS.AGENTS.BANKS.HOMETOWN,
		gender = "female",
		class = "Stealth",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_5.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/lady_stealth_36.png",
		profile_icon_64x64= "gui/profile_icons/banks2_64x64.png",
		splash_image = "gui/agents/banks2_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_banks2.png",
		},
		profile_anim = "portraits/lady_stealth_face",
		kanim = "kanim_female_stealth_2_a",
		hireText = STRINGS.AGENTS.BANKS.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_BANKS,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax =8 },	--passiveKey = simdefs.DOOR_KEYS.SECURITY
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { anarchy = 2 },
		abilities = util.tconcat( { "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ), -- "stealth"
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = BANKS_SOUNDS,
		speech = speechdefs.stealth_2,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.BANKS.ALT_5.BIO,
		upgrades = { "maa_wireless_money_transferrer", "maa_protocol78_chip" },
	},

	maa_sharp_3 =
	{
		type = "simunit",
		agentID = 7,
		name =  STRINGS.AGENTS.SHARP.NAME,
		file =  STRINGS.AGENTS.SHARP.FILE,
		fullname =  STRINGS.AGENTS.SHARP.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_5.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_D,
		yearsOfService =  STRINGS.AGENTS.SHARP.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_5.AGE,
		homeTown = STRINGS.AGENTS.SHARP.HOMETOWN,
		gender = "male",
		class = "Cyborg",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_5.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,

		profile_icon_36x36= "gui/profile_icons/sharp_36.png",
		profile_icon_64x64= "gui/profile_icons/sharp_64x64.png",
		splash_image = "gui/agents/sharp_1024.png",
		profile_anim = "portraits/robo_alex_face",
		team_select_img = {
			"gui/agents/team_select_1_sharp.png"
		},

		kanim = "kanim_cyborg_male",
		hireText = STRINGS.AGENTS.SHARP.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHARP,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { shields = 0, shieldsMax = 0, mp=8, mpMax = 8, augmentMaxSize=5 },
		skills = { "maa_sharp_reactor" },
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHARP_SOUNDS,
		speech = speechdefs.cyborg_1,
		blurb = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHARP.ALT_5.BIO,
		upgrades = { "maa_nuclear_reactor", "maa_adaptive_leg_servos", "maa_adaptive_buster_chip", "maa_adaptive_arm_servos", "maa_adaptive_frame_cloak", "item_tazer" },
	},
	
	maa_shalem_3 =
	{
		type = "simunit",
		agentID = 2,
		name = STRINGS.AGENTS.SHALEM.NAME,
		file = STRINGS.AGENTS.SHALEM.FILE,
		fullname = STRINGS.AGENTS.SHALEM.ALT_1.FULLNAME,
		codename = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_5.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_D,
		yearsOfService = STRINGS.AGENTS.SHALEM.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_5.AGE,
		homeTown = STRINGS.AGENTS.SHALEM.HOMETOWN,
		gender = "male",
		class = "Sharpshooter",
		toolTip =  STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_5.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/sharpshooter_36.png",
		profile_icon_64x64= "gui/profile_icons/shalem_64x64.png",
		splash_image = "gui/agents/shalem_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_shalem.png",
		},

		profile_anim = "portraits/sharpshooter_face",
		kanim = "kanim_sharpshooter_male",
		hireText =  STRINGS.AGENTS.SHALEM.RESCUED,
		centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_SHALEM11,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8, marksmanSkill = 3, maa_can_find_weapon_mods = true, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		startingSkills = { inventory = 2 },
		abilities = util.tconcat( { "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = SHALEM_SOUNDS,
		speech = speechdefs.sharpshooter_1,
		blurb =  STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.SHALEM.ALT_5.BIO,
		upgrades = { "maa_shalem_mod_rifle", "maa_weapon_mod_case", "maa_rilfe_mod_clip_standard" },
	},
}

return agents
