local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include("sim/simdefs")
local speechdefs = include("sim/speechdefs")
local SCRIPTS = include('client/story_scripts')
local DEFAULT_DRONE = commondefs.DEFAULT_DRONE
local SOUNDS = commondefs.SOUNDS

local CARMEN_SOUNDS =
{
	bio = "",
	escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT, 

	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,						
	getup = "SpySociety/Movement/foley_trench/getup",	
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",	
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local agent_templates =
{
	carmen_sandiego_o =
	{
		type = "simunit",
		agentID = "carmen_sandiego_o",
		name = STRINGS.CARMEN.AGENTS.CARMEN.NAME,
		file =  STRINGS.CARMEN.AGENTS.CARMEN.FILE,
		fullname = STRINGS.CARMEN.AGENTS.CARMEN.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService = STRINGS.CARMEN.AGENTS.CARMEN.YEARS_OF_SERVICE,
		age = STRINGS.CARMEN.AGENTS.CARMEN.AGE,
		homeTown = STRINGS.CARMEN.AGENTS.CARMEN.HOMETOWN,
		gender = "female",
		class = "Stealth",
		toolTip = STRINGS.CARMEN.AGENTS.CARMEN.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/carmen_36_alt.png",
		profile_icon_64x64= "gui/profile_icons/carmen_64.png",
		splash_image = "gui/agents/sandiego_1024.png",
		team_select_img = {
			"gui/agents/team_select_carmen2.png",
		},

		profile_anim = "portraits/lady_tech_face",
		profile_build = "portraits/carmen_face",
		kanim = "kanim_sandiego",
		hireText = STRINGS.CARMEN.AGENTS.CARMEN.RESCUED,
		-- centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_BANKS,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax =8 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { anarchy = 2 },
		abilities = util.tconcat( { "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {},
		sounds = CARMEN_SOUNDS,
		speech = STRINGS.CARMEN.AGENTS.CARMEN.BANTER,
		blurb = STRINGS.CARMEN.AGENTS.CARMEN.BIO,
		upgrades = { "CARMEN_augment_great_thief", "CARMEN_item_safecracking_tools" },
	},
}

return agent_templates