---------------------------------------------------------------------
-- Invisible Inc. official DLC.
--

-- NOTE: Each agent needs a completely unique agentID. We used numbers, 
-- but strings may be better as they could have a prefix of your mod name making 
-- it less likely for conflicts. EG: new agent Gary in the CoolMod = "coolMod-Gary"
--

local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include("sim/simdefs")
local speechdefs = include("sim/speechdefs")
local SCRIPTS = include('client/story_scripts')
local DEFAULT_DRONE = commondefs.DEFAULT_DRONE
local SOUNDS = commondefs.SOUNDS


local BANKS_SOUNDS =
{
    bio = "SpySociety/VoiceOver/Missions/Bios/Banks",
    escapeVo = "SpySociety/VoiceOver/Missions/Escape/Operator_Escape_Agent_Banks",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT, 

	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,						
	getup = "SpySociety/Movement/foley_trench/getup",	
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",	
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local agent_templates =
{
	
	schysm =
	{
		type = "simunit",
        agentID = "mod_timehop_schysm",
		name = STRINGS.TIMEHOP.AGENTS.SKYSM.NAME,
		file =  STRINGS.TIMEHOP.AGENTS.SKYSM.FILE,
		fullname = "Jakob Obrecht",
		loadoutName = STRINGS.UI.ON_FILE,
		yearsOfService = STRINGS.TIMEHOP.AGENTS.SKYSM.YEARS_OF_SERVICE,
		age = STRINGS.TIMEHOP.AGENTS.SKYSM.AGE,
		homeTown = STRINGS.TIMEHOP.AGENTS.SKYSM.HOMETOWN,
		gender = "male",
		class = "Stealth",
		toolTip = STRINGS.TIMEHOP.AGENTS.SKYSM.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "profile_icons/schysm_36.png",
		profile_icon_64x64= "profile_icons/schysm_64x64.png",
		--profile_icon_64x64= "gui/profile_icons/banks_64x64.png",
		splash_image = "profile_icons/schysm_1024.png",
		team_select_img = {
			--"gui/agents/team_select_1_banks.png",
			"profile_icons/team_select_1_schysm.png",
		},
		profile_build = "schysm_face",	
		profile_anim = "portraits/portrait_animation_template",	
		kanim = "kanim_schysm",
		hireText = STRINGS.TIMEHOP.AGENTS.SKYSM.RESCUED,
		centralHireSpeech = nil,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax =8, isTimeTravellerYehBoi = true,   },	--passiveKey = simdefs.DOOR_KEYS.SECURITY  magnetic_reinforcement = true,
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = { },
		abilities = util.tconcat( { "sprint","recharge_timeHop"  }, commondefs.DEFAULT_AGENT_ABILITIES ), -- "stealth""swapMeleeAC" 
		children = { }, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = BANKS_SOUNDS,
		speech = STRINGS.TIMEHOP.AGENTS.SKYSM.BANTER,
		blurb = STRINGS.TIMEHOP.AGENTS.SKYSM.ALT_1.BIO,
		upgrades = { "augment_time_hopper", "item_tazer" }, --merrymakers, "item_tazer", 
	},
	
	
}

	

return agent_templates