local util = include( "modules/util" )
local commondefs = include("sim/unitdefs/commondefs")
local simdefs = include("sim/simdefs")
local speechdefs = include( "sim/speechdefs" )
local SCRIPTS = include('client/story_scripts')

local CYBERNETICIST_SOUNDS =
{
	bio = "",
	escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",
	step = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_NORMAL,
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_FEMALE_HARDWOOD_SOFT,

	wallcover = "SpySociety/Movement/foley_suit/wallcover",
	crouchcover = "SpySociety/Movement/foley_suit/crouchcover",
	fall = "SpySociety/Movement/foley_suit/fall",
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 16,
	getup = "SpySociety/Movement/foley_suit/getup",
	grab = "SpySociety/Movement/foley_suit/grab_guard",
	pin = "SpySociety/Movement/foley_suit/pin_guard",
	pinned = "SpySociety/Movement/foley_suit/pinned",
	peek_fwd = "SpySociety/Movement/foley_suit/peek_forward",
	peek_bwd = "SpySociety/Movement/foley_suit/peek_back",
	move = "SpySociety/Movement/foley_suit/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

local agents =
{
	maa_numi_ult_ofb =
	{
		type = "simunit",
      		agentID = "mod_04_n_umi",
		name = STRINGS.AMRE.AGENTS.NU.NAME,
		file = STRINGS.AMRE.AGENTS.NU.FILE,
		fullname = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NUMI.ALT_3.FULLNAME,
		loadoutName = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.GENERAL.LOADOUT_ULT_OFB,
		yearsOfService = STRINGS.AMRE.AGENTS.NU.YEARS_OF_SERVICE,
		age = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NUMI.ALT_3.AGE,
		homeTown = STRINGS.AMRE.AGENTS.NU.HOMETOWN,
		gender = "female",
		class = "Engineer",
		toolTip = STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NUMI.ALT_3.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/lady_nu_36.png",
		profile_icon_64x64= "gui/profile_icons/nu_64x64.png",
		splash_image = "gui/agents/nu_1024.png",

		team_select_img = {
			"gui/agents/team_select_1_nu.png",
		},

		profile_anim = "portraits/lady_sharpshooter_face",
		profile_build = "portraits/nu_lady_face",
		kanim = "kanim_lady_cyberneticist",
		hireText = STRINGS.AMRE.AGENTS.NU.RESCUED,
		--centralHireSpeech = SCRIPTS.INGAME.CENTRAL_AGENT_ESCAPE_INTERNATIONALE,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax = 8 },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {},
		--startingSkills = { hacking = 2},
		startingSkills = { },
		abilities = util.tconcat( {  "sprint" }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {}, -- Dont add items here, add them to the upgrades table in createDefaultAgency()
		sounds = CYBERNETICIST_SOUNDS,
		speech = STRINGS.AMRE.AGENTS.NU.BANTER,
		blurb = STRINGS.AMRE.AGENTS.NU.BIO.."\n\n"..STRINGS.MORE_ARCHIVE_AGENTS.AGENTS.NUMI.ALT_3.BIO,
		upgrades = { "augment_spider_ctrl", "maa_drone_controller", "maa_sankaku_tazer", "item_canned_spider", "maa_portable_drone" },
		maa_summons = { "maa_spider" },
	},
}

return agents
