
local animdefs = include( "animdefs" )
local agentrig = include( "gameplay/agentrig" )

local refresh_old = agentrig.rig.refreshRenderFilter

    function agentrig.rig.refreshRenderFilter(self)
        
        refresh_old(self)
        
        if self._renderFilterOverride then
            self._prop:setRenderFilter( self._renderFilterOverride )
        else
            
            local unit = self._boardRig:getLastKnownUnit( self._unitID )
            if unit then
                self._prop:setPlayMode( self._playMode )
                if unit:getTraits().customDefinedRenderFilter ~= nil then
					if unit:getTraits().customDefinedRenderFilter == "invis" then
					local invis = { shader=KLEIAnim.SHADER_FOW, r=1/255, g=1/255, b=1/255, a=0.0,lum=0.1 }
						self._prop:setRenderFilter( invis )
					else
						self._prop:setRenderFilter( unit:getTraits().customDefinedRenderFilter )
						
						
					end
                end
				
				if unit:getTraits().replaceKanim ~= nil then
				
					self:changeKanim( animdefs.defs[unit:getTraits().replaceKanim])
				
				end
				
				
				if unit:getTraits().isTimeTravellerYehBoi and not self._ttFX and true then
					self._ttFX = true
					
					self._ttFX = self:createHUDProp("kanim_magnetic_resistance_fx", "effect", "loop", self._boardRig:getLayer("main"), self._prop )
			--		self._ttFX_bg = self:createHUDProp("kanim_magnetic_resistance_fx", "effect", "loop", self._boardRig:getLayer("floor"), self._prop ) -- make 50/50
					self._ttFX:setVisible(false)

					self._ttFX2 = self:createHUDProp("kanim_hud_agent_hud", "item", "start", self._boardRig:getLayer("floor"), self._prop )
					self._ttFX2:setListener( KLEIAnim.EVENT_ANIM_END,
								function( anim, animname )
									if animname == "start" then
										anim:setCurrentAnim("loop")
									end
								end )
					self._ttFX2:setVisible(false)
				end
				if self._ttFX then
					if unit:getTraits().isFutureUnit then
						self._ttFX:setVisible(true)
						local COLOR = { 70/255, 255/255, 255/255}
						self._ttFX:setSymbolModulate("innercicrle", 70/255, 255/255, 255/255,.85 ) --0.75
						self._ttFX:setSymbolModulate("ring_pulse", 70/255, 255/255, 255/255,.85)
						self._ttFX:setSymbolModulate("inside", 70/255, 255/255, 255/255,.7)
						self._ttFX:setSymbolModulate("inside2", 70/255, 255/255, 255/255,.3)
						self._ttFX2:setSymbolModulate("shockwave", 70/255, 255/255, 255/255, 1 )
						self._ttFX2:setSymbolModulate("ring5", 70/255, 255/255, 255/255, 1 )
						self._ttFX2:setVisible(true)
					elseif unit:getTraits().isPastUnit then  --change to RGB trait
						local COLOR = { 255/255, 70/255, 70/255 }
						self._ttFX:setVisible(true)
						self._ttFX:setSymbolModulate("innercicrle", 255/255, 70/255, 70/255,1 ) --0.75
						self._ttFX:setSymbolModulate("ring_pulse", 255/255, 70/255, 70/255,1)
						self._ttFX:setSymbolModulate("inside", 255/255, 70/255, 70/255,1)
						self._ttFX:setSymbolModulate("inside2", 255/255, 70/255, 70/255,.6)
						self._ttFX2:setSymbolModulate("shockwave", 255/255, 70/255, 70/255, 1 )
						self._ttFX2:setSymbolModulate("ring5", 255/255, 70/255, 70/255, 1 )
						self._ttFX2:setVisible(true)
					elseif unit:getTraits().isHoppingBackUnit then
						local COLOR = { 125/255, 70/255, 190/255}
						self._ttFX:setVisible(true)
						self._ttFX:setSymbolModulate("innercicrle", 125/255, 70/255, 190/255,1 ) --0.75
						self._ttFX:setSymbolModulate("ring_pulse", 125/255, 70/255, 190/255,1)
						self._ttFX:setSymbolModulate("inside", 125/255, 70/255, 190/255,1)
						self._ttFX:setSymbolModulate("inside2", 125/255, 70/255, 190/255,1)
						self._ttFX2:setSymbolModulate("shockwave", 125/255, 70/255, 190/255, 1 )
						self._ttFX2:setSymbolModulate("ring5", 125/255, 70/255, 190/255, 1 )
						self._ttFX2:setVisible(true)
					else
						self._ttFX:setVisible(false)
						self._ttFX2:setVisible(false)
						self._ttFX2:setSymbolModulate("shockwave", 125/255, 70/255, 190/255, 0 )
						self._ttFX2:setSymbolModulate("ring5", 125/255, 70/255, 190/255, 0 )
					end
				end
            end
        end
    
    end
	
	
	local refresh_old = agentrig.refresh
	
function agentrig:destroy( ev )

	if self._ttFX then
		self._ttFX:setVisible(false)
	end
	if self.rig._ttFX then
		self.rig._ttFX:setVisible(false)
	end


	refresh_old( ev)
end
	