local agentrig = include( "gameplay/agentrig" ).rig
local simdefs = include("sim/simdefs")
local cdefs = include( "client_defs" )

local baseOnSimEvent = agentrig.onSimEvent
function agentrig:onSimEvent( ev, eventType, eventData )
	if eventType == "MAA_DRONE_SCAN" then
		local unit = self:getUnit()

		local cx, cy = unit:getLocation()
    		local x0, y0 = self._boardRig:cellToWorld( cx, cy )

    		-- unit:getTraits().pulse_sound
    		if unit:getTraits().pulse_sound then
    			self:playSound(unit:getTraits().pulse_sound)
    		end
    		
		if not unit:getTraits().no_drone_scan_fx then 
			self._boardRig._game.fxmgr:addAnimFx( { kanim="gui/hud_fx", symbol="wireless", anim="idle", x=x0, y=y0 } )
		end
			
  		if unit:getTraits().no_drone_scan_fx then 
			self._boardRig:queFloatText( cx, cy,  STRINGS.UI.FLY_TXT.PULSE_SCAN )
		end

		local hilite_radius = include( "gameplay/hilite_radius" )
		local hilite = hilite_radius( cx, cy,  eventData.range )
		hilite:setRate(  0.1 * cdefs.SECONDS, 0.2 * cdefs.SECONDS )
		hilite:setCells( eventData.cells )
		hilite:setColor( { 0.75, 0.75, 0.75, 0.5 } )
		self._boardRig:hiliteRadius( hilite )

		if unit:getTraits().no_drone_scan_fx then 
			self:waitForAnim("scanning")            
        	end
		ev.thread:unblock()

	
		self:refresh()

		return true
	end
	
	baseOnSimEvent( self, ev, eventType, eventData )
end
