local aiplayer = include( "sim/aiplayer" )

local _onEndTurn = aiplayer.onEndTurn

-- reroute automatic tracker into the void if a Shroud is active
function aiplayer:onEndTurn(sim)
	-- cache original tracker
	local _trackerAdvance = sim.trackerAdvance

	-- if sim:getTags().noAutoAlarm and sim:getTags().noAutoAlarm > 0 then
	for k,v in pairs(sim:getPC():getAbilities()) do
		if v.stopAutoAlarm and sim:getCurrentPlayer():isNPC() and v:calcNextStop(sim) then
			-- do nothing if told to advance the tracker
			sim.trackerAdvance = function() end
			break
		end
	end

	-- do the actual onEndTurn stuff
	_onEndTurn(self, sim)

	-- restore original tracker
	sim.trackerAdvance = _trackerAdvance
end