----------------------------------------------------------------
-- Copyright (c) 2012 Klei Entertainment Inc.
-- All Rights Reserved.
-- SPY SOCIETY.
----------------------------------------------------------------

local cdefs = include( "client_defs" )
local util = include( "client_util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local commonanims = include("common_anims")


local AGENT_ANIMS = commondefs.AGENT_ANIMS
local GUARD_ANIMS = commondefs.GUARD_ANIMS
local HOSTAGE_ANIMS = commondefs.HOSTAGE_ANIMS
local DRONE_ANIMS = commondefs.DRONE_ANIMS
local FLOAT_DRONE_ANIMS = commondefs.FLOAT_DRONE_ANIMS
local FLOAT_DRONE_TANK_ANIMS = commondefs.FLOAT_DRONE_TANK_ANIMS
local Layer = commondefs.Layer
local BoundType = commondefs.BoundType

-------------------------------------------------------------------
-- Data for anim definitions.

local animdefs =
{
	kanim_security_camera_infrared =
	{
		build = "data/anims/props/security_object_1x1camera_infrared.abld",
	
        anims = { "data/anims/mainframe/security_object_1x1camera.adef" },
	
        symbol = "character",
        
        scale = 0.25,

	        layer = Layer.Decor,
	
        boundType = BoundType.Ceiling_1x1,
	
        filterSymbols = {{symbol="glow",filter="default"},{symbol="teal",filter="default"},{symbol="red",filter="default"}},
	},

	kanim_sk_uplink_node =
	{
		build = "data/anims/props/sk_uplink_node_prop.abld",
		anims = { "data/anims/KO_lab/ko_lab_object_1x1scanner1.adef" },
		symbol = "character",		
		scale = 0.25,
		layer = Layer.Decor,
		boundType = BoundType.bound_1x1_med_med,
		filterSymbols = {{symbol="glow",filter="default"},{symbol="Highlight",filter="default"},{symbol="red",filter="default"},{symbol="teal",filter="default"}},
	},

	kanim_ko_shock_mine =
	{
		build = "data/anims/props/ko_shock_mine_prop.abld",
		anims = { "data/anims/mainframe/office_security_1x1turret_powersource.adef" },
		symbol = "character",		
		scale = 0.25,
		layer = Layer.Decor,
		boundType = BoundType.bound_1x1_med_med,
		filterSymbols = {{symbol="glow",filter="default"},{symbol="Highlight",filter="default"},{symbol="red",filter="default"},{symbol="teal",filter="default"}},
	},

	kanim_plas_daemon_server =
	{
		build = "data/anims/props/plas_daemon_server_prop.abld",
		anims = { "data/anims/KO_lab/ko_lab_object_1x1scanner1.adef" },
		symbol = "character",		
		scale = 0.25,
		layer = Layer.Decor,
		boundType = BoundType.bound_1x1_med_med,
		filterSymbols = {{symbol="glow",filter="default"},{symbol="Highlight",filter="default"},{symbol="red",filter="default"},{symbol="teal",filter="default"}},
	},

	kanim_AI_powersource =

	{

		build = "data/anims/props/AI_PWR_source.abld",

		anims = { "data/anims/mainframe/office_security_1x1turret_powersource.adef" },

		symbol = "character",
		
scale = 0.25,

		layer = Layer.Decor,

		boundType = BoundType.bound_1x1_med_med,
		filterSymbols = {{symbol="glow",filter="default"},{symbol="Highlight",filter="default"},{symbol="red",filter="default"},{symbol="teal",filter="default"}},

	},
}

return animdefs