local util = include( "client_util" )
local commonanims = include("common_anims")
local commondefs = include( "sim/unitdefs/commondefs" )

local AGENT_ANIMS = commondefs.AGENT_ANIMS
local Layer = commondefs.Layer
local BoundType = commondefs.BoundType

local animdefs =
{
	kanim_hacker_male_B =
	{
		wireframe =
		{
			"data/anims/characters/agents/agent_male_empty.abld",
		},
		build =
		{
			"data/anims/characters/agents/agent_tony_baby.abld",
			"data/anims/characters/anims_male/shared_hits_01.abld",
			"data/anims/characters/anims_male/shared_attacks_a_01.abld",
		},
		grp_build =
		{
			"data/anims/characters/agents/grp_agent_tony_baby.abld",
		},
		grp_anims = commonanims.male.grp_anims,

		anims = commonanims.male.default_anims_unarmed,
		anims_1h = util.tconcat(
			{"data/anims/characters/anims_male/shared_basic_b_01.adef"},
			commonanims.male.anims_1h,
			commonanims.male.anims,
			commonanims.male.attacks_1h,
			commonanims.male.tech,
			{"data/anims/characters/anims_male/tech_basic_a_03.adef"}),
		anims_2h = commonanims.male.default_anims_2h,
		animMap = AGENT_ANIMS,

		symbol = "character",
		anim = "idle",
		shouldFlip = true,
		scale = 0.25,
		layer = Layer.Unit,
		boundType = BoundType.Character,
		boundTypeOverrides = {
			{anim="idle_ko" ,boundType= BoundType.CharacterFloor},
			{anim="dead" ,boundType= BoundType.CharacterFloor},
		},
		peekBranchSet = 1,
	},
	kanim_hacker_male_C =
  {
      wireframe =
      {
          "data/anims/characters/agents/agent_male_empty.abld",
      },
      build =
      {
          "data/anims/characters/agents/agent_tony_blackmarket.abld",
          "data/anims/characters/anims_male/shared_hits_01.abld",
          "data/anims/characters/anims_male/shared_attacks_a_01.abld",
      },
      grp_build =
      {
          "data/anims/characters/agents/grp_agent_tony_blackmarket.abld",
      },
      grp_anims = commonanims.male.grp_anims,

      anims = commonanims.male.default_anims_unarmed,
      anims_1h = util.tconcat(
          {"data/anims/characters/anims_male/shared_basic_b_01.adef"},
          commonanims.male.anims_1h,
          commonanims.male.anims,
          commonanims.male.attacks_1h,
          commonanims.male.tech,
          {"data/anims/characters/anims_male/tech_basic_a_03.adef"}),
      anims_2h = commonanims.male.default_anims_2h,
      animMap = AGENT_ANIMS,

      symbol = "character",
      anim = "idle",
      shouldFlip = true,
      scale = 0.25,
      layer = Layer.Unit,
      boundType = BoundType.Character,
      boundTypeOverrides = {
          {anim="idle_ko" ,boundType= BoundType.CharacterFloor},
          {anim="dead" ,boundType= BoundType.CharacterFloor},
      },
      peekBranchSet = 1,
  },
}

return animdefs
