----------------------------------------------------------------
-- Copyright (c) 2012 Klei Entertainment Inc.
-- All Rights Reserved.
-- SPY SOCIETY.
----------------------------------------------------------------

local cdefs = include( "client_defs" )
local util = include( "client_util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local commonanims = include("common_anims")


local AGENT_ANIMS = commondefs.AGENT_ANIMS
local GUARD_ANIMS = commondefs.GUARD_ANIMS
local HOSTAGE_ANIMS = commondefs.HOSTAGE_ANIMS
local DRONE_ANIMS = commondefs.DRONE_ANIMS
local FLOAT_DRONE_ANIMS = commondefs.FLOAT_DRONE_ANIMS
local FLOAT_DRONE_TANK_ANIMS = commondefs.FLOAT_DRONE_TANK_ANIMS
local Layer = commondefs.Layer
local BoundType = commondefs.BoundType

-------------------------------------------------------------------
-- Data for anim definitions.

local schysmBase =  -- we define the seperate for ease
	{
		wireframe =
		{
			--"data/anims/characters/agents/overlay_agent_tony.abld",
		},
		build = 
		{ 
			"data/anims/agent_schysm.abld",
			"data/anims/characters/anims_male/shared_hits_01.abld","data/anims/characters/anims_male/shared_attacks_a_01.abld",	
		},
		grp_build = 
		{
			"data/anims/characters/agents/grp_agent_tony.abld",
		},		
		grp_anims = commonanims.male.grp_anims,

		anims = commonanims.male.default_anims_unarmed,
		anims_1h = commonanims.male.default_anims_1h,
		anims_2h = commonanims.male.default_anims_2h,
		animMap = AGENT_ANIMS,

		symbol = "character",
		anim = "idle",
		shouldFlip = true,
		scale = 0.25,
		layer = Layer.Unit,
		boundType = BoundType.Character,
		boundTypeOverrides = {			
			{anim="idle_ko" ,boundType= BoundType.CharacterFloor},
			{anim="dead" ,boundType= BoundType.CharacterFloor},
		},		
		peekBranchSet = 1,
	}


local animdefs =
{
	
	kanim_schysm = util.extend( schysmBase )
		 {
			build = 
			{ 
				"data/anims/schysm.abld",
				"data/anims/characters/anims_male/shared_hits_01.abld","data/anims/characters/anims_male/shared_attacks_a_01.abld",	
			},
		},
	
	kanim_schysm_R = util.extend( schysmBase ) -- for pastunit
		 {
			build = 
			{ 
				"data/anims/schysm_R.abld",
				"data/anims/characters/anims_male/shared_hits_01.abld","data/anims/characters/anims_male/shared_attacks_a_01.abld",	
			},
		},
	kanim_schysm_B = util.extend( schysmBase ) -- for futureunit
		 {
			build = 
			{ 
				"data/anims/schysm_B.abld",
				"data/anims/characters/anims_male/shared_hits_01.abld","data/anims/characters/anims_male/shared_attacks_a_01.abld",	
			},
		},

}

return animdefs