local commondefs = include( "sim/unitdefs/commondefs" )

local FLOAT_DRONE_TANK_ANIMS = commondefs.FLOAT_DRONE_TANK_ANIMS
local Layer = commondefs.Layer
local BoundType = commondefs.BoundType

-------------------------------------------------------------------
-- Data for anim definitions.

local animdefs =
{
    leap_saderfiasco =
    {
        build =
        {
            "data/anims/characters/agents/leap_saderfiasco.abld",
        },
        anims =
        {
            "data/anims/characters/corp_SK/sankaku_droid_tank.adef",
            "data/anims/characters/corp_SK/sankaku_droid_tank_2.adef",
        },
        anims_1h =
        {
            "data/anims/characters/corp_SK/sankaku_droid_tank.adef",
            "data/anims/characters/corp_SK/sankaku_droid_tank_2.adef",
        },
        anims_2h =
        {
            "data/anims/characters/corp_SK/sankaku_droid_tank.adef",
            "data/anims/characters/corp_SK/sankaku_droid_tank_2.adef",
        },

        symbol = "character",
        anim = "idle",
        shouldFlip = true,
        scale = 0.25,
        layer = Layer.Unit,
        boundType = BoundType.Character,
        boundTypeOverrides = {
            {anim="idle_closed" ,boundType= BoundType.CharacterFloor},
            {anim="dead" ,boundType= BoundType.CharacterFloor},
        },
        animMap = FLOAT_DRONE_TANK_ANIMS,
    },

    glitchtrap =
    {
        build = "data/anims/fx/glitchtrap.abld",
        anims = { "data/anims/fx/glitchtrap.adef" },
        symbol = "character",
        scale = 0.25,
        layer = Layer.Object,
        boundType = BoundType.bound_1x1_med_med,
    },
}

return animdefs