local cheatmenu = include("fe/cheatmenu")
local mui_defs = include("mui/mui_defs")
local statedebug = include("states/state-debug")
local cdefs = include("client_defs")

local function toggleReplayPanel()
    local isActive = statedebug.screen:isActive() 
     if statedebug.mode ~= cdefs.DBG_REPLAY or not isActive then
        -- Replay mode either not set and/or debug screen not visible
        statedebug.previousMode = statedebug.mode
        statedebug.previousVis = isActive
    	statedebug:setDebugMode( cdefs.DBG_REPLAY )
        if not isActive then
            statedebug:toggleVisible()
        end
    else
        -- Revert to previous mode/visibility.
    	statedebug:setDebugMode( statedebug.previousMode )
        if isActive ~= statedebug.previousVis then
            statedebug:toggleVisible()
        end
   end
end

local BINDINGS = {
    {{ mui_defs.K_A, mui_defs.K_CONTROL }, 						cheatmenu.addAlarm },
	{{ mui_defs.K_A, mui_defs.K_CONTROL, mui_defs.K_SHIFT }, 	cheatmenu.maxAlarm },
    {{ mui_defs.K_I, mui_defs.K_CONTROL }, 						cheatmenu.simCreateInterest },
	{{ mui_defs.K_K, mui_defs.K_CONTROL }, 						cheatmenu.simKill },
	{{ mui_defs.K_K, mui_defs.K_SHIFT }, 						cheatmenu.simKO },
	{{ mui_defs.K_K, mui_defs.K_CONTROL, mui_defs.K_SHIFT }, 	cheatmenu.simKillOthers },
	{{ mui_defs.K_T, mui_defs.K_CONTROL }, 						cheatmenu.teleportSelected },		
    {{ mui_defs.K_U, mui_defs.K_CONTROL }, 						cheatmenu.unlockAllRewards },
    {{ mui_defs.K_V, mui_defs.K_CONTROL }, 						cheatmenu.addCpuPoints },
	{{ mui_defs.K_V, mui_defs.K_CONTROL, mui_defs.K_SHIFT }, 	cheatmenu.seeEverything },
	{{ mui_defs.K_W, mui_defs.K_CONTROL }, 						cheatmenu.simWin },
    {{ mui_defs.K_Z, mui_defs.K_CONTROL }, 						cheatmenu.addMoney },

	{{ mui_defs.K_L, mui_defs.K_CONTROL }, function() log:write("Disabled Ctrl+L for accidental clicks") end },
	{{ mui_defs.K_R, mui_defs.K_CONTROL }, toggleReplayPanel },
}

return BINDINGS