local boardrig = include( "gameplay/boardrig" )
local simdefs = include( "sim/simdefs" )

local oldOnSimEvent = boardrig.onSimEvent
local oldGetLastKnownUnit = boardrig.getLastKnownUnit

function boardrig:onSimEvent( ev, eventType, eventData )

	if self._shouldUnblockKO then
		--[[local logged = false
		for name, def in pairs( simdefs ) do
			if def == eventType and string.sub(name,1,3) == "EV_" then
				logged = true
				log:write(name)
				break
			end
		end
		if not logged then
			log:write(eventType)
		end]]
		
		-- Uh oh, danger!
		-- Need to check that this is actually an event that is okay to fast forward!
		if eventType == simdefs.EV_KO_GROUP then
			if self._killedGroup then
				for id, unit in pairs(self._killedGroup) do
					ev.thread:waitForLocks( id )
				end
				
				self._killedGroup = nil
			end
		else
			ev.thread:unblock()
		end
		
		if eventType == simdefs.EV_UNIT_DESPAWNED then
			return
		elseif eventType == simdefs.EV_UNIT_DEATH then
			self._killedGroup = self._killedGroup or {}
			self._killedGroup[ eventData.unit:getID() ] = eventData.unit
			local parent = eventData.unit:getPlayerOwner()
			eventData.unit.invalidate = function(unit)
				unit._parent = parent
			end
		elseif eventType == simdefs.EV_UNIT_SPAWNED then
			if eventData.unit:getTraits().iscorpse then
				self:getUnitRig( eventData.unit:getID() )
				ev.thread:waitForLocks(eventData.unit:getID())
				ev.thread:waitForLocks(eventData.unit:getTraits().unitID)
				ev.thread.viz:releaseLocks(ev.thread)
			end
		end
	end
	
	return oldOnSimEvent( self, ev, eventType, eventData )
end

function boardrig:getLastKnownUnit( unitID )
	local unit = oldGetLastKnownUnit( self, unitID )
	
	if not unit and self._killedGroup then
		return self._killedGroup[ unitID ]
	end
	
	return unit
end