local boardrig = include( "gameplay/boardrig" )
local util = include( "modules/util" )
local array = include( "modules/array" )
local old_onSimEvent = boardrig.onSimEvent

function boardrig:onSimEvent( ev, eventType, eventData )
	if eventType == "EV_WALL_DESTROYED" then
		for i, wallRig in pairs(self._wallRigs) do
			local x0, y0 = wallRig._x1, wallRig._y1
			local x1, y1 = wallRig._x2, wallRig._y2
			local x2, y2 = eventData.cell.x, eventData.cell.y
			local x3, y3 = eventData.rCell.x, eventData.rCell.y
			if (x0 == x2 and x1 == x3 and y0 == y2 and y1 == y3) then
				array.removeElement( self:getClientCellXY(x2, y2)._dependentRigs, wallRig )
				table.remove( self._wallRigs, i)
				wallRig:destroy()
			end
			if (x0 == x3 and x1 == x2 and y0 == y3 and y1 == y2) then
				array.removeElement( self:getClientCellXY(x3, y3)._dependentRigs, wallRig )
				table.remove( self._wallRigs, i)
				wallRig:destroy()
			end
		end
		self:refreshCells()
	elseif eventType == "W93_REFRESH_CELLS" then
		self:refresh()
	elseif eventType == "W93_AI_ACTION" then
        	local targetRig = self:getUnitRig( eventData.target:getID() )
		local params = {color ={{symbol="inner_line",r=1,g=0,b=0,a=0.75},{symbol="wall_digital",r=1,g=0,b=0,a=0.75},{symbol="boxy_tail",r=1,g=0,b=0,a=0.75},{symbol="boxy",r=1,g=0,b=0,a=0.75}} }
		local x0, y0 = eventData.target:getLocation()
		local x1, y1 = self:cellToWorld( x0, y0 )
		self._game:getCamera():panTo( x1, y1, 0 )
		self:wait(10)
		targetRig:playSound("SpySociety/Actions/guard/MFghost_exitMF")
		targetRig:addAnimFx("fx/deamon_ko", "effect", "in", true, params )
		self:wait(10)
	else
		old_onSimEvent(self, ev, eventType, eventData )
	end
end