local cheatmenu = include("fe/cheatmenu")
local mui_defs = include("mui/mui_defs")
local unitdefs = include( "sim/unitdefs" )

local spawn_spellscroll = class( cheatmenu.cheat_submenu )

local function spawnScroll( spellName )
	if sim then
		local function fn( sim, spellName, x, y )
			local simfactory = include( "sim/simfactory" )
			local unitdefs = include( "sim/unitdefs" )
			local unitData = unitdefs.lookupTemplate( "item_wiz_spellscroll" )
			local newItem = simfactory.createUnit( unitData, sim )
			newItem:getTraits().hiddenScroll = false
			newItem:getTraits().storedSpell = spellName
			
			local cell = sim:getCell( x, y )
			if cell then
				sim:spawnUnit( newItem )
				sim:warpUnit( newItem, cell )
			end	 
		end
		
		game:doAction( "debugAction", fn, spellName, cx, cy )
	end
end

function spawn_spellscroll:init( )
	local submenu = {}
	
	local abilitydefs = include( "sim/abilitydefs" )
	
	for name, spell in pairs( abilitydefs._abilities ) do
		if spell.spellLevel then
			table.insert( submenu, cheatmenu.cheat_item( string.format( "[%s] (%s)", name, spell:getName() ), spawnScroll, name ))
		end
	end

	cheatmenu.cheat_submenu.init( self, "Spawn Spell Page", submenu )
end

local give_spell = class( cheatmenu.cheat_submenu )

local function giveSpell( spellName, spellLevel )
	if sim then
		local function fn( sim, spellName, spellLevel, x, y )
			for i, wizard in pairs(sim:getPC():getUnits()) do
				local focus = wizard:ownsAbility("wizard_arcane_focus")
				if focus then
					local simability = include( "sim/simability" )
					local ability = simability.create( spellName )
					if ability then
						ability.HUDpriority = 10 + #wizard:getAbilities()
						table.insert( wizard._abilities, ability )
						ability.spellSlotLevel = spellLevel
						ability.arcaneFocus = focus
						ability:spawnAbility( sim, wizard )
					end
					
					--break
				end

				local archive_focus, focus_item = wizard:ownsAbility("wizard_archived")
				if archive_focus then
					archive_focus:spawnSpell( sim, wizard, focus_item, #archive_focus.spellAbilities + 1, spellName )
					
					--break
				end
			end
		end
		
		game:doAction( "debugAction", fn, spellName, spellLevel, cx, cy )
	end
end

function give_spell:init()
	local submenu = {}
	
	local abilitydefs = include( "sim/abilitydefs" )
	
	for name, spell in pairs( abilitydefs._abilities ) do
		if spell.spellLevel then
			for i = spell.spellLevel, 3 do
				table.insert( submenu, cheatmenu.cheat_item( string.format( "Lvl %i [%s] (%s)", i, name, spell:getName() ), giveSpell, name, i ))
			end
		end
	end

	cheatmenu.cheat_submenu.init( self, "Give spell", submenu )
end

return { 
	spawn_spellscroll,
	give_spell
}