local combat_panel = include( "hud/combat_panel" )
local util = include("client_util")


local COLOR_BLUE_DARK = util.color(50/255,87/255,87/255,150/255)
local COLOR_BLUE_LIGHT = util.color(150/255,255/255,255/255,1)

local COLOR_RED_DARK = util.color(80/255,0/255,0/255,150/255)
local COLOR_RED_LIGHT = util.color(163/255,0/255,0/255,1)

local baseRefreshShoot = combat_panel.refreshShoot
function combat_panel:refreshShoot( weaponUnit, unit, targetUnit )
	baseRefreshShoot( self, weaponUnit, unit, targetUnit )

	local sim = self._hud._game.simCore
		local color, textColor = COLOR_BLUE_DARK, COLOR_BLUE_LIGHT
		local shot = sim:getQuery().calculateShotSuccess( sim, unit, targetUnit, weaponUnit )

	if shot.maa_no_bio then
		self._panel.binder.damageTxt:setText( STRINGS.MORE_ARCHIVE_AGENTS.UI.COMBAT_PANEL.NO_BIO )
		color = COLOR_RED_DARK
		textColor = COLOR_RED_LIGHT
		self._panel.binder.hitBackground:setColor(color:unpack())
		self._panel.binder.damageTxt:setColor(textColor:unpack())
	elseif shot.maa_is_toxin and self._panel.binder.damageTxt:getText() == STRINGS.UI.COMBAT_PANEL_KILL then
		self._panel.binder.damageTxt:setText( STRINGS.MORE_ARCHIVE_AGENTS.UI.COMBAT_PANEL.TOXIN )
		color = COLOR_BLUE_DARK
		textColor = COLOR_BLUE_LIGHT
		self._panel.binder.hitBackground:setColor(color:unpack())
		self._panel.binder.damageTxt:setColor(textColor:unpack())
	elseif shot.maa_mark_armor_noArmor and self._panel.binder.damageTxt:getText() ~= STRINGS.UI.COMBAT_PANEL_NO_LOS then
		self._panel.binder.damageTxt:setText( STRINGS.MORE_ARCHIVE_AGENTS.UI.COMBAT_PANEL.NO_ARMOR )
		color = COLOR_RED_DARK
		textColor = COLOR_RED_LIGHT
		self._panel.binder.hitBackground:setColor(color:unpack())
		self._panel.binder.damageTxt:setColor(textColor:unpack())
	elseif shot.maa_mark_armor and self._panel.binder.damageTxt:getText() ~= STRINGS.UI.COMBAT_PANEL_NO_LOS then
		self._panel.binder.damageTxt:setText( STRINGS.MORE_ARCHIVE_AGENTS.UI.COMBAT_PANEL.DRONE_MARK )
		color = COLOR_BLUE_DARK
		textColor = COLOR_BLUE_LIGHT
		self._panel.binder.hitBackground:setColor(color:unpack())
		self._panel.binder.damageTxt:setColor(textColor:unpack())
	end
end
