local combat_panel = include( "hud/combat_panel" )
local util = include("client_util")


local COLOR_BLUE_DARK = util.color(50/255,87/255,87/255,150/255)
local COLOR_BLUE_LIGHT = util.color(150/255,255/255,255/255,1)

local COLOR_RED_DARK = util.color(80/255,0/255,0/255,150/255)
local COLOR_RED_LIGHT = util.color(163/255,0/255,0/255,1)

local baseRefreshShoot = combat_panel.refreshShoot
function combat_panel:refreshShoot( weaponUnit, unit, targetUnit )
	local temporary_trait_buffs = {}
	--trace weapons bonus against tagged targets
	if weaponUnit and weaponUnit:getTraits().coit_weapon_trace_buffs and targetUnit and targetUnit:getTraits().tagged then
		for _, buff in ipairs( weaponUnit:getTraits().coit_weapon_trace_buffs ) do
			if type(buff.value) == "boolean" and not weaponUnit:getTraits()[buff.trait] then
				weaponUnit:getTraits()[buff.trait] = buff.value
				table.insert( temporary_trait_buffs, {trait = buff.trait, value = buff.value } )
			elseif type(buff.value) == "number" then
				weaponUnit:getTraits()[buff.trait] = (weaponUnit:getTraits()[buff.trait] or 0) + buff.value
				table.insert( temporary_trait_buffs, {trait = buff.trait, value = buff.value } )
			end
		end
	end
	
	baseRefreshShoot( self, weaponUnit, unit, targetUnit )

	local sim = self._hud._game.simCore
		local color, textColor = COLOR_BLUE_DARK, COLOR_BLUE_LIGHT
		local shot = sim:getQuery().calculateShotSuccess( sim, unit, targetUnit, weaponUnit )

	if shot.coit_mark_armor_noArmor and self._panel.binder.damageTxt:getText() ~= STRINGS.UI.COMBAT_PANEL_NO_LOS then
		self._panel.binder.damageTxt:setText( STRINGS.CORPORATE_ITEMS.UI.COMBAT_PANEL.NO_ARMOR )
		color = COLOR_RED_DARK
		textColor = COLOR_RED_LIGHT
		self._panel.binder.hitBackground:setColor(color:unpack())
		self._panel.binder.damageTxt:setColor(textColor:unpack())
	elseif shot.coit_mark_armor and self._panel.binder.damageTxt:getText() ~= STRINGS.UI.COMBAT_PANEL_NO_LOS then
		self._panel.binder.damageTxt:setText( STRINGS.CORPORATE_ITEMS.UI.COMBAT_PANEL.ARMOR_MARK )
		color = COLOR_BLUE_DARK
		textColor = COLOR_BLUE_LIGHT
		self._panel.binder.hitBackground:setColor(color:unpack())
		self._panel.binder.damageTxt:setColor(textColor:unpack())
	end
	
	--remove temporary buffs again
	for _, buff in ipairs( temporary_trait_buffs ) do
		if type(buff.value) == "boolean" then
			weaponUnit:getTraits()[buff.trait] = nil
		elseif type(buff.value) == "number" then
			assert( weaponUnit:getTraits()[buff.trait] )
			weaponUnit:getTraits()[buff.trait] = weaponUnit:getTraits()[buff.trait] - buff.value
		end
	end
end
