local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local abilityutil = include( "sim/abilities/abilityutil" )

local debug_emp =
{
	name = "OVERLOAD",
	profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_hijack_small.png",
 	proxy = true,
	usesAction = true,

	createToolTip = function( self,sim, abilityOwner, abilityUser, targetID )
		local targetUnit = sim:getUnit( targetID )
		local headerTxt = string.format( "OVERLOAD %s", util.toupper( targetUnit:getName() ) )
		local bodyTxt = string.format( "Disable %s electronics", targetUnit:getName() )
		return abilityutil.formatToolTip( headerTxt, bodyTxt, simdefs.DEFAULT_COST )
	end,
		
	getName = function( self, sim, unit )
		return STRINGS.ABILITIES.ICEBREAK
	end,

    getProfileIcon = function( self, sim, abilityOwner )
        return abilityOwner:getUnitData().profile_icon or self.profile_icon
    end,

	acquireTargets = function( self, targets, game, sim, unit )
		local userUnit = unit:getUnitOwner()
		local units = {}

		for _, targetUnit in pairs(sim:getAllUnits()) do
			if (targetUnit:getTraits().mainframe_ice or 0) > 0 or targetUnit:getTraits().heartMonitor == "enabled" then
				table.insert( units, targetUnit )
			end
		end 
		
		return targets.unitTarget( game, units, self, unit, userUnit )
	end,
		
	canUseAbility = function( self, sim, unit )
		return unit:getUnitOwner() ~= nil
	end,
	
	executeAbility = function( self, sim, unit, userUnit, target )
		local target = sim:getUnit(target)
		target:processEMP( (target:getTraits().mainframe_booting or 0) + 1, true )
		
	   	local x0,y0 = target:getLocation()
		sim:dispatchEvent( simdefs.EV_PLAY_SOUND, {sound="SpySociety/HitResponse/hitby_distrupter_flesh", x=x0,y=y0} )
		sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = target, fx = "emp" } )	
	end,
}

return debug_emp