local simengine = include("sim/engine")

local oldInit = simengine.init

function simengine:init( params, levelData, ... )
	self._levelOutput = levelData:parseBoard( params.seed, params )
	oldInit( self, params, levelData, ... )

	for v,agentDef in pairs ( params.agency.unitDefs )do
		for skillIdx, skill in pairs( agentDef.skills or {} ) do
			skill.skillChange = nil
		end	
	end
	
	for _, script in ipairs( self._levelScript.scripts ) do
		if script.addHooks then
			for hookName, hookFn in pairs( script.addHooks ) do
				self._levelScript:addHook( hookName, hookFn )
			end
		end
	end
end