local engine = include( "sim/engine" )
local util = include( "modules/util" )
local array = include("modules/array")

local baseInit = engine.init
function engine:init( params, levelData )
	baseInit( self, params, levelData )
	
	if params.difficultyOptions.SITREP_program_storage then
		self._sitrepAgencyPrograms = util.tcopy( self._params.agency.abilities )
		
		if params.incognitaLoadout then
			--remove programs in the loadout from the agency and add any program from the sim to the agency after mission
			for _, loadoutProgram in ipairs( params.incognitaLoadout ) do
				array.removeElement( self._sitrepAgencyPrograms, loadoutProgram )
			end
		end
	end
	
	
	if params.agency.sitrep_incognita and params.agency.sitrep_incognita.skills then
		for name, skill in pairs ( params.agency.sitrep_incognita.skills )do
			skill.skillChange = nil
		end
	end
end

local baseSpawnUnit = engine.spawnUnit
function engine:spawnUnit( unit )
	baseSpawnUnit( self, unit )

	if self:getParams().onUnitCreation then
		for _, fn in ipairs(self:getParams().onUnitCreation) do
			fn( self, unit )
		end
	end
end
