local simdefs = include( "sim/simdefs" )
local grenaderig = include( "gameplay/grenaderig" ).rig

local baseRefresh = grenaderig.refresh
function grenaderig:refresh()
	baseRefresh( self )
	
	local unit = self:getUnit()
	if unit:getTraits().maa_defibrillator and unit:getTraits().deployed then
		self:setCurrentAnim("beacon_idle")	
		self:setPlayMode( KLEIAnim.LOOP )
	end	
end

local baseOnSimEvent = grenaderig.onSimEvent
function grenaderig:onSimEvent( ev, eventType, eventData )
	baseOnSimEvent( self, ev, eventType, eventData )
	
	local unit = self:getUnit()
	if eventType == simdefs.EV_UNIT_REFRESH then
		if unit:getTraits().maa_defibrillator and unit:getTraits().deployed then
			self:refresh()
		end
	end
end
