local util = include( "modules/util" )
local guiex = include( "client/guiex" )
local guiex2 = include( "guiex" )
local cdefs = include( "client_defs" )

local SAFE_RED = { 245/255, 81/255, 32/255 }
local DEFAULT_AMMO_CLR = { 140/255, 255/255, 255/255 }
local ACTIVE_AMMO_CLR = { 1, 1, 0 }

local baseUpdateButtonFromItem = guiex.updateButtonFromItem
function guiex.updateButtonFromItem( screen, game, widget, item, unit, encumbered )
	baseUpdateButtonFromItem( screen, game, widget, item, unit, encumbered )

	if item:getTraits().installed and item:getTraits().augment then
		for _, ability in ipairs( item:getAbilities() ) do
			if ability.maa_activeAbility then
				widget.binder.btn:setDisabled( false )
				widget.binder.btn:setColor(cdefs.COLOR_FREE:unpack())
				widget.binder.btn:setColorInactive(cdefs.COLOR_FREE:unpack())
				widget.binder.btn:setColorActive(cdefs.COLOR_FREE_HOVER:unpack())
				widget.binder.btn:setColorHover(cdefs.COLOR_FREE_HOVER:unpack())
				break
			end
		end
	end

	local ammoTxt, ammoClr = "", DEFAULT_AMMO_CLR
	--update maxAmmo from the item and not the data in itemdefs -- Madge
	--cooldown > ammo
	if (item:getTraits().cooldown or 0) > 0 then		
		ammoTxt, ammoClr = tostring(item:getTraits().cooldown), SAFE_RED
		widget.binder.ammoTxt:setText( ammoTxt )
 		widget.binder.ammoBG:setColor( unpack(ammoClr) )
 		widget.binder.ammoBG:setVisible( true )
	elseif item:getTraits().maxAmmo then
 		ammoTxt = util.sformat( STRINGS.UI.HUD_WEAPON_AMMO, item:getTraits().ammo, item:getTraits().maxAmmo )
 		if item:getTraits().ammo <= 0 then
	    		ammoClr = SAFE_RED
		end
 		widget.binder.ammoTxt:setText( ammoTxt )
 		widget.binder.ammoBG:setColor( unpack(ammoClr) )
 		widget.binder.ammoBG:setVisible( true )
	elseif item:getTraits().usesCharges then
		ammoTxt = util.sformat( STRINGS.UI.HUD_WEAPON_AMMO, item:getTraits().charges, item:getTraits().chargesMax )
		if item:getTraits().charges < 1 then
	    		ammoClr = SAFE_RED
		end   
		widget.binder.ammoTxt:setText( ammoTxt )
		widget.binder.ammoBG:setColor( unpack(ammoClr) )
		widget.binder.ammoBG:setVisible( true )
	end
end
guiex2.updateButtonFromItem = guiex.updateButtonFromItem
