local simdefs = include( "sim/simdefs" )
local hudWrapper = include( "hud/hud" )
local createHud = hudWrapper.createHud

local hudClass = upvalueUtil.find( createHud,
	function( key, value )
		return type( value ) == "table" and value.showInterface
	end, 10 )

assert( hudClass )

package.loaded[ "hud/hud" ] = hudClass
hudClass.createHud = createHud

local oldOnSimEvent = hudClass.onSimEvent

function hudClass:onSimEvent( ev )
	if ev.eventType == simdefs.EV_ITEMS_PANEL then
        if ev.eventData then
			if ev.eventData.shopUnit then
				local shop_panel = include( "hud/shop_panel" )
				local panel_type = ev.eventData.shopUnit:getTraits().panelType or ev.eventData.shopUnit:getTraits().storeType
				if panel_type =="research" then
					self:showItemsPanel( shop_panel.research( self, ev.eventData.shopperUnit, ev.eventData.shopUnit, STRINGS.UI.SHOP_RESEARCH, nil,true))
				elseif panel_type =="server" or panel_type =="extraserver" then
					self:showItemsPanel( shop_panel.server( self, ev.eventData.shopperUnit, ev.eventData.shopUnit ))
				elseif panel_type == "miniserver" then
					self:showItemsPanel( shop_panel.server( self, ev.eventData.shopperUnit, ev.eventData.shopUnit, STRINGS.UI.SHOP_MINISERVER, true))
				else
					self:showItemsPanel( shop_panel.shop( self, ev.eventData.shopperUnit, ev.eventData.shopUnit ))
				end
			else
				local items_panel = include( "hud/items_panel" )
				if ev.eventData.targetUnit then
					self:showItemsPanel( items_panel.loot( self, ev.eventData.unit, ev.eventData.targetUnit ))
				else
					self:showItemsPanel( items_panel.pickup( self, ev.eventData.unit, ev.eventData.x, ev.eventData.y ))
				end
			end

		elseif self._itemsPanel then
			self._itemsPanel:refresh()
		end
    else
		oldOnSimEvent( self, ev )
	end
end