local cdefs = include( "client_defs" )

local hud = include( "hud/hud" )
local oldCreateHud = hud.createHud

hud.createHud = function( ... )
    local hudObject = oldCreateHud( ... )

    local oldOnSimEvent = hudObject.onSimEvent

    function hudObject:refreshTimeAttack()
		local totalTime = self._game.chessTimeTotal + self._game.chessTimer
		local hr = math.floor( totalTime / (60*60*60) )
		local min = math.floor( totalTime / (60*60) ) - hr*60
		local sec = math.floor( totalTime / 60 ) % 60

		self._screen:findWidget("totalTimer"):setText( string.format(STRINGS.UI.HUD_TOTAL_TIME, hr, min, sec) )

		local chessTimeLeft = self._game.params.difficultyOptions.timeAttack - self._game.chessTimer
		local min = math.floor( chessTimeLeft / (60*60) )
		local sec = math.floor( chessTimeLeft / 60 ) % 60

		self._screen:findWidget("timeAttackTxt"):setText( string.format( STRINGS.UI.HUD_TIME_ATTACK_TIME_LEFT, min, sec) )
		self._screen:findWidget("timeProgress"):setProgress( chessTimeLeft / self._game.params.difficultyOptions.timeAttack )

		if chessTimeLeft <= 10 * cdefs.SECONDS then
			self._screen:findWidget("timeAttackTxt"):setColor(184/255, 13/255, 13/255, 1)
			self._screen:findWidget("timeProgress"):setProgressColor(184/255, 13/255, 13/255, 1)
			if chessTimeLeft % 60 == 0 and chessTimeLeft > 0 and self._game.chessTimer > 0 then
				MOAIFmodDesigner.playSound( "SpySociety/HUD/gameplay/button_flash" )
			end
		else
			self._screen:findWidget("timeAttackTxt"):setColor(250/255, 253/255, 104/255,1)
			self._screen:findWidget("timeProgress"):setProgressColor(250/255, 253/255, 104/255,1)
		end

		if self._pause_dialog then
			self._pause_dialog:updateHeader( string.format(STRINGS.UI.PAUSE_TOTAL_TIME, 0, min, sec) )
		end
	end

    return hudObject
end