local inventory = include("sim/inventory")

local simdefs = include( "sim/simdefs" )

inventory.useItem = function( sim, unit, item, ... )
	local x1, y1 = unit:getLocation()

	if item:getTraits().cooldown then		
		local mod = 0
		if unit:countAugments( "augment_torque_injectors" ) > 0 then			
			mod = mod +1
		end

		item:getTraits().cooldown = math.max((item:getTraits().cooldownMax or 0) - mod, 0)		
		if mod > 0 then
			sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt = STRINGS.ITEMS.AUGMENTS.TORQUE_INJECTORS, x = x1, y = y1,color={r=255/255,g=255/255,b=51/255,a=1}} )	
		end
		if unit:countAugments( "augment_tony_2" ) > 0 and not unit:getTraits().tonyBonus then			
			if (item:getTraits().cooldownMax or 0) - mod > 2 then
				unit:getPlayerOwner():addCPUs(2, sim, x1,y1)
				sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt = STRINGS.UI.FLY_TXT.THERMAL_GENERATOR, x = x1, y = y1,color={r=255/255,g=255/255,b=51/255,a=1}} )								
				unit:getTraits().tonyBonus = 1
			end
		end		
		if not sim:getTags().isTutorial then
			sim:dispatchEvent( simdefs.EV_SHOW_COOLDOWN, {})
		end
	end

	if item:getTraits().melee == true then 
		if unit:countAugments( "augment_nika_2" ) > 0 then 
			if not unit:getTraits().augment_nika_2_triggered then
				for _, item in pairs( unit:getChildren() ) do 
					if item:getTraits().cooldown then 
						item:getTraits().cooldown = math.max(item:getTraits().cooldown - 1, 0)	
						sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt = STRINGS.ITEMS.AUGMENTS.NIKAS_2, x = x1, y = y1,color={r=255/255,g=255/255,b=51/255,a=1}} )
					end 
				end 
			end
			if sim:isVersion("0.17.9") then
				unit:getTraits().augment_nika_2_triggered = true	
			end			
		end 
	end 

	if item:getTraits().usesCharges == true then 
		item:getTraits().charges =  item:getTraits().charges -1 
	end 	

	if item:getTraits().pwrCost then
    		item:getPlayerOwner():addCPUs( -item:getTraits().pwrCost, sim, x1,y1)	
	end

   	if item:getTraits().ammo then
        	item:getTraits().ammo = item:getTraits().ammo - (item:getTraits().ammoRequired or 1)
	end

	if item:getTraits().usesLeft then

		item:getTraits().usesLeft = item:getTraits().usesLeft - 1
        end


	if item:getTraits().energyWeapon then
    		item:getTraits().energyWeapon = "active"
	end

	if (item:getTraits().disposable or item:getTraits().usesLeft and item:getTraits().usesLeft <= 0) and item:getUnitOwner() then
		inventory.trashItem( sim, item:getUnitOwner(), item )
	end
end