local inventory = include("sim/inventory")

local baseUseItem = inventory.useItem
function inventory.useItem( sim, unit, item )
	baseUseItem( sim, unit, item )
	
	--N-Umi tazer refund
	if item:getTraits().ammo and item:getTraits().maa_no_ammo_usage then
		item:getTraits().ammo = item:getTraits().ammo + 1
	end
	
	--Shalem 3 clip ammo usage
	if item:getTraits().maa_is_shalem_mod_rifle and item:getTraits().ammo then
		--find the clip
		for _, weapon_mod in ipairs( item:getChildren() ) do
			if weapon_mod:getTraits().ammo then
				weapon_mod:getTraits().ammo = weapon_mod:getTraits().ammo - 1
			end
		end
	end 
	
	--Shalem 3 mp cost mods
	if item:getTraits().maa_mp_cost then
		unit:addMP( -item:getTraits().maa_mp_cost )
	end
	
	--Shalem 3 rifle used
	if item:getTraits().maa_is_shalem_mod_rifle then
		item:getTraits().maa_weapon_used = true
	end
end

local baseEquipItem = inventory.equipItem
function inventory.equipItem( userUnit, item )
	if item:getTraits().slot and item:getTraits().slot == "gun" and userUnit:getTraits().maa_isDrunk then
		return
	end
	
	baseEquipItem( userUnit, item )
end
