local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )

local item_templates =
{
	W93_item_teleportGrenade = util.extend( commondefs.npc_grenade_template )
	{
    		type = "W93_translocator_grenade",
    		name = STRINGS.PROGEXTEND.ITEMS.TRANSLOCATOR_GRENADE,
		desc = STRINGS.PROGEXTEND.ITEMS.TRANSLOCATOR_GRENADE_DESC,
		flavor = STRINGS.PROGEXTEND.ITEMS.TRANSLOCATOR_GRENADE_FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_translocator_grenade_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_translocator_grenade.png",
		kanim = "kanim_stickycam",		
		sounds = {activate="SpySociety/Grenades/stickycam_deploy", bounce="SpySociety/Grenades/bounce"},
		traits = { guardBeacon = true, disposable = false, range = 3, aimRange = 3, cooldown = 0, cooldownMax = 1, keepPathing=true, slot = "grenade", shouldNpcThrow = true },
		value = 1,
		notSoldAfter = 0, 			
	},

	W93_item_teleportGrenade_pc = util.extend( commondefs.grenade_template )
	{
    		type = "W93_translocator_grenade",
    		name = STRINGS.PROGEXTEND.ITEMS.TRANSLOCATOR_GRENADE,
		desc = STRINGS.PROGEXTEND.ITEMS.TRANSLOCATOR_GRENADE_DESC,
		flavor = STRINGS.PROGEXTEND.ITEMS.TRANSLOCATOR_GRENADE_FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_translocator_grenade_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_translocator_grenade.png",	
		kanim = "kanim_stickycam",		
		sounds = {activate="SpySociety/Grenades/stickycam_deploy", bounce="SpySociety/Grenades/bounce"},
		traits = { playerBeacon = true, disposable = false, ammo = 2, maxAmmo = 2 },
		abilities = { "carryable", "reload", "throw" },
		value = 400,
		notSoldAfter = 0,
		floorWeight = 3,

		createUpgradeParams = function( self, unit )
        		local params = { traits = { ammo = 0, } }
			params.traits.ammo = unit:getTraits().ammo
        		return params
		end,		
	},

	W93_item_snareGrenade = util.extend( commondefs.npc_grenade_template )
	{
    		type = "W93_translocator_grenade",
		name = "SNARE GRENADE",
		desc = "You probably shouldn't see this tooltip",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_smoke_grenade_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_smoke_grenade.png",	
		kanim = "kanim_scangrenade",		
		sounds = {activate="SpySociety/Grenades/stickycam_deploy", explode="SpySociety/Actions/Engineer/wireless_emitter", bounce="SpySociety/Grenades/bounce"},
		traits = { snareGrenade = true, scan = true, explodes = 0, range = 3, aimRange = 3, cooldown = 0, cooldownMax = 1, keepPathing=true, throwUnit="W93_item_snareGrenade", disposable = false, slot = "grenade", shouldNpcThrow = true },
		value = 1,
		notSoldAfter = 0, 			
	},

	W93_item_snareGrenade_pc = util.extend( commondefs.grenade_template )
	{
        	type = "W93_snare_grenade",
		name = STRINGS.PROGEXTEND.ITEMS.SNARE_GRENADE,
		desc = STRINGS.PROGEXTEND.ITEMS.SNARE_GRENADE_TOOLTIP,
		flavor = STRINGS.PROGEXTEND.ITEMS.SNARE_GRENADE_FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_translocator_grenade_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_translocator_grenade.png",	
		kanim = "kanim_stickycam",		
		sounds = {activate="SpySociety/Grenades/stickycam_deploy", bounce="SpySociety/Grenades/bounce"},
		abilities = { "carryable", "recharge", "throw" },
		traits = { cooldown = 0, cooldownMax = 5, disposable = false }, 
		value = 400,
		notSoldAfter = 0,
		floorWeight = 3,
	},

	W93_item_icebreaker_starter = util.extend(commondefs.item_template)
	{
		name = STRINGS.PROGEXTEND.ITEMS.BUSTER_CHIP_STARTER,
		desc = STRINGS.ITEMS.BUSTER_1_TOOLTIP,
		flavor = STRINGS.ITEMS.BUSTER_1_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_chip_ice_breaker.png",		
		traits = { icebreak = 2,cooldown = 0, cooldownMax = 5,  },
		requirements = {},
		abilities = { "icebreak","recharge","carryable" },
		value = 250,
		notSoldAfter = 0, 
	},
}

for id, template in pairs(item_templates) do
	template.id = id
end

return item_templates