local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )

local NEVER_SOLD = 10000

local function WilsonAugTooltip( tooltip, unit, userUnit )
    local cdefs = include( "client_defs" )
    local simquery = include( "sim/simquery" )
    commondefs.item_template.onTooltip( tooltip, unit, userUnit )
	tooltip:addAbility(  STRINGS.AGENT_WILSON.ITEMS.COSTLY_PEEKING, STRINGS.AGENT_WILSON.ITEMS.COSTLY_PEEKING_DESC, "gui/icons/action_icons/Action_icon_Small/icon-action_peek_around.png" )
	tooltip:addAbility(  STRINGS.AGENT_WILSON.ITEMS.PARANOIA, STRINGS.AGENT_WILSON.ITEMS.PARANOIA_DESC, "gui/icons/small_icons/icon-shadowWilson_small.png" )
    -- if unit:getTraits().installed and userUnit and unit:getSim() then
        -- local x0, y0 = userUnit:getLocation()
        -- tooltip:addRange( userUnit:getTraits().Wilson_paranoiaRange, x0, y0, cdefs.HILITE_TARGET_COLOR )

        -- local hiliteUnits = {}
		-- local cells = simquery.fillCircle( unit:getSim(), x0, y0, simdefs.HOLOCIRCUIT_RANGE, 0)
		-- for i, cell in ipairs(cells) do
			-- for i, cellUnit in ipairs( cell.units ) do
				-- if simquery.isEnemyAgent( userUnit:getPlayerOwner(), cellUnit) and not cellUnit:isKO() then
                    -- table.insert( hiliteUnits, cellUnit:getID() )
				-- end
			-- end
		-- end
        -- tooltip:addUnitHilites( hiliteUnits )
    -- end
end

local tool_templates =
{

	item_chemical_wilson = util.extend( commondefs.grenade_template)
	{
        type = "smoke_stun_grenade",
		name = STRINGS.AGENT_WILSON.ITEMS.WILSON_CHEMICAL,
		desc = STRINGS.AGENT_WILSON.ITEMS.WILSON_CHEMICAL_TIP,
		flavor = STRINGS.AGENT_WILSON.ITEMS.WILSON_CHEMICAL_FLAVOR,
		--icon = "itemrigs/FloorProp_Bandages.png",
		icon = "itemrigs/wilson_chemical.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_wilsonChemical_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_wilsonChemical.png",		
		kanim = "kanim_wilson_chemical",		
		sounds = {explode="SpySociety/Grenades/smokegrenade_explo", bounce="SpySociety/Grenades/bounce_smokegrenade"},
		traits = { 
			on_spawn = "smoke_cloud_wilson" ,
			range=0,
			noghost = true,
			explodes = 0,
			usesCharges = true,
			charges = 3, chargesMax = 3,
			disposable = false,
			throwUnit = "item_chemical_wilson",
			baseDamage = 1,
			canSleep = true,
			randomKODamage = {1,5},
		},
		abilities = {"carryable", "throw","recharge"},
		value = 600,
		floorWeight = 2,
		locator=true,
	},
	
	-- item_labcoat_wilson = util.extend(commondefs.item_template)
	-- {
		-- type = "item_disguise",
		-- name = STRINGS.AGENT_WILSON.ITEMS.WILSON_LABCOAT,
		-- desc = STRINGS.AGENT_WILSON.ITEMS.WILSON_LABCOAT_TOOLTIP,
		-- flavor = STRINGS.AGENT_WILSON.ITEMS.WILSON_LABCOAT_FLAVOR,
		-- icon = "itemrigs/disk.png",		
		-- profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_holomesh_Prism.png",
    	-- profile_icon_100 = "gui/icons/item_icons/icon-item_holomesh_Prism.png",		
    	-- abilities = { "carryable" , "wilson_disguise", "wear_labcoat" },
    	-- value = 500,
    	-- traits = {  scan_vulnerable=false, CPUperTurn=2, pwrCost=2, warning=STRINGS.ITEMS.HOLO_MESH_WARNING, restrictedUse={{agentID="agent_wilson_mod",name="Wilson"}}, drop_dropdisguise=true },	
	-- },	
	
		-- augment_wilson = util.extend( commondefs.augment_template )
	-- {
		-- name = STRINGS.AGENT_WILSON.ITEMS.PERCEPTION_MODULATOR,
		-- desc = STRINGS.AGENT_WILSON.ITEMS.PERCEPTION_MODULATOR_TIP,
		-- flavor = STRINGS.AGENT_WILSON.ITEMS.PERCEPTION_MODULATOR_FLAVOR, 
		-- traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			-- addTrait = {{"paranoia_range",2}},			
			-- installed = true,
			-- paranoia_range = 2,
		-- },
        -- abilities = {"carryable", "throw", "paranoia_scan"},
		-- profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_augment_internationale_small.png",
    	-- profile_icon_100 = "gui/icons/skills_icons/icon-item_augment_internationale.png",			
	-- },
	
	augment_wilson = util.extend( commondefs.augment_template )
	{
		name = STRINGS.AGENT_WILSON.ITEMS.PERCEPTION_MODULATOR,
		desc = STRINGS.AGENT_WILSON.ITEMS.PERCEPTION_MODULATOR_TIP,
		flavor = STRINGS.AGENT_WILSON.ITEMS.PERCEPTION_MODULATOR_FLAVOR,
		traits =  util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			beardTime = 0,
			timeElapsed = 0,
			installed = true,
			addTrait = {{"Wilson_paranoiaRange",1.5}},
		},
		onTooltip = WilsonAugTooltip,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_torso_small.png",
    	profile_icon_100 = "gui/icons/item_icons/icon-item_generic_torso.png",	
		createUpgradeParams = function( self, unit )
			return { beardTime = { beardTime = unit:getTraits().beardTime }, timeElapsed = { timeElapsed = unit:getTraits().timeElapsed }, }
		end,
		abilities = util.tconcat( commondefs.augment_template.abilities, { "wilson_shadowvisibility" }),		
	},
	
	augment_wilson_2 = util.extend( commondefs.augment_template )
	{
		name = STRINGS.AGENT_WILSON.ITEMS.QUANTUM_REFURBISHER,
		desc = STRINGS.AGENT_WILSON.ITEMS.QUANTUM_REFURBISHEP_TIP,
		flavor = STRINGS.AGENT_WILSON.ITEMS.QUANTUM_REFURBISHEP_FLAVOR,
		traits =  util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			beardTime = 0,
			timeElapsed = 0,
			addTrait = {{"fancyLabcoat", true}},
			modTrait = {{"mpMax",-1}},
		},
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_arm_small2.png",
    	profile_icon_100 = "gui/icons/item_icons/icon-item_generic_arm2.png",	
		createUpgradeParams = function( self, unit )
			return { beardTime = { beardTime = unit:getTraits().beardTime }, timeElapsed = { timeElapsed = unit:getTraits().timeElapsed }, }
		end,
		onTooltip = function( tooltip, unit, userUnit )
            -- commondefs.onItemTooltip( tooltip, unit, userUnit )
			commondefs.item_template.onTooltip( tooltip, unit, userUnit )
			tooltip:addAbility(  STRINGS.AGENT_WILSON.ITEMS.CRAFT_ITEMS, STRINGS.AGENT_WILSON.ITEMS.CRAFT_ITEMS_DESC, "gui/icons/skills_icons/skills_icon_small/icon-item_technician_small.png" )
			tooltip:addAbility(  STRINGS.AGENT_WILSON.ITEMS.CRAFT_CHARGEPACKS, STRINGS.AGENT_WILSON.ITEMS.CRAFT_CHARGEPACKS_DESC, "gui/icons/item_icons/items_icon_small/icon-item_magazine_small.png" )			
        end,		
	},	
}	
	
	
return tool_templates