local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )

local tool_templates =
{
	CARMEN_augment_great_thief = util.extend( commondefs.augment_template )
	{
		type = "CARMEN_augment_great_thief",
		name = STRINGS.CARMEN.ITEMS.GREAT_THIEF,
		desc = STRINGS.CARMEN.ITEMS.GREAT_THIEF_TIP,
		flavor = STRINGS.CARMEN.ITEMS.GREAT_THIEF_FLAVOR,
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			cooldown = 0,
			cooldownMax = 1,
			addInventory = 5,
			safeMP = 2,
			modTrait = {{"dragCostMod",-2}},
			modSkill = 3,
			modSkillStat = 1,		
			modSkillLock = {3},
			installed = true,
		},
		profile_icon = "gui/icons/item_icons/items_icon_small/icon_carmenthief_small.png",
		profile_icon_100 =  "gui/icons/item_icons/icon-item_carmenthiefaugment_100.png",			
	},

	CARMEN_item_safecracking_tools = util.extend(commondefs.item_template)
	{
		name = STRINGS.CARMEN.ITEMS.SAFECRACKING_TOOLS,
		desc = STRINGS.CARMEN.ITEMS.SAFECRACKING_TOOLS_TIP,
		flavor = STRINGS.CARMEN.ITEMS.SAFECRACKING_TOOLS_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_carmentools_small.png",
    		profile_icon_100 = "gui/icons/item_icons/icon-item_carmentools_100.png",		
		traits = { cooldown = 0, cooldownMax = 3, restrictedUse = {{agentID="carmen_sandiego_o", name=STRINGS.CARMEN.AGENTS.CARMEN.NAME}} },
		requirements = { anarchy = 2 },
		abilities = { "CARMEN_crack_safe", "recharge", "carryable" },
		value = 300,
	},	
}

for id, template in pairs(tool_templates) do
	template.id = id
end

return tool_templates