local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )
local unitdefs = include( "sim/unitdefs" )

local REGION_LOCATIONS =
{
	NORTH_AFRICA = { STRINGS.MAP_NAMES.ALGIERS, STRINGS.MAP_NAMES.CASABLANCA, STRINGS.MAP_NAMES.CAIRO, STRINGS.MAP_NAMES.MONROVIA, },
	SOUTH_AFRICA = { STRINGS.MAP_NAMES.CAPE_TOWN, STRINGS.MAP_NAMES.ANTANANARIVO, STRINGS.MAP_NAMES.MOMBASA, STRINGS.MAP_NAMES.GABORONE, },
	SOUTH_AMERICA = { STRINGS.MAP_NAMES.BOGOTA, STRINGS.MAP_NAMES.LIMA, STRINGS.MAP_NAMES.SANTA_CRUZ, STRINGS.MAP_NAMES.BRASILIA, STRINGS.MAP_NAMES.PORTO_ALEGRE, STRINGS.MAP_NAMES.SANTA_ROSA, },
	
	CANADA = { STRINGS.MAP_NAMES.ANCHORAGE, STRINGS.MAP_NAMES.VANCOUVER, STRINGS.MAP_NAMES.THUNDER_BAY, STRINGS.MAP_NAMES.ST_JOHNS, },
	USA = { STRINGS.MAP_NAMES.SAN_FRANCISCO, STRINGS.MAP_NAMES.MEXICO_CITY, STRINGS.MAP_NAMES.KANSAS_CITY, STRINGS.MAP_NAMES.NEW_YORK, STRINGS.MAP_NAMES.ATLANTA, STRINGS.MAP_NAMES.HAVANA, },
	
	EUROPE = { STRINGS.MAP_NAMES.REYKJAVIK, STRINGS.MAP_NAMES.LONDON, STRINGS.MAP_NAMES.MADRID, STRINGS.MAP_NAMES.STOCKHOLM, STRINGS.MAP_NAMES.ROME, STRINGS.MAP_NAMES.BUDAPEST },
	RUSSIA = { STRINGS.MAP_NAMES.DUBAI, STRINGS.MAP_NAMES.BEIRUT, STRINGS.MAP_NAMES.ISTANBUL, STRINGS.MAP_NAMES.MOSCOW },
	AUSTRALIA = { STRINGS.MAP_NAMES.PERTH, STRINGS.MAP_NAMES.SYDNEY },
	INDIA = { STRINGS.MAP_NAMES.KABUL, STRINGS.MAP_NAMES.DHAKA, STRINGS.MAP_NAMES.NEW_DELHI, STRINGS.MAP_NAMES.COLOMBO },
	SOUTH_EAST_ASIA = { STRINGS.MAP_NAMES.BANGKOK, STRINGS.MAP_NAMES.SINGAPORE, STRINGS.MAP_NAMES.JAKARTA, STRINGS.MAP_NAMES.MANILA, STRINGS.MAP_NAMES.CHRISTCHURCH },
	CHINA = { STRINGS.MAP_NAMES.TOKYO, STRINGS.MAP_NAMES.SEOUL, STRINGS.MAP_NAMES.CHENGDU, STRINGS.MAP_NAMES.ASTANA, STRINGS.MAP_NAMES.HONG_KONG },
}

local items =
{
	--Plastech Items
	coit_tazer_plastech_nafrica = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_PLASTECH_NAFRICA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_PLASTECH_NAFRICA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_PLASTECH_NAFRICA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_plastech_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_plastech.png",		
		requirements = {  },
		traits = { 
			damage = 2, melee = true, tazer = true, coit_spawnsDaemon = true 
		},
		niaa_traits = { soundRange = 2 },
		value = 500,
		floorWeight = 1,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.NORTH_AFRICA,
	},
	coit_tazer_plastech_safrica = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_PLASTECH_SAFRICA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_PLASTECH_SAFRICA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_PLASTECH_SAFRICA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_plastech_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_plastech.png",		
		requirements = {  },
		traits = { 
			damage = 7, cooldown = 0, cooldownMax = 3, melee = true, tazer = true, coit_spawnsDaemon = true 
		},
		niaa_traits = { soundRange = 2 },
		value = 650,
		floorWeight = 1,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_AFRICA,
	},
	coit_tazer_plastech_samerica = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_PLASTECH_SAMERICA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_PLASTECH_SAMERICA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_PLASTECH_SAMERICA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_plastech_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_plastech.png",		
		requirements = {  },
		traits = { 
			damage = 2, cooldown = 0, cooldownMax = 3, armorPiercing = 3, melee = true, tazer = true, coit_spawnsDaemon = true 
		},
		niaa_traits = { soundRange = 2 },
		value = 700,
		floorWeight = 2,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_AMERICA,
	},
	coit_daemon_siphon_nafrica = util.extend( commondefs.augment_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_SIPHON_NAFRICA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_SIPHON_NAFRICA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_SIPHON_NAFRICA.FLAVOR,
		profile_icon = "gui/icons/coit_daemon_siphon.png",
		profile_icon_100 = "gui/icons/coit_daemon_siphon.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			grafterWeight = 10,
			trueDaemon = true,
			coit_cd_reduction_item = 1,
			coit_trigger = "daemon",
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "coit_daemon_siphon" }),
		value = 650,
		AUGMENT_LIST = true,
		coit_locations = REGION_LOCATIONS.NORTH_AFRICA,
	},
	coit_daemon_siphon_safrica = util.extend( commondefs.augment_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_SIPHON_SAFRICA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_SIPHON_SAFRICA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_SIPHON_SAFRICA.FLAVOR,
		profile_icon = "gui/icons/coit_daemon_siphon.png",
		profile_icon_100 = "gui/icons/coit_daemon_siphon.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			grafterWeight = 10,
			trueDaemon = true,
			coit_ap_boost = 6,
			coit_proc_max = 2,
			coit_trigger = "daemon",
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "coit_daemon_siphon" }),
		value = 800,
		AUGMENT_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_AFRICA,
	},
	coit_daemon_blocker = util.extend( commondefs.augment_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_BLOCKER.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_BLOCKER.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_BLOCKER.FLAVOR,
		profile_icon = "gui/icons/coit_daemon_blocker.png",
		profile_icon_100 = "gui/icons/coit_daemon_blocker.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			grafterWeight = 2,
			ammo = 0, maxAmmo = 2, coit_ammo_text = STRINGS.CORPORATE_ITEMS.ITEMS.DAEMON_BLOCKER.AMMO_TEXT,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "coit_daemon_blocker" }),
		value = 1400,
		floorWeight = 2,
		soldAfter = 24,
		AUGMENT_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_AMERICA,
	},
	coit_power_dart = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.POWER_DART.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.POWER_DART.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.POWER_DART.FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		profile_icon = "gui/icons/coit_power_dart.png",
		profile_icon_100 = "gui/icons/coit_power_dart.png",
		equipped_icon = "gui/items/equipped_rifle.png",
		traits = { 
			weaponType="rifle", baseDamage = 2, canSleep = true, ammo = 2, maxAmmo = 2, armorPiercing = 2, 
			coit_weapon_power_buffs = { {trait = "baseDamage", value = 1}, }, coit_weapon_power_buff_cost = 2,
		},
		abilities = util.tconcat( commondefs.weapon_reloadable_template.abilities, { "coit_weapon_power_buff" }),
		niaa_traits = { soundRange = 6 },
		requirements = { inventory = 3 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_dartgun_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 1400,
		floorWeight = 3,
		soldAfter = 48,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_AMERICA,
	},
	coit_portable_daemon_server_nafrica = util.extend(commondefs.item_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DAEMON_SERVER_NAFRICA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DAEMON_SERVER_NAFRICA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DAEMON_SERVER_NAFRICA.FLAVOR,
		icon = "console.png",
		kanim = "kanim_laptop",
		profile_icon = "gui/icons/coit_laptop_plastech.png",
		profile_icon_100 = "gui/icons/coit_laptop_plastech.png",
		traits =
		{
			laptop=true, mainframe_icon_on_deploy=true, mainframe_status = "active", sightable = true, hidesInCover = true,
			coit_add_reverse_odds = 5,
			cooldown = 0, cooldownMax = 3,
			cpus = 1, --variable needed for consolerig :/
		},
		abilities = { "deployable", "carryable", "coit_laptop" },
		requirements = { hacking = 3 },
		sounds = {spot="SpySociety/Objects/computer_types", deploy="SpySociety/Objects/SuitcaseComputer_open",pickUp="SpySociety/Objects/SuitcaseComputer_close"},
		rig = "consolerig",
		value = 650,
		floorWeight = 2,
		ITEM_LIST = true,
		coit_locations = REGION_LOCATIONS.NORTH_AFRICA,
		locator = true,
	},
	coit_portable_daemon_server_safrica = util.extend(commondefs.item_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DAEMON_SERVER_SAFRICA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DAEMON_SERVER_SAFRICA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DAEMON_SERVER_SAFRICA.FLAVOR,
		icon = "console.png",
		kanim = "kanim_laptop",
		profile_icon = "gui/icons/coit_laptop_plastech.png",
		profile_icon_100 = "gui/icons/coit_laptop_plastech.png",
		traits =
		{
			laptop=true, mainframe_icon_on_deploy=true, mainframe_status = "active", sightable = true, hidesInCover = true,
			coit_add_reverse_odds = 10, coit_pwr_capacity = -5,
			cooldown = 0, cooldownMax = 3,
			cpus = 1, --variable needed for consolerig :/
		},
		abilities = { "deployable", "carryable", "coit_laptop" },
		requirements = { hacking = 3 },
		sounds = {spot="SpySociety/Objects/computer_types", deploy="SpySociety/Objects/SuitcaseComputer_open",pickUp="SpySociety/Objects/SuitcaseComputer_close"},
		rig = "consolerig",
		value = 850,
		floorWeight = 2,
		ITEM_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_AFRICA,
		locator = true,
	},
	coit_siphon_chip = util.extend(commondefs.item_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.SIPHON_CHIP.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.SIPHON_CHIP.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.SIPHON_CHIP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_chip_plastech.png",
		profile_icon_100 = "gui/icons/coit_chip_plastech.png",
		traits =
		{
			cooldown = 0, cooldownMax = 5,
			coit_gain_cpu = 4,
			coit_spawnsDaemon = true,
			use_ability_name = STRINGS.CORPORATE_ITEMS.ITEMS.SIPHON_CHIP.NAME_USE, use_ability_desc = STRINGS.CORPORATE_ITEMS.ITEMS.SIPHON_CHIP.DESC_USE,
		},
		abilities = { "carryable", "coit_use_chip" },
		requirements = { hacking = 2 },
		value = 450,
		floorWeight = 1,
		ITEM_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_AMERICA,
	},
	
	--FTM items
	coit_tazer_ftm_canada = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_FTM_CANADA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_FTM_CANADA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_FTM_CANADA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_ftm_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_ftm.png",	
		requirements = {  },
		traits = { 
			damage = 1, melee = true, tazer = true,
			cooldown = 0, cooldownMax = 1,
			coit_notifiyGuard = true,
		},
		niaa_traits = { soundRange = 2 },
		value = 500,
		floorWeight = 1,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.CANADA,
	},
	coit_tazer_ftm_usa = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_FTM_USA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_FTM_USA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_FTM_USA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_ftm_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_ftm.png",		
		requirements = {  },
		traits = { 
			damage = 1, melee = true, tazer = true,
			cooldown = 0, cooldownMax = 2,
			armorPiercing = 2,
			coit_notifiyGuard = true,
		},
		niaa_traits = { soundRange = 2 },
		value = 650,
		floorWeight = 2,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.USA,
	},
	coit_portable_scanning_amp = util.extend(commondefs.item_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_SCANNING_AMP.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_SCANNING_AMP.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_SCANNING_AMP.FLAVOR,
		icon = "console.png",
		kanim = "kanim_laptop",
		profile_icon = "gui/icons/coit_laptop_ftm.png",
		profile_icon_100 = "gui/icons/coit_laptop_ftm.png",
		traits =
		{
			laptop=true, mainframe_icon_on_deploy=true, mainframe_status = "active", sightable = true, hidesInCover = true,
			coit_trigger_cooldown = 0, coit_trigger_cooldownMax = 2,
			coit_mainframe_reveal = true,
			cooldown = 0, cooldownMax = 3,
			cpus = 1, --variable needed for consolerig :/
		},
		abilities = { "deployable", "carryable", "coit_laptop" },
		requirements = { hacking = 2 },
		sounds = {spot="SpySociety/Objects/computer_types", deploy="SpySociety/Objects/SuitcaseComputer_open",pickUp="SpySociety/Objects/SuitcaseComputer_close"},
		rig = "consolerig",
		value = 800,
		floorWeight = 1,
		ITEM_LIST = true,
		coit_locations = REGION_LOCATIONS.CANADA,
		locator = true,
	},
	coit_portable_router = util.extend(commondefs.item_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_ROUTER.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_ROUTER.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_ROUTER.FLAVOR,
		icon = "console.png",
		kanim = "kanim_laptop",
		profile_icon = "gui/icons/coit_laptop_ftm.png",
		profile_icon_100 = "gui/icons/coit_laptop_ftm.png",
		traits =
		{
			laptop=true, mainframe_icon_on_deploy=true, mainframe_status = "active", sightable = true, hidesInCover = true,
			coit_trigger_cooldown = 0, coit_trigger_cooldownMax = 1,
			coit_random_ice_break = 1,
			cooldown = 0, cooldownMax = 2,
			cpus = 1, --variable needed for consolerig :/
		},
		abilities = { "deployable", "carryable", "coit_laptop" },
		requirements = { hacking = 3 },
		sounds = {spot="SpySociety/Objects/computer_types", deploy="SpySociety/Objects/SuitcaseComputer_open",pickUp="SpySociety/Objects/SuitcaseComputer_close"},
		rig = "consolerig",
		value = 1000,
		floorWeight = 2,
		ITEM_LIST = true,
		coit_locations = REGION_LOCATIONS.USA,
		locator = true,
	},
	coit_automatic_SMG = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.AUTOMATIC_SMG.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.AUTOMATIC_SMG.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.AUTOMATIC_SMG.FLAVOR,
		icon = "itemrigs/FloorProp_Precision_SMG.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_SMG_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_smg.png",			
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { 
			weaponType="pistol", baseDamage = 1, coit_multishot = "idle", armorPiercing = 1,
			ammo = 3, maxAmmo = 3,
		},
		niaa_traits = { soundRange = 8 },
		abilities = util.tconcat( commondefs.weapon_reloadable_template.abilities, { "coit_multishot" }),
		sounds = {shoot="SpySociety/Weapons/LowBore/shoot_smg", reload="SpySociety/Weapons/LowBore/reload_smg", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_SMG_wood"},
		weapon_anim = "kanim_light_smg",
		agent_anim = "anims_2h",
		value = 1250,
		soldAfter = 24,
		floorWeight = 2,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.USA,
	},
	coit_overdrive_stim = util.extend(commondefs.item_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.OVERDRIVE_STIM.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.OVERDRIVE_STIM.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.OVERDRIVE_STIM.FLAVOR,
		icon = "itemrigs/FloorProp_Bandages.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_stim_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_stim.png",
		traits = { 
			cooldown = 0, cooldownMax = 10,
			coit_add_ability = "coit_overdrive", coit_ability_duration = 3,
			mpRestored = 0, --needed for stims
		},
		requirements = { stealth = 3 },
		abilities = { "carryable","recharge","use_stim" },
		value = 900,
		floorWeight = 2,
		ITEM_LIST = true,
		coit_locations = REGION_LOCATIONS.CANADA,
	},
	
	--K&O items
	coit_tazer_ko_europe = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_KO_EUROPE.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_KO_EUROPE.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_KO_EUROPE.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_ko_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_ko.png",	
		requirements = {  },
		traits = { 
			damage = 2, melee = true, tazer = true,
			coit_increase_alarm = 1,
			coit_no_max_alarm = true,
		},
		niaa_traits = { soundRange = 2 },
		value = 500,
		floorWeight = 1,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.EUROPE,
	},
	coit_tazer_ko_russia = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_KO_RUSSIA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_KO_RUSSIA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_KO_RUSSIA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_ko_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_ko.png",		
		requirements = {  },
		traits = { 
			damage = 6, melee = true, tazer = true,
			cooldown = 0, cooldownMax = 3,
			coit_increase_alarm = 1,
			coit_no_max_alarm = true,
		},
		niaa_traits = { soundRange = 2 },
		value = 650,
		floorWeight = 1,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.RUSSIA,
	},
	coit_tazer_ko_australia = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_KO_AUSTRALIA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_KO_AUSTRALIA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_KO_AUSTRALIA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_ko_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_ko.png",	
		requirements = {  },
		traits = { 
			damage = 2, melee = true, tazer = true,
			cooldown = 0, cooldownMax = 3,
			armorPiercing = 2,
			coit_increase_alarm = 1,
			coit_no_max_alarm = true,
		},
		niaa_traits = { soundRange = 2 },
		value = 700,
		floorWeight = 2,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.AUSTRALIA,
	},
	coit_frag_grenade = util.extend( commondefs.grenade_template)
	{
		type = "stun_grenade",
		name = STRINGS.CORPORATE_ITEMS.ITEMS.FRAG_GRENADE.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.FRAG_GRENADE.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.FRAG_GRENADE.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_flash_grenade_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_flash_grenade.png",		
		kanim = "kanim_flashgrenade",		
		sounds = {explode="SpySociety/Grenades/flashbang_explo", bounce="SpySociety/Grenades/bounce"},
		traits = { 
			baseDamage = 1, range = 2, explodes = 0, throwUnit = "coit_frag_grenade", ignoreArmor=true,
			disposable = false,
			ammo = 1, maxAmmo = 1,
			coit_increase_alarm = 3,
		},
		abilities = util.tconcat( commondefs.grenade_template.abilities, { "reload" } ),
		value = 1100,
		soldAfter = 48,
		floorWeight = 3,
		ITEM_LIST = true,
		locator=true,
		coit_locations = REGION_LOCATIONS.RUSSIA,
	},
	coit_acid_grenade = util.extend( commondefs.grenade_template)
	{
		type = "coit_acid_grenade_unit",
		name = STRINGS.CORPORATE_ITEMS.ITEMS.ACID_GRENADE.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.ACID_GRENADE.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.ACID_GRENADE.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_flash_grenade_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_flash_grenade.png",		
		kanim = "kanim_flashgrenade",		
		sounds = {explode="SpySociety/Grenades/flashbang_explo", bounce="SpySociety/Grenades/bounce"},
		traits = { 
			range = 3, explodes = 0, throwUnit = "coit_acid_grenade", ignoreArmor=true,
			disposable = false,
			ammo = 2, maxAmmo = 2,
		},
		abilities = util.tconcat( commondefs.grenade_template.abilities, { "reload" } ),
		value = 600,
		floorWeight = 2,
		ITEM_LIST = true,
		locator=true,
		coit_locations = REGION_LOCATIONS.AUSTRALIA,
	},
	coit_power_lethal = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.POWER_LETHAL.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.POWER_LETHAL.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.POWER_LETHAL.FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		profile_icon = "gui/icons/coit_power_lethal.png",
		profile_icon_100 = "gui/icons/coit_power_lethal.png",
		equipped_icon = "gui/items/equipped_rifle.png",
		traits = { 
			weaponType="rifle", baseDamage = 1, ammo = 2, maxAmmo = 2, armorPiercing = 0, 
			coit_weapon_power_buffs = { {trait = "armorPiercing", value = 1}, }, coit_weapon_power_buff_cost = 2,
		},
		abilities = util.tconcat( commondefs.weapon_reloadable_template.abilities, { "coit_weapon_power_buff" }),
		niaa_traits = { soundRange = 10 },
		requirements = { inventory = 3 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 1500,
		floorWeight = 3,
		soldAfter = 48,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.EUROPE,
	},
	coit_security_chip = util.extend(commondefs.item_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.SECURITY_CHIP.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.SECURITY_CHIP.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.SECURITY_CHIP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_chip_ko.png",
		profile_icon_100 = "gui/icons/coit_chip_ko.png",
		traits =
		{
			cooldown = 0, cooldownMax = 10,
			coit_alarm_block = true,
			use_ability_name = STRINGS.CORPORATE_ITEMS.ITEMS.SECURITY_CHIP.NAME_USE, use_ability_desc = STRINGS.CORPORATE_ITEMS.ITEMS.SECURITY_CHIP.DESC_USE,
		},
		abilities = { "carryable", "coit_use_chip" },
		requirements = { hacking = 2 },
		value = 650,
		floorWeight = 1,
		ITEM_LIST = true,
		coit_locations = REGION_LOCATIONS.EUROPE,
	},
	
	--Sankaku items
	coit_tazer_sankaku_china = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_SANKAKU_CHINA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_SANKAKU_CHINA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_SANKAKU_CHINA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_sankaku_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_sankaku.png",	
		requirements = {  },
		traits = { 
			damage = 2, armorPiercing = 2, melee = true, tazer = true,
			cooldown = 0, cooldownMax = 4,
			coit_ammo_per_armor = 1,
			usesCharges = true, charges = 2, chargesMax = 2, coit_no_ammo_usage = true,
		},
		niaa_traits = { soundRange = 2 },
		value = 600,
		floorWeight = 1,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.CHINA,
	},
	coit_tazer_sankaku_sea = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_SANKAKU_SEA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_SANKAKU_SEA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_SANKAKU_SEA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_sankaku_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_sankaku.png",	
		requirements = {  },
		traits = { 
			damage = 2, armorPiercing = 3, melee = true, tazer = true,
			cooldown = 0, cooldownMax = 5,
			coit_ammo_per_armor = 1,
			usesCharges = true, charges = 4, chargesMax = 4, coit_no_ammo_usage = true,
		},
		niaa_traits = { soundRange = 2 },
		value = 700,
		floorWeight = 2,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_EAST_ASIA,
	},
	coit_tazer_sankaku_india = util.extend(commondefs.melee_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_SANKAKU_INDIA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_SANKAKU_INDIA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TAZER_SANKAKU_INDIA.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/coit_tazer_sankaku_small.png",
		profile_icon_100 = "gui/icons/coit_tazer_sankaku.png",	
		requirements = {  },
		traits = { 
			damage = 2, armorPiercing = 4, melee = true, tazer = true,
			cooldown = 0, cooldownMax = 6,
			coit_ammo_per_armor = 1,
			usesCharges = true, charges = 7, chargesMax = 7, coit_no_ammo_usage = true,
		},
		niaa_traits = { soundRange = 2 },
		value = 900,
		floorWeight = 3,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.INDIA,
	},
	coit_sankaku_lance = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.SANKAKU_LANCE.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.SANKAKU_LANCE.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.SANKAKU_LANCE.FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",
		equipped_icon = "gui/items/equipped_rifle.png",
		traits = { 
			weaponType="rifle", baseDamage = 1, ammo = 2, maxAmmo = 2, armorPiercing = 4,
			coit_ammo_cost_per_armor = 0.5,
		},
		niaa_traits = { soundRange = 10 },
		requirements = { inventory = 3 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 1500,
		floorWeight = 3,
		soldAfter = 48,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.INDIA,
	},
	coit_mark_gun = util.extend( commondefs.weapon_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.MARK_GUN.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.MARK_GUN.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.MARK_GUN.FLAVOR,
		icon = "itemrigs/FloorProp_Pistol.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_microchip_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_microchip.png",				
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { 
			weaponType="pistol", baseDamage = 0, pwrCost= 2, noTargetAlert=true, ignoreArmor=true, nopwr_guards = {}, doNotInterruptMove = true,
			coit_can_mark = true, coit_multishot = "idle",
		},
		niaa_traits = { soundRange = 1 },
		abilities = util.tconcat( commondefs.weapon_template.abilities, { "coit_multishot" }),
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup"},
		weapon_anim = "kanim_precise_revolver",
		agent_anim = "anims_1h",
		value = 300,
		floorWeight = 1,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_EAST_ASIA,
	},
	coit_power_emp = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.POWER_EMP.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.POWER_EMP.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.POWER_EMP.FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		profile_icon = "gui/icons/coit_power_emp.png",
		profile_icon_100 = "gui/icons/coit_power_emp.png",
		equipped_icon = "gui/items/equipped_rifle.png",
		traits = { 
			weaponType="rifle", baseDamage = 0, ammo = 2, maxAmmo = 2, modeEmpdamage = 2, canEmp=true, armorPiercing = 3, 
			coit_weapon_power_buffs = { {trait = "modeEmpdamage", value = 1}, }, coit_weapon_power_buff_cost = 2,
		},
		abilities = util.tconcat( commondefs.weapon_reloadable_template.abilities, { "coit_weapon_power_buff" }),
		niaa_traits = { soundRange = 8 },
		requirements = { inventory = 2 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 1000,
		floorWeight = 3,
		soldAfter = 48,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.CHINA,
	},
	coit_trace_rifle_china = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TRACE_RIFLE_CHINA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TRACE_RIFLE_CHINA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TRACE_RIFLE_CHINA.FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",
		equipped_icon = "gui/items/equipped_rifle.png",
		traits = { 
			weaponType="rifle", baseDamage = 1, ammo = 2, maxAmmo = 2, armorPiercing = 1,
			coit_weapon_trace_buffs = { {trait = "armorPiercing", value = 2}, },
		},
		niaa_traits = { soundRange = 8 },
		requirements = { inventory = 3 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 1300,
		floorWeight = 3,
		soldAfter = 24,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.CHINA,
	},
	coit_trace_rifle_sea = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.TRACE_RIFLE_SEA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.TRACE_RIFLE_SEA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.TRACE_RIFLE_SEA.FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",
		equipped_icon = "gui/items/equipped_rifle.png",
		traits = { 
			weaponType="rifle", baseDamage = 1, ammo = 2, maxAmmo = 2, armorPiercing = 1,
			coit_weapon_trace_buffs = { {trait = "xray", value = true}, },
		},
		niaa_traits = { soundRange = 8 },
		requirements = { inventory = 3 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 1300,
		floorWeight = 3,
		soldAfter = 24,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.SOUTH_EAST_ASIA,
	},
}

local items_PE =
{
	--K&O items
	coit_explosive_rifle = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.EXPLOSIVE_RIFLE.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.EXPLOSIVE_RIFLE.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.EXPLOSIVE_RIFLE.FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",
		equipped_icon = "gui/items/equipped_rifle.png",
		traits = { 
			weaponType="rifle", baseDamage = 10, ammo = 1, maxAmmo = 1, armorPiercing = 2,
		},
		niaa_traits = { soundRange = 8 },
		requirements = { inventory = 2 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 1200,
		floorWeight = 2,
		soldAfter = 24,
		WEAPON_LIST = true,
		coit_locations = REGION_LOCATIONS.RUSSIA,
	},
	
	--Sankaku items
	coit_portable_drain_server_india = util.extend(commondefs.item_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DRAIN_SERVER_INDIA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DRAIN_SERVER_INDIA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DRAIN_SERVER_INDIA.FLAVOR,
		icon = "console.png",
		kanim = "kanim_laptop",
		profile_icon = "gui/icons/coit_laptop_sankaku.png",
		profile_icon_100 = "gui/icons/coit_laptop_sankaku.png",
		traits =
		{
			laptop=true, mainframe_icon_on_deploy=true, mainframe_status = "active", sightable = true, hidesInCover = true,
			coit_trigger_cooldown = 0, coit_trigger_cooldownMax = 2,
			coit_drain_ai_pwr = 1,
			cooldown = 0, cooldownMax = 3,
			cpus = 1, --variable needed for consolerig :/
		},
		abilities = { "deployable", "carryable", "coit_laptop" },
		requirements = { hacking = 4 },
		sounds = {spot="SpySociety/Objects/computer_types", deploy="SpySociety/Objects/SuitcaseComputer_open",pickUp="SpySociety/Objects/SuitcaseComputer_close"},
		rig = "consolerig",
		value = 1200,
		floorWeight = 2,
		ITEM_LIST = true,
		coit_locations = REGION_LOCATIONS.INDIA,
		locator = true,
	},
	coit_portable_drain_server_china = util.extend(commondefs.item_template)
	{
		name = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DRAIN_SERVER_CHINA.NAME,
		desc = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DRAIN_SERVER_CHINA.DESC,
		flavor = STRINGS.CORPORATE_ITEMS.ITEMS.PORTABLE_DRAIN_SERVER_CHINA.FLAVOR,
		icon = "console.png",
		kanim = "kanim_laptop",
		profile_icon = "gui/icons/coit_laptop_sankaku.png",
		profile_icon_100 = "gui/icons/coit_laptop_sankaku.png",
		traits =
		{
			laptop=true, mainframe_icon_on_deploy=true, mainframe_status = "active", sightable = true, hidesInCover = true,
			coit_trigger_cooldown = 0, coit_trigger_cooldownMax = 3,
			coit_drain_ai_pwr = 1, coit_steal_pwr = true,
			cooldown = 0, cooldownMax = 5,
			cpus = 1, --variable needed for consolerig :/
		},
		abilities = { "deployable", "carryable", "coit_laptop" },
		requirements = { hacking = 5 },
		sounds = {spot="SpySociety/Objects/computer_types", deploy="SpySociety/Objects/SuitcaseComputer_open",pickUp="SpySociety/Objects/SuitcaseComputer_close"},
		rig = "consolerig",
		value = 1500,
		floorWeight = 3,
		soldAfter = 24,
		ITEM_LIST = true,
		coit_locations = REGION_LOCATIONS.CHINA,
		locator = true,
	},
}

return 
{
	items = items,
	items_PE = items_PE,
}
