---------------------------------------------------------------------
-- Invisible Inc. Mod.
--
local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )

local tool_templates =
{
	augment_dosan_pda = util.extend( commondefs.augment_template )
	{
		name = STRINGS.Dosan.ITEMS.DOSAN_PDA,
		desc = STRINGS.Dosan.ITEMS.DOSAN_PDA_TIP,
		flavor = STRINGS.Dosan.ITEMS.DOSAN_PDA_FLAVOR,
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			addArmorPiercingMelee = 2,
			installed = true,
		},
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_dosan_pride_augment_small.png",
   	 profile_icon_100 =  "gui/icons/item_icons/icon-item_dosan_pride_augment.png",			
	},	


	item_dosans_hands = util.extend(commondefs.melee_template)
	{
		name = STRINGS.Dosan.ITEMS.DOSANS_HANDS,
		desc = STRINGS.Dosan.ITEMS.DOSANS_HANDS_TIP,
		flavor = STRINGS.Dosan.ITEMS.DOSANS_HANDS_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_hands_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_hands.png",
		abilities = { "carryable"},
		requirements = {},
		traits = { damage = 3,  cooldown = 0, cooldownMax = 3, armorPiercing = 1, melee = true, 
			restrictedUse={{agentID="dosan_01", name=STRINGS.Dosan.AGENTS.DOSAN.NAME}},
			--restrictedUse={{agentID="mod_04_n_umi",name=STRINGS.AMRE.AGENTS.NU.NAME}}
			 },
		value = 100,
		floorWeight = 1,
		ITEM_LIST = false,
		WEAPON_LIST = false,
		AUGMENT_LIST = false,
	},
}
-- Reassign key name to value table.
for id, template in pairs(tool_templates) do
	template.id = id
end

return tool_templates