local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )
local unitdefs = include( "sim/unitdefs" )

commondefs.maa_rifle_mod_template = util.extend(commondefs.item_template)
{
	icon = "itemrigs/FloorProp_AmmoClip.png",
	profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_magazine_small.png",
	profile_icon_100 = "gui/icons/item_icons/icon-item_magazine.png",
	abilities = { "carryable", "maa_install_weapon_mod", },
	value = 50,
	maa_doRemove = function( weapon_mod, weapon )
		if weapon_mod:getTraits().ammo and weapon:getTraits().ammo then
			weapon_mod:getTraits().ammo = weapon:getTraits().ammo
		end
	end,
	createUpgradeParams = function( self, unit )
		local params = { traits = {} }
		params.traits.ammo = unit:getTraits().ammo

		return params
	end,
}

local items =
{
	--Decker 1
	maa_daemon_cloak_augment = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DAEMON_CLOAK_AUGMENT.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DAEMON_CLOAK_AUGMENT.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DAEMON_CLOAK_AUGMENT.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_holomesh_Prism.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_holomesh_Prism.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			duration = 1,
			cloakDistanceMax = 5,
			cloakInVision = true,
			trueDaemon = true,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_daemon_cloak" }),
	},

	--Maria 1
	maa_heartmonitor_scanner = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTMONITOR_SCANNER.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTMONITOR_SCANNER.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTMONITOR_SCANNER.FLAVOR,
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_augment_internationale_small.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-item_augment_internationale.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			wireless_range = 6,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_wireless_heartmonitor_scan" }),
	},

	--Shalem 1
	maa_targeting_visor = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.TARGETING_VISOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.TARGETING_VISOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.TARGETING_VISOR.FLAVOR,
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_augment_shalem_small.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-item_augment_shalem.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			cooldown = 0, cooldownMax = 2,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_headshot_new" }),
	},
	maa_sniper_cloak = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SNIPER_CLOAK.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SNIPER_CLOAK.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SNIPER_CLOAK.FLAVOR,
		icon = "itemrigs/FloorProp_InvisiCloakTimed.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_invisicloak_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_invisi_cloak.png",
		traits = { cooldown = 0, cooldownMax = 10, cloakInVision = false, cloakDistanceMax = 1, maa_maxAlarm = "max" },
		abilities = { "carryable", "recharge", "maa_use_sniper_cloak" },
		value = 750,
	},
	maa_shalem_xray_rifle = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.XRAY_RIFLE.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.XRAY_RIFLE.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.XRAY_RIFLE.FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",
		equipped_icon = "gui/items/equipped_rifle.png",
		traits = { weaponType="rifle", baseDamage = 1, ammo = 1, maxAmmo = 1, xray = true },
		niaa_traits = { soundRange = 8 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 900,
	},

	--Banks 1
	maa_shadow_cloak_augment = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SHADOW_CLOAK.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SHADOW_CLOAK.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SHADOW_CLOAK.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_holomesh_Prism.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_holomesh_Prism.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			addTrait = {{"maa_banks_no_peripheral", true}},
		},
	},
	maa_neurotoxin_dart_gun = util.extend( commondefs.weapon_template )
	{
		name =  STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.NEUROTOXIN_DART_GUN.NAME,
		desc =  STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.NEUROTOXIN_DART_GUN.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.NEUROTOXIN_DART_GUN.FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Pistol.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_dart_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_dart.png",
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = {
			weaponType="pistol", baseDamage = 0, noTargetAlert=true, doNotInterruptMove = true,
			cooldown = 0, cooldownMax = 4,
			maa_reduceTargetMaxMP_factor = 0.25, maa_reduceTargetLOSRange_factor = 0.125, maa_reduceTargetLOSArc_factor = 0.25,
		 	maa_is_toxin = true,},
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup"},
		abilities = util.tmerge( { "recharge" }, commondefs.weapon_template.abilities ),
		weapon_anim = "kanim_precise_revolver",
		agent_anim = "anims_1h",
		value = 900,
	},

	--Tony 1
	maa_heartshocktrap = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTSHOCKTRAP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTSHOCKTRAP.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTSHOCKTRAP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_heart_monitor_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_heart_monitor.png",
		traits = {
			cooldown = 0, cooldownMax = 10, damage = 2, ignoreArmor = true,

		},
		abilities = { "carryable", "maa_place_heartshocktrap" },
		value = 900,
	},
	maa_heartshocktrap_activator = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTSHOCKTRAP_ACTIVATOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTSHOCKTRAP_ACTIVATOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HEARTSHOCKTRAP_ACTIVATOR.FLAVOR,
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_augment_tony2_small.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-item_augment_tony2.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			pwr_cost_activate = 2,
			pwr_cost_locate = 1,
			maa_is_heartshocktrap_activator = true,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_activate_heartshocktrap", "maa_locate_heartshocktrap" }),
	},
	maa_spot_emp = util.extend(commondefs.item_template)
	{
		type = "simemppack",
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPOT_EMP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPOT_EMP.DESC,
		flavor = STRINGS.ITEMS.EMP_1_FLAVOR,
		icon = "itemrigs/FloorProp_emp.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_emp_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_emp.png",
		abilities = { "carryable","recharge","prime_emp", },
		traits = { cooldown = 0, cooldownMax = 6, range = 1, emp_duration = 2, },
		niaa_traits = { soundRange = 4 },
		value = 400,
	},

	--Nika 1
	maa_adrenaline_amplifier = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADRENALINE_AMPLIFIER.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADRENALINE_AMPLIFIER.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADRENALINE_AMPLIFIER.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_torso_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_torso.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_is_aamplifier = true,
			ammo = 0, maxAmmo = 10, maa_ammo_text = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADRENALINE_AMPLIFIER.AMMO_TEXT,
			adrenaline_gain_full = 3,
			adrenaline_gain_periph = 1,
			adrenaline_cost_damage = 2,
			adrenaline_cost_pierce = 2,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_adrenaline_amp", "maa_adrenaline_damage_up", "maa_adrenaline_pierce_up" }),
	},

	--Sharp 1
	maa_modular_powerframe = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MODULAR_POWERFRAME.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MODULAR_POWERFRAME.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MODULAR_POWERFRAME.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_augment_sharp_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_augment_sharp.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			ammo = 0, maxAmmo = 3, maa_ammo_text = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MODULAR_POWERFRAME.AMMO_TEXT,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_modular_powerframe" }),
	},

	--Prism 1
	maa_mainframe_brain_interface = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MAINFRAME_BRAIN_INTERFACE.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MAINFRAME_BRAIN_INTERFACE.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MAINFRAME_BRAIN_INTERFACE.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_head_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_head.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			cd_mp = 0, cdMax_mp = 5,
			maxMP_penalty_per_turn = 1, maxMP_regeneration_per_turn = 1, maxMP_penalty_threshold = 4, pwr_penalty_per_turn = 0,
			cd_advance = 0, cdMax_advance = 1, pwr_cost_advance = 1,
			cd_control = 0, cdMax_control = 1, pwr_cost_control_base = 3, pwr_cost_control_reduction_per_turn = 1,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_mainframe_possession", "maa_mp_advance", "maa_mp_control_device" }),
	},
	-- maa_prisms_accelerator_chip = util.extend(commondefs.item_template)
	-- {
	-- 	name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS..NAME,
	-- 	desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS..DESC,
	-- 	flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS..FLAVOR,
	-- 	icon = "itemrigs/FloorProp_AmmoClip.png",
	-- 	profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chip_accellerator_small.png",
	-- 	profile_icon_100 = "gui/icons/item_icons/icon-item_chip_accellerator.png",
	-- 	traits = { hacking_bonus = 1, cooldown = 0, cooldownMax = 7 },
	-- 	abilities = { "carryable", "recharge", "jackin" },
	-- 	value = 500,
	-- },

	--Central 1
	maa_incognita_routine_interface = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.INCOGNITA_ROUTINE_INTERFACE.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.INCOGNITA_ROUTINE_INTERFACE.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.INCOGNITA_ROUTINE_INTERFACE.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_head_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_head.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			cooldown = 0, cooldownMax = 1,
			maa_breaking_buff = 1, mma_cd_buff = math.huge,
			maa_program_cost_penalty = 1,
			ammo = 1, maxAmmo = 1, maa_ammo_text = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.INCOGNITA_ROUTINE_INTERFACE.AMMO_TEXT,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_overcharge_routine", "maa_reset_overcharge_routine" }),
	},
	maa_power_bank = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.POWER_BANK.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.POWER_BANK.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.POWER_BANK.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_pwr_chip.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_PWR_chip.png",
		traits =
		{
			ammo = 3, maxAmmo = 3,
			maa_power_value = 5,
		},
		abilities = { "carryable", "maa_use_power_bank" },
		requirements = { anarchy = 3 },
		value = 800,
	},

	--Monster 1
	maa_advanced_nanofab_subroutine = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADVANCED_NANOFAB_SUBROUTINE.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADVANCED_NANOFAB_SUBROUTINE.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADVANCED_NANOFAB_SUBROUTINE.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_head_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_head.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			addTrait = { {"maa_secret_shop_access", true} },
		},
	},

	--Decker 2
	maa_defibrillator_augment = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DEFIBRILLATOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DEFIBRILLATOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DEFIBRILLATOR.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_heart_monitor_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_heart_monitor.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_defiUnit = "maa_defibrillator",
			pwrCost = 2, maa_cost_increase = 1,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_defibrillator" }),
		createUpgradeParams = function( self, unit )
			local params = commondefs.augment_template.createUpgradeParams( self, unit )
			params.traits.pwrCost = unit:getTraits().pwrCost
			params.traits.maa_count_used = unit:getTraits().maa_count_used

			return params
		end,
	},
	maa_defibrillator =
	{
		type = "maa_defibrillator",
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DEFIBRILLATOR.NAME,
		rig = "grenaderig",
		kanim = "kanim_stickycam",
		abilities = {  },
		traits = { maa_defibrillator = true, },
		uses_mainframe =
		{
			toggle =
			{
				name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DEFIBRILLATOR.NAME,
				tooltip = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DEFIBRILLATOR.TOOLTIP_UNIT,
				fn = "toggle", -- global script function

				canToggle = function( unit )
					local player = unit:getPlayerOwner()
					if player:getCpus() < (unit:getTraits().pwrCost or 0) then
						return false, STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.DEFIBRILLATOR.NO_POWER
					end
					return true
				end,
			}
		},
	},
	maa_whiskey = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WHISKEY.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WHISKEY.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WHISKEY.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/maa_bottle.png",
		profile_icon_100 = "gui/icons/maa_bottle.png",
		traits =
		{
			usesCharges = true, charges = 3, chargesMax = 3,
			maa_pierce_buff = 1, maa_damage_buff = 2, maa_mp_buff = 3,
		},
		abilities = { "carryable", "recharge", "maa_drink_whiskey" },
		value = 50,
	},

	--Maria 2
	maa_idle_cycle_processor = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.IDLE_CYCLE_PROCESSOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.IDLE_CYCLE_PROCESSOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.IDLE_CYCLE_PROCESSOR.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_head_small2.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_head2.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_mp_penalty = 1,
			maa_pwr_threshold = 6,
			maa_mp_per_pwr = 1,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_idle_cycle_processing" }),
	},
	maa_portable_power_battery = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.PORTABLE_POWER_BATTERY.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.PORTABLE_POWER_BATTERY.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.PORTABLE_POWER_BATTERY.FLAVOR,
		icon = "console.png",
		kanim = "kanim_laptop",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_laptop1_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_laptop1.png",
		traits =
		{
			laptop=true, mainframe_icon_on_deploy=true, mainframe_status = "active", sightable = true, hidesInCover = true,
			maa_power_generated = 0, maa_powerMax = 5, maa_power_per_turn = 1,
			maa_add_maxPwr = 10,
			cooldown = 0, cooldownMax = 3,
			cpus = 1, --variable needed for consolerig :/
		},
		abilities = { "deployable", "carryable", "maa_power_battery" },
		requirements = { hacking = 2 },
		sounds = {spot="SpySociety/Objects/computer_types", deploy="SpySociety/Objects/SuitcaseComputer_open",pickUp="SpySociety/Objects/SuitcaseComputer_close"},
		rig = "consolerig",
		value = 1000,
		locator = true,
	},

	--Shalem 2
	maa_kill_validator = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.KILL_VALIDATOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.KILL_VALIDATOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.KILL_VALIDATOR.FLAVOR,
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_augment_shalem_small.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-item_augment_shalem.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			addTrait = {{"maa_bounty_hunter", true}},
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_validate_bounty_kill" }),
	},
	maa_lethal_injection = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.LETHAL_INJECTION.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.LETHAL_INJECTION.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.LETHAL_INJECTION.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_mindwipesyringe_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_mindwipesyringe.png",
		traits =
		{
			ammo = 5, maxAmmo = 5,
		},
		abilities = { "carryable", "reload", "maa_inject_lethal" },
		sounds = {},
		value = 550,
		createUpgradeParams = function( self, unit )
			local params = { traits = {} }
			params.traits.ammo = unit:getTraits().ammo

			return params
		end,
	},

	--Banks 2
	maa_neural_targetor = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.NEURAL_TARGETOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.NEURAL_TARGETOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.NEURAL_TARGETOR.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_arm_small2.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_arm2.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			addTrait = {{"meleeDamage", -2}, {"maa_silent_melee", true}, {"maa_melee_cooldown", 1}},
		},
	},

	--Tony 2
	maa_tony_toolkit = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.TONY_TOOLKIT.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.TONY_TOOLKIT.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.TONY_TOOLKIT.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_technician_small.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-skill_technician.png",
		traits =
		{
			ammo = 3, maxAmmo = 3,
			maa_tony_toolkit = true,
			restrictedUse = {{agentID=3, name=STRINGS.AGENTS.XU.NAME}}
		},
		abilities = { "carryable" },
		sounds = {},
		value = 550,
		createUpgradeParams = function( self, unit )
			local params = { traits = {} }
			params.traits.ammo = unit:getTraits().ammo

			return params
		end,
	},

	--Nika 2
	maa_reflex_injector = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.REFLEX_INJECTOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.REFLEX_INJECTOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.REFLEX_INJECTOR.FLAVOR,
		profile_icon = "gui/icons/skills_icons/icon-item_augment_deckard.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-item_augment_deckard.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_lightning_reflexes = true,
			ammo = 5, maxAmmo = 5, maa_ammo_text = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.REFLEX_INJECTOR.AMMO_TEXT,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_lightning_reflexes" }),
		createUpgradeParams = function( self, unit )
			local params = commondefs.augment_template.createUpgradeParams( self, unit )
			params.traits.ammo = unit:getTraits().ammo

			return params
		end,
	},

	--Sharp 2
	maa_robotic_frame = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ROBOTIC_FRAME.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ROBOTIC_FRAME.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ROBOTIC_FRAME.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_torso_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_torso.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			modSkillLock = {1,}, modTrait = {{"mpMax", -1}},
			pwrCost = 1, maa_mp_add = 1.5,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_power_robotic_frame" }),
	},

	--Monster 2
	maa_weapon_trader_license = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WEAPON_TRADER_LICENSE.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WEAPON_TRADER_LICENSE.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WEAPON_TRADER_LICENSE.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_inventory_small.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-skill_inventory.png",
		traits =
		{
			restrictedUse = {{agentID=100, name=STRINGS.AGENTS.MONST3R.NAME}},
			maa_replace_item_type = "weaponList",
		},
		abilities = { "carryable" },
		value = 500,
	},
	maa_item_trader_license = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ITEM_TRADER_LICENSE.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ITEM_TRADER_LICENSE.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ITEM_TRADER_LICENSE.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_inventory_small.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-skill_inventory.png",
		traits =
		{
			restrictedUse = {{agentID=100, name=STRINGS.AGENTS.MONST3R.NAME}},
			maa_replace_item_type = "itemList",
		},
		abilities = { "carryable" },
		value = 500,
	},

	--Prism 2
	maa_holographic_motion_capture_suit = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HOLOGRAPHIC_MOTION_CAPTURE_SUIT.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HOLOGRAPHIC_MOTION_CAPTURE_SUIT.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.HOLOGRAPHIC_MOTION_CAPTURE_SUIT.FLAVOR,
		icon = "itemrigs/disk.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_holomesh_Prism.png",
    profile_icon_100 = "gui/icons/item_icons/icon-item_holomesh_Prism.png",
		traits =
		{
			restrictedUse = {{agentID=8, name=STRINGS.AGENTS.PRISM.NAME}},
			maa_camera_disguise = true,
		},
		abilities = { "carryable" },
		value = 700,
	},
	maa_post_production_processing_chip = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.POST_PRODUCTION_PROCESSING_CHIP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.POST_PRODUCTION_PROCESSING_CHIP.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.POST_PRODUCTION_PROCESSING_CHIP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_proto_chip_small.png",
    profile_icon_100 = "gui/icons/item_icons/icon-item_proto_chip.png",
		traits =
		{
			cooldown = 0, cooldownMax = 4,
		},
		abilities = { "carryable", "maa_distract_camera" },
		requirements = { anarchy = 2 },
		value = 300,
	},

	--Central 2
	maa_alarm_rerouter = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ALARM_REROUTER.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ALARM_REROUTER.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ALARM_REROUTER.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_torso_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_torso.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_pwr_per_alarm = 2,
			maa_toggle = false,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_alarm_block" }),
	},
	maa_blacklisted_tazer = util.extend(commondefs.melee_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.BLACKLISTED_TAZER.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.BLACKLISTED_TAZER.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.BLACKLISTED_TAZER.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_tazer_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_tazer.png",
		traits = { damage = 2,  cooldown = 0, cooldownMax = 4, armorPiercing = 3, maa_alarm_per_armor = 1, melee = true, tazer = true, },
		niaa_traits = { soundRange = 2 }, --Traits we only add if New Items and Augements is installed. The trait is handled in FuncLib, but I feel like the mechanic belongs to NIaA exclusively
		value = 500,
	},

	--Banks 3
	maa_wireless_money_transferrer = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WIRELESS_MONEY_TRANSFERRER.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WIRELESS_MONEY_TRANSFERRER.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WIRELESS_MONEY_TRANSFERRER.FLAVOR,
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_augment_internationale_small.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-item_augment_internationale.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_wireless_money_transfer" }),
	},
	maa_protocol78_chip = util.extend(commondefs.item_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.PROTOCOL78_CHIP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.PROTOCOL78_CHIP.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.PROTOCOL78_CHIP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chip_econ_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_chip_econ.png",
		traits =
		{
			maa_credits_per_alarm = 5,
		},
		abilities = { "carryable", "maa_protocol78" },
		requirements = { anarchy = 2 },
		value = 800,
	},

	--Sharp 3
	maa_nuclear_reactor = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.NUCLEAR_REACTOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.NUCLEAR_REACTOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.NUCLEAR_REACTOR.FLAVOR,
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_augment_internationale_small_alt.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-item_augment_internationale_alt.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_power_allocated = {
				stealth = 0,
				hacking = 0,
				inventory = 0,
				anarchy = 0,
			},
			maa_can_power_down = true,
			maa_available_power = 1,
			maa_reactor_level = 1,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_sharp_reactor" }),
		createUpgradeParams = function( self, unit )
			local params = commondefs.augment_template.createUpgradeParams( self, unit )
			params.traits.maa_power_allocated = util.tcopy( unit:getTraits().maa_power_allocated )

			return params
		end,
	},
	maa_adaptive_leg_servos = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_LEG_SERVOS.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_LEG_SERVOS.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_LEG_SERVOS.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_leg_small2.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_leg2.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_sharp_augment_type = "stealth", maa_min_level = 0, maa_max_level = 4, maa_target_level = nil,
			cooldown = 0, cooldownMax = 5,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_sharp_power_down", "maa_sharp_power_up", "maa_kinetic_boost" }),
	},
	maa_adaptive_buster_chip = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_BUSTER_CHIP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_BUSTER_CHIP.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_BUSTER_CHIP.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_head_small2.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_head2.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_sharp_augment_type = "hacking", maa_min_level = 0, maa_max_level = 4, maa_target_level = nil,
			cooldown = 0, cooldownMax = 7,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_sharp_power_down", "maa_sharp_power_up", "maa_ice_breaker" }),
	},
	maa_adaptive_arm_servos = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_ARM_SERVOS.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_ARM_SERVOS.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_ARM_SERVOS.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_arm_small2.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_arm2.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_sharp_augment_type = "inventory", maa_min_level = 0, maa_max_level = 4, maa_target_level = nil,
			cooldown = 0, cooldownMax = 10,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_sharp_power_down", "maa_sharp_power_up", "maa_servo_punch" }),
	},
	maa_adaptive_frame_cloak = util.extend( commondefs.augment_template )
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_FRAME_CLOAK.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_FRAME_CLOAK.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.ADAPTIVE_FRAME_CLOAK.FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_torso_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_generic_torso.png",
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			maa_sharp_augment_type = "anarchy", maa_min_level = 0, maa_max_level = 4, maa_target_level = nil,
			cooldown = 0, cooldownMax = 20,
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { "maa_sharp_power_down", "maa_sharp_power_up", "maa_chameleon_walk" }),
	},
	
	--Shalem 3
	maa_weapon_mod_case = util.extend(commondefs.item_template)
	{
		type = "maa_simcontainer",
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WEAPON_MOD_CASE.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WEAPON_MOD_CASE.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.WEAPON_MOD_CASE.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_inventory_small.png",
		profile_icon_100 = "gui/icons/skills_icons/icon-skill_inventory.png",
		traits =
		{
			maa_is_shalem_mod_case = true,
			inventoryMaxSize = 8,
		},
		abilities = { "carryable", "maa_open_mod_case", },
		value = 50,
		createUpgradeParams = function( self, unit )
			local params = {}
			params.maaUpgrades = {}

			--get the items children, store their upgrade params. Will be expanded by maa_simcontainer.
			for _, childUnit in ipairs( unit:getChildren() ) do
				local upgradeName = childUnit:getUnitData().upgradeName
				if upgradeName then
					local unitData = childUnit:getUnitData()
					local upgradeParams = unitData.createUpgradeParams and unitData:createUpgradeParams( childUnit )
					table.insert( params.maaUpgrades, {upgradeName = upgradeName, upgradeParams = upgradeParams} )
				end
			end

			return params
		end,
	},
	
	maa_shalem_mod_rifle = util.extend( commondefs.weapon_reloadable_template )
	{
		type = "maa_simcontainer",
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MOD_RIFLE.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MOD_RIFLE.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.MOD_RIFLE.FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",
		equipped_icon = "gui/items/equipped_rifle.png",
		traits = util.extend( commondefs.weapon_reloadable_template.traits ){ 
			weaponType="rifle", baseDamage = 0, ammo = 0, maxAmmo = 0, 
			restrictedUse = {{agentID=2, name=STRINGS.AGENTS.SHALEM.NAME}},
			maa_is_shalem_mod_rifle = true,
		},
		niaa_traits = { soundRange = 8 },
		abilities = util.tconcat( commondefs.weapon_reloadable_template.abilities, { "maa_refresh_weapon_mods", "maa_uninstall_weapon_mods", }),
		children = {  },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup", shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 1200,
		createUpgradeParams = function( self, unit )
			local params = commondefs.weapon_reloadable_template.createUpgradeParams( self, unit )
			params.maaUpgrades = {}

			--get the items children, store their upgrade params. Will be expanded by maa_simcontainer.
			for _, childUnit in ipairs( unit:getChildren() ) do
				local upgradeName = childUnit:getUnitData().upgradeName
				if upgradeName then
					local unitData = childUnit:getUnitData()
					local upgradeParams = unitData.createUpgradeParams and unitData:createUpgradeParams( childUnit )
					table.insert( params.maaUpgrades, {upgradeName = upgradeName, upgradeParams = upgradeParams} )
				end
			end

			return params
		end,
	},
	maa_rilfe_mod_clip_standard = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_STANDARD.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_STANDARD.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_STANDARD.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			baseDamage = 1, ammo = 2, maxAmmo = 2,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().baseDamage = ( rifle:getTraits().baseDamage or 0 ) + ( unit:getTraits().baseDamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
		end,
	},
	maa_rilfe_mod_clip_lethal_heavy = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_LETHAL_HEAVY.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_LETHAL_HEAVY.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_LETHAL_HEAVY.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			baseDamage = 3, ammo = 1, maxAmmo = 1,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().baseDamage = ( rifle:getTraits().baseDamage or 0 ) + ( unit:getTraits().baseDamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
		end,
	},
	maa_rilfe_mod_clip_lethal_ap = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_LETHAL_AP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_LETHAL_AP.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_LETHAL_AP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			baseDamage = 1, ammo = 1, maxAmmo = 1, armorPiercing = 1,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().baseDamage = ( rifle:getTraits().baseDamage or 0 ) + ( unit:getTraits().baseDamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
			rifle:getTraits().armorPiercing = ( rifle:getTraits().armorPiercing or 0 ) + ( unit:getTraits().armorPiercing or 0 )
		end,
	},
	maa_rilfe_mod_clip_ko = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_KO.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_KO.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_KO.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			baseDamage = 2, ammo = 2, maxAmmo = 2, canSleep = true,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().baseDamage = ( rifle:getTraits().baseDamage or 0 ) + ( unit:getTraits().baseDamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
			rifle:getTraits().canSleep = unit:getTraits().canSleep or false
		end,
	},
	maa_rilfe_mod_clip_ko_heavy = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_KO_HEAVY.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_KO_HEAVY.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_KO_HEAVY.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			baseDamage = 5, ammo = 1, maxAmmo = 1, canSleep = true,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().baseDamage = ( rifle:getTraits().baseDamage or 0 ) + ( unit:getTraits().baseDamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
			rifle:getTraits().canSleep = unit:getTraits().canSleep or false
		end,
	},
	maa_rilfe_mod_clip_ko_ap = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_KO_AP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_KO_AP.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_KO_AP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			baseDamage = 2, ammo = 1, maxAmmo = 1, canSleep = true, armorPiercing = 1,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().baseDamage = ( rifle:getTraits().baseDamage or 0 ) + ( unit:getTraits().baseDamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
			rifle:getTraits().canSleep = unit:getTraits().canSleep or false
			rifle:getTraits().armorPiercing = ( rifle:getTraits().armorPiercing or 0 ) + ( unit:getTraits().armorPiercing or 0 )
		end,
	},
	maa_rilfe_mod_clip_emp = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			ammo = 3, maxAmmo = 3, modeEmpdamage = 2, canEmp = true,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().modeEmpdamage = ( rifle:getTraits().modeEmpdamage or 0 ) + ( unit:getTraits().modeEmpdamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
			rifle:getTraits().canEmp = unit:getTraits().canEmp or false
		end,
	},
	maa_rilfe_mod_clip_emp_capacity = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP_CAPACITY.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP_CAPACITY.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP_CAPACITY.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			ammo = 5, maxAmmo = 5, modeEmpdamage = 1, canEmp = true,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().modeEmpdamage = ( rifle:getTraits().modeEmpdamage or 0 ) + ( unit:getTraits().modeEmpdamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
			rifle:getTraits().canEmp = unit:getTraits().canEmp or false
		end,
	},
	maa_rilfe_mod_clip_emp_heavy = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP_HEAVY.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP_HEAVY.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP_HEAVY.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			ammo = 2, maxAmmo = 2, modeEmpdamage = 5, canEmp = true,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().modeEmpdamage = ( rifle:getTraits().modeEmpdamage or 0 ) + ( unit:getTraits().modeEmpdamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
			rifle:getTraits().canEmp = unit:getTraits().canEmp or false
		end,
	},
	maa_rilfe_mod_clip_emp_ap = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP_AP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP_AP.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_EMP_AP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			ammo = 2, maxAmmo = 2, modeEmpdamage = 2, canEmp = true, armorPiercing = 1,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().modeEmpdamage = ( rifle:getTraits().modeEmpdamage or 0 ) + ( unit:getTraits().modeEmpdamage or 0 )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
			rifle:getTraits().canEmp = unit:getTraits().canEmp or false
			rifle:getTraits().armorPiercing = ( rifle:getTraits().armorPiercing or 0 ) + ( unit:getTraits().armorPiercing or 0 )
		end,
	},
	maa_rilfe_mod_clip_chip = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_CHIP.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_CHIP.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.CLIP_CHIP.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		profile_icon_100 = "gui/icons/action_icons/Action_icon_Small/icon-item_reload_small.png",
		traits =
		{
			ammo = 10, maxAmmo = 10, canTag= true, noTargetAlert=true, nopwr_guards = {}, doNotInterruptMove = true,
			maa_mod_slot = "clip",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().ammo = unit:getTraits().ammo or 0
			rifle:getTraits().maxAmmo = unit:getTraits().maxAmmo or 0
			rifle:getTraits().canTag = unit:getTraits().canTag or false
			rifle:getTraits().noTargetAlert = unit:getTraits().noTargetAlert or false
			rifle:getTraits().doNotInterruptMove = unit:getTraits().doNotInterruptMove or false
			rifle:getTraits().nopwr_guards = unit:getTraits().nopwr_guards
		end,
	},
	maa_rilfe_mod_scope_precision = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_PRECISION.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_PRECISION.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_PRECISION.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/maa_scope.png",
		profile_icon_100 = "gui/icons/maa_scope.png",
		traits =
		{
			armorPiercing = 2,
			maa_mod_slot = "scope",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().armorPiercing = ( rifle:getTraits().armorPiercing or 0 ) + ( unit:getTraits().armorPiercing or 0 )
		end,
	},
	maa_rilfe_mod_scope_infrared = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_INFRARED.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_INFRARED.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_INFRARED.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/maa_scope.png",
		profile_icon_100 = "gui/icons/maa_scope.png",
		traits =
		{
			xray = true,
			maa_mod_slot = "scope",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().xray = unit:getTraits().xray or false
		end,
	},
	maa_rilfe_mod_scope_laser = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_LASER.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_LASER.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_LASER.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/maa_scope.png",
		profile_icon_100 = "gui/icons/maa_scope.png",
		traits =
		{
			baseDamage = 3,
			maa_mod_slot = "scope",
		},
		maa_doUpgrade = function( unit, rifle )
			if rifle:getTraits().baseDamage and rifle:getTraits().baseDamage > 0 then --only increase the damage if it already can deal damage
				rifle:getTraits().baseDamage = rifle:getTraits().baseDamage + ( unit:getTraits().baseDamage or 0 )
			end
			if rifle:getTraits().modeEmpdamage and rifle:getTraits().modeEmpdamage > 0 then
				rifle:getTraits().modeEmpdamage = rifle:getTraits().modeEmpdamage + ( unit:getTraits().baseDamage or 0 )
			end
		end,
	},
	maa_rilfe_mod_scope_standard = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_STANDARD.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_STANDARD.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SCOPE_STANDARD.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/maa_scope.png",
		profile_icon_100 = "gui/icons/maa_scope.png",
		traits =
		{
			baseDamage = 1, armorPiercing = 1,
			maa_mod_slot = "scope",
		},
		maa_doUpgrade = function( unit, rifle )
			if rifle:getTraits().baseDamage and rifle:getTraits().baseDamage > 0 then --only increase the damage if it already can deal damage
				rifle:getTraits().baseDamage = rifle:getTraits().baseDamage + ( unit:getTraits().baseDamage or 0 )
			end
			if rifle:getTraits().modeEmpdamage and rifle:getTraits().modeEmpdamage > 0 then
				rifle:getTraits().modeEmpdamage = rifle:getTraits().modeEmpdamage + ( unit:getTraits().baseDamage or 0 )
			end
			rifle:getTraits().armorPiercing = ( rifle:getTraits().armorPiercing or 0 ) + ( unit:getTraits().armorPiercing or 0 )
		end,
	},
	maa_rilfe_mod_special_bioreactor = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_BIOREACTOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_BIOREACTOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_BIOREACTOR.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_cloaking_rigr_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_cloaking_rig.png",
		traits =
		{
			cooldown = 0, cooldownMax = 12,
			maa_mod_slot = "special",
		},
		maa_doUpgrade = function( unit, rifle )
			if rifle:getTraits().canSleep then --only for ko clips
				rifle:getTraits().cooldown = unit:getTraits().cooldown
				rifle:getTraits().cooldownMax = math.floor( unit:getTraits().cooldownMax / ( rifle:getTraits().maxAmmo or 1 ) )
				rifle:getTraits().ammo = nil
				rifle:getTraits().maxAmmo = nil
			end
		end,
	},
	maa_rilfe_mod_special_gridinterface = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_GRIDINTERFACE.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_GRIDINTERFACE.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_GRIDINTERFACE.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_cloaking_rigr_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_cloaking_rig.png",
		traits =
		{
			pwrCost = 6,
			maa_mod_slot = "special",
		},
		maa_doUpgrade = function( unit, rifle )
			if rifle:getTraits().canEmp then --only for emp clips
				rifle:getTraits().pwrCost = math.floor( unit:getTraits().pwrCost / ( rifle:getTraits().maxAmmo or 1 ) )
				rifle:getTraits().ammo = nil
				rifle:getTraits().maxAmmo = nil
			end
		end,
	},
	maa_rilfe_mod_special_tracer = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_TRACER.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_TRACER.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_TRACER.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_cloaking_rigr_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_cloaking_rig.png",
		traits =
		{
			armorPiercing = 2, maa_mp_cost = 2,
			maa_mod_slot = "special",
		},
		maa_doUpgrade = function( unit, rifle )
			rifle:getTraits().armorPiercing = ( rifle:getTraits().armorPiercing or 0 ) + ( unit:getTraits().armorPiercing or 0 )
			rifle:getTraits().maa_mp_cost = ( rifle:getTraits().maa_mp_cost or 0 ) + ( unit:getTraits().maa_mp_cost or 0 )
		end,
	},
	maa_rilfe_mod_special_accelerator = util.extend(commondefs.maa_rifle_mod_template)
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_ACCELERATOR.NAME,
		desc = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_ACCELERATOR.DESC,
		flavor = STRINGS.MORE_ARCHIVE_AGENTS.ITEMS.SPECIAL_ACCELERATOR.FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_cloaking_rigr_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_cloaking_rig.png",
		traits =
		{
			baseDamage = 3, maa_mp_cost = 2,
			maa_mod_slot = "special",
		},
		maa_doUpgrade = function( unit, rifle )
			if rifle:getTraits().baseDamage and rifle:getTraits().baseDamage > 0 then --only increase the damage if it already can deal damage
				rifle:getTraits().baseDamage = rifle:getTraits().baseDamage + ( unit:getTraits().baseDamage or 0 )
				rifle:getTraits().maa_mp_cost = ( rifle:getTraits().maa_mp_cost or 0 ) + ( unit:getTraits().maa_mp_cost or 0 )
			elseif rifle:getTraits().modeEmpdamage and rifle:getTraits().modeEmpdamage > 0 then
				rifle:getTraits().modeEmpdamage = rifle:getTraits().modeEmpdamage + ( unit:getTraits().baseDamage or 0 )
				rifle:getTraits().maa_mp_cost = ( rifle:getTraits().maa_mp_cost or 0 ) + ( unit:getTraits().maa_mp_cost or 0 )
			end
		end,
	},
}


for id, template in pairs(items) do
	template.id = id
end

return items
