local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )

local itemdefs = {
	_item_debug_cloak = util.extend(commondefs.item_template) {
			name = "DEBUG CLOAK",
			desc = STRINGS.ITEMS.CLOAK_1_TOOLTIP,
			flavor = STRINGS.ITEMS.CLOAK_1_FLAVOR,
			icon = "itemrigs/FloorProp_InvisiCloakTimed.png",
			--profile_icon = "gui/items/icon-cloak.png",
			profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_invisicloak_small.png",			
			profile_icon_100 = "gui/icons/item_icons/icon-item_invisi_cloak.png",
			traits = { disposable = false, duration = 99,cooldown = 0, cooldownMax = 0, cloakInVision = true, range = 6, debugItem = true },
			requirements = {},
			abilities = { "carryable","recharge","useInvisiCloak" },
			value = 100000000000000,
			floorWeight = 0,
			notSoldAfter = 48,
	},
	_item_debug_stim = util.extend(commondefs.item_template) {
		name = "DEBUG STIM",
		desc = STRINGS.ITEMS.STIM_1_TOOLTIP,
		flavor = STRINGS.ITEMS.STIM_1_FLAVOR,
		icon = "itemrigs/FloorProp_Bandages.png",
			--profile_icon = "gui/items/icon-stims.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_stim_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_stim.png",
		traits = { cooldown = 0, cooldownMax = 0, mpRestored = 999, unlimitedAttacks = true, debugItem = true },
		requirements = {},
		abilities = { "carryable","recharge","use_stim" },
		value = 100000000000000,
		floorWeight = 1, 
	},
	_item_debug_stickycam = util.extend( commondefs.grenade_template ) {
		name = "DEBUG STICKYCAM",
		desc = STRINGS.ITEMS.GRENADE_CAMERA_TOOLTIP,
		flavor = STRINGS.ITEMS.GRENADE_CAMERA_FLAVOR,
		--icon = "itemrigs/FloorProp_Bandages.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_Sticky_Cam_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_Sticky_Cam.png",
		kanim = "kanim_stickycam",		
		sounds = {activate="SpySociety/Grenades/stickycam_deploy", bounce="SpySociety/Grenades/bounce"},
		traits = { camera=true, LOSarc = math.pi * 2, disposable= false, agent_filter=true, globalVision = true, debugItem = true },
		value = 100000000000000,
		floorWeight = 2, 
		locator=true,
	},
	_item_debug_remote_emp = util.extend( commondefs.item_template ) {
		name = "DEBUG OVERLOADER",
		desc = "Blast targeted electronic devices with an EMP. Turns off heart monitors. Consume agent's attack.",
		flavor = "Sales managers around the world praise FTM for their compact advertising devices. Just click the button to dispatch a list of today's hot-deals. ",
		icon = "itemrigs/FloorProp_MotionDetector.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_remote_emp_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_remote_emp.png",				
		abilities = { "debug_emp", "carryable" },
		traits = {},
		sounds = { reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup"},
		value = 100000000000000,
		floorWeight = 2,
	},
	_item_debug_nuke = util.extend( commondefs.item_template ) {
		name = "DEBUG NUKE",
		desc = "EVERYTHING WILL DIE",
		flavor = "KILL",
		icon = "itemrigs/FloorProp_emp.png",
		--profile_icon = "gui/items/icon-emp.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_emp_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_emp.png",	
		abilities = { "carryable","recharge","debug_nuke", "debug_nuke_2" },
		traits = {},
		value = 600,
		floorWeight = 1,
	}
}

return itemdefs