---------------------------------------------------------------------
-- Invisible Inc. official DLC.
--
local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )

local HOTKEY_COLOUR = "<c:ffffff>"
local FLAVOUR_COLOUR = "<c:61AAAA>"
local ITEM_HEADER_COLOUR = "<ttheader>"
local DESC_COLOUR = "<c:ffffff>"
local EQUIPPED_COLOUR = "<c:FF8411>"
local NOTINSTALLED_COLOUR = "<c:FF8411>"
--local SPECIAL_INFO_COLOUR = "<c:F4FF78>"
local SPECIAL_INFO_COLOUR = "<c:ffffff>"


local tool_templates =
{
	augment_time_hopper = util.extend( commondefs.augment_template )
	{
		name = STRINGS.TIMEHOP.ITEMS.AUGMENTS.CHRONAL,
		desc = STRINGS.TIMEHOP.ITEMS.AUGMENTS.CHRONAL_TIP, 
		flavor = STRINGS.TIMEHOP.ITEMS.AUGMENTS.CHRONAL_FLAVOR,
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			installed = true,
			cooldown = 0, cooldownMax = 7, initialCooldown = 3,
			cooldownPWRcost = 1,
			isTimeTravelAug = true,
			addAbilities = "timeHop",
			usesCharges = true, charges = 2, chargesMax = 2,
			modSkill = 1,
			modSkillStat = 2,		
			modSkillLock = {1},
		},
		abilities = util.tconcat( commondefs.augment_template.abilities, { }),
		onTooltip = function( tooltip, unit, userUnit )
            commondefs.onItemTooltip( tooltip, unit, userUnit )
			tooltip:addAbility( "INITIAL COOLDOWN",
				 "Starts with 3 cooldown", "gui/icons/arrow_small.png" )
			tooltip:addAbility( "POWERED COOLDOWN",
				 "Each point of cooldown costs 1 PWR", "gui/icons/arrow_small.png" )
			if unit:getUnitOwner() ~= nil and unit:getUnitOwner():getTraits().isPastUnit then
				tooltip:addAbility( STRINGS.TIMEHOP.ITEMS.AUGMENTS.DOPPLE,
				 STRINGS.TIMEHOP.ITEMS.AUGMENTS.DOPPLE_DESC, "gui/icons/icon-hopper_rewind.png" )
			end
		--	
        end,
		profile_icon = "gui/icon-hopperAug_small.png",
    	profile_icon_100 = "gui/icon-hopperAug.png",					
	},
}

-- Reassign key name to value table.
for id, template in pairs(tool_templates) do
	template.id = id
end

return tool_templates


















