local simdefs = include( "sim/simdefs" )
local level = include( "sim/level" )

function level.script_hook:onScriptEvent( game, eventType, eventData )
	for i, waitEv in ipairs( self.waitEvents ) do
		if waitEv.uiEvent == eventType and (waitEv.fn == nil or waitEv.fn( self.script.sim, eventData )) then
			if eventType ~= level.EV_UNIT_SELECTED 
				or not self.script.sim:getUnit( eventData )
				or not self.script.sim:getUnit( eventData ):isKO()
				or waitEv.canSelectKO then
				
				-- This is the UI event we're waiting for!  Encapsulate this in a trigger action, which will resume the hook.
				game:doAction( "triggerAction", simdefs.TRG_UI_ACTION, { uiEvent = eventType, eventData = eventData } )			
				return true
			end
		end
	end
end

function level.script_mgr:dispatchScriptEvents( game )
	assert( not game:isReplaying() )

	while #self.scriptEvents > 0 and not game:isReplaying() do
		local eventType = table.remove( self.scriptEvents, 1 )
		local eventData = table.remove( self.scriptEvents, 1 )
		for _, hook in ipairs( self.hooks ) do
			if hook:onScriptEvent( game, eventType, eventData ) then
				break
			end
		end
	end
end