local line_of_sight = include( "sim/line_of_sight" )
local simquery = include( "sim/simquery" )

local baseCalculateUnitLOS = line_of_sight.calculateUnitLOS
function line_of_sight:calculateUnitLOS( start_cell, unit )
	local cells = baseCalculateUnitLOS( self, start_cell, unit )
	
	--also add the so called MAGICAL SIGHT for the tile directly in front
	local facing = unit:getFacing()
	if unit:getTraits().LOSrads == nil and facing % 2 == 0 then
		local exit = start_cell.exits[ facing ]
		if simquery.isOpenExit( exit ) and simquery.couldUnitSeeCell( self.sim, unit, exit.cell ) then
			cells[ simquery.toCellID( exit.cell.x, exit.cell.y ) ] = exit.cell
		end
	end
	
	return cells
end
