local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )

local itemdefs = 
{
    APEX_EyeForQuality = util.extend(commondefs.augment_template)
    {
        name = STRINGS.APEX.ITEMS.EYE.NAME,
        desc = STRINGS.APEX.ITEMS.EYE.DESC,
        flavor = STRINGS.APEX.ITEMS.EYE.FLAVOR,
        icon = "itemrigs/FloorProp_Bandages.png",
        profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_eye_small.png",
        profile_icon_100 = "gui/icons/item_icons/icon-item_eye.png",
        traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
            installed = true,
        },
        abilities = {
            "APEX_PreviewItems",
        },
        value = 600,
        AUGMENT_LIST = false,
    },

    APEX_Bracelet = util.extend( commondefs.grenade_template)
    {
        name = STRINGS.APEX.ITEMS.BRACELET.NAME,
        desc = STRINGS.APEX.ITEMS.BRACELET.DESC,
        flavor = STRINGS.APEX.ITEMS.BRACELET.FLAVOR,
        profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_bracelet_small.png",  
        profile_icon_100 = "gui/icons/item_icons/icon-item_bracelet.png",
        kanim = "kanim_stickycam",  
        abilities = {
            "carryable", 
            "recharge", 
            "APEX_ThrowBracelet",
        },
        sounds = {activate="SpySociety/Grenades/stickycam_deploy", bounce="SpySociety/Grenades/bounce"},
        traits = { 
            cooldown=0, 
            cooldownMax=6, 
            pwrCost=4, 
            restrictedUse={{agentID="APEX_Loba",name=STRINGS.APEX.AGENTS.LOBA.NAME}},
            disposable = false,
        },
        value = 300,
    },
}

return itemdefs