local locationPopup = include('client/fe/locationpopup')
local serverdefs = include( "modules/serverdefs" )

local baseInit = locationPopup.init
function locationPopup:init( widget, campaign, situation, color )
	baseInit( self, widget, campaign, situation, color )
	
	if not situation.sitreps or #situation.sitreps <= 0 then
		widget.binder.SITREP_pnl:setVisible(false)
	else
		widget.binder.SITREP_pnl:setVisible(true)
		
		widget.binder.SITREP_pnl.binder.SITREP_title:setText( STRINGS.SITREP.SITREPS.LOCATION_TITLE )
		
		for i, sitrep_text in widget.binder.SITREP_pnl.binder:forEach( "SITREP_mod_" ) do
			if situation.sitreps[i] then
				local sitrep_data = serverdefs.SITREP_DAEMONS[situation.sitreps[i]] or serverdefs.SITUATION_MODIFIERS[situation.sitreps[i]] or serverdefs.INCOGNITA_PENALTIES[situation.sitreps[i]]
				if sitrep_data then
					sitrep_text:setText( sitrep_data.name or "NAME NOT FOUND!" )
					sitrep_text:setVisible(true)
					if serverdefs.SITUATION_MODIFIERS[situation.sitreps[i]] then
						sitrep_text:setColor( 1, 1, 0.549019634723663, 1 )
					elseif serverdefs.INCOGNITA_PENALTIES[situation.sitreps[i]] then
						sitrep_text:setColor( 0.549019634723663, 1, 1, 1 )
					end
				end
			end
		end
		
		if #situation.sitreps == 5 then
			widget.binder.SITREP_pnl.binder.SITREP_bg:setImage( "gui/menu pages/map_screen/SITREP_location_5.png" )
		elseif #situation.sitreps == 4 then
			widget.binder.SITREP_pnl.binder.SITREP_bg:setImage( "gui/menu pages/map_screen/SITREP_location_4.png" )
		elseif #situation.sitreps == 3 then
			widget.binder.SITREP_pnl.binder.SITREP_bg:setImage( "gui/menu pages/map_screen/SITREP_location_3.png" )
		elseif #situation.sitreps == 2 then
			widget.binder.SITREP_pnl.binder.SITREP_bg:setImage( "gui/menu pages/map_screen/SITREP_location_2.png" )
		elseif #situation.sitreps == 1 then
			widget.binder.SITREP_pnl.binder.SITREP_bg:setImage( "gui/menu pages/map_screen/SITREP_location_1.png" )
		end
	end
end
