local util = include( "client_util" )
local array = include("modules/array")
local serverdefs = include( "modules/serverdefs" )
local stars = include('client/fe/stars')
local locationPopup = include('client/fe/locationpopup')
local simdefs = include("sim/simdefs")

function locationPopup:init( widget, campaign, situation, color )
    local corpData = serverdefs.getCorpData( situation )
    local situationData = serverdefs.SITUATIONS[situation.name]
    local travelTime = serverdefs.calculateTravelTime( campaign.location, situation.mapLocation, campaign ) + serverdefs.BASE_TRAVEL_TIME 
    local cityName = util.toupper(serverdefs.MAP_LOCATIONS[situation.mapLocation].name)
    local diff = STRINGS.UI.DIFFICULTY[situation.difficulty]

    widget.binder.pnl.binder.icon:setImage(corpData.imgs.logoLarge)
    if corpData.region and simdefs.map_colours_highlight[corpData.region] then
        widget.binder.pnl.binder.icon:setColor(unpack(simdefs.map_colours_highlight[corpData.region]))
    end
    
    widget.binder.pnl.binder.pnl.binder.travelTime:setText( util.sformat( STRINGS.UI.MAP_SCREEN_TRAVEL_TIME, cityName, travelTime ) )

    local missionTxt = util.toupper(string.format("%s %s", corpData.stringTable.SHORTNAME, situationData.ui.locationName))
    widget.binder.pnl.binder.pnl.binder.missionTxt:setText( missionTxt )
    stars.setDifficultyStars(widget, situation.difficulty)
end