----------------------------------------------------------------

local util = include("modules/util")
local simdefs = include("sim/simdefs")
-----------------------------------------------------

local logs = {
	{
		id="BanterMod01",
		file = STRINGS.banter.LOGS.log_shopcatp1_filename,
		title= STRINGS.banter.LOGS.log_shopcatp1_title,
		body= STRINGS.banter.LOGS.log_shopcatp1,
		profileImg = "gui/profile_icons/warez_shopCat.png",
		profileAnim = nil,
		profileBuild = nil,
	},


	{
		id="BanterMod02",
		file = STRINGS.banter.LOGS.log_olivia_filename,
		title= STRINGS.banter.LOGS.log_olivia_title,
		body= STRINGS.banter.LOGS.log_olivia,
		profileImg = nil,
		profileAnim = "portraits/olivia_face",
		profileBuild = nil,
	},
	
	{
		id="ModComboLog01",
		file = STRINGS.banter.LOGS.log_mist_filename,
		title= STRINGS.banter.LOGS.log_mist_title,
		body= STRINGS.banter.LOGS.log_mist,
		profileImg = nil,
		profileAnim = "portraits/portrait_animation_template",
		profileBuild = "portraits/mist_build" or nil,
	},

	{
		id="ModComboLog02",
		file = STRINGS.banter.LOGS.log_n_umi_filename,
		title= STRINGS.banter.LOGS.log_n_umi_title,
		body= STRINGS.banter.LOGS.log_n_umi,
		profileImg = nil,
		profileAnim = "portraits/lady_sharpshooter_face",
		profileBuild = "portraits/nu_lady_face" or nil,
	},
	
	{
		id="ModComboLog03",
		file = STRINGS.banter.LOGS.log_pedler_filename,
		title= STRINGS.banter.LOGS.log_pedler_title,
		body= STRINGS.banter.LOGS.log_pedler,
		profileImg = nil,
		profileAnim = "portraits/robot_face",
		profileBuild = nil,
	},	
	
	{
		id="BanterMod03_GOOSE",
		file = STRINGS.banter.LOGS.log_goose_filename,
		title= STRINGS.banter.LOGS.log_goose_title,
		body= STRINGS.banter.LOGS.log_goose,
		profileImg = nil,
		profileAnim = "portraits/lady_stealth_face",
		profileBuild = "portraits/gooseportrait",
	},	
	
	{
		id="BanterMod04_LAMP",
		file = STRINGS.banter.LOGS.log_lamp_filename,
		title= STRINGS.banter.LOGS.log_lamp_title,
		body= STRINGS.banter.LOGS.log_lamp,
		profileImg = "gui/profile_icons/portrait_lamp.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	-- DATALOGS BY ZWEBBIEZWOBBER START HERE
	{
		id="ZwebbieZwobber_Decker",
		file = STRINGS.banter.LOGS.zwebbie_log_decker_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_decker_title,
		body= STRINGS.banter.LOGS.zwebbie_log_decker,
		profileImg = "gui/profile_icons/zweb_decker.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Internationale",
		file = STRINGS.banter.LOGS.zwebbie_log_int_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_int_title,
		body= STRINGS.banter.LOGS.zwebbie_log_int,
		profileImg = "gui/profile_icons/zweb_int.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Shalem",
		file = STRINGS.banter.LOGS.zwebbie_log_shalem_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_shalem_title,
		body= STRINGS.banter.LOGS.zwebbie_log_shalem,
		profileImg = "gui/profile_icons/zweb_shalem.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Banks",
		file = STRINGS.banter.LOGS.zwebbie_log_banks_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_banks_title,
		body= STRINGS.banter.LOGS.zwebbie_log_banks,
		profileImg = "gui/profile_icons/zweb_banks.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Xu",
		file = STRINGS.banter.LOGS.zwebbie_log_xu_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_xu_title,
		body= STRINGS.banter.LOGS.zwebbie_log_xu,
		profileImg = "gui/profile_icons/zweb_xu.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Nika",
		file = STRINGS.banter.LOGS.zwebbie_log_nika_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_nika_title,
		body= STRINGS.banter.LOGS.zwebbie_log_nika,
		profileImg = "gui/profile_icons/zweb_nika.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Sharp",
		file = STRINGS.banter.LOGS.zwebbie_log_sharp_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_sharp_title,
		body= STRINGS.banter.LOGS.zwebbie_log_sharp,
		profileImg = "gui/profile_icons/zweb_sharp.png",
		profileAnim = nil,
		profileBuild = nil,
	},		
	{
		id="ZwebbieZwobber_Prism",
		file = STRINGS.banter.LOGS.zwebbie_log_prism_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_prism_title,
		body= STRINGS.banter.LOGS.zwebbie_log_prism,
		profileImg = "gui/profile_icons/zweb_prism.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Derek",
		file = STRINGS.banter.LOGS.zwebbie_log_derek_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_derek_title,
		body= STRINGS.banter.LOGS.zwebbie_log_derek,
		profileImg = "gui/profile_icons/zweb_derek.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Olivia",
		file = STRINGS.banter.LOGS.zwebbie_log_olivia_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_olivia_title,
		body= STRINGS.banter.LOGS.zwebbie_log_olivia,
		profileImg = "gui/profile_icons/zweb_olivia.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Rush",
		file = STRINGS.banter.LOGS.zwebbie_log_rush_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_rush_title,
		body= STRINGS.banter.LOGS.zwebbie_log_rush,
		profileImg = "gui/profile_icons/zweb_rush.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	{
		id="ZwebbieZwobber_Draco",
		file = STRINGS.banter.LOGS.zwebbie_log_draco_filename,
		title= STRINGS.banter.LOGS.zwebbie_log_draco_title,
		body= STRINGS.banter.LOGS.zwebbie_log_draco,
		profileImg = "gui/profile_icons/zweb_draco.png",
		profileAnim = nil,
		profileBuild = nil,
	},	
	
---------------------------
	-- from https://web.archive.org/web/20171229183504/https://storify.com/urbanfriendden/the-adventures-of-dick-hardboiled-in-neo-noir-dark
	{
		id = "BanterMod05_HARDBOILED",
		file = STRINGS.banter.LOGS.dick_hardboiled_log_filename,
		title= STRINGS.banter.LOGS.dick_hardboiled_log_title,
		body= STRINGS.banter.LOGS.dick_hardboiled_log,
		profileImg = "gui/profile_icons/datalog_hardboiled.png",
		profileAnim = nil,
		profileBuild = nil,
	},
	
	-- by garlicbug/specialC
	{
		id = "garlicbug_Derek",
		file = STRINGS.banter.LOGS.gb_derek_log_filename,
		title= STRINGS.banter.LOGS.gb_derek_log_title,
		body= STRINGS.banter.LOGS.gb_derek_log,
		profileImg = nil,
		profileAnim = "portraits/derek_build",
		profileBuild = nil,
	},
	
}



-------------------------------------------------------------
return logs

