local mainframe = include( "sim/mainframe" )
local simdefs = include("sim/simdefs")

local baseCanBreakIce = mainframe.canBreakIce
function mainframe.canBreakIce( sim, targetUnit, equippedProgram )
	--so you can hack the rebooting camera with failsafe, but not when they just got captured (net downlink says hello)
	if targetUnit:getTraits().mainframe_camera and targetUnit:getTraits().mainframe_booting and targetUnit:hasAbility( "sitrep_failsafe" ) then
		if targetUnit:getTraits().mainframe_booting == (targetUnit:getTraits().sitrep_failsafeDuration or 2) then
			return false
		end
	end
	return baseCanBreakIce( sim, targetUnit, equippedProgram )
end

local baseRevertIce = mainframe.revertIce
function mainframe.revertIce( sim, unit )
	baseRevertIce( sim, unit )

	if unit:getTraits().sitrep_reboot_ice then
		unit:getTraits().mainframe_ice = unit:getTraits().sitrep_reboot_ice
		sim:dispatchEvent( simdefs.EV_UNIT_UPDATE_ICE, { unit = unit, ice = unit:getTraits().mainframe_ice, delta = unit:getTraits().sitrep_reboot_ice-1} )
	end
end

local baseInvokeDaemon = mainframe.invokeDaemon
function mainframe.invokeDaemon( sim, unit )
	if unit:getTraits().mainframe_program and sim:getNPC():getTraits().sitrep_daemon_spreader then
		local possibleUnits_prim = {}
		local possibleUnits_sec = {}
		for _, p_unit in pairs( sim:getAllUnits() ) do
			if p_unit ~= unit then
				if p_unit:getTraits().mainframe_ice and p_unit:getTraits().mainframe_ice > 0 and p_unit:getPlayerOwner() ~= sim:getPC() and not p_unit:getTraits().mainframe_program and p_unit:getTraits().mainframe_status ~= "off" then
					table.insert( possibleUnits_prim, p_unit )
				elseif mainframe.canRevertIce( sim, p_unit ) then
					table.insert( possibleUnits_sec, p_unit )
				end
			end
		end
		local s_unit = nil
		if #possibleUnits_prim > 0 then
			local index = sim:nextRand(1, #possibleUnits_prim)
			s_unit = possibleUnits_prim[ index ]
			sim:getPC():glimpseUnit( sim, s_unit )
		elseif #possibleUnits_sec > 0 then
			local index = sim:nextRand(1, #possibleUnits_sec)
			s_unit = possibleUnits_sec[ index ]
			mainframe.revertIce( sim, s_unit )
		end
		if s_unit then
			sim:dispatchEvent( simdefs.EV_MAINFRAME_MOVE_DAEMON, { part="pre", source = unit, target = s_unit} )
			sim:dispatchEvent( simdefs.EV_UNIT_UPDATE_ICE, { unit = s_unit, ice = s_unit:getTraits().mainframe_ice, delta = 0} )
			s_unit:getTraits().mainframe_program = unit:getTraits().mainframe_program
			s_unit:getTraits().daemon_sniffed = true
			s_unit:getTraits().sitrep_daemon_spreader = true
			sim:dispatchEvent( simdefs.EV_PLAY_SOUND, "SpySociety/Actions/mainframe_daemonmove")
			sim:dispatchEvent( simdefs.EV_UNIT_UPDATE_ICE, { unit = s_unit, ice = s_unit:getTraits().mainframe_ice, delta = 0, refreshAll = true} )
		end
	end
	baseInvokeDaemon( sim, unit )
end
