local util = include( "client_util" )
local serverdefs = include( "modules/serverdefs" )

local mainframe_common = include("sim/abilities/mainframe_common")


local DEFAULT_GUARD_DAEMON =
{
	canUseAbility = function( self, sim, player )
		-- Even though these are NPC abilities, only the PC can "use them" (eg. break the ice)
		return sim:getPC():getCpus() > 0
	end,

	onTooltip = function( self, hud, sim, player )
		local tooltip = util.tooltip( hud._screen )
		local section = tooltip:addSection()

		section:addLine( self.name )
		section:addAbility( self.shortdesc, self.desc, "gui/icons/action_icons/Action_icon_Small/icon-item_shoot_small.png" )

		if self.dlcFooter then
			section:addFooter(self.dlcFooter[1],self.dlcFooter[2])
		end

		return tooltip
	end,
}

mainframe_common.DEFAULT_GUARD_DAEMON = DEFAULT_GUARD_DAEMON
mainframe_common.DEFAULT_IPENALTY_DAEMON = DEFAULT_GUARD_DAEMON

function mainframe_common.createGuardDaemon(stringTbl)
	return util.extend( mainframe_common.DEFAULT_GUARD_DAEMON )
		{
			name = stringTbl.NAME,
			desc = stringTbl.DESC,
			shortdesc = stringTbl.SHORT_DESC,
			activedesc = stringTbl.ACTIVE_DESC,
			guardDaemon = true,
		}
end

function mainframe_common.createIPenaltyDaemon(stringTbl)
	return util.extend( mainframe_common.DEFAULT_IPENALTY_DAEMON )
		{
			name = stringTbl.NAME,
			desc = stringTbl.DESC,
			shortdesc = stringTbl.SHORT_DESC,
			activedesc = stringTbl.ACTIVE_DESC,
			ipenaltyDaemon = true,
		}
end
