local util = include( "modules/util" )
local mainframe_panel = include( "hud/mainframe_panel")

local baseRefresh = mainframe_panel.panel.refresh
function mainframe_panel.panel:refresh( primeRefresh )
	baseRefresh( self, primeRefresh )
	
	local panel = self._panel
	local player = self._hud._game.simCore:getPC()
	for i, ability in ipairs(player:getAbilities())do
		
		if ability.coit_daemon_cooldown then
			local widget = panel.binder.programsPanel.binder["program"..i]
			if ability.cooldown and ability.cooldown > 0 then
				local str = STRINGS.CORPORATE_ITEMS.PROGRAMS.DAEMON_TURNS
				if ability.cooldown > 1 then
					str = STRINGS.CORPORATE_ITEMS.PROGRAMS.DAEMON_TURNS_PLURAL
				end
				widget.binder.turnsTxt:setText(str)
			end
			
			local txt = ability:getDef().huddesc 
			if ability:getDef().maxCooldown then
				txt = txt .. "\n" .. util.sformat( STRINGS.CORPORATE_ITEMS.PROGRAMS.DAEMON_COOLDOWN, ability:getDef().maxCooldown)
			end
			widget.binder.descTxt:setText(txt)	
		elseif ability.coit_program_cooldown then
			local widget = panel.binder.programsPanel.binder["program"..i]
			if ability.cooldown and ability.cooldown > 0 then
				local str = STRINGS.CORPORATE_ITEMS.PROGRAMS.PROGRAM_TURNS
				if ability.cooldown > 1 then
					str = STRINGS.CORPORATE_ITEMS.PROGRAMS.PROGRAM_TURNS_PLURAL
				end
				widget.binder.turnsTxt:setText(str)
			end
			
			local txt = ability:getDef().huddesc 
			if ability:getDef().maxCooldown then
				txt = txt .. "\n" .. util.sformat( STRINGS.CORPORATE_ITEMS.PROGRAMS.PROGRAM_COOLDOWN, ability:getDef().maxCooldown)
			end
			widget.binder.descTxt:setText(txt)
		elseif ability.coit_kill_cooldown then
			local widget = panel.binder.programsPanel.binder["program"..i]
			if ability.cooldown and ability.cooldown > 0 then
				local str = STRINGS.CORPORATE_ITEMS.PROGRAMS.KILL_TURNS
				if ability.cooldown > 1 then
					str = STRINGS.CORPORATE_ITEMS.PROGRAMS.KILL_TURNS_PLURAL
				end
				widget.binder.turnsTxt:setText(str)
			end
			
			local txt = ability:getDef().huddesc 
			if ability:getDef().maxCooldown then
				txt = txt .. "\n" .. util.sformat( STRINGS.CORPORATE_ITEMS.PROGRAMS.KILL_COOLDOWN, ability:getDef().maxCooldown)
			end
			widget.binder.descTxt:setText(txt)
		end
	end
end
