local function init(scriptMgr, sim )
	--moved to mission_util so it also works on story missions
end

local function pregeneratePrefabs( cxt, tagSet )
	if cxt.params.difficultyOptions.SITREP then
		cxt.params.sitrep_add_vault_key = false
		local exit = nil
		local index = nil
		for j, tagList in ipairs(tagSet) do
			for i, prefab in ipairs(tagList) do
				if type(prefab) == "string" then
					if prefab == "exit" or prefab == "exit_vault" then
						exit = table.remove(tagList, i)
						index = j
						break
					end
				else
					if prefab[1] == "exit" or prefab[1] == "exit_vault" then
						exit = table.remove(tagList, i)
						index = j
						break
					end
				end
			end
		end
		if exit and index then
			if cxt.params.sitrep_vault_exit then
				cxt.params.sitrep_add_vault_key = true
				local new_exit = "exit_vault"
				if type(exit) ~= "string" then
					new_exit = exit
					new_exit[1] = "exit_vault"
				end
				table.insert(tagSet[index], "exit_vault")
			else
				local new_exit = "exit"
				if type(exit) ~= "string" then
					new_exit = exit
					new_exit[1] = "exit"
				end
				table.insert(tagSet[index], "exit")
			end
		else
			--something went wrong here.
		end
	end
end

local function generatePrefabs( cxt, candidates )
	if cxt.params.sitrep_add_vault_key then
		local prefabs = include( "sim/prefabs" )
		prefabs.generatePrefabs( cxt, candidates, "safe_exit_vault", 1 )
	end
end

return
{
	init = init,
	pregeneratePrefabs = pregeneratePrefabs,
	generatePrefabs = generatePrefabs,
}
