local recap_screen = include( "hud/mission_recap_screen" )
local util = include( "client_util" )

local credit_sources =
{
    "selling",
    "pickpocket",
    "stolengoods",
    "hostage",
    "safes",
    "econchip",
    "mapping",
}

local credit_sinks =
{
    "cleanup",
    "buying",
}

local baseInit = recap_screen.init
function recap_screen:init()
  baseInit( self )
  for i,source in ipairs (mod_manager.credit_sources) do
      table.insert(credit_sources,source)
  end
  for i,sink in ipairs (mod_manager.credit_sinks) do
      table.insert(credit_sinks,sink)
  end
end

local baseShowCredits = recap_screen.ShowCredits
function recap_screen:ShowCredits()
  baseShowCredits( self )

  local sources = {}

  if self.mission_data.credits_gained then
        for k,v in pairs(self.mission_data.credits_gained) do
            if util.indexOf(credit_sources, k) and v > 0 then
                table.insert(sources, {gain = true, source = k, amount = v})
            end
        end
    end

    if self.mission_data.credits_lost then
        for k,v in pairs(self.mission_data.credits_lost) do
            if util.indexOf(credit_sinks, k) and v > 0 then
                table.insert(sources, {gain = false, source = k, amount = v})
            end
        end
    end

    table.sort(sources, function(a,b)
        if a.gain == b.gain then
            return util.indexOf(a.gain and credit_sources or credit_sinks, a.source) < util.indexOf(b.gain and credit_sources or credit_sinks, b.source)
        else
            return a.gain
        end
    end)

    for k = 1, math.min(#sources, 11) do
        print(sources[k].source)
        if sources[k].source == "maa_bounty_cashflow" then
          local root = self.screen:findWidget("pnl.credits")
          local str = string.format("cashflow.row1.col%d", k)
          local widget = root:findWidget( str )

          widget:setTooltip( STRINGS.MORE_ARCHIVE_AGENTS.UI.CASHFLOW.BOUNTY )
        end
    end
end
