local serverdefs = include( "modules/serverdefs" )
local util = include( "modules/util" )
local mission_scoring = include( "mission_scoring" )
local array = include( "modules/array" )
local unitdefs = include( "sim/unitdefs" )
local agentdefs = include( "sim/unitdefs/agentdefs" )

local function updateAgencyFromSim( campaign, sim, situation )
	local player = sim:getPC()
	local agency = campaign.agency
	
	--set loadout to the sims one
	agency.programLoadout = util.tcopy( agency.abilities )
	
	--vanilla already set programs to agnecy from sim, we now add the storage back
	for _, agencyProgram in ipairs( sim._sitrepAgencyPrograms ) do
		table.insert( agency.abilities, agencyProgram )
	end
end

local baseDoFinishMission = mission_scoring.DoFinishMission
function mission_scoring.DoFinishMission( sim, campaign )
	local situation = campaign.situation --campaign.situation is getting cleared in DoFinishMission, so we save it here
	local end_type = baseDoFinishMission( sim, campaign )
	
	if campaign.difficultyOptions.SITREP_program_storage then
		updateAgencyFromSim( campaign, sim, situation )
	end

	return end_type
end
