local mission_scoring = include( "mission_scoring" )
local array = include( "modules/array" )
local util = include("client_util")
local serverdefs = include( "modules/serverdefs" )
local unitdefs = include ( "sim/unitdefs" )

local baseDoFinishMission = mission_scoring.DoFinishMission
function mission_scoring.DoFinishMission( sim, campaign )
	--if Umis drone is as item in someones inventory, mark the drone unit as escaped unit
	local player = sim:getPC()
	local drone_item_escaped = false
	for agentID, deployData in pairs( player:getDeployed() ) do
		if deployData.escapedUnit then
			for _, childUnit in ipairs( deployData.escapedUnit:getChildren() ) do
				if childUnit:getTraits().maa_is_umi_drone_item then
					drone_item_escaped = true
				end
			end
		end
	end
	
	for agentID, deployData in pairs( player:getDeployed() ) do
		local agentUnit = sim:getUnit( deployData.id )
		if agentUnit and agentUnit:getTraits().maa_isUmiDrone then
			if drone_item_escaped then
				agentUnit:getTraits().maa_droneCan = nil
				deployData.escapedUnit = agentUnit
			end
		end
	end
	
	local result = baseDoFinishMission( sim, campaign )
	
	return result
end
