local util = include( "modules/util" )
local array = include("modules/array")
local skilldefs = include( "sim/skilldefs" )
local mission_util = include( "sim/missions/mission_util" )

local baseCMInit = mission_util.campaign_mission.init
function mission_util.campaign_mission:init( scriptMgr, sim, finalMission )
	baseCMInit( self, scriptMgr, sim, finalMission )
	
	if sim:getParams().difficultyOptions.SITREP_incognita_upgrade then
		--set aiTokens if it should be overwritten (we don't care here if AI is active or not, trait isnt used otherwise)
		if sim:getParams().difficultyOptions.SITREP_slot then
			sim:getPC():getTraits().aiTokenMax = (sim:getPC():getTraits().aiTokenMax or 8) - 4
		end
		--apply program slots; should be integrated into the code below, but I'm too lazy to fix this artifact
		if sim:getParams().agency.sitrep_incognita.skills.slots.level then
			sim:getTags().extraPrograms = (sim:getTags().extraPrograms or 0) + (sim:getParams().agency.sitrep_incognita.skills.slots.level or 1) -1
		end
		
		--apply incognita skills
		for skillID, skill in pairs( sim:getParams().agency.sitrep_incognita.skills ) do
			for i=1, skill.level or 1 do
				if skilldefs.sitrep_incognita_skills[skillID][i].onLearn then
					skilldefs.sitrep_incognita_skills[skillID][i].onLearn( sim )
				end
			end
		end
	end
	if sim:getParams().difficultyOptions.SITREP then	
		--add the sitrep daemons to the game
		if sim:getParams().guardDaemons then
			for _, daemon in ipairs(sim:getParams().guardDaemons) do
				sim:getNPC():addSitrepDaemonAbility( sim, daemon, sim:getNPC() )
			end
		end
		
		--add incognita penalty
		if sim:getParams().incognita_penalty then
			sim:getNPC():addSitrepDaemonAbility( sim, sim:getParams().incognita_penalty, sim:getNPC() )
		end
	end
end
