local cdefs = include( "client_defs" )
local mission_util = include( "sim/missions/mission_util" )
local SCRIPTS = include('client/story_scripts')
local serverdefs = include( "modules/serverdefs" )
local simdefs = include( "sim/simdefs" )

function mission_util.makeAgentConnection( script, sim )
    	script:waitFor( mission_util.UI_INITIALIZED )
    	script:queue( { type = "hideInterface" })

    	sim:dispatchEvent( simdefs.EV_TELEPORT, { units = sim:getPC():getAgents(), warpOut = false } )		

	local isEndless = sim:getParams().difficultyOptions.maxHours == math.huge

    	local settingsFile = savefiles.getSettings( "settings" )
	if sim:getParams().missionCount == 0 and not isEndless then   
        	script:queue( 1*cdefs.SECONDS )
        	script:queue( { script = SCRIPTS.INGAME.CENTRAL_FIRST_LEVEL, type="modalConversation" } ) 
	    	script:queue( { type = "showInterface" })
	    	script:queue( 0.5*cdefs.SECONDS )
	    	script:queue( { type = "showMissionObjectives" })
    	else
        	script:queue( 1.5*cdefs.SECONDS )
        	script:queue( { type = "showInterface" })
        	script:queue( 0.5*cdefs.SECONDS )
        	script:queue( { type = "showMissionObjectives" })
		script:addHook( mission_util.doAgentBanter )		
	end

	if sim:getParams().difficultyOptions.W93_endless_rebalance then
		sim:getPC():getTraits().shopPenalty = sim:getParams().difficultyOptions.W93_endless_rebalance
	end

	if sim:getParams().difficultyOptions.W93_endless_daemons and sim:getParams().campaignHours then
        	if (sim:getParams().difficultyOptions.W93_endless_daemons <= math.floor(sim:getParams().campaignHours/24 + 1) and (isEndless == true)) or sim:getTags().endlessifiedCampaign then
            		local daemon = serverdefs.ENDLESS_DAEMONS[ sim:nextRand(1, #serverdefs.ENDLESS_DAEMONS) ]  
            		sim:getNPC():addMainframeAbility(sim, daemon, sim:getNPC(), 0 )
        	end
	elseif sim:getParams().endlessAlert then
        	local daemon = serverdefs.ENDLESS_DAEMONS[ sim:nextRand(1, #serverdefs.ENDLESS_DAEMONS) ]  
        	sim:getNPC():addMainframeAbility(sim, daemon, sim:getNPC(), 0 )
	end

	--moved to MoreMissions
	--if sim:getParams().agency.W93_aiTerminals then
		--sim:getTags().extraPrograms = (sim:getTags().extraPrograms or 0) + sim:getParams().agency.W93_aiTerminals
	--end

	if sim:getParams().difficultyOptions.incognita_active and sim:getParams().difficultyOptions.incognita_active == 0 then
		sim:setMainframeLockout( true )
	end
end