local itemdefs = include( "sim/unitdefs/itemdefs" )
local simfactory = include( "sim/simfactory" )

local mission_security = include( "sim/missions/mission_security" )
local init_old = mission_security.init

local function checkTopGear2Safes( sim )
	local itemList = {}
	for k,v in pairs(itemdefs) do
		if (v.floorWeight or 0) > 2 then
			table.insert(itemList,v)				
		end
	end

	for i, unit in pairs(sim:getAllUnits()) do
		if unit:hasTag("topGear2") then
			local item = itemList[ sim:nextRand( 1, #itemList ) ]
			local newItem = simfactory.createUnit( item, sim )						
			sim:spawnUnit( newItem )
			unit:addChild( newItem )
		end
	end
end

function mission_security:init( scriptMgr, sim )
	init_old( self, scriptMgr, sim )
	checkTopGear2Safes( sim )
end