---------------------------------------------------------------------
-- Invisible Inc. MOD.

local util = include( "modules/util" )

-- init will be called once
local function init( modApi )

    log:write("inside the Banter mod")
    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
	

include( scriptPath .. "/lib_sequentialModLoader" )( modApi )
modApi.requirements = { "Contingency Plan", "Sim Constructor", "Mods Combo by Shirsh", "Talon Recruitment","Carmen Sandiego","Function Library","Untitled Inc. Goose Protocol" }  -- DLC because of check for it in "load" function; 
												-- mods in case of possible mod agents banter addition/check    
    -- Mount data (icons, agent upgrade pic).
KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" ) 	
KLEIResourceMgr.MountPackage( dataPath .. "/anims_datalogs.kwad", "data" ) 

    -- Load MOD strings.  
    local DLC_STRINGS = include( scriptPath .. "/strings" )
    modApi:addStrings( dataPath, "banter", DLC_STRINGS )
	
	local STRINGS = include("strings")
	if STRINGS.AGENTS.SHALEM then
		STRINGS.AGENTS.SHALEM.BANTER.CROSS[36] = STRINGS.banter.VANILLA_FIXES.SHALEM
	end
	if STRINGS.AGENTS.XU then
		STRINGS.AGENTS.XU.BANTER.CROSS[28] = STRINGS.banter.VANILLA_FIXES.XU
	end
	
  	-- adding datalogs
		local logs = include( scriptPath .. "/logs" )
		for i,log in ipairs(logs) do      
			modApi:addLog(log)
		end
		 
		 
    --Options:
	modApi:addGenerationOption("addBanter", STRINGS.banter.OPTIONS.BANTER , STRINGS.banter.OPTIONS.BANTER_TIP,{noUpdate=true})	
	modApi:addGenerationOption("message_time", "Time per message" , "This generation option has multiple values", {values = {3,4,5,6},  value=4, strings = {"3 seconds", "4 seconds", "5 seconds (vanilla)", "6 seconds"}, noUpdate = true} )
	
	-- modApi:addGenerationOption("delay_time", "Dialogue starts 0.5 seconds earlier" , "When off default delay is 1 second", {noUpdate = true}) 
	
	modApi:addGenerationOption("banter_mod", STRINGS.banter.OPTIONS.BANTER_FREQ, STRINGS.banter.OPTIONS.BANTER_FREQ_DESC, 
	{
		values = {0,0.1,0.2,0.4,0.7,1}, 
		strings = STRINGS.banter.OPTIONS.BANTER_FREQ_STRINGS, 
		value=0.7,
		noUpdate = true,
	})	
	
	modApi:addGenerationOption("SeparateArchivedBanters", STRINGS.banter.OPTIONS.SAA_MERGE, STRINGS.banter.OPTIONS.SAA_MERGE_DESC, {enabled = false, noUpdate = true } )
    
end

-- load may be called multiple times with different options enabled
local function load( modApi, options, params, mod_options )

	local scriptPath = modApi:getScriptPath() 
	-- edited mission_util that supports variables for message time, smaller delay before start and to have non repeating dialogues
	include( scriptPath .. "/mission_util" )

  if options["addBanter"] and options["addBanter"].enabled then

		local banterdefs = include( scriptPath.."/banterdefs" )
		for i,  banter in pairs( banterdefs ) do
				modApi:addBanter( banter )
			end
	
		local banterdefsDLC = include( scriptPath.."/banterdefsDLC" )
		for i,  banter in pairs( banterdefsDLC ) do
			modApi:addBanter( banter )
		end

		local banterdefsModCombo = include( scriptPath.."/banterdefsModCombo" ) --honestly it's called mod combo but is just there for all mod agents now \o/
		for i,  banter in pairs( banterdefsModCombo ) do
			modApi:addBanter( banter )
		end	
	
	end -- end of adding banters
		

	if options["message_time"] and params then
		params.message_time = options["message_time"].value
	end

	-- deprecated
	-- if options["delay_time"] and params then
		-- params.delay_time = 0.5
	-- end
	if params then
		params.delay_time = 0.5
	end
	
	if options["banter_mod"] and params then
		params.banter_mod = options["banter_mod"].value
	end
	
	if options["SeparateArchivedBanters"] and options["SeparateArchivedBanters"].enabled and params then
		params.SeparateArchivedBanters = true
	end
	
	
	-- Code for removing used banters from pool
		local mission_scoring = include( "mission_scoring" )
		local oldDoFinishMission = mission_scoring.DoFinishMission
		
		mission_scoring.DoFinishMission = function( sim, campaign )
			local flow_result = oldDoFinishMission( sim, campaign )
			local agency = sim:getParams().agency
			local usedbanterID = sim.usedbanterID --note to self: sim can be used to store variables across functions that call on sim
			
			if agency.crossIds == nil then
			agency.crossIds = {}
			end
	
			if usedbanterID then   -- used banter ID saved at mission start when banter triggers
			table.insert (agency.crossIds, usedbanterID)
			end
			
			return flow_result
		end
	
	

end	-- end of load

local function lateLoad()
	local STRINGS = include("strings")
	if STRINGS.DLC1 then
		log:write("fixing vanilla DLC strings")
		STRINGS.DLC1.MISSIONS.LOCATIONS.MIDMISSION1.NAME = STRINGS.banter.VANILLA_FIXES.MIDMISSION1_NAME
		STRINGS.DLC1.ALARM_NEXT_INCREASEDFIREWALLS2 = STRINGS.banter.VANILLA_FIXES.ALARM_NEXT_INCREASEDFIREWALLS2
	end
end


return {
    init = init,
    load = load,
	lateLoad = lateLoad,
}