local function init( modApi )
    local scriptPath = modApi:getScriptPath()
	local dataPath = modApi:getDataPath()
	
	KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" )
	
	reinclude = include--Fix ending edits
	
	include( scriptPath.."/simdefs" )
	include( scriptPath.."/serverdefs" )
	include( scriptPath.."/simplayer" )
	include( scriptPath.."/state-upgrade-screen" )
	include( scriptPath.."/state-map-screen" )
	include( scriptPath.."/state-postgame" )
	include( scriptPath.."/ending_1" )
	
	modApi:addGenerationOption( "reserve", STRINGS.A_RES.OPTIONS.ENABLE_RESERVE, STRINGS.A_RES.OPTIONS.ENABLE_RESERVE_TIP, { noUpdate = true } )
	modApi:addGenerationOption( "upgrades", STRINGS.A_RES.OPTIONS.ENABLE_DAY1UPGRADES, STRINGS.A_RES.OPTIONS.ENABLE_DAY1UPGRADES_TIP, { noUpdate = true } )
	modApi:addGenerationOption( "icon", STRINGS.A_RES.OPTIONS.ICON, STRINGS.A_RES.OPTIONS.ICON_TIP, { value = 1, values = { 1, 2, 3, 4, 5, 6, 7 }, strings = STRINGS.A_RES.OPTIONS.ICON_VALUES, noUpdate = true } )
	modApi:addGenerationOption( "rescueables", STRINGS.A_RES.OPTIONS.RESCUEABLES, STRINGS.A_RES.OPTIONS.RESCUEABLES_TIP, { value = math.huge, values = { 1, 2, 3, 4, 5, 6, 7, 8, 10, 12, 15, 20, math.huge }, strings = STRINGS.A_RES.OPTIONS.RESCUEABLES_VALUES, noUpdate = true } )
	modApi:addGenerationOption( "teams", STRINGS.A_RES.OPTIONS.TEAMS, STRINGS.A_RES.OPTIONS.TEAMS_TIP, { value = 4, values = { 1, 2, 3, 4, 5, 6, 7, 8, 10, 12, 15, 20, math.huge }, strings = STRINGS.A_RES.OPTIONS.TEAMS_VALUES, noUpdate = true } )
	modApi:addGenerationOption( "fullparty", STRINGS.A_RES.OPTIONS.FULL_PARTY, STRINGS.A_RES.OPTIONS.FULL_PARTY_TIP, { noUpdate = true, enabled = false } )
end

local function load( modApi, options )
    local scriptPath = modApi:getScriptPath()
	local simdefs = include("sim/simdefs")
	simdefs.ENABLE_RESERVE = options.reserve.enabled
	simdefs.ENABLE_DAY1UPGRADES = options.upgrades.enabled
	simdefs.MAX_AGENCY_SIZE = options.rescueables.value
	simdefs.MAX_AGENT_COUNT = options.teams.value
	simdefs.ENABLE_FULLPARTY = options.reserve.enabled and options.fullparty and options.fullparty.enabled
	
	local check = simdefs.SCREEN_CUSTOMS["upgrade_screen.lua"].skins[5].children[3]
	local icon = options.icon.value
	
	check.images[1].file = "gui/icons/StorageStar.png"
	check.w = 16
	check.h = 16
	check.color = {
		1,
		1,
		1,
		1,
	}
	
	if icon == 2 then
		check.color = {
			1,
			1,
			0.4,
			1,
		}
	elseif icon == 3 then
		check.color = {
			0.4,
			1,
			1,
			1,
		}
	elseif icon == 4 then
		check.color = {
			1,
			0.25,
			0.25,
			1,
		}
	elseif icon == 5 then
		check.color = {
			0.4,
			1,
			0.4,
			1,
		}
	elseif icon == 6 then
		check.images[1].file = "gui/menu pages/map_screen/map_reticle-01.png"
		check.w = 64
		check.h = 64
	elseif icon == 7 then
		check.images[1].file = "jet.png"
		check.w = 36
		check.h = 36
	end
	
	
end

local function unload( modApi, options )
	local simdefs = include("sim/simdefs")
	simdefs.ENABLE_RESERVE = false
	simdefs.ENABLE_DAY1UPGRADES = false
	simdefs.ENABLE_FULLPARTY = false
	simdefs.MAX_AGENCY_SIZE = 4
	simdefs.MAX_AGENT_COUNT = 4
end

local function initStrings( modApi )
	local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
	
    local A_RES_STRINGS = include( scriptPath .. "/strings" )
    modApi:addStrings( dataPath, "A_RES", A_RES_STRINGS )  
end

return {
	init = init,
	load = load,
	unload = unload,
	initStrings = initStrings,
}