local function init( modApi )
	local cdefs = include( "client_defs" )
	local values = {0,1,2,3,4,5,6,7,8,9,10,12,15,20,25,30,40,50,60,90,120,180,300}
	for i, v in ipairs(values) do
		values[i] = v * cdefs.SECONDS
	end
	
	modApi:addGenerationOption("panicTime", "PANIC TIME ATTACK","Turns on Time Attack in bad situations.",{noUpdate=true, 
		values = values,
		strings = {"OFF","1 Second","2 Seconds","3 Seconds","4 Seconds","5 Seconds","6 Seconds","7 Seconds","8 Seconds","9 Seconds","10 Seconds","12 Seconds","15 Seconds","20 Seconds","25 Seconds","30 Seconds","40 Seconds","50 Seconds","1 Minute", "90 Seconds", "2 Minutes", "3 Minutes", "5 Minutes"},
		value = 10 * cdefs.SECONDS
	})
end

local function load( modApi, options, params, mod_options )
	local scriptPath = modApi:getScriptPath()
	
	if params and options.panicTime.value > 0 then
		params.panicTimeAttack = options.panicTime.value
	end
	
	
end

local function initStrings( modApi )
end

local function lateInit( modApi )
	local scriptPath = modApi:getScriptPath()
	include( scriptPath .. "/state-campaigngame" )
end

return {
	init = init,
	load = load,
	initStrings = initStrings,
	lateInit = lateInit
}