---------------------------------------------------------------------
-- Invisible Inc. Permadeath mod

local util = include("modules/util")
local simdefs = include("sim/simdefs")
-- local array = include("modules/array")
local simquery = include( "sim/simquery" )
local mui = include( "mui/mui" )
local cdefs = include( "client_defs" )
local unitdefs = include( "sim/unitdefs" )
local simquery = include( "sim/simquery" )
local simfactory = include( "sim/simfactory" )
local cdefs = include( "client_defs" )

local casualties = {}
-- local hasplotarmor = {[99] = true, [100] = true, [107] = true, [108] = true, }
local hasplotarmor = {[99] = true, [100] = true, [107] = true }
-- agentIDs for Central and Monst3r, to add exceptions for them in below functions
local hostagelist = {}
local deathtrackeragents = {}
local old_agentdown_tooltip = nil
local thisModLoaded = false
local CHANCE_GHOSTLINE = 0.25

local tooltips = {
"coRrUptEd_sIGnaL",
"ERROR",
"FALSE POSITIVE",
"???",
"aberrant_signal",
}

local function findCell( sim, tag )
	local cells = sim:getCells( tag )
	return cells and cells[1]
end

local function PC_ENTERED_TILE_WITH_TAG( tag )
	return
	{
		trigger = simdefs.TRG_UNIT_WARP,
		fn = function( sim, eventData )
			if eventData.unit:getTraits().central then 
				if eventData.to_cell and sim:getQuery().cellHasTag( sim, eventData.to_cell, "finalCentral" ) then 
					eventData.unit:interruptMove( sim )
					return true
				end
			end 
		end
	}
end

local function spawnJudgyGhost(sim, cell, cell2, cellnumber )
	local unitData = unitdefs.lookupTemplate("turret")
	local newUnit = simfactory.createUnit( unitData, sim )
	local facing = simquery.getDirectionFromDelta( cell.x - cell2.x, cell.y - cell2.y )
		
	-- local player = sim:getNPC()
	-- newUnit:setPlayerOwner(player)
	-- sim:spawnUnit( newUnit )
	-- newUnit:setFacing(facing)
	-- sim:warpUnit( newUnit, cell2 )
	-- sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = newUnit } ) --placeholder: turret tests
	if  #sim.cleandeathpool == 0 then
		return
	end
	local rand = sim:nextRand(1,#sim.cleandeathpool)
	local deadID = sim.cleandeathpool[rand]
	local template = nil
	local agentDef = nil
	local agentdefs = include("sim/unitdefs/agentdefs")
	for k, v in pairs(agentdefs) do
		if v.agentID and (v.agentID == deadID) then
			template = k
			agentDef = v
			-- log:write("LOG template is "..tostring(template))
		end
	end
	table.remove(sim.cleandeathpool, rand)
	
	if agentDef and template then
		local prop_template = unitdefs.prop_templates.agent_ghost
		local ghostAgent = simfactory.createUnit( prop_template, sim ) 
		local agentTemplate = unitdefs.lookupTemplate(template)
		ghostAgent._unitData.kanim = agentTemplate.kanim
		ghostAgent:getTraits().template = agentDef.template
		ghostAgent._unitData = agentTemplate
		ghostAgent._unitData.name = tooltips[sim:nextRand(1,#tooltips)]
		sim:spawnUnit( ghostAgent )
		ghostAgent:setPlayerOwner(sim:getPC())
		sim:warpUnit( ghostAgent, cell2 )
		ghostAgent:setFacing(facing)
		ghostAgent:getTraits().mp = 0
		ghostAgent:getTraits().permadeathghost = cellnumber
		log:write("LOG cell number" .. tostring(cellnumber))
		sim:dispatchEvent( simdefs.EV_UNIT_ADD_FX, { unit = ghostAgent, kanim = "fx/agent_cloak_fx", symbol = "effect", anim="in", above=true, params={}} )
		sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = ghostAgent } )
	end	
end

local function ending_ghosts( script, sim )
	script:waitFor( PC_ENTERED_TILE_WITH_TAG( "finalCentral" ) )	
	--merge agency deathpool with current mission deathpool
	local agency = sim:getParams().agency
	agency.permadeathpool = agency.permadeathpool or {}
	if sim.permadeathkilled then
		for agentID, value in pairs(sim.permadeathkilled) do
			table.insert(agency.permadeathpool, agentID)
		end
	end
	
	--remove dupes from permadeathpool table that might have ended up there by accident...
	local hash = {}
	sim.cleandeathpool = {}
	for i, agentID in pairs(agency.permadeathpool) do
		if hash[agentID] == nil then
			hash[agentID] = true
			table.insert(sim.cleandeathpool, agentID)
		end
	end
	
	-- absolute direction will be different depending on map orientation, so need to find correct ones.
	local k = 6
	local cell = findCell( sim, "light"..k )
	local cell_ne1 = findCell( sim, "light"..(k-1))
	local cell_ne2 = findCell( sim, "light"..(k+1))
	local dir1, dir2 = nil, nil 
	if cell then
		for dir, exit in pairs(cell.exits) do
			if (dir % 2 == 0) then
				if (exit.cell ~= cell_ne1) and (exit.cell ~= cell_ne2) then
					if dir1 == nil then
						dir1 = dir
					elseif (dir2 == nil) then
						dir2 = dir
					end
				end
			end
		end			
	end
	
	for i = 12, 6, -1 do
		local cell = findCell( sim, "light"..i )
		if cell and (i % 2 == 0) then
			for dir, exit in pairs(cell.exits) do
				if dir == dir1 then --"left"
					local cell2 = exit.cell
					spawnJudgyGhost( sim, cell, cell2, i)
				elseif dir == dir2 then --"right"
					local cell2 = exit.cell 
					spawnJudgyGhost( sim, cell, cell2, i)					
				end
			end
		end
	end
	for i = 12, 6, -1 do --repeat for odd numbers:
		local cell = findCell( sim, "light"..i )
		if cell and (i % 2 ~= 0) then
			for dir, exit in pairs(cell.exits) do
				if dir == dir1 then --"left"
					local cell2 = exit.cell
					spawnJudgyGhost( sim, cell, cell2, i)
				elseif dir == dir2 then --"right"
					local cell2 = exit.cell 
					spawnJudgyGhost( sim, cell, cell2, i)					
				end
			end
		end
	end	
end

local function init( modApi )
    log:write("inside the Permadeath mod")
    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
	
	modApi.requirements = {"Sim Constructor","Contingency Plan","Into the Breach Agents","Age of Lever","Advanced Guard Protocol","New Items and Augments","Function Library","Flavorful Agents","More Missions","Additional Banter"}	
	-- requires SIM CONSTRUCTOR BY Cyberboy2000 -- 
    
    -- Mount data.
    KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" )
 
    modApi:addGenerationOption("permadeath" , STRINGS.PERMADEATH.OPTIONS.ENABLE_PERMADEATH , STRINGS.PERMADEATH.OPTIONS.ENABLE_PERMADEATH_TIP, {enabled = true, noUpdate = true} )
	
	modApi:addGenerationOption("deathtimer" , STRINGS.PERMADEATH.OPTIONS.ENABLE_DEATHTIMER ,STRINGS.PERMADEATH.OPTIONS.ENABLE_DEATHTIMER_TIP , {values = {0, 3, 5, 7, 10, 15}, value=7, strings = {"Immediate death", "3 turns", "5 turns", "7 turns", "10 turns", "15 turns"}, noUpdate = true} )
	
	modApi:addGenerationOption("permadeath_heavydamage" , STRINGS.PERMADEATH.OPTIONS.ENABLE_HEAVYDAMAGE , STRINGS.PERMADEATH.OPTIONS.ENABLE_HEAVYDAMAGE_TIP, {values = {1000, 0, 2, 3, 5}, value = 3, strings = {"Disabled","Immediate death", "2 turns", "3 turns", "5 turns"}, noUpdate = true} )
	
	modApi:addGenerationOption("permadeath_ghosts", STRINGS.PERMADEATH.OPTIONS.ENABLE_GHOSTS , STRINGS.PERMADEATH.OPTIONS.ENABLE_GHOSTS_TIP, {noUpdate = true} )

	modApi:addGenerationOption("permadeath_beeper", STRINGS.PERMADEATH.OPTIONS.ENABLE_BEEP, STRINGS.PERMADEATH.OPTIONS.ENABLE_BEEP_TIP, {noUpdate = true} )	
	
	local agents = include( "sim/unitdefs/agentdefs" )
 	-- makes list of all "agents" that are killable WITHOUT the mod being enabled. In vanilla this is only the hostage+prisoner, however, this should keep the unloading from falsely resetting this value for potential other characters from mods --> cleaner than just resetting everyone. Note to self: if any mod is released which adds killable friendly NPCs, it needs to be loaded FIRST
	-- this needs to be in init or normal agents will be added as well after mod loads!!!
	
	for k,v in pairs(agents) do
		if v.traits.canBeCritical == false then
		table.insert(hostagelist, v)
		-- log:write("adding hostages to list")
		-- log:write(util.stringize(hostagelist,2))
		end

	end	
	
	local STRINGS = include("strings")
	old_agentdown_tooltip = STRINGS.UI.TOOLTIP_AGENT_DOWN_DES	
	util.tmerge( STRINGS.LOADING_TIPS, STRINGS.PERMADEATH.LOADING_TIPS  ) --add new loading screen tooltips
	

	local simunit = include("sim/simunit")
	local setKO_old = simunit.setKO
	simunit.setKO = function(self, sim, ticks, fx, ... )
		if sim.stimmingDeadAgent and self:getTraits().isDying then
			--nothing
		else
			setKO_old( self, sim, ticks, fx, ... )
		end
	end
	
	local simengine = include("sim/engine")
	local simengine_dispatchEvent_old = simengine.dispatchEvent
	simengine.dispatchEvent = function( self, evType, evData, noSkip, ... )
		assert( evType )
		if  self.stimmingDeadAgent and (evType == simdefs.EV_UNIT_FLOAT_TXT) and evData.txt and ( (evData.txt == STRINGS.UI.FLY_TXT.REVIVED) or (evData.txt == STRINGS.UI.FLY_TXT.MOVEMENT_BOOSTED) ) then
			log:write("LOG SKIPPING FLY TEXT")
			return
		end
		
		return simengine_dispatchEvent_old( self, evType, evData, noSkip, ... )
	end			
	
end

local function lateInit( modApi )

	local calculateShotSuccess_old = simquery.calculateShotSuccess
	simquery.calculateShotSuccess = function(sim, sourceUnit, targetUnit, equipped, ...)
		local shot = calculateShotSuccess_old( sim, sourceUnit, targetUnit, equipped, ... )

		if sim:getParams().difficultyOptions.permadeath_heavydamage and not (sim:getParams().difficultyOptions.permadeath_heavydamage == 1000) then -- 1000 is the "disabled" value so skip the whole block. a bit messy but whatever
			if equipped and targetUnit and sim:getParams().difficultyOptions.permadeath_heavydamage then
				local baseDamage = equipped:getTraits().baseDamage
				if baseDamage and targetUnit:getTraits().woundsMax and (baseDamage > targetUnit:getTraits().woundsMax) then
					if sim:getParams().difficultyOptions.permadeath_heavydamage > 0 then
						targetUnit:getTraits().deathtimer_heavydamage = sim:getParams().difficultyOptions.permadeath_heavydamage -- if instadeath is disabled implement modified deathtimer instead
					else
						targetUnit:getTraits().canBeCritical = false
						
					end
				end
			end
		end
		
		return shot
	end
	
	-- this block makes agents (visibly) pin dying agents
	local simquery = include( "sim/simquery" )
	local isUnitPinning_old = simquery.isUnitPinning
	simquery.isUnitPinning = function( sim, unit, ... )
		local result, pinnedUnit = isUnitPinning_old( sim, unit, ...)
		if thisModLoaded and unit then
			if result == false then
				if unit:getPlayerOwner() == sim:getPC() then
					local cell = sim:getCell( unit:getLocation() )
					if cell then
						for i, cellUnit in ipairs(cell.units) do
							if cellUnit:getTraits().isDying then
								return true, cellUnit
							end
						end						
					end
				end
			end
		end
		return result, pinnedUnit
	end
	
	
	local mission_panel = require "hud/mission_panel"
	local oldProcessEvent = mission_panel.processEvent
	mission_panel.processEvent = function(self, event)	
		while self._hud._choice_dialog ~= nil do
			-- A dialog is open, which may not be skippable.
			-- Pause the queue until that dialog has been closed.
			self:yield()
		end
		
		if (type(event) == "table") and (event.type == "newOperatorMessage") and event.deadSpeaking then 

			if event.debug then 
				print(event.debug)
			end 

			if event.script then 

				--if the talking head has a doNotQueue flag, don't play it if other things are already playing
				if not event.doNotQueue or self.talkinghead:IsDone() then
					mui.activateScreen( self._screen._operator_screen )
					self._screen._operator_screen:findWidget("instructionsTxt"):setText("")
					self._screen._operator_screen:findWidget("profileAnim"):setVisible(true)
					self._screen._operator_screen:findWidget("profileAnim"):getProp():setRenderFilter( cdefs.RENDER_FILTERS.desat )	--new line
					self.talkinghead:setOnFinishedFn(function() 
						if self._screen._operator_screen:isActive() then
							self._screen._operator_screen:findWidget("profileAnim"):setVisible(false)
							self._screen._operator_screen:findWidget("profileAnim"):getProp():setRenderFilter( cdefs.RENDER_FILTERS.default )
							mui.deactivateScreen( self._screen._operator_screen )
						end
						if self.talkinghead:shouldShowSubtitles() then 
							MOAIFmodDesigner.playSound("SpySociety/HUD/gameplay/radiospeech_stop")
							--MOAIFmodDesigner.playSound( cdefs.SOUND_HUD_GAME_WOOSHOUT ) 
						end 
					end)
					MOAIFmodDesigner.playSound("SpySociety/HUD/gameplay/radiospeech_start")
					self.talkinghead:PlayScript( event.script )

					while not self.talkinghead:IsDone() and not event.parallel and not self._skipping do
						self:yield()
					end

					if self._skipping then
						self:stopTalkingHead()
					end
				end
			end 
		else
			oldProcessEvent( self, event )
		end		
	end
	
end

local function resetmortality()
local agents = include( "sim/unitdefs/agentdefs" )
	
	for k,v in pairs(agents) do
		v.traits.canBeCritical = true -- reset to vanilla
	end
	
	if #hostagelist > 0 then
	-- log:write("hostagelist is")
	-- log:write(util.stringize(hostagelist,2))

		for t, hostage in pairs(hostagelist) do -- loop through both tables to identify which characters are supposed to be killable
		
			for k,agent in pairs(agents) do
				if agent.name == hostage.name then
				agent.traits.canBeCritical = false
				end
			end
			
		end
		
		-- log:write("LOG: full agent list")
		-- log:write(util.stringize(agents,2))

	end

end

local function removetracker()

	-- copypasted from Gunpoint \o/
if #deathtrackeragents > 0 then
		local agents = include( "sim/unitdefs/agentdefs" )
		for _,k in pairs(deathtrackeragents) do
			if agents[k] then
				for i, v in pairs(agents[k].abilities) do
					if v == "abilitydeathtracker" then
						-- log:write("Removing deathtracker from ".. k)
						table.remove(agents[k].abilities, i)
						break 
					end
				end
			end
		end
	end	
	
	if old_agentdown_tooltip then
		STRINGS.UI.TOOLTIP_AGENT_DOWN_DESC = old_agentdown_tooltip
	end
		
end

local function load( modApi, options, params, allOptions )

    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
	
	local propdefs = include(scriptPath.."/propdefs")
	for name, propDef in pairs(propdefs) do
		modApi:addPropDef( name, propDef, false )
	end
	
    local agentrig = include( "gameplay/agentrig" ).rig
    local refresh_old = agentrig.refreshRenderFilter   
    function agentrig.refreshRenderFilter(self)
        -- log:write("LOG custom refreshrenderfilter")
        refresh_old(self)
        
		-- local filter_name = "zone_1_fog"
		-- local filter_name = "mainframe_agent"
        if self._renderFilterOverride then
            self._prop:setRenderFilter( self._renderFilterOverride )
        else
            local unit = self._boardRig:getLastKnownUnit( self._unitID )
            if unit then
                self._prop:setPlayMode( self._playMode )
                if unit:getTraits().permadeathghost then
                    -- self._prop:setRenderFilter( cdefs.RENDER_FILTERS[filter_name] )
					local ghost_opacity = (unit:getTraits().permadeathghost*1.3/20)
					if ghost_opacity > 0.75 then
						ghost_opacity = 0.85
					elseif ghost_opacity < 0.55 then
						ghost_opacity = 0.25
					elseif ghost_opacity < 0.4 then
						ghost_opacity = 0.5 -- some manual adjustment
					end
					local ghost_filter =		{ shader=KLEIAnim.SHADER_FOW,			r=60/255,	g=95/255,	b=100/255,	a= ghost_opacity,	lum=1.0-0.14 }				
					self._prop:setRenderFilter( ghost_filter )	
					self._HUDteamCircle:setVisible(false)	
				else
					self._HUDteamCircle:setVisible(true)
                end
            end
        end
    
    end	
	
	-- local unitrig = include("gameplay/unitrig").rig
	-- local refresh_old = unitrig.refreshRenderFilter
	-- unitrig.refreshRenderFilter = function( self )
		-- refresh_old(self)
		-- log:write("LOG custom refresh prop")
		-- -- local unit = self:getUnit() 
		-- -- log:write(util.stringize(unit._traits,2))
		-- -- log:write("---------------------")
		-- -- log:write(util.stringize(self._boardRig:getLastKnownUnit( self._unitID )._traits,2))
		-- local unit = self._boardRig:getLastKnownUnit( self._unitID )
		-- if unit and unit._traits.permadeathghost then
			-- log:write("LOG permadeathghost")
			-- self._prop:setRenderFilter( cdefs.RENDER_FILTERS["zone_1_fog"] )
		-- end
	
	-- end	
	
	modApi:addAbilityDef( "use_aggression", scriptPath .."/abilities/use_aggression" )
	modApi:addAbilityDef( "use_stim", scriptPath .."/abilities/use_stim" )	
	
	local commondefs = include( scriptPath .. "/commondefs" )
	modApi:addTooltipDef( commondefs )
	
	
	-- local omniPrefabs = include( scriptPath .. "/prefabs/omni/prefabt" )
	-- modApi:addWorldPrefabt(scriptPath, "omni", omniPrefabs) --alternate entry rooms
		
	if options["permadeath"] and params then
		params.permadeath = options["permadeath"].enabled
	end

	if options["deathtimer"] and params then
		params.deathtimer = options["deathtimer"].value
	end
	
	if options["permadeath_heavydamage"] and params then
		params.permadeath_heavydamage = options["permadeath_heavydamage"].value
	end
	
	if options["permadeath_ghosts"] and options["permadeath_ghosts"].enabled and params then
		params.permadeath_ghosts = true
	end
	
	if params and options["permadeath_beeper"] and options["permadeath_beeper"].enabled then
		params.permadeath_beeper = true
	end
	
	if options["permadeath"] and options["permadeath"].enabled then
	
	-- custom scripts for Central's KIA commentary, only affects non-final missions
	local escape_mission = include( scriptPath .. "/escape_mission" )
	modApi:addEscapeScripts(escape_mission)	
	
	-- story scripts for Central's KIA commentary
	local DLC_SCRIPTS = include( scriptPath .. "/story_scripts" )
		if DLC_SCRIPTS.INGAME then
			modApi:addMissionScripts( DLC_SCRIPTS.INGAME )
		end
		
	-- modApi:addAbilityDef( "lastWords", scriptPath .."/lastwords" )
	modApi:addAbilityDef( "abilitydeathtracker", scriptPath .."/deathtracker" )	
			
	-- Removes KIA agents from detention pool (-credit to Cyberboy for base code)
	local mission_scoring = include( "mission_scoring" )
	local oldDoFinishMission = mission_scoring.DoFinishMission
	mission_scoring.DoFinishMission = function( sim, campaign )
		local flow_result = oldDoFinishMission( sim, campaign )
		for i = #campaign.agency.unitDefsPotential, 1, -1 do
			local agentDef = campaign.agency.unitDefsPotential[i]
				
				
			if agentDef.captureTime then
				
				-- log:write("LOG: agentDef")
				-- log:write(util.stringize(agentDef,2))
				if sim.permadeathkilled then 
					local killedagents = sim.permadeathkilled
					
					-- log:write(util.stringize(killedagents,2))
					if killedagents[agentDef.id] == true then
						table.remove( campaign.agency.unitDefsPotential, i )
						log:write("LOG: permadeath detpool modified")
						-- log:write(util.stringize(agentDef.id,2))
						table.insert(casualties, agentDef.template)
						log:write("casualties template")
						log:write(util.stringize(casualties,2))
					end
					
					if campaign.agency.permadeathpool == nil then
						campaign.agency.permadeathpool = {}
					end
					for id, value in pairs(sim.permadeathkilled) do
						-- log:write("LOG id is "..tostring(id))
						table.insert(campaign.agency.permadeathpool, id)
					end

					
					
				end
				
			end	
				
		end 
		
		sim.permadeathkilled = nil		
		return flow_result	
	end 
	

	-- Sets agent status to KIA at mission report screen -- mostly by Cyberboy2000
					
			local mission_recap_screen = include ("hud/mission_recap_screen")	
			local oldShowAgents = mission_recap_screen.ShowAgents
			function mission_recap_screen:ShowAgents()
				oldShowAgents(self)

				local root = self.screen:findWidget("agent_pnl")   
				for i = 1, 4 do
					local widget = root:findWidget("agent" .. tostring(i))
					
						if self.mission_data.agents[i] then
						
							local lostagent_id = self.mission_data.agents[i].name

							
							for k, casualty in pairs(casualties) do
								if casualty and casualty == lostagent_id then
							
									if widget.binder.details:getText() == "MIA" then
									widget.binder.details:setText( "KIA" )
									end
								end
							end
																							
						end
				end
				
				while #casualties > 0 do
				table.remove( casualties )
				end
								
				
			end
	end 
	if options["permadeath_heavydamage"] then
		if not thisModLoaded then
			local strings = include("strings")
			if (options["permadeath_heavydamage"].value == 0) then
				if STRINGS.ITEMSEXTEND and STRINGS.ITEMSEXTEND.UI.HEAVY_DAMAGE_DESC then
					STRINGS.ITEMSEXTEND.UI.HEAVY_DAMAGE_DESC = (STRINGS.ITEMSEXTEND.UI.HEAVY_DAMAGE_DESC .. " (WARNING: Possible lethal damage!)") --append lethality warning to NIAA heavy damage tooltip
				end
			elseif (options["permadeath_heavydamage"].value < 1000) and (options["permadeath_heavydamage"].value > 0) then
				if STRINGS.ITEMSEXTEND and STRINGS.ITEMSEXTEND.UI.HEAVY_DAMAGE_DESC then
					STRINGS.ITEMSEXTEND.UI.HEAVY_DAMAGE_DESC = (STRINGS.ITEMSEXTEND.UI.HEAVY_DAMAGE_DESC .. " (WARNING: Possible rapid bleedout!)") --append lethality warning to NIAA heavy damage tooltip
				end
			end
		end
	end
	
	if options["permadeath_ghosts"] and options["permadeath_ghosts"].enabled and not thisModLoaded then
		local ending_1 = include("sim/missions/ending_1")	
		local ending_1_initOld = ending_1.init
		ending_1.init = function(self, scriptMgr, sim)
			ending_1_initOld( self, scriptMgr, sim)
			scriptMgr:addHook( "ENDING_1_GHOSTS", ending_ghosts )
			log:write("LOG adding ghost hook")
		end
	
		local mission_util = include( "sim/missions/mission_util" )
		local doAgentBanter_old = mission_util.doAgentBanter
		mission_util.doAgentBanter = function(script,sim,cross_script,odds,returnIfFailed)
			if sim:getParams().difficultyOptions.permadeath_ghosts and ( sim:nextRand() <= CHANCE_GHOSTLINE ) then
				-- log:write("ghost banter")
				local KIApool = sim:getParams().agency.permadeathpool --this stores agentIDs
				-- log:write(util.stringize(sim:getParams().agency,3))
				if KIApool and (#KIApool > 0) then
					local selection = KIApool[sim:nextRand(1,#KIApool)]
					local speechSet = nil
					local agentDef = nil
					local agentdefs = include("sim/unitdefs/agentdefs")
					for i, agent in pairs(agentdefs) do
						if agent.agentID == selection then
							agentDef = agent
							speechSet = agent.speech
							-- log:write("found agent")
						end
					end
					if speechSet and agentDef then
						local text = speechSet.START[math.floor(sim:nextRand()*#speechSet.START)+1]
						local anim = agentDef.profile_anim
						local build = agentDef.profile_anim
						if agentDef.profile_build then
							build = agentDef.profile_build 
						end
						local name = tooltips[sim:nextRand(1, #tooltips)]
						local speech = {
							{
							text = text or "",
							anim = anim,
							build = build,
							name = name,
							timing = 5,		
							}
						}
						script:queue( { script=speech, type="newOperatorMessage", deadSpeaking = true } )
						script:queue( 3*cdefs.SECONDS )
						return
					end
				end
			end
			return doAgentBanter_old(script,sim,cross_script,odds,returnIfFailed)
		end	
	end
		
	thisModLoaded = true
end


local function lateLoad(modApi, options, params, allOptions)

    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
	
    if options["permadeath"] and options["permadeath"].enabled then
	-- log:write("LOG: permadeath enabled, init MORTALITY")
		local agents = include( "sim/unitdefs/agentdefs" )
		for k,v in pairs(agents) do
			if not hasplotarmor[v.agentID] then -- create exception for Central + Monst3r
				if v.traits then
					v.traits.canBeCritical = false -- MORTALITY
				end
			end
		end
		
	else 

	resetmortality()
	
    end
	
	
	--copypasted from Gunpoint mod...	
	if options["permadeath"] and options["permadeath"].enabled then
		local agents = include( "sim/unitdefs/agentdefs" )
		for k,v in pairs(agents) do
			if v.agentID and nil == util.indexOf(v.abilities, "abilitydeathtracker") then
				log:write("Adding deathtracker to ".. k)
				table.insert(deathtrackeragents, k)
				table.insert(v.abilities, "abilitydeathtracker")
			end
		end

	else
	removetracker()	
	end
	
end


local function unload()
	
-- unloading detpool change doesn't seem to be needed, it resets every campaign

removetracker()
thisModLoaded = false
	
end
	
	
local function lateUnload()

	resetmortality()
	

end


local function initStrings( modApi )
    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
    local DLC_STRINGS = include( scriptPath .. "/strings" )
    modApi:addStrings( dataPath, "PERMADEATH", DLC_STRINGS )  
end

return {
    init = init,
	lateInit = lateInit,
    load = load,
	lateLoad = lateLoad,
	unload = unload,
	lateUnload = lateUnload,
	initStrings = initStrings,
}
