local util = include( "modules/util" )

local function init( modApi )
	log:write("inside the More Menu Art mod")
	local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
	
	KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" )
	KLEIResourceMgr.MountPackage( dataPath .. "/anims.kwad", "data" )

	local menu_artz = {
		{"/dummy.kwad","/dummy.kwad"}, --no replacement i.e. vanilla
		{"/custom/anims_nofx.kwad","/custom/gui_agentlineup.kwad"},--by InvisibleThunder, all agents
		{"/custom/anims_nofx.kwad","/custom/gui_alpha.kwad","/custom/anims_nologo.kwad"}, --alpha art control room
		{"/custom/anims_nofx.kwad","/custom/gui_decker.kwad"}, -- Decker with pumpkin by CJL
		{"/custom/anims_nofx.kwad","/custom/gui_dlc.kwad"}, --DLC poster art
		{"/custom/anims_nofx.kwad","/custom/gui_incognita.kwad"}, --Incognita with Tony Shalem and Prism
		{"/custom/anims_nofx.kwad","/custom/gui_istanbulfour.kwad"}, --I4 edit
		{"/custom/anims_nofx.kwad","/custom/gui_jet.kwad"}, --Jet photomanip
		{"/custom/anims_nofx.kwad","/custom/gui_posttutorial.kwad"}, --post tutorial "it's the year 2074" screen
		--custom bgs with the FX animations removed		
	}
	
	math.randomseed(os.time())
	math.random(); math.random();
	local position = math.random(1, #menu_artz)
	local choice = menu_artz[position]	
	
	KLEIResourceMgr.MountPackage( dataPath .. choice[1], "data" ) 

	KLEIResourceMgr.MountPackage( dataPath .. choice[2], "data" ) 
	
	if #choice > 2 then 
		KLEIResourceMgr.MountPackage( dataPath .. choice[3], "data" ) -- anim with empty logo for alpha art which already has logo 
	end
	
	rawset(_G,"MORE_MENU_ART",rawget(_G,"MORE_MENU_ART") or {})
    	MORE_MENU_ART.menu_art_choice = position

	-- options
	modApi:addGenerationOption("customMainMenu", "Alternate main menu art" , "Dummy option, takes effect at launch\n\nTo disable, open mod folder and delete contents of \"custom\" folder" )
	
  end


local function load( modApi, options )

  	local scriptPath = modApi:getScriptPath()
	local dataPath = modApi:getDataPath()
	local agents = include( "sim/unitdefs/agentdefs" )
	
    if options["customMainMenu"] and options["customMainMenu"].enabled then	
		log:write("Custom main menu art enabled")	
	end

 end
 
   
return {
    init = init,
    load = load,
}