---------------------------------------------------------------------
-- Invisible Inc. MOD.

local util = include( "modules/util" )

-- init will be called once
local function init( modApi )

    log:write("inside the Dosan mod")
    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
    
    -- Mount data (anims, icons, agent upgrade pics).
	
	KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" ) 	
	KLEIResourceMgr.MountPackage( dataPath .. "/dosan.kwad", "data" ) 	
	KLEIResourceMgr.MountPackage( dataPath .. "/mod_agent_hud.kwad", "data" )


    -- Load MOD strings.  
    local DLC_STRINGS = include( scriptPath .. "/strings" )
    modApi:addStrings( dataPath, "Dosan", DLC_STRINGS )
    modApi:addAbilityDef( "overwatch", scriptPath .."/overwatch" )
    modApi:addAbilityDef( "shootSingle", scriptPath .."/shootSingle" )
    
      
    local scriptPath = modApi:getScriptPath()  
	-- agent's special augment's ability:
--	modApi:addAbilityDef( "ninjaPride", scriptPath .."/ninjaPride" )

	-- options   
	
	modApi:addGenerationOption("agentAndItems", STRINGS.Dosan.OPTIONS.ENABLE_AGENTS , STRINGS.Dosan.OPTIONS.ENABLE_AGENTS_TIP)
   

end

-- load may be called multiple times with different options enabled
local function load( modApi, options )

  	local scriptPath = modApi:getScriptPath()

 -- Dosan + Items:
 
    if options["agentAndItems"].enabled then
      
	local agentdefs = include( scriptPath .. "/agentdefs" )
        for name, agentDef in pairs(agentdefs) do
            modApi:addAgentDef( name, agentDef, { name } )
	end
	        
        local itemdefs = include( scriptPath .. "/itemdefs" )
        for name, itemDef in pairs(itemdefs) do
            modApi:addItemDef( name, itemDef )
        end  
	
	 local animdefs = include( scriptPath .. "/animdefs" )
    for name, animDef in pairs(animdefs) do
        modApi:addAnimDef( name, animDef )
    end

 end
end

return {
    init = init,
    load = load,
}