

local util = include( "modules/util" )

local function initStrings( modApi )
	local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
    local MOD_STRINGS = include( scriptPath .. "/strings" )
    modApi:addStrings( dataPath, "TIMEHOP", MOD_STRINGS )  
	
end

local function init( modApi )
 log:write("inside the schysm mod")
 
	modApi:addGenerationOption("schysm", "Enable Schysm" , "Adds Schysm to the agent list")
	
	modApi:addGenerationOption("maxTimeHops",STRINGS.TIMEHOP.OPTIONS.MAX_TIMEHOPS,STRINGS.TIMEHOP.OPTIONS.MAX_TIMEHOPS_DESC,{noUpdate = true, values = {0,1,2,3,4}, strings = {"Rewind Based","1","2","3","4"}, value=0, noUpdate = true})
	modApi:addGenerationOption("timeHopCD",STRINGS.TIMEHOP.OPTIONS.TIMEHOP_CD,STRINGS.TIMEHOP.OPTIONS.TIMEHOP_CD_DESC,{noUpdate = true, values = {3,4,5,6,7,8,9,10}, value=6, noUpdate = true})
	
end



local function load( modApi, options, params, mod_options)
	
	 log:write("inside the schysm mod")
	 
	local dataPath = modApi:getDataPath()
	local scriptPath = modApi:getScriptPath()
	
	KLEIResourceMgr.MountPackage( dataPath .. "/anims.kwad", "data" )
	KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" )

	 log:write("inside the schysm mod 2 ")
	modApi:addAbilityDef( "timeHop", scriptPath .."/timehopBlockout" ) 
	modApi:addAbilityDef( "timeBranch", scriptPath .."/timeBranch" ) 
	modApi:addAbilityDef( "recharge_timeHop", scriptPath .."/recharge_timeHop" ) 
	--include(scriptPath .."/state-modal-dialog")
	include(scriptPath .."/viz_manager")
	include(scriptPath .."/agentrig")
	include(scriptPath .."/pcplayer")
	
	include(scriptPath .."/simunit")
	include(scriptPath .."/unitrig")
	include(scriptPath .."/shop_panel")
	include(scriptPath .."/simactions")
	include(scriptPath .."/inventory")
	
	local animdefs = include( scriptPath .. "/animdefs" )
    for name, animDef in pairs(animdefs) do
        modApi:addAnimDef( name, animDef )
    end     

		
	if options["schysm"] == nil or options["schysm"].enabled then
		local agentdefs = include( scriptPath .. "/agentdefs_hopper" )
		for name, agentDef in pairs(agentdefs) do
			modApi:addAgentDef( name, agentDef, {name} )
		end
		
		local itemdefs = include( scriptPath .. "/itemdefs_hopper" )
		
		if params then
			if options["maxTimeHops"] and options["maxTimeHops"].value then
				if options["maxTimeHops"].value == 0 then
					--params.maxTimeHops = params.difficultyOptions.rewindsLeft
					local rewinds = params.rewindsLeft
					itemdefs.augment_time_hopper.traits.chargesMax = math.ceil(math.max(1, rewinds / 2))
					itemdefs.augment_time_hopper.traits.charges = math.ceil(math.max(1, rewinds / 2))
				else
					itemdefs.augment_time_hopper.traits.chargesMax = options["maxTimeHops"].value
					itemdefs.augment_time_hopper.traits.charges = options["maxTimeHops"].value
					--params.maxTimeHops = options["maxTimeHops"].value
				end
				if options["timeHopCD"] and options["timeHopCD"].value then
					itemdefs.augment_time_hopper.traits.cooldownMax = options["timeHopCD"].value
				end
			end
		end
		
		for name, itemDef in pairs(itemdefs) do
			modApi:addItemDef( name, itemDef )
		end
		
		if mod_manager:findModByName("Sim Constructor") then
			local goosebanters= include( scriptPath.."/banters" )
			for i,  banter in pairs( goosebanters ) do
					modApi:addBanter( banter )
			end
		end	
	end
	
	
	
end



		
return {
    init = init,
    load = load,
	
    initStrings = initStrings,
}