local util = include("client_util")
local array = include("modules/array")

local agent_parents =
{
	maa_decker_1 = {"stealth_1", "stealth_1_a", "decker", priority=32}, --[1]key of loadout [2]parent agentdef [3]key from rescuable archive agents
	maa_maria_1 = {"engineer_2", "engineer_2_a", "internationale", priority=32},
	maa_shalem_1 = {"sharpshooter_1", "sharpshooter_1_a", "shalem", priority=32},
	maa_banks_1 = {"stealth_2", "stealth_2_a", "banks", priority=32},
	maa_tony_1 = {"engineer_1", "engineer_1_a", "xu", priority=32},
	maa_nika_1= {"sharpshooter_2", "sharpshooter_2_a", "nika", priority=32},
	maa_sharp_1 = {"cyborg_1", "cyborg_1_a", "sharp", priority=32},
	maa_prism_1 = {"disguise_1", "disguise_1_a", "prism", priority=32},
	maa_central_1 = {"central_pc", "central_pc", "central", priority=1}, --on-file first, then archive (reason being merged loadouts)
	maa_monster_1 = {"monst3r_pc", "monst3r_pc", "monster", priority=1},

	maa_decker_2 = {"stealth_1", "stealth_1_a", "decker", priority=33},
	maa_maria_2 = {"engineer_2", "engineer_2_a", "internationale", priority=33},
	maa_shalem_2 = {"sharpshooter_1", "sharpshooter_1_a", "shalem", priority=33},
	maa_banks_2 = {"stealth_2", "stealth_2_a", "banks", priority=33},
	maa_tony_2 = {"engineer_1", "engineer_1_a", "xu", priority=33},
	maa_nika_2= {"sharpshooter_2", "sharpshooter_2_a", "nika", priority=33},
	maa_sharp_2 = {"cyborg_1", "cyborg_1_a", "sharp", priority=33},
	maa_prism_2 = {"disguise_1", "disguise_1_a", "prism", priority=33},
	maa_central_2 = {"central_pc", "central_pc", "central", priority=2},
	maa_monster_2 = {"monst3r_pc", "monst3r_pc", "monster", priority=2},

	maa_banks_3 = {"stealth_2", "stealth_2_a", "banks", priority=34},
	maa_sharp_3 = {"cyborg_1", "cyborg_1_a", "sharp", priority=34},
	maa_shalem_3 = {"sharpshooter_1", "sharpshooter_1_a", "shalem", priority=34},
}
local agent_parents_dlc =
{
	maa_olivia_1 = {"olivia", "olivia", "olivia", priority=32},
	maa_draco_1 = {"draco", "draco", "draco", priority=32},
	maa_rush_1 = {"rush", "rush", "rush", priority=32},
	maa_derek_1 = {"derek", "derek", "derek", priority=32},

	maa_olivia_2 = {"olivia", "olivia", "olivia", priority=33},
	maa_derek_2 = {"derek", "derek", "derek", priority=33},
	maa_draco_2 = {"draco", "draco", "draco", priority=33},
	maa_rush_2 = {"rush", "rush", "rush", priority=33},
}
local agent_parents_modcombo =
{
	maa_numi_1 = {"mod_04_n_umi", "mod_04_n_umi", "mod_04_n_umi", priority=32},
}
local agent_parents_ultimate =
{
	maa_decker_ult_ab = {"stealth_1", "stealth_1_a", "decker", priority=64},
	maa_decker_ult_ofc = {"stealth_1", "stealth_1_a", "decker", priority=65},
	maa_maria_ult_ofb = {"engineer_2", "engineer_2_a", "internationale", priority=64},
	maa_maria_ult_ac = {"engineer_2", "engineer_2_a", "internationale", priority=65},
	maa_shalem_ult_ofb = {"sharpshooter_1", "sharpshooter_1_a", "shalem", priority=64},
	maa_shalem_ult_ac = {"sharpshooter_1", "sharpshooter_1_a", "shalem", priority=65},
	maa_shalem_ult_ofd = {"sharpshooter_1", "sharpshooter_1_a", "shalem", priority=66},
	maa_banks_ult_ofc = {"stealth_2", "stealth_2_a", "banks", priority=64},
	maa_banks_ult_ab = {"stealth_2", "stealth_2_a", "banks", priority=65},
	maa_banks_ult_ad = {"stealth_2", "stealth_2_a", "banks", priority=66},
	maa_tony_ult_ofb = {"engineer_1", "engineer_1_a", "xu", priority=64},
	maa_tony_ult_ac = {"engineer_1", "engineer_1_a", "xu", priority=65},
	maa_nika_ult_ofc = {"sharpshooter_2", "sharpshooter_2_a", "nika", priority=64},
	maa_nika_ult_ab = {"sharpshooter_2", "sharpshooter_2_a", "nika", priority=65},
	maa_sharp_ult_bc = {"cyborg_1", "cyborg_1_a", "sharp", priority=64},
	maa_prism_ult_ab = {"disguise_1", "disguise_1_a", "prism", priority=64},
	maa_prism_ult_ofc = {"disguise_1", "disguise_1_a", "prism", priority=65},
	maa_central_ult_ofb = {"central_pc", "central_pc", "central", priority=64},
	maa_monster_ult_ofb = {"monst3r_pc", "monst3r_pc", "monster", priority=64},
}
local agent_parents_ultimate_dlc =
{
	maa_olivia_ult_ab = {"olivia", "olivia", "olivia", priority=64},
	maa_derek_ult_ab = {"derek", "derek", "derek", priority=64},
	maa_draco_ult_ab = {"draco", "draco", "draco", priority=64},
	maa_rush_ult_ac = {"rush", "rush", "rush", priority=64},
}
local agent_parents_ultimate_peia =
{
	maa_draco_ult_ofc = {"draco", "draco", "draco", priority=65},
	maa_rush_ult_ofb = {"rush", "rush", "rush", priority=65},
}
local agent_parents_ultimate_modcombo =
{
	maa_numi_ult_ofb = {"mod_04_n_umi", "mod_04_n_umi", "mod_04_n_umi", priority=64},
}

local active_agents_parents = util.tcopy( agent_parents )
local active_agents_parents_init = util.tcopy( agent_parents ) --we can only check for dlc agents once it loads
local all_agents_parents = {}
util.extend(agent_parents)(all_agents_parents)
util.extend(agent_parents_dlc)(all_agents_parents)
util.extend(agent_parents_modcombo)(all_agents_parents)
util.extend(agent_parents_ultimate)(all_agents_parents)
util.extend(agent_parents_ultimate_dlc)(all_agents_parents)
util.extend(agent_parents_ultimate_peia)(all_agents_parents)
util.extend(agent_parents_ultimate_modcombo)(all_agents_parents)

local central_agents = { "maa_central_1", "maa_central_2", "maa_central_ult_ofb", }
local monster_agents = { "maa_monster_1", "maa_monster_2", "maa_monster_ult_ofb", }

local agent_order =
{
	"maa_decker_1", "maa_decker_2", "maa_decker_ult_ab", "maa_decker_ult_ofc",
	"maa_maria_1", "maa_maria_2", "maa_maria_ult_ofb", "maa_maria_ult_ac",
	"maa_shalem_1", "maa_shalem_2", "maa_shalem_3", "maa_shalem_ult_ofb", "maa_shalem_ult_ac", "maa_shalem_ult_ofd",
	"maa_banks_1", "maa_banks_2", "maa_banks_3", "maa_banks_ult_ofc", "maa_banks_ult_ab", "maa_banks_ult_ad",
	"maa_tony_1", "maa_tony_2", "maa_tony_ult_ofb", "maa_tony_ult_ac",
	"maa_nika_1", "maa_nika_2", "maa_nika_ult_ofc", "maa_nika_ult_ab",
	"maa_sharp_1", "maa_sharp_2", "maa_sharp_3", "maa_sharp_ult_bc",
	"maa_prism_1", "maa_prism_2", "maa_prism_ult_ab", "maa_prism_ult_ofc",
	"maa_central_1", "maa_central_2", "maa_central_ult_ofb",
	"maa_monster_1", "maa_monster_2", "maa_monster_ult_ofb",
	"maa_olivia_1", "maa_olivia_2", "maa_olivia_ult_ab",
	"maa_derek_1", "maa_derek_2", "maa_derek_ult_ab",
	"maa_draco_1", "maa_draco_2", "maa_draco_ult_ab", "maa_draco_ult_ofc",
	"maa_rush_1", "maa_rush_2", "maa_rush_ult_ofb", "maa_rush_ult_ac",
	"maa_numi_1", "maa_numi_ult_ofb",
}

local function unloadAgent( agent ) --unused with new SC
	--log:write("unload agent: " .. agent)
	local serverdefs = include( "modules/serverdefs" )

	local loadout = serverdefs.LOADOUTS[ all_agents_parents[agent][1] ]
	if loadout then
		for k, lo in pairs(loadout) do
			if lo == agent then
				loadout[k] = nil
			end
		end
	end

	if serverdefs.LOADOUT_CHILDREN then
		local loadout_children = serverdefs.LOADOUT_CHILDREN[ all_agents_parents[agent][1] ]
		if loadout_children and loadout_children[ all_agents_parents[agent][2] ] then
			local loadout_index = array.find( loadout_children[ all_agents_parents[agent][2] ], agent )
			if loadout_index then
				table.remove(loadout_children[ all_agents_parents[agent][2] ], loadout_index)
			end
		end

		for i = #serverdefs.TEMPLATE_AGENCY.unitDefsPotential, 1, -1 do
			if serverdefs.TEMPLATE_AGENCY.unitDefsPotential[i].template == agent then
				table.remove( serverdefs.TEMPLATE_AGENCY.unitDefsPotential, i )
				break
			end
		end
	end
	--util.tlog(serverdefs.LOADOUTS, "after: ")
end

local function initStrings( modApi )
	local dataPath = modApi:getDataPath()
	local scriptPath = modApi:getScriptPath()

	local MAA_STRINGS = include( scriptPath .. "/strings" )
	modApi:addStrings( dataPath, "MORE_ARCHIVE_AGENTS", MAA_STRINGS )

	rawset(_G,"MAA_SCRIPTPATH",rawget(_G,"MAA_SCRIPTPATH") or {})
	MAA_SCRIPTPATH.path = scriptPath
end

local function earlyInit(modApi)
	modApi.requirements =
	{
		"Sim Constructor",
		"Contingency Plan",
		"Function Library",
		"Community Bug Fixes", --unknown cause

		"Ultimate Loadouts",
		--"Rescueable Archive Agents",
		"PEIA Legends", --for Ultimate Loadouts
	}

	local scriptPath = modApi:getScriptPath()

	include( scriptPath .. "/agent_panel_override" )
	include( scriptPath .. "/agentrig_override" )
end

local function init( modApi )
	local scriptPath = modApi:getScriptPath()
	local dataPath = modApi:getDataPath()

	KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" )
	KLEIResourceMgr.MountPackage( dataPath .. "/anims.kwad", "data" )

	--Add dlc agents to gen opt if dlc is installed
	if mod_manager:findModByName("Contingency Plan") then
		util.extend( agent_parents_dlc ) ( active_agents_parents_init )
	end
	
	--Add mod combo agents to gen if installed
	if mod_manager:findModByName("Mods Combo by Shirsh") then
		util.extend( agent_parents_modcombo ) ( active_agents_parents_init )
	end
	
	--Add ultimate agents to gen if installed
	if mod_manager:findModByName("Ultimate Loadouts") then
		util.extend( agent_parents_ultimate ) ( active_agents_parents_init )
		if mod_manager:findModByName("Contingency Plan") then
			util.extend( agent_parents_ultimate_dlc ) ( active_agents_parents_init )
			if mod_manager:findModByName("PEIA Legends") then
				util.extend( agent_parents_ultimate_peia ) ( active_agents_parents_init )
			end
		end
		
		if mod_manager:findModByName("Mods Combo by Shirsh") then
			util.extend( agent_parents_ultimate_modcombo ) ( active_agents_parents_init )
		end
	end
	

	----------------------------------
	----Add Gen Options for agents----
	----------------------------------
	--Add bulk options. Most players don't want to be slapped with 10+ gen options. So we only enable single agent selection if the bulk option is disabled.
	modApi:addGenerationOption("add_all", STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.ALL_AGENTS , STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.ALL_AGENTS_DESC,
	{
		noUpdate = true,
		masks = {{ mask = "mask_add_all", requirement = true }}
	} )
	modApi:addGenerationOption("rescue_all", STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.ALL_RESCUABLE , STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.ALL_RESCUABLE_DESC,
	{
		noUpdate = true,
		masks = {{ mask = "mask_rescue_all", requirement = true }}
	} )

	for _, agent in ipairs(agent_order) do
		if active_agents_parents_init[agent] then
			local name_upper = util.toupper(agent)
			--print( name_upper, " ", STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS[name_upper] )
			modApi:addGenerationOption(agent, STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS[name_upper], STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS[name_upper .. "_DESC"],
			{
				noUpdate = true,
				enabled = false,
				masks = {{ mask = "mask_" .. agent, requirement = true }},
				requirements = {{ mask = "mask_add_all", requirement = false }}
			} )
			local resc_desc = STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.GENERIC_RESC_DESC
			if array.find( central_agents, agent ) or array.find( monster_agents, agent ) then
				resc_desc = STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.GENERIC_STORY_DESC
			end
			modApi:addGenerationOption(agent .. "_resc", STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS[name_upper .. "_RESC"], resc_desc,
			{
				noUpdate = true,
				enabled = false,
				requirements = {{ passFunction = function(masks)
					return ( masks["mask_" .. agent] or masks.mask_add_all ) and not masks.mask_rescue_all
				end }}
			} )
		end
	end
	----------------------------------

	-----------------------------------------------
	----Add Gen Options for detention equipment----
	-----------------------------------------------
	modApi:addGenerationOption("detention_equipment", STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.DET_EQUIP, STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.DET_EQUIP_DESC,
	{
		noUpdate = true,
		values =
		{
			0, 1, 2,
		},
		value = 0,
		strings =
		{
			STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.DET_EQUIP_VAL1,
			STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.DET_EQUIP_VAL2,
			STRINGS.MORE_ARCHIVE_AGENTS.OPTIONS.DET_EQUIP_VAL3,
		},
	})
	-----------------------------------------------

	include( scriptPath .. "/simplayer" )
	include( scriptPath .. "/simquery" )
	include( scriptPath .. "/agent_panel" )
	include( scriptPath .. "/agent_actions" )
	include( scriptPath .. "/engine" )
	include( scriptPath .. "/guiex" )
	include( scriptPath .. "/detention_equipment/detention_center_equipment" )
	include( scriptPath .. "/simactions" )
	include( scriptPath .. "/mission_scoring" )
	include( scriptPath .. "/combat_panel" )
	include( scriptPath .. "/simunit" )
	include( scriptPath .. "/mission_util" )
	include( scriptPath .. "/unitrig" )
	include( scriptPath .. "/maa_defibrillator_unit" )
	include( scriptPath .. "/grenaderig" )
	include( scriptPath .. "/mission_recap_screen" )
	include( scriptPath .. "/senses" )
	--include( scriptPath .. "/mui_tooltip" ) --For screenshots of tooltips wo transparent bg
	include( scriptPath .. "/hud" )
	include( scriptPath .. "/unitdefs" )
	include( scriptPath .. "/items_panel" )
	include( scriptPath .. "/state-map-screen" )
	include( scriptPath .. "/targeting" )
	include( scriptPath .. "/selection" )
	include( scriptPath .. "/line_of_sight" )
	include( scriptPath .. "/skilldefs" )
	include( scriptPath .. "/simskill" )
	include( scriptPath .. "/serverdefs_oneload" )
	include( scriptPath .. "/state-upgrade-screen" )
	include( scriptPath .. "/agentrig" )
	include( scriptPath .. "/boardrig" )
	include( scriptPath .. "/inventory" )
	include( scriptPath .. "/abilityutil" )
	include( scriptPath .. "/units/maa_simcontainer" )
end

local function lateInit( modApi )
	local scriptPath = modApi:getScriptPath()
	
	include( scriptPath .. "/mission_scoring_late" )
	include( scriptPath .. "/simquery_late" )
end

local function unload( modApi, options )
	--for mod_agent, _ in pairs(all_agents_parents) do
	--	unloadAgent(mod_agent)
	--end
end

local function load( modApi, options, params, mod_options )
	--unload( modApi, options )
	local scriptPath = modApi:getScriptPath()

	package.loaded[scriptPath .. "/serverdefs"] = nil
	include( scriptPath .. "/serverdefs" )

	--dlc check
	local dlc_installed = false
	if mod_manager:findModByName("Contingency Plan") then
		local dlc_id = mod_manager:findModByName("Contingency Plan").id
		if mod_options[dlc_id] and mod_options[dlc_id].enabled and mod_options[dlc_id].options["agents"] and mod_options[dlc_id].options["agents"].enabled then
			dlc_installed = true
		end
	end
	--mod combo check
	local modcombo_installed = false
	if mod_manager:findModByName("Mods Combo by Shirsh") then
		local modcombo_id = mod_manager:findModByName("Mods Combo by Shirsh").id
		if mod_options[modcombo_id] and mod_options[modcombo_id].enabled and mod_options[modcombo_id].options["agentsAndItems"] and mod_options[modcombo_id].options["agentsAndItems"].enabled then
			modcombo_installed = true
		end
	end
	--ultimate loadouts check
	local ultimate_installed = false
	if mod_manager:findModByName("Ultimate Loadouts") then
		local ultimate_id = mod_manager:findModByName("Ultimate Loadouts").id
		if mod_options[ultimate_id] and mod_options[ultimate_id].enabled then
			ultimate_installed = true
		end
	end
	--PEIA check
	local peia_installed = false
	if mod_manager:findModByName("PEIA Legends") then
		local peia_id = mod_manager:findModByName("PEIA Legends").id
		if mod_options[peia_id] and mod_options[peia_id].enabled and mod_options[peia_id].options["moddracorush"] and mod_options[peia_id].options["moddracorush"].enabled then
			peia_installed = true
		end
	end

	--Reset Active Agents
	active_agents_parents = util.tcopy( agent_parents )

	--Adjust Team Preview Screen
	modApi:insertUIElements( include( scriptPath .. "/screen_inserts" ) )

	--Add items
	package.loaded[scriptPath .. "/itemdefs"] = nil
	local itemdefs = include( scriptPath .. "/itemdefs" )
	for name, itemDef in pairs(itemdefs) do
		modApi:addItemDef( name, itemDef )
	end
	--dlc items
	package.loaded[scriptPath .. "/itemdefs_dlc"] = nil
	if dlc_installed then
		local itemdefs_dlc = include( scriptPath .. "/itemdefs_dlc" )
		for name, itemDef in pairs(itemdefs_dlc) do
			modApi:addItemDef( name, itemDef )
		end
	end
	--mod combo items
	package.loaded[scriptPath .. "/itemdefs_modcombo"] = nil
	if modcombo_installed then
		local itemdefs_modcombo = include( scriptPath .. "/itemdefs_modcombo" )
		for name, itemDef in pairs(itemdefs_modcombo) do
			modApi:addItemDef( name, itemDef )
		end
	end

	--Add prefabs
	local prefabs = include( scriptPath .. "/detention_equipment/prefabt" )
	modApi:addPrefabt(prefabs)

	--Add props
	local props = include( scriptPath .. "/propdefs" )
	for propName, propDef in pairs(props) do
		modApi:addPropDef( propName, propDef, false )
	end

	--Add Tooltips
	local tooltips = include( scriptPath .. "/tooltips" )
	modApi:addTooltipDef( tooltips )

	--Add anims
	local animdefs = include( scriptPath .. "/animdefs" )
	for name, animDef in pairs(animdefs) do
		modApi:addAnimDef( name, animDef )
	end

	--Add recap_screen results
	table.insert( mod_manager.credit_sources, "maa_bounty_cashflow" )

	--Add monster shop type
	local simstore = include( "sim/units/store" )
	simstore.STORE_ITEM.storeType.maa_monster_shop =
	{
		itemAmount = 1,
		progAmount = 0,
		weaponAmount = 1,
		augmentAmount = 1,
	}

	--Add abilities
	--Decker_1
	modApi:addAbilityDef( "maa_daemon_cloak", scriptPath .."/abilities/maa_daemon_cloak" )
	--Maria 1
	modApi:addAbilityDef( "maa_wireless_heartmonitor_scan", scriptPath .."/abilities/maa_wireless_heartmonitor_scan" )
	--Shalem 1
	--modApi:addAbilityDef( "maa_headshot", scriptPath .."/abilities/maa_headshot" )
	modApi:addAbilityDef( "maa_headshot_new", scriptPath .."/abilities/maa_headshot_new" )
	modApi:addAbilityDef( "maa_use_sniper_cloak", scriptPath .."/abilities/maa_use_sniper_cloak" )
	--Banks 1
	include( scriptPath .. "/abilities/shootSingle" )
	--Tony 1
	modApi:addAbilityDef( "maa_place_heartshocktrap", scriptPath .. "/abilities/maa_place_heartshocktrap" )
	modApi:addAbilityDef( "maa_activate_heartshocktrap", scriptPath .. "/abilities/maa_activate_heartshocktrap" )
	modApi:addAbilityDef( "maa_locate_heartshocktrap", scriptPath .. "/abilities/maa_locate_heartshocktrap" )
	--Nika 1
	modApi:addAbilityDef( "maa_adrenaline_amp", scriptPath .. "/abilities/maa_adrenaline_amp" )
	modApi:addAbilityDef( "maa_adrenaline_damage_up", scriptPath .. "/abilities/maa_adrenaline_damage_up" )
	modApi:addAbilityDef( "maa_adrenaline_pierce_up", scriptPath .. "/abilities/maa_adrenaline_pierce_up" )
	--Sharp 1
	modApi:addAbilityDef( "maa_modular_powerframe", scriptPath .. "/abilities/maa_modular_powerframe" )
	modApi:addAbilityDef( "maa_powerframe_charge", scriptPath .. "/abilities/maa_powerframe_charge" )
	--Prism 1
	modApi:addAbilityDef( "maa_mainframe_possession", scriptPath .. "/abilities/maa_mainframe_possession" )
	modApi:addAbilityDef( "maa_mp_advance", scriptPath .. "/abilities/maa_mp_advance" )
	modApi:addAbilityDef( "maa_mp_control_device", scriptPath .. "/abilities/maa_mp_control_device" )
	include( scriptPath .. "/abilities/stealCredits" )
	--Central 1
	modApi:addAbilityDef( "maa_overcharge_routine", scriptPath .. "/abilities/maa_overcharge_routine" )
	modApi:addAbilityDef( "maa_reset_overcharge_routine", scriptPath .. "/abilities/maa_reset_overcharge_routine" )
	modApi:addAbilityDef( "maa_use_power_bank", scriptPath .. "/abilities/maa_use_power_bank" )
	--Monster 1
	modApi:addAbilityDef( "maa_showSecretStore", scriptPath .. "/abilities/maa_showSecretStore" )
	--Decker 2
	modApi:addAbilityDef( "maa_drunk", scriptPath .. "/abilities/maa_drunk" )
	modApi:addAbilityDef( "maa_defibrillator", scriptPath .. "/abilities/maa_defibrillator" )
	modApi:addAbilityDef( "maa_drink_whiskey", scriptPath .. "/abilities/maa_drink_whiskey" )
	include( scriptPath .. "/abilities/equippable" )
	--Maria 2
	modApi:addAbilityDef( "maa_idle_cycle_processing", scriptPath .. "/abilities/maa_idle_cycle_processing" )
	modApi:addAbilityDef( "maa_power_battery", scriptPath .. "/abilities/maa_power_battery" )
	--Shalem 2
	modApi:addAbilityDef( "maa_validate_bounty_kill", scriptPath .. "/abilities/maa_validate_bounty_kill" )
	modApi:addAbilityDef( "maa_inject_lethal", scriptPath .. "/abilities/maa_inject_lethal" )
	--Banks 2
	include( scriptPath .. "/abilities/melee" )
	--Tony 2
	modApi:addAbilityDef( "maa_mod_item", scriptPath .. "/abilities/maa_mod_item" )
	--Nika 2
	modApi:addAbilityDef( "maa_lightning_reflexes", scriptPath .. "/abilities/maa_lightning_reflexes" )
	--Sharp 2
	modApi:addAbilityDef( "maa_power_robotic_frame", scriptPath .. "/abilities/maa_power_robotic_frame" )
	--Monster 2
	modApi:addAbilityDef( "maa_replace_weapon", scriptPath .. "/abilities/maa_replace_weapon" )
	--Prism 2
	modApi:addAbilityDef( "maa_distract_camera", scriptPath .. "/abilities/maa_distract_camera" )
	--Central 2
	modApi:addAbilityDef( "maa_alarm_block", scriptPath .. "/abilities/maa_alarm_block" )
	--include( scriptPath .. "/abilities/melee" ) --see Banks 2
	--Banks 3
	modApi:addAbilityDef( "maa_wireless_money_transfer", scriptPath .. "/abilities/maa_wireless_money_transferrer" )
	modApi:addAbilityDef( "maa_protocol78", scriptPath .. "/abilities/maa_protocol78" )
	modApi:addDaemonAbility( "maa_protocol78_daemon", include(scriptPath .. "/abilities/maa_protocol78_daemon") )
	--Sharp 3
	modApi:addAbilityDef( "maa_sharp_reactor", scriptPath .. "/abilities/maa_sharp_reactor" )
	modApi:addAbilityDef( "maa_sharp_power_up", scriptPath .. "/abilities/maa_sharp_power_up" )
	modApi:addAbilityDef( "maa_sharp_power_down", scriptPath .. "/abilities/maa_sharp_power_down" )
	modApi:addAbilityDef( "maa_kinetic_boost", scriptPath .. "/abilities/maa_kinetic_boost" )
	modApi:addAbilityDef( "maa_ice_breaker", scriptPath .. "/abilities/maa_ice_breaker" )
	modApi:addAbilityDef( "maa_servo_punch", scriptPath .. "/abilities/maa_servo_punch" )
	modApi:addAbilityDef( "maa_chameleon_walk", scriptPath .. "/abilities/maa_chameleon_walk" )
	--Shalem 3
	modApi:addAbilityDef( "maa_install_weapon_mod", scriptPath .. "/abilities/maa_install_weapon_mod" )
	modApi:addAbilityDef( "maa_refresh_weapon_mods", scriptPath .. "/abilities/maa_refresh_weapon_mods" )
	modApi:addAbilityDef( "maa_open_mod_case", scriptPath .. "/abilities/maa_open_mod_case" )
	modApi:addAbilityDef( "maa_uninstall_weapon_mods", scriptPath .. "/abilities/maa_uninstall_weapon_mods" )


	--dlc abilities
	if dlc_installed then
		--Draco 1
		modApi:addAbilityDef( "maa_vampire_scan", scriptPath .. "/abilities/maa_vampire_scan" )
		--Olivia 1
		modApi:addAbilityDef( "maa_neural_interrogation", scriptPath .. "/abilities/maa_neural_interrogation" )
		modApi:addAbilityDef( "maa_install_tracking_chip", scriptPath .. "/abilities/maa_install_tracking_chip" )
		--Rush 1
		modApi:addAbilityDef( "maa_echo_injector", scriptPath .. "/abilities/maa_echo_injector" )
		modApi:addAbilityDef( "maa_use_turbo_stim", scriptPath .. "/abilities/maa_use_turbo_stim" )
		--Derek 1
		modApi:addAbilityDef( "maa_craft_program", scriptPath .. "/abilities/maa_craft_program" )
		include( scriptPath .. "/abilities/showItemStore" )

		--Olivia 2
		modApi:addAbilityDef( "maa_daemon_tazer_charger", scriptPath .. "/abilities/maa_daemon_tazer_charger" )
		modApi:addAbilityDef( "maa_dtc_cooldownMax", scriptPath .. "/abilities/maa_dtc_cooldownMax" )
		modApi:addAbilityDef( "maa_dtc_damage", scriptPath .. "/abilities/maa_dtc_damage" )
		modApi:addAbilityDef( "maa_dtc_armor_pierce", scriptPath .. "/abilities/maa_dtc_armor_pierce" )
		--Derek 2
		include( scriptPath .. "/abilities/installAugment" )
		modApi:addAbilityDef( "maa_particle_uplink", scriptPath .. "/abilities/maa_particle_uplink" )
		modApi:addAbilityDef( "maa_pu_push", scriptPath .. "/abilities/maa_pu_push" )
		modApi:addAbilityDef( "maa_pu_swap", scriptPath .. "/abilities/maa_pu_swap" )
		modApi:addAbilityDef( "maa_pu_linked_pockets", scriptPath .. "/abilities/maa_pu_linked_pockets" )
		modApi:addAbilityDef( "maa_pu_lifelink", scriptPath .. "/abilities/maa_pu_lifelink" )
		--Draco 2
		modApi:addAbilityDef( "maa_vampire_thirst", scriptPath .. "/abilities/maa_vampire_thirst" )
		--Rush 2
		modApi:addAbilityDef( "maa_feedback_processor", scriptPath .. "/abilities/maa_feedback_processor" )
		modApi:addAbilityDef( "maa_use_lock_explosive_door", scriptPath .. "/abilities/maa_use_lock_explosive_door" )
		modApi:addAbilityDef( "maa_use_lock_explosive_safe", scriptPath .. "/abilities/maa_use_lock_explosive_safe" )
	end
	--mod combo abilities
	if modcombo_installed then
		--N-Umi 1
		modApi:addAbilityDef( "maa_deploy_drone", scriptPath .. "/abilities/maa_deploy_drone" )
		modApi:addAbilityDef( "maa_drone_controller", scriptPath .. "/abilities/maa_drone_controller" )
		modApi:addAbilityDef( "maa_extend_drone_control", scriptPath .. "/abilities/maa_extend_drone_control" )
		modApi:addAbilityDef( "maa_drone_reactivate", scriptPath .. "/abilities/maa_drone_reactivate" )
		modApi:addAbilityDef( "maa_recover_drone", scriptPath .. "/abilities/maa_recover_drone" )
		modApi:addAbilityDef( "maa_deactivate_drone", scriptPath .. "/abilities/maa_deactivate_drone" )
		modApi:addAbilityDef( "maa_drone_battery", scriptPath .. "/abilities/maa_drone_battery" )
		modApi:addAbilityDef( "maa_drone_turret_reload", scriptPath .. "/abilities/maa_drone_turret_reload" )
		modApi:addAbilityDef( "maa_drone_scan", scriptPath .. "/abilities/maa_drone_scan" )
		modApi:addAbilityDef( "maa_drone_door_hack", scriptPath .. "/abilities/maa_drone_door_hack" )
		modApi:addAbilityDef( "maa_useInvisiCloak_augment", scriptPath .. "/abilities/maa_useInvisiCloak_augment" )
		modApi:addAbilityDef( "maa_drone_icebreak", scriptPath .. "/abilities/maa_drone_icebreak" )
		modApi:addAbilityDef( "maa_drone_mark_target", scriptPath .. "/abilities/maa_drone_mark_target" )
		modApi:addAbilityDef( "maa_drone_pwr_gen", scriptPath .. "/abilities/maa_drone_pwr_gen" )
		modApi:addAbilityDef( "maa_drone_id_daemon", scriptPath .. "/abilities/maa_drone_id_daemon" )
		modApi:addAbilityDef( "maa_drone_reboot_device", scriptPath .. "/abilities/maa_drone_reboot_device" )
		modApi:addAbilityDef( "maa_drone_swap_daemon", scriptPath .. "/abilities/maa_drone_swap_daemon" )
		include( scriptPath .. "/abilities/escape" )
		--include( scriptPath .. "/abilities/melee" ) --see Banks 2
	end

	--Add agents
	local agentdefs_orig = include( scriptPath .. "/agentdefs" )
	local agentdefs = util.tcopy( agentdefs_orig )
	--Add dlc agents if enabled
	if dlc_installed then
		util.extend( agent_parents_dlc ) ( active_agents_parents )
		local agentdefs_dlc = include( scriptPath .. "/agentdefs_dlc" )
		util.extend( agentdefs_dlc ) ( agentdefs )
		log:write("MAA: Add dlc agents")
	end
	--Add mod combo agents
	if modcombo_installed then
		util.extend( agent_parents_modcombo ) ( active_agents_parents )
		local agentdefs_modcombo = include( scriptPath .. "/agentdefs_modcombo" )
		util.extend( agentdefs_modcombo ) ( agentdefs )
		log:write("MAA: Add mod combo agents")
	end
	--Add ultimate agents
	if ultimate_installed then
		util.extend( agent_parents_ultimate ) ( active_agents_parents )
		local agentdefs_ultimate = include( scriptPath .. "/agentdefs_ultimate" )
		util.extend( agentdefs_ultimate ) ( agentdefs )
		log:write("MAA: Add ultimate loadouts agents")
		
		if dlc_installed then
			util.extend( agent_parents_ultimate_dlc ) ( active_agents_parents )
			local agentdefs_ultimate_dlc = include( scriptPath .. "/agentdefs_ultimate_dlc" )
			util.extend( agentdefs_ultimate_dlc ) ( agentdefs )
			log:write("MAA: Add dlc ultimate loadouts agents")
			
			if peia_installed then
				util.extend( agent_parents_ultimate_peia ) ( active_agents_parents )
				local agentdefs_ultimate_peia = include( scriptPath .. "/agentdefs_ultimate_peia" )
				util.extend( agentdefs_ultimate_peia ) ( agentdefs )
				log:write("MAA: Add PEIA ultimate loadouts agents")
			end
		end
		
		if modcombo_installed then
			util.extend( agent_parents_ultimate_modcombo ) ( active_agents_parents )
			local agentdefs_ultimate_modcombo = include( scriptPath .. "/agentdefs_ultimate_modcombo" )
			util.extend( agentdefs_ultimate_modcombo ) ( agentdefs )
			log:write("MAA: Add mod combo ultimate loadouts agents")
		end
	end
	
	--for name, _ in pairs(active_agents_parents) do
	--	modApi:addAgentDef( name, agentdefs[name] )
	--end
	for name, agentdef in pairs( agentdefs ) do
		modApi:addAgentDef( name, agentdef )
	end

	local add_agents = {}
	local add_rescueables = {}
	local serverdefs = include( "modules/serverdefs" )
	local unitDefPotentials = include( scriptPath .. "/template_agency" )
	if dlc_installed then
		local unitDefPotentials_dlc = include( scriptPath .. "/template_agency_dlc" )
		util.extend( unitDefPotentials_dlc ) ( unitDefPotentials )
	end
	if modcombo_installed then
		local unitDefPotentials_modcombo = include( scriptPath .. "/template_agency_modcombo" )
		util.extend( unitDefPotentials_modcombo ) ( unitDefPotentials )
	end
	if ultimate_installed then
		local unitDefPotentials_ultimate = include( scriptPath .. "/template_agency_ultimate" )
		util.extend( unitDefPotentials_ultimate ) ( unitDefPotentials )
		
		if dlc_installed then
			local unitDefPotentials_ultimate_dlc = include( scriptPath .. "/template_agency_ultimate_dlc" )
			util.extend( unitDefPotentials_ultimate_dlc ) ( unitDefPotentials )
			
			if peia_installed then
				local unitDefPotentials_ultimate_peia = include( scriptPath .. "/template_agency_ultimate_peia" )
				util.extend( unitDefPotentials_ultimate_peia ) ( unitDefPotentials )
			end
		end
		
		if modcombo_installed then
			local unitDefPotentials_ultimate_modcombo = include( scriptPath .. "/template_agency_ultimate_modcombo" )
			util.extend( unitDefPotentials_ultimate_modcombo ) ( unitDefPotentials )
		end
	end

	--util.tlog(active_agents_parents, "ACTIVE: ")
	for agent, parents in pairs(active_agents_parents) do
		if (options["add_all"] and options["add_all"].enabled) or (options[agent] and options[agent].enabled) then
			table.insert( add_agents, {name=agent, priority=parents.priority} )
			if (options["rescue_all"] and options["rescue_all"].enabled) or (options[agent .. "_resc"] and options[agent .. "_resc"].enabled) then
				table.insert( add_rescueables, {name=agent})
			end
		--else
		--	unloadAgent(agent)
		end
	end

	serverdefs.MAA_MONSTER = nil
	serverdefs.MAA_CENTRAL = nil
	local unitdefs = include( "sim/unitdefs" )
	for _, rescueData in ipairs(add_rescueables) do
		if rescueData.name then
			if array.find( central_agents, rescueData.name ) then
				--add them to a special list if its a story agent
				serverdefs.MAA_CENTRAL = rescueData.name
				log:write("MAA: Set as Central: " .. rescueData.name)
			elseif array.find( monster_agents, rescueData.name ) then
				serverdefs.MAA_MONSTER = rescueData.name
				log:write("MAA: Set as Monster: " .. rescueData.name)
			else
				log:write("MAA: Add as rescuable: " .. rescueData.name)
				modApi:addRescueAgent( unitDefPotentials[rescueData.name] )
			end
		end
	end

	table.sort( add_agents, function( a, b ) return (a.priority or math.huge) < (b.priority or math.huge) end )
	local separte_agents = false
	if mod_manager:findModByName("Separate Archive Agents") then
		local SAA_id = mod_manager:findModByName("Separate Archive Agents").id
		if SAA_id and mod_options[SAA_id] and mod_options[SAA_id].enabled then
			if mod_options[SAA_id].options.separatearchive and mod_options[SAA_id].options.separatearchive.enabled then
				separte_agents = true
			end
		end
	end
	for _, entry in ipairs(add_agents) do
		local name = entry.name
		local parents = util.tcopy( all_agents_parents[name] )
		local merged_olivia = false
		local merged_derek = false
		if mod_manager:findModByName("Merged Loadouts") then
			local ML_id = mod_manager:findModByName("Merged Loadouts").id
			if ML_id and mod_options[ML_id] and mod_options[ML_id].enabled then
				if mod_options[ML_id].options.mergedloadout_central and mod_options[ML_id].options.mergedloadout_central.enabled then
					merged_olivia = true
				end
				if mod_options[ML_id].options.mergedloadout_monster and mod_options[ML_id].options.mergedloadout_monster.enabled then
					merged_derek = true
				end
			end
		end
		if parents[1] == "olivia" and merged_olivia then
			parents[1] = "central_pc"
		end
		if parents[1] == "derek" and merged_derek then
			parents[1] = "monst3r_pc"
		end
		if not separte_agents then
			modApi:addAgentLoadout( parents[1], name )
		else
			log:write("MAA: SAA enabled. Adding " .. name .. " as separate agent.")
			serverdefs.LOADOUTS[ name ] = { name }
			local agentdefs_orig = include( "sim/unitdefs/agentdefs" )
			agentdefs_orig[ name ].agentID = name
			table.insert( serverdefs.SELECTABLE_AGENTS, name )

			--remap restricted use items
			local itemdefs_orig = include( "sim/unitdefs/itemdefs" )
			for _, upgrade in ipairs( agentdefs_orig[ name ].upgrades ) do
				local item = itemdefs_orig[upgrade]
				if item and item.traits.restrictedUse then
					for _, restricted_item in ipairs( item.traits.restrictedUse ) do
						log:write("MAA: Item with restricted use found. Item: " .. upgrade .. " / ID: " .. restricted_item.agentID .. " changed to ID: " .. name)
						restricted_item.agentID = name
					end
				end
			end
		end
	end

	--Handle detention equipment
	if options["detention_equipment"] and options["detention_equipment"].value >= 0 then
		if params then
			params.maa_detention_equipment = options["detention_equipment"].value
		end
	end

	if params then
		params.maa_loaded = true
	end
end

local function lateLoad( modApi, options, mod_params, mod_options )
	local scriptPath = modApi:getScriptPath()

	--Central 2
	include( scriptPath .. "/abilities/maa_siren_append" )

	local itemdefs = include( "sim/unitdefs/itemdefs" )
	for _, item in pairs( itemdefs ) do
		--add soundrange if NIaA
		if mod_manager:findModByName("New Items And Augments") then
			local NIAA_id = mod_manager:findModByName("New Items And Augments").id
			if NIAA_id and mod_options[NIAA_id] and mod_options[NIAA_id].enabled then
				if item.niaa_traits then
					util.extend( item.niaa_traits ) ( item.traits )
				end
			end
		end
		if item.abilities then
			--Sharp 1
			if array.find( item.abilities, "recharge" ) then
				table.insert( item.abilities, "maa_powerframe_charge" )
			end
		end

		--Tony 2
		if item.traits and ( item.traits.cooldownMax or item.traits.chargesMax or item.traits.maxAmmo or item.traits.pwrCost or (item.requirements and #item.requirements > 0) or item.traits.armorPiercing or (item.traits.damage and item.traits.damage > 0) or (item.traits.baseDamage and item.traits.baseDamage > 0)) and not item.traits.maa_tony_toolkit and not item.traits.augment then
			if not item.maa_append then
				table.insert( item.abilities, "maa_mod_item" )

				local baseCreateUpgradeParams = item.createUpgradeParams
				item.createUpgradeParams = function( self, unit )
					log:write("MAA: appending createUpgradeParams from: " .. unit:getName())
					local params = { traits = {} }
					if baseCreateUpgradeParams then
						local baseParams = baseCreateUpgradeParams( self, unit )
						--if baseParams then
							params = baseParams
						--end
					end
					if not params.traits then
						params.traits = {}
					end
					params.traits.maa_mod_cooldownMax = unit:getTraits().maa_mod_cooldownMax
					params.traits.maa_mod_chargesMax = unit:getTraits().maa_mod_chargesMax
					params.traits.maa_mod_maxAmmo = unit:getTraits().maa_mod_maxAmmo
					params.traits.maa_mod_pwrCost = unit:getTraits().maa_mod_pwrCost
					params.traits.maa_mod_requirements = unit:getTraits().maa_mod_requirements
					params.traits.maa_mod_armorPiercing = unit:getTraits().maa_mod_armorPiercing
					params.traits.maa_modded_item = unit:getTraits().maa_modded_item

					return params
				end
				item.maa_append = true
			end
		end
	end
end

return
{
	initStrings = initStrings,
	earlyInit = earlyInit,
	init = init,
	lateInit = lateInit,
	--earlyLoad = earlyLoad,
	load = load,
	lateLoad = lateLoad,
	unload = unload,
}
