---------------------------------------------------------------------
-- Invisible Inc. Manual Hacking mod

local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local STRINGS = include( "strings" )
local mathutil = include( "modules/mathutil" )

local hackeragents = {}

local thisModLoaded = nil

-- init will be called once
local function init( modApi )

	local simquery = include( "sim/simquery" )
	local propdefs = include("sim/unitdefs/propdefs")
	local guarddefs = include("sim/unitdefs/guarddefs")
	local agentdefs = include("sim/unitdefs/agentdefs")

    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()

	modApi.requirements = { "Sim Constructor", "Programs Extended", "Advanced Cyberwarfare","Function Library","Agent Reserve","Agent 47","Carmen Sandiego","Untitled Inc. Goose Protocol", "Into the Breach Agents", "The Wizard", }  
	
       -- Mount data.
    KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" )	
		 
    --Options:
	modApi:addGenerationOption("icebreaker", STRINGS.MANUALHACKING.OPTIONS.ENABLE_MANUALHACK, STRINGS.MANUALHACKING.OPTIONS.ENABLE_MANUALHACK_TIP, {noUpdate=true})
	-- modApi:addGenerationOption("incognita_weak", STRINGS.MANUALHACKING.OPTIONS.ENABLE_WEAKEN_INCOGNITA, STRINGS.MANUALHACKING.OPTIONS.ENABLE_WEAKEN_INCOGNITA_TIP, {noUpdate = true})
	-- modApi:addGenerationOption("no_incognita", STRINGS.MANUALHACKING.OPTIONS.DISABLE_INCOGNITA, STRINGS.MANUALHACKING.OPTIONS.DISABLE_INCOGNITA_TIP, {enabled = false, noUpdate = true})		
		
	modApi:addGenerationOption("MH_incognita", STRINGS.MANUALHACKING.OPTIONS.INCOGNITA_STATUS, STRINGS.MANUALHACKING.OPTIONS.INCOGNITA_STATUS_TIP,
	{
		values = {0,1,2}, 
		value=1,
		strings = STRINGS.MANUALHACKING.OPTIONS.INCOGNITA_STATUS_STRINGS,	
		noUpdate = true,
	})	
	
	modApi:addGenerationOption("MH_PWRhack", STRINGS.MANUALHACKING.OPTIONS.PWR_HACK, STRINGS.MANUALHACKING.OPTIONS.PWR_HACK_TIP, 
	{
		values = {0,1,2,3,4}, 
		value=2,
		strings = STRINGS.MANUALHACKING.OPTIONS.PWR_HACK_STRINGS,	
		noUpdate = true,
	})	
	
	modApi:addGenerationOption("MH_onlycameras", STRINGS.MANUALHACKING.OPTIONS.ONLY_CAMERAS, STRINGS.MANUALHACKING.OPTIONS.ONLY_CAMERAS_TIP, {noUpdate=true})
		
	local simunit = include("sim/simunit")
	local oldprogressHack = simunit.progressHack
					
	function simunit.progressHack( self, ...)
		local sim = self:getSim()
		if (self:getTraits().mod_beinghacked or self:getTraits().mod_beingsniffed) and self:getTraits().mainframe_ice and (self:getTraits().mainframe_ice > 0) then
			-- log:write("LOG skip")
			return
		else
			-- log:write("progressing old hack")
			oldprogressHack( self, ... )				
		end
	end

	util.tmerge( STRINGS.LOADING_TIPS, STRINGS.MANUALHACKING.LOADING_TIPS  ) --add new loading screen tooltips
	
	local oldstopHacking = simunit.stopHacking
	function simunit.stopHacking(self, sim, ...)
		oldstopHacking(self, sim, ...)
		if self:getTraits().mod_data_hacking then
			local target = sim:getUnit(self:getTraits().mod_data_hacking)
			if target then
				target:getTraits().mod_beinghacked = nil		
			end
			self:getTraits().mod_data_hacking = nil
			self:getSounds().spot = nil
			sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = self })
		end
		if self:getTraits().mod_daemon_sniffing then
			local target = sim:getUnit(self:getTraits().mod_daemon_sniffing)
			if target then
				target:getTraits().mod_beingsniffed = nil		
			end
			self:getTraits().mod_daemon_sniffing = nil
			self:getSounds().spot = nil
			sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = self })
		end		
	end
	
	--
	-- local agentrig = include( "gameplay/agentrig" )
	-- local getIdleAnim_old = agentrig.getIdleAnim
	-- function agentrig.getIdleAnim(sim, unit, ...)
		-- log:write("LOG overwriting getIdleAnim")
		-- local anim, dir, sound = getIdleAnim_old(sim, unit, ...)

		-- if unti:getTraits().mod_data_hacking and (anim == "lean") or (anim == "idle") then
			-- anim = "tinker_loop"
		-- end
		-- return anim, dir, sound
	-- end
	
		-- local agentrig = include( "gameplay/agentrig" ).rig
		
		-- -- local DoneOnce = 0
		-- local getIdleAnim = include( "gameplay/agentrig" ).getIdleAnim	
		
		-- local refresh_old = agentrig.refreshRenderFilter
		-- function agentrig.refreshRenderFilter(self)
			-- refresh_old(self)
			-- -- if DoneOnce < 2 then
				-- local idleState = self._idleState 
				-- local oldOnEnter = idleState.onEnter
				
				-- idleState.onEnter = function( self2 )
					-- oldOnEnter(self2)
					-- local unit = self2._rig:getUnit()
					-- local idleAnim, idleFacing, folleySnd = getIdleAnim( self2._rig._boardRig:getSim(), unit )
					-- local currentAnim = self2._rig._prop:getCurrentAnim()
					
					-- if unit:getTraits().mod_data_hacking 
					-- -- and (currentAnim == "idle")
					-- then
						-- -- self2._rig:setPlayMode( KLEIAnim.STOP )
						-- self2._rig._prop:getCurrentAnim() = "tinker_loop"
						-- -- log:write("LOG STOPPING ANIM")
						-- -- DoneOnce = DoneOnce + 1	
					-- end
				-- end	
				
			-- -- end
		
		-- end	
							
end


local function unloadhacking()
local simquery = include( "sim/simquery" )
local propdefs = include("sim/unitdefs/propdefs")
local guarddefs = include("sim/unitdefs/guarddefs")
local agentdefs = include("sim/unitdefs/agentdefs")

if #hackeragents > 0 then
		local agents = include( "sim/unitdefs/agentdefs" )
		for _,k in pairs(hackeragents) do
			if agents[k] then
				for i, v in pairs(agents[k].abilities) do
					if v == "mod_hackdevice" then
						-- log:write("Removing ability from ".. k)
						table.remove(agents[k].abilities, i)
						break 
					end
				end
				
				for i, v in pairs(agents[k].abilities) do
					if v == "mod_hackdevice_fast" then
						-- log:write("Removing ability from ".. k)
						table.remove(agents[k].abilities, i)
						break 
					end
				end
				
				for i, v in pairs(agents[k].abilities) do
					if v == "mod_daemonsniff" then
						-- log:write("Removing ability from ".. k)
						table.remove(agents[k].abilities, i)
						break 
					end
				end
			end
		end
	end	
		
end


local function deviceNearConsole( sim, targetUnit )  --used in canBreakIce later
local simquery = include( "sim/simquery" )
local propdefs = include("sim/unitdefs/propdefs")
local guarddefs = include("sim/unitdefs/guarddefs")
local agentdefs = include("sim/unitdefs/agentdefs")

	-- check for hacked console or deployed laptop in range of target device
	local result = false
	local range = 5
	local x0, y0 = targetUnit:getLocation()
	sim:forEachUnit(
		function(u)
			local x1, y1 = u:getLocation()
			if x1 and y1 and 
			(  (u:getTraits().mainframe_console and u:getTraits().hijacked and (u:getTraits().mainframe_status == "active") )
			or 
			( u:getTraits().laptop and u:getTraits().deployed  ) ) then
				local distance = mathutil.dist2d( x0, y0, x1, y1)
				if distance <= range then
					result = true
				end
			end
		end)
	-- log:write("LOG result")
	-- log:write(tostring(result))
	return result
	
end

-- load may be called multiple times with different options enabled
local function load( modApi, options, params, mod_options )
	local simquery = include( "sim/simquery" )
	local propdefs = include("sim/unitdefs/propdefs")
	local guarddefs = include("sim/unitdefs/guarddefs")
	local agentdefs = include("sim/unitdefs/agentdefs")

	local scriptPath = modApi:getScriptPath() 
	local dataPath = modApi:getDataPath()

	if params and options["MH_incognita"] then
		params.MH_incognita = options["MH_incognita"].value
	end
	
	if params and options["icebreaker"] and options["icebreaker"].enabled then
		params.icebreaker = true
	end
	
	if params and options["no_incognita"] and options["no_incognita"].enabled then
		params.incognita_active = 0
	elseif params then
		params.incognita_active = 1
	end
	
	if params and options["MH_PWRhack"] and options["MH_PWRhack"].enabled then
		params.MH_PWRhack = options["MH_PWRhack"].value
	end
	
	if params and options["incognita_weak"] and options["incognita_weak"].enabled then
	
		params.MH_weakenIncognita = true
		local commondefs = include( scriptPath .. "/commondefs" )
		modApi:addTooltipDef( commondefs )
		
	elseif params then	
		params.MH_weakenIncognita = false	
	end
	
	if params and options["MH_onlycameras"] and options["MH_onlycameras"].enabled then
		params.MH_onlycameras = true
	end

	modApi:addAbilityDef( "mod_hackdevice", scriptPath .."/hackdevice")
	modApi:addAbilityDef( "mod_hackdevice_fast", scriptPath .."/hackdevice_instant")	
	modApi:addAbilityDef( "mod_daemonsniff", scriptPath .."/manual_daemonsniff")	
	
	if not thisModLoaded then
		-- OLD
		
		-- local mission_util = include("sim/missions/mission_util")
		-- local oldmakeAgentConnection = mission_util.makeAgentConnection
		-- mission_util.makeAgentConnection = function( script, sim )
			-- -- log:write("LOG edited makeagentconnection")
			-- if (sim:getParams().difficultyOptions.incognita_active and (sim:getParams().difficultyOptions.incognita_active == 0)) or (sim:getParams().difficultyOptions.MH_incognita and sim:getParams().difficultyOptions.MH_incognita == 2) then
				-- sim:setMainframeLockout( true )
				-- -- log:write("LOG Manual Hacking disabling incognita")
			-- end
			-- oldmakeAgentConnection( script, sim )
		-- end
		
		local simplayer = include("sim/simplayer")
		local simplayerInit_old = simplayer.init
		simplayer.init = function( self, sim, ... )
			if (sim:getParams().difficultyOptions.incognita_active and (sim:getParams().difficultyOptions.incognita_active == 0)) --backwards compatibility
			or
			(sim:getParams().difficultyOptions.MH_incognita and sim:getParams().difficultyOptions.MH_incognita == 2) then
				sim:setMainframeLockout( true )
			end
			simplayerInit_old( self, sim, ... )
		end
		
		local simengine = include("sim/engine")
		local simengine_setMainframeLockout_old = simengine.setMainframeLockout
		simengine.setMainframeLockout = function( self, bool, ... )
			if self:getParams().difficultyOptions.MH_incognita and self:getParams().difficultyOptions.MH_incognita == 2 then
				if bool == false then
					return
				end
			end
			simengine_setMainframeLockout_old(self, bool, ...)
		end

		local mainframe = include("sim/mainframe")
		local canBreakIce_old = mainframe.canBreakIce
		mainframe.canBreakIce = function( sim, targetUnit, equippedProgram, ... )
			-- log:write("LOG overriding canBreakIce ability")

			local result, reason = canBreakIce_old( sim, targetUnit, equippedProgram, ... )
			if equippedProgram == nil then
				equippedProgram = player:getEquippedProgram()
			end
			-- if equippedProgram.parasite_strength then
				-- log:write("LOG parasite equipped")
				-- log:write(util.stringize(result,2))
				-- if result == true then
					-- return true
				-- else
					-- return result, reason
				-- end
			-- end
			if equippedProgram == nil then 
				return false, STRINGS.UI.REASON.NO_PROGRAM
			end 
			-- if (equippedProgram.parasite_strength ~= nil) then log:write("LOG returning result")
			-- log:write(util.stringize(result,2)) return result end
			-- log:write("LOG equipped program")
			-- log:write(util.stringize(equippedProgram,1))
			-- log:write("--------------------------------")
			local player = sim:getCurrentPlayer()
			if thisModLoaded and equippedProgram and player and targetUnit and targetUnit:isValid() and (targetUnit:getTraits().mainframe_status == "active") and sim:getParams() then
			
				if sim:getParams().difficultyOptions.MH_onlycameras then
					if not (targetUnit:getTraits().mainframe_camera or targetUnit:getTraits().mainframe_turret or targetUnit:getTraits().pressureAreaRange or targetUnit:getTraits().shockmine) then
						return false, STRINGS.MANUALHACKING.TOOLTIPS.WRONG_DEVICE
					end
				end			
			
				if 	(sim:getParams().difficultyOptions.MH_weakenIncognita or (sim:getParams().difficultyOptions.MH_incognita and sim:getParams().difficultyOptions.MH_incognita == 1))
				and not ((equippedProgram._abilityID == "love") 
				-- or equippedProgram.parasite_strength 
				or equippedProgram.MH_exception) then
				
					if not (sim:canPlayerSeeUnit( player, targetUnit ) or deviceNearConsole( sim, targetUnit )) then
						-- log:write("LOG cannot break ice")
						return false, STRINGS.MANUALHACKING.TOOLTIPS.NO_LOS
					end
						
				end
			
			end
			
			return result, reason

		end	
		
		--alternate way of doing this: would also affect accessory programs like Hunter, Lightning etc. May add later.
		-- log:write("editing canUse manually")
		-- local mainframe_abilities = include("sim/abilities/mainframe_abilities")
		-- for i, program in pairs(mainframe_abilities) do
			-- log:write("LOG overriding mainframe abilities")
			-- local canUseAbility_old = program.canUseAbility
			-- program.canUseAbility = function( self, sim, abilityOwner, targetUnit, ... )

				-- local result = canUseAbility_old( self, sim, abilityOwner, targetUnit, ... )
				-- local canSee = false
				-- log:write("LOG result")
				-- log:write(util.stringize(result,2))
				-- if targetUnit and thisModLoaded and sim:getParams() and sim:getParams().difficultyOptions.MH_weakenIncognita 
				-- -- and not self.break_firewalls and not self.parasite_strength 
				-- and not self._abilityID == "love"
				-- and not self.MH_exception then --just to avoid redundancy
					
					
					-- if sim:canPlayerSeeUnit( sim:getPC(), targetUnit ) then
						-- canSee = true
					-- end
					

				-- end
				-- if targetUnit and not canSee then
					-- return false, STRINGS.MANUALHACKING.TOOLTIPS.NO_LOS
				-- end			
					-- return result
				
				
			-- end	
		-- end
					
	end
	
	
	thisModLoaded = true
	
	
end	-- end of load


local function lateLoad( modApi, options )
	local simquery = include( "sim/simquery" )
	local propdefs = include("sim/unitdefs/propdefs")
	local guarddefs = include("sim/unitdefs/guarddefs")
	local agentdefs = include("sim/unitdefs/agentdefs")
	
	local scriptPath = modApi:getScriptPath()

	if options["icebreaker"] and options["icebreaker"].enabled then

		for k,v in pairs(agentdefs) do
			if v.traits and v.agentID then
				table.insert(v.abilities, "mod_hackdevice")
				table.insert(v.abilities, "mod_hackdevice_fast")
				table.insert(v.abilities, "mod_daemonsniff")
				table.insert(hackeragents, k)
				-- log:write("LOG: abilities")
				-- log:write(util.stringize(v.abilities,2))
			end
		end
	else
	unloadhacking()
	end

	-- if options["no_incognita"] and options["no_incognita"].enabled then
		-- KLEIResourceMgr.MountPackage( dataPath .. "/incognita_empty.kwad", "data" )
	-- else
	-- end
	
	-- if options["incognita_weak"] and options["incognita_weak"].enabled then
		-- local itemdefs = include("sim/unitdefs/itemdefs")
		-- local propdefs = include("sim/unitdefs/propdefs")
		-- for k,v in pairs(itemdefs) do
			-- if v.traits.laptop then
				-- v.onTooltip = MH_onDeviceTooltip
			-- end
		-- end
		-- for k,v in pairs(propdefs) do
			-- if v.traits.mainframe_console then
				-- v.onTooltip = MH_onDeviceTooltip
			-- end
		-- end
	-- end


end

local function unload()

	unloadhacking()
	thisModLoaded = false
end


local function initStrings( modApi )
    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
    local DLC_STRINGS = include( scriptPath .. "/strings" )
    modApi:addStrings( dataPath, "MANUALHACKING", DLC_STRINGS )  
end



return {
    init = init,
    load = load,
	unload = unload,
	lateLoad = lateLoad,
	initStrings = initStrings,
}