local function earlyUnload()
	local simdefs = include("sim/simdefs")
	rawset(simdefs,"CHEATS",{})
	rawset(simdefs,"BINDINGS",{})
end

local function earlyLoad()
	earlyUnload()
end

local function loadCheats(modApi)
	local scriptPath = modApi:getScriptPath()
	local simdefs = include("sim/simdefs")
	
	package.loaded[scriptPath.."/cheats"] = nil
	local cheats = include(scriptPath.."/cheats")
	for i, cheat in pairs(cheats) do
		table.insert(simdefs.CHEATS,cheat)
	end
	
	if config.DEV then
		package.loaded[scriptPath.."/bindings"] = nil
		local bindings = include(scriptPath.."/bindings")
		for i, binding in pairs(bindings) do
			table.insert(simdefs.BINDINGS,binding)
		end
	end
end

local function load()
end

local function lateLoad(modApi,options)
	if options["enable_cheats"].enabled then
		loadCheats(modApi)
		modApi:addPropDef("_debug_sight_block",
    {
        type = "sight_block",
        name = STRINGS.PROPS.SMOKE,
        rig = "smokerig",
		kanim = "kanim_smoke_plume",
        traits = {noghost = true}
    },false)
	end
end

local function init(modApi)
	local scriptPath = modApi:getScriptPath()
	local dataPath = modApi:getDataPath()
	
	KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" )
	
	earlyUnload()
	include(scriptPath.."/cheatactions")
	include(scriptPath.."/cheats_basegame")
	include(scriptPath.."/cheatmenu")
	include(scriptPath.."/sight_block")
	include(scriptPath.."/mui_trackbutton")
	loadCheats(modApi)
	
	stateFullscreenPortrait = include( scriptPath.."/state-fullscreen-portrait" )
	include( scriptPath.."/state-debug" )
	include( scriptPath.."/simdefs" )
	modApi:addGenerationOption("enable_cheats", "EXPANDED CHEAT MENU", "<c:FF8411>CHEAT MENU</c>\nAdds new cheats to the cheat menu. You need to be in dev mode to use cheats.",{ noUpdate = true })
end

return {
	load = load,
	init = init,
	earlyLoad = earlyLoad,
	earlyUnload = earlyUnload,
	lateLoad = lateLoad,
}