local mui_trackbutton = include("mui/widgets/mui_trackbutton")
local mui_defs = require( "mui/mui_defs" )
local mui_component = require( "mui/widgets/mui_component" )

function mui_trackbutton:handleEvent( ev )
	if ev.eventType == mui_defs.EVENT_FocusChanged then
		if ev.oldFocus == self then
			if self._buttonState == mui_trackbutton.BUTTON_Active then
				self._screen:unlockInput( self )
				self:dispatchEvent( { eventType = mui_defs.EVENT_TrackEnd, ie = ev } )
			end
			
			self._buttonState = mui_trackbutton.BUTTON_Inactive
			self:dispatchEvent( { eventType = mui_defs.EVENT_ButtonLeave, widget = self, ie = ev } )
		elseif ev.newFocus == self then
			self._buttonState = mui_trackbutton.BUTTON_Hover
			self:dispatchEvent( { eventType = mui_defs.EVENT_ButtonEnter, widget = self, ie = ev } )
		end
	else
		return mui_component.handleEvent( self, ev )
	end
end