local util = include( "modules/util" )
local simquery = include("sim/simquery")
local abilitydefs = include( "sim/abilitydefs" )

local oldOverwatch = abilitydefs.lookupAbility("overwatch")
local oldCanUseAbility = oldOverwatch.canUseAbility

local overwatch = util.extend(oldOverwatch)
{
    canUseAbility = function( self, sim, unit )
            if unit:countAugments( "augment_dosan_pda" ) > 0 then 
                return false, STRINGS.ITEMS.DOSAN_PDA
            end

        return oldCanUseAbility( self, sim, unit )
    end,
}
return overwatch