local itemdefs = include("sim/unitdefs/itemdefs")

rawset(_G,"ALPHABETICAL_PAIRS",{})

ALPHABETICAL_PAIRS[itemdefs] = true

function pairs(tbl)
	if ALPHABETICAL_PAIRS[tbl] then
		local sortedKeys = {}
		local k
		repeat
			k = next(tbl, k)
			table.insert(sortedKeys,k)
		until k == nil
		
		table.sort(sortedKeys)
		local i = 0
	
		local function fn()
			i = i + 1
			if sortedKeys[i] == nil then
				return nil
			else
				return sortedKeys[i], tbl[sortedKeys[i]]
			end
		end
		
		return fn
	else
		return next, tbl
	end
end