local pcplayer = include( "sim/pcplayer" )

function pcplayer:lockdownMainframeAbility( num, source )
	local abilitiesTotal = #self:getAbilities()

	if num > abilitiesTotal then return end

	table.insert(self._lockedMainframeAbilities, num)
	if not self._lockedMainframeAbilitiesSource then self._lockedMainframeAbilitiesSource = {} end
	if source ~= nil then
		table.insert(self._lockedMainframeAbilitiesSource, source)
	else
		table.insert(self._lockedMainframeAbilitiesSource, "")
	end
end 

function pcplayer:unlockMainframeAbility( num, source )
	if not self._lockedMainframeAbilitiesSource then self._lockedMainframeAbilitiesSource = {} end
	for i, slot in ipairs(self._lockedMainframeAbilities) do
		if slot == slot_num then
			if source ~= nil and source == self._lockedMainframeAbilitiesSource[i] then
				table.remove( self._lockedMainframeAbilities, i )
				table.remove( self._lockedMainframeAbilitiesSource, i )
			elseif source == nil then
				table.remove( self._lockedMainframeAbilities, i )
				table.remove( self._lockedMainframeAbilitiesSource, i )
			end
		end
	end
end

function pcplayer:unlockAllMainframe( source )
	if source ~= nil then
		if not self._lockedMainframeAbilitiesSource then self._lockedMainframeAbilitiesSource = {} end
		for i=#self._lockedMainframeAbilitiesSource, 1, -1 do
			if self._lockedMainframeAbilitiesSource[i] == source then
				table.remove( self._lockedMainframeAbilities, i )
				table.remove( self._lockedMainframeAbilitiesSource, i )
			end
		end
	else
		self._lockedMainframeAbilities = {}
		self._lockedMainframeAbilitiesSource = {}
	end
end

function pcplayer:getLockedAbilities( source )
	if source == true then
		return self._lockedMainframeAbilitiesSource or {}
	end
	return self._lockedMainframeAbilities
end

function pcplayer:getMaxCpus( )
	return math.max(self._maxCpus + (self._traits.PWRmaxBouns or 0), 0)
end