local prefabs = include("sim/prefabs")

local oldGeneratePrefabs = prefabs.generatePrefabs

function prefabs.generatePrefabs( cxt, candidates, tag, maxCount, fitnessFn, fitnessSelect )
	local pattern = cxt.LVL_PATTERN
	local matches
	local secDoors

	if tag == "barrier" then
		secDoors = {
			{},
			{},
			{},
			{}
		}
		
		matches = {
			pattern.matrix:matchElements( {0, 0, "door_0", "door_0"} ),
			pattern.matrix:matchElements( {0, 0, "door_2", "door_2"} ),
			pattern.matrix:matchElements( {0, 0, "door_4", "door_4"} ),
			pattern.matrix:matchElements( {0, 0, "door_6", "door_6"} )
		}
		
		for d, doors in ipairs(matches) do
			local dir = (d - 1) * 2
			for i = 1, #doors, 2 do
				local x, y = doors[i], doors[i+1]
				if pattern:testFlag( x, y, "secdoor_"..dir ) then
					secDoors[d][i] = true
				end
			end
		end
	end
	
	local ret = oldGeneratePrefabs( cxt, candidates, tag, maxCount, fitnessFn, fitnessSelect )
	
	if tag == "barrier" then
		for d, doors in ipairs(matches) do
			local dir = (d - 1) * 2
			for i = 1, #doors, 2 do
				local x, y = doors[i], doors[i+1]
				if pattern:testFlag( x, y, "wall_"..dir ) then
					if not secDoors[d][i] then
						pattern:setFlag( x, y, "door_"..dir )
						pattern:clearFlag( x, y, "wall_"..dir )
						--pattern:setFlag( x, y, "secdoor_"..dir )
					end
				end
			end
		end
	end
	
	return ret
end