local util = include( "modules/util" )
local commondefs = include("sim/unitdefs/commondefs")

local props =
{
	maa_det_equip_safe =
	{
		type = "simunit",
		name =  STRINGS.PROPS.SAFE,
		onWorldTooltip = commondefs.onSafeTooltip,
		kanim = "kanim_safe",
		rig ="corerig",
		traits = util.extend( commondefs.SAFE_TRAITS, commondefs.MAINFRAME_TRAITS ) { moveToDevice=true, },
		abilities = { "stealCredits" },
		sounds = {appeared="SpySociety/HUD/gameplay/peek_positive",reboot_start="SpySociety/Actions/reboot_initiated_safe",reboot_end="SpySociety/Actions/reboot_complete_safe" }
	},

	maa_det_equip_locker =
	{
		type = "simunit",
		name =  STRINGS.PROPS.SAFE,
		onWorldTooltip = commondefs.onSafeTooltip,
		kanim = "kanim_guard_locker",
		rig ="corerig",
		traits = util.extend( commondefs.SAFE_TRAITS, commondefs.MAINFRAME_TRAITS ) { moveToDevice=true, },
		abilities = { "stealCredits" },
		sounds = {appeared="SpySociety/HUD/gameplay/peek_positive",reboot_start="SpySociety/Actions/reboot_initiated_safe",reboot_end="SpySociety/Actions/reboot_complete_safe" }
	},

	maa_monster_shop =
	{
		type = "store",
		name =  STRINGS.MORE_ARCHIVE_AGENTS.PROPS.MONSTER_SHOP,
		icon = "itemrigs/FloorProp_DataDisc.png", --doesn't really matter, but it has to be there
		traits = { maa_moster_shop = true, storeType="maa_monster_shop", noMandatoryItems = true },
		abilities = { "maa_showSecretStore" },
	},
}

return props
