-- adding a new resource to be displayed next to PWR and credits
-- resourcePnl = 14th item in widgets list sourced from hud file

--[[
cpuNum = table: 7B297C68
{
    _name = cpuNum,
    _base = function: 7B1C7048,
    _cont = table: 7B297DA8
    {
        _sx = 1,
        _wpx = true,
        _h = 30,
        _noInput = true,
        _isVisible = true,
        _widget = table: 7B297C68
        {
            _name = cpuNum,
            _base = function: 7B1C7048,
            _cont = table: 7B297DA8,
            _tooltip = table: 7B297C90
            {
                _bodyTxt = Hijack consoles to acquire POWER.  Use POWER to run programs in the MAINFRAME.,
                _headerTxt = POWER,
                _base = function: 7B1C6DA8,
            },
            _parent = table: 7B2976F0
            {
                _name = resourcePnl,
                _children = table: 7B297EE8,
                _base = function: 7B1C7028,
                _cont = table: 7B297808,
                _parent = table: 7AFEBB70,
                binder = table: 7B299040,
            },
        },
        _maxEditChars = 0,
        _prop = 7A7991E8 <MOAITextBox>,
        _base = function: 7B1C6EE8,
        _screen = table: 7AFEBB70,
        _str = 10/20 PWR,
        _y = -24,
        _x = 81,
        _sy = 1,
        _def = table: 7AFEA8D8
        {
            hpx = true,
            tooltipHeader = table: 7AFEA400
            {
                str = STR_517759365,
            },
            color = table: 7AFEA630
            {
                1 = 0.54901963472366,
                2 = 1,
                3 = 1,
                4 = 1,
            },
            halign = 0,
            h = 30,
            text_style = font1_18_r,
            anchor = 1,
            ypx = true,
            isVisible = true,
            noInput = true,
            wpx = true,
            valign = 0,
            w = 140,
            xpx = true,
            rotation = 0,
            x = 81,
            name = cpuNum,
            sx = 1,
            ctor = label,
            y = -24,
            sy = 1,
            tooltip = table: 7AFEA450
            {
                str = STR_1677005573,
            },
        },
        _xpx = true,
        _w = 140,
        _ypx = true,
        _hpx = true,
        _anchor = 1,
    },
    _tooltip = table: 7B297C90,
    _parent = table: 7B2976F0,
}

cpuNum
x 81
y -24
w 140
h 30

rightmost edge = 81+70=151

credits 
x 189
y -24
w 70
h 30

leftmost edge = 189-35=154
rightmost edge = 189+35=224

new resource bar
x 332
y -24
w 110
h 30

leftmost edge = 332-55=277=224+3+50
rightmost edge = 332+55=387
]]

local util = include("modules/util")

local inserts =
{
    {
        "hud.lua",
        { "widgets", 14, "children" }, -- insert an item into "hud/widgets/14 (resourcePnl)/children"
        {
            name = [[hashCounter]],
            isVisible = true,
            noInput = true,
            anchor = 1,
            rotation = 0,
            x = 332,
            xpx = true,
            y = -24,
            ypx = true,
            w = 110,
            wpx = true,
            h = 30,
            hpx = true,
            sx = 1,
            sy = 1,
            ctor = [[label]],
            halign = 0,
            valign = 0,
            text_style = [[font1_18_r]],
            str = util.sformat(STRINGS.SLF.WORLD.RESOURCE_BAR.DISPLAY, "0","0"),
            color = {1,1,1,1}, -- 140/255, 255/255, 255/255, 1/1
            tooltipHeader = {
                str = STRINGS.SLF.WORLD.RESOURCE_BAR.NAME,
            },
            tooltip = {
                str = STRINGS.SLF.WORLD.RESOURCE_BAR.DESC,
            },
        },
        opt = "ac_chips",
    },
    {
        "hud.lua",
        { "widgets", 2, "children" }, -- "widgets / statsPnl (2) / children"
        {
            name = [[statsGridTxt]],
            isVisible = true,
            noInput = true,
            x = -0.1,     -- -0.175
            y = -5,
            ypx = true,
            w = 0.15,       -- 0.35
            h = 25,         -- 50
            hpx = true,
            anchor = 1,
            rotation = 0,
            sx = 1,
            sy = 1,
            halign = 0,
            valign = 0,
            ctor = [[label]],
            text_style = [[font1_16_r]],
            str = STRINGS.SLF.WORLD.GRID.DISPLAY,
            color = {1,1,1,1},--140/255, 255/255, 255/255, 1/1},
            --[[tooltipHeader = {
                str = STRINGS.SLF.WORLD.GRID.NAME,
            },
            tooltip = {
                str = STRINGS.SLF.WORLD.GRID.DESC,
            },]]
        },
        opt = "ac_sitreps",
    },
    {
        "mission_preview_dialog.lua",
        { "widgets", 2, "children" },
        {
            name = [[SLF_Sitrep]],
            isVisible = true,
            noInput = false,
            anchor = 1,
            rotation = 0,
            x = 284,
            xpx = true,
            y = -216,
            ypx = true,
            w = 0,
            h = 0,
            sx = 1,
            sy = 1,
            ctor = [[group]],
            children =
            {
                {
                    name = [[bg]],
                    isVisible = true,
                    noInput = true,
                    anchor = 1,
                    rotation = 0,
                    x = 200,
                    xpx = true,
                    y = 316,
                    ypx = true,
                    w = 217,
                    wpx = true,
                    h = 111,
                    hpx = true,
                    sx = 1,
                    sy = 1,
                    ctor = [[image]],
                    color =
                    {
                        1,
                        1,
                        1,
                        1,
                    },
                    images =
                    {
                        {
                            file = [[gui/menu pages/map_screen/sitrep_bg.png]],
                            name = [[]],
                        },
                    },
                },  
                {
                    name = [[label]],
                    isVisible = true,
                    noInput = false,
                    anchor = 1,
                    rotation = 0,
                    x = 202,
                    xpx = true,
                    y = 310,
                    ypx = true,
                    w = 200,
                    wpx = true,
                    h = 110,
                    hpx = true,
                    sx = 1,
                    sy = 1,
                    ctor = [[label]],
                    halign = MOAITextBox.LEFT_JUSTIFY,
                    valign = MOAITextBox.TOP_JUSTIFY,
                    text_style = [[font1_14_r]],
                    --[[color =
                    { --yellow
                        245/255,
                        1,
                        120/255,
                        1,
                    },     ]]             
                    color =
                    { --orange
                        --244/255,
                        --129/255,
                        --52/255,
                        --1, --0.7843137383461,
                        1, 1, 1, 1
                    },               
                },            
            },
        },
        opt = "ac_sitreps",
    },
} 

return inserts