local array = include("modules/array")
local modalDialog = include( "states/state-modal-dialog" )
local shop_panel = include("hud/shop_panel")

--this function is from Sim Constructor
local baseCanTakeItem = shop_panel.canTakeItem
function shop_panel.canTakeItem( panel, item, itemType, player )
	local sim = panel._hud._game.simCore	
	if sim:getParams().difficultyOptions.SITREP_program_storage then
		--is the item a program, check if we already have the program in the agency or the sim and remove the slot restriction (we add them to the agency directly if slots are full)
		if player ~= sim:getCurrentPlayer() then
			--print("false - player")
			modalDialog.show( STRINGS.UI.TOOLTIP_CANT_PURCHASE )
			return false
		end
		if item:getTraits().mainframe_program then
			if array.find( sim._sitrepAgencyPrograms, item:getTraits().mainframe_program ) or array.find( sim:getPC():getAbilities(), item:getTraits().mainframe_program ) then
				modalDialog.show( STRINGS.UI.TOOLTIP_ALREADY_OWN )
				return false
			end

			return true
		end
	end
	
	return baseCanTakeItem( panel, item, itemType, player )
end
