local mapScreen = include("states/state-map-screen")
local util = include("client_util")
local mui = include("mui/mui")
local serverdefs = include( "modules/serverdefs" )

local oldOnClickLocation = mapScreen.OnClickLocation
function mapScreen:OnClickLocation( situation )
	oldOnClickLocation (self, situation )
	local screen
	for i, _screen in pairs(mui.internals._activeScreens) do
		if _screen._filename == "mission_preview_dialog.lua" or _screen._filename == "mission_preview_dialog_ps4.lua" then
			screen = _screen
			break
		end
	end
	
	local agent_loadout = {}	
	for i=1, self._campaign.agency.equippedAgents do
		table.insert( agent_loadout, self._campaign.agency.unitDefs[i] )
	end
	
	local can_infiltrate = true
	for _, modifier in ipairs( situation.sitreps or {} ) do
		local mod = serverdefs.SITUATION_MODIFIERS[modifier]
		if mod and mod.checkInfiltration then
			if not mod.checkInfiltration( self._campaign, agent_loadout, self._campaign.agency.programLoadout ) then
				can_infiltrate = false
				break
			end			
		end
	end
	
	if not can_infiltrate then
		screen:findWidget("acceptBtn.btn"):setDisabled(true)
	end
	
	if situation.sitreps and #situation.sitreps > 0 then
		screen:findWidget("SITREP_warning"):setVisible(true)
		
		local tooltip = util.tooltip( screen, nil )
		local section = tooltip:addSection()
		section:addLine( "<ttheader>" .. STRINGS.SITREP.UI.INFILTRATE_WARNING .. "</>" )
		
		for _, sitrepID in ipairs( situation.sitreps ) do
			local sitrep = serverdefs.SITUATION_MODIFIERS[sitrepID] or serverdefs.SITREP_DAEMONS[sitrepID] or serverdefs.INCOGNITA_PENALTIES[sitrepID]
			if sitrep and sitrep.onLocationTooltip then
				sitrep.onLocationTooltip( self._campaign, section )
			end
		end
		
		screen:findWidget("SITREP_warning"):setTooltip(tooltip)
	end
end
