local array = include( "modules/array" )
local util = include( "modules/util" )
local mathutil = include( "modules/mathutil" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilityutil = include( "sim/abilities/abilityutil" )
 local level = include( "sim/level" )
 
-------------------------------------------------------------------------
-- Trigger wireless onselect.

local PC_AGENT_SELECTED =
{
	uiEvent = level.EV_UNIT_SELECTED,
	fn = function( sim, unitID )
		local unit = sim:getUnit( unitID )
		if unit and unit:isPC() then
			return unit
		end
	end
}

local function onSelected(script, sim)
	while true do
		local _, unitID = script:waitFor( PC_AGENT_SELECTED )
		local unit = sim:getUnit( unitID )
		if unit:getTraits().seesShadowCreatures then
			sim:getTags().WilsonSelected = true
		else
			sim:getTags().WilsonSelected = nil
		end
		sim:forEachUnit(
			function( u )
				sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = u } )
			end
		)
	end
	-- script:addHook(onSelected)
end


local shadowvisibility =
{
	name = "Shadow Visibility",
	getName = function( self, sim, unit )
		return self.name
	end,
		
	onSpawnAbility = function( self, sim, unit )
        self.abilityOwner = unit
        self.hook = sim:getLevelScript():addHook( "SHADOWVISIBILITY", onSelected, nil, unit )
	end,
        
	onDespawnAbility = function( self, sim, unit )
        self.abilityOwner = nil
        sim:getLevelScript():removeHook( self.hook )
	end,

    canUseAbility = function( self, sim, abilityOwner, abilityUser )
        return abilityutil.checkRequirements( abilityOwner, abilityUser )
    end,
}

return shadowvisibility