local shop_panel = include("hud/shop_panel")

local oldRefresh = shop_panel.shop.refresh

local function calculateDiscount( unit, tag, buyback )
	local discount = 1.00
	local penalty = unit:getSim():getPC():getTraits().shopPenalty or 0
	if penalty < 0 then penalty = 0 end
	discount = discount + penalty
	if tag == "shop" then
		for _, child in pairs( unit:getChildren() ) do
			if child:getTraits().shopDiscount then 
				discount = discount - child:getTraits().shopDiscount
			end 
		end  
	end 
	if buyback then
		discount = 0.50
	end
	return discount
end

function shop_panel.shop.refresh( self, ... )
	self._discount = calculateDiscount( self._unit, self._tag, self._buyback )
	oldRefresh( self, ... )
end