local simactions = include( "sim/simactions" )
local array = include( "modules/array" )

local baseDoMainframeAction = simactions.mainframeAction
function simactions.mainframeAction( sim, updates )
	local player = sim:getPC()
	local program = player:getEquippedProgram() --important! this needs to be before, since cd programs get reequipped
	
	if program and ( updates.action == "breakIce" or updates.action == "targetUnit" ) then --need to add this trigger so we can clear blossom before a program triggers a daemon which instantly clears blossoms buff again
		sim:triggerEvent( "TRG_COIT_PROGRAM_PREUSED", {program = program:getID()} )
	end
	
	baseDoMainframeAction( sim, updates )
	
	if program and ( updates.action == "breakIce" or updates.action == "targetUnit" ) then
		sim:triggerEvent( "TRG_COIT_PROGRAM_USED", {program = program:getID()} )
	end
end
local baseDoAbilityAction = simactions.abilityAction
function simactions.abilityAction ( sim, ownerID, userID, abilityIdx, ... )
	local abilityOwner = sim:getUnit( ownerID ) or array.findIf( sim:getPlayers(), function( p ) return p:getID() == ownerID end )
	local ability = abilityOwner:getAbilities()[ abilityIdx ]
	
	if ability:getDef().program and not ability:getDef().equip_program then
		sim:triggerEvent( "TRG_COIT_PROGRAM_PREUSED", {program = ability:getID()} )
	end
	baseDoAbilityAction( sim, ownerID, userID, abilityIdx, ... )
	if ability:getDef().program and not ability:getDef().equip_program then
		sim:triggerEvent( "TRG_COIT_PROGRAM_USED", {program = ability:getID()} )
	end
end
