local simdefs = include( "sim/simdefs" )
local simactions = include( "sim/simactions" )

function simactions.mainframeAction( sim, updates )
	if updates.action == "breakIce" then
		local player = sim:getCurrentPlayer()
        local program = player:getEquippedProgram()
		if program then
			if updates.unitID then
				local unit = sim:getUnit(updates.unitID)
				program:executeAbility( sim, unit )
			else
				program:executeAbility( sim, updates.ability )
			end

			if program.cooldown and program.cooldown> 0 then
				player:equipProgram( sim, nil )			
			end
		end
	
	elseif updates.action == "targetUnit" then
		local player = sim:getCurrentPlayer()
        local program = player:getEquippedProgram()
		if program then
			if updates.unitID then
				local unit = sim:getUnit(updates.unitID)
				program:executeAbility( sim, unit )
			else
				program:executeAbility( sim, updates.ability )
			end

			if program.cooldown and program.cooldown> 0 then
				player:equipProgram( sim, nil )			
			end
		end

	elseif updates.action == "use" then
		sim:getCurrentPlayer():glimpseUnit( sim, updates.unitID )
		sim:dispatchEvent( simdefs.EV_UNIT_MAINFRAME_UPDATE, {units = {updates.unitID}} )	
		
    	local unit = sim:getUnit(updates.unitID)
		if type( unit[updates.fn] ) == "function" then
			unit[ updates.fn ]( unit, sim )
		end
	end
end

