local simactions = include( "sim/simactions" )

local baseDoTransferItem = simactions.transferItem
function simactions.transferItem( sim, unitID, targetID, itemIndex )
	local unit = sim:getUnit( unitID )
	local targetUnit = sim:getUnit( targetID )
	local item = unit:getChildren()[ itemIndex ]
	
	--stop the action for non-weapon-mod items that the player wants to put into the mod-case
	if targetUnit and targetUnit:getTraits().maa_is_shalem_mod_case and not item:getTraits().maa_mod_slot then
		return
	end
	baseDoTransferItem( sim, unitID, targetID, itemIndex )

	sim:triggerEvent( "MAA_TRG_ITEM_TRANSFER", {unit_from=unit, unit_to=targetUnit, item=item} )
end

local baseDoLootItem = simactions.lootItem
function simactions.lootItem( sim, unitID, itemID )
	local unit = sim:getUnit( unitID )
	local item = sim:getUnit( itemID )
	baseDoLootItem( sim, unitID, itemID )

	sim:triggerEvent( "MAA_TRG_ITEM_LOOT", {unit=unit, item=item} )
end

-- function simactions.maa_remove_temp_program( sim )
-- 	print("remove temp programs")
-- 	local player = sim:getPC()
-- 	sim.maa_temporary_removed = {}
-- 	local playerAbilities = player:getAbilities()
-- 	for i=#playerAbilities, 1, -1 do
-- 		if playerAbilities[i].maa_temporary_program then
-- 			table.insert( sim.maa_temporary_removed, playerAbilities[i] )
-- 			table.remove( playerAbilities, i )
-- 		end
-- 	end
-- end

function simactions.maa_readd_temp_program( sim )
	if sim.maa_temporary_removed then
		local player = sim:getPC()
		for _, ability in ipairs( sim.maa_temporary_removed ) do
			table.insert( player._mainframeAbilities, ability )
		end
	end

	sim.maa_temporary_removed = nil
end
