local simcamera = include( "sim/units/simcamera" )
local simdefs = include( "sim/simdefs" )

function simcamera:onWarp( sim, oldcell, cell )
	if not oldcell and cell then
		sim:addTrigger( simdefs.TRG_START_TURN, self )
		if SCRIPT_PATHS.W93_FuncLibActive == true then
			self:setPlayerOwner(sim:getNPC())
		end
	else
		if not cell and oldcell then
			sim:removeTrigger( simdefs.TRG_START_TURN, self )
			sim:removeTrigger( simdefs.TRG_OVERWATCH, self )
		end
	end
end

function simcamera:onDamage( damage, sim )
	self:checkParasites(sim)

	self:getTraits().dead = true
    	self:deactivate( self._sim )
	self:getTraits().mainframe_status = "off"
	self:getTraits().mainframe_booting = nil
	self:getTraits().mainframe_suppress_range = nil
	self:getTraits().mainframe_suppress_rangeMax = nil

	local x1,y1 = self:getLocation()	
	sim:emitSound( simdefs.SOUND_CAMERA_DESTROYED, x1, y1, self )
	sim:dispatchEvent( simdefs.EV_UNIT_DEATH, { unit = self } )
end