local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )

for i, option in pairs(simdefs.DIFFICULTY_OPTIONS) do
	rawset(option,"min_safesPerLevel",4)
	rawset(option,"max_safesPerLevel",6)
	rawset(option,"min_consolesPerLevel",4)
	rawset(option,"max_consolesPerLevel",6)
	rawset(option,"min_roomCount",8)
	rawset(option,"max_roomCount",12)
	rawset(option,"roomCount_scaling",0)
	rawset(option,"min_roomCount_scaling",-0.1)
	rawset(option,"max_roomCount_scaling",0.1)
	rawset(option,"finalEnforcers",0)
end

simdefs.DIFFICULTY_OPTIONS[3].finalEnforcers = 1
simdefs.DIFFICULTY_OPTIONS[4].finalEnforcers = 2

simdefs.SCREEN_CUSTOMS = util.extend(simdefs.SCREEN_CUSTOMS){
	["generation-options.lua"] = {
		skins = {
			[2] = {
				children = {
					[2] = {
						x = 5,
						w = 450,
					}
				}
			}
		}
	}
}



local simdefs = {
	DAEMON_TABLE = {
		NONE =   { 0 },
		FEW =    { 0, 1, 2, 3 },
		MANY =   { 2, 6, 8, 8 },
		["VERY MANY"] =   { 3, 8, 10, 10 },
	},
	DAEMON_TABLE_17_5 = {
		NONE =   { 0 },
		FEW =    { 0, 1, 2, 3, 3, 3, 3, 4, 4, 4, 5, 5, 5, 5, 6 },
		MANY =   { 2, 6, 8, 8, 8, 8, 9, 9, 9, 10, 11, 12},
		["VERY MANY"] =   { 3, 8, 10, 10, 10, 10, 11, 11, 11, 12, 12, 13},
	},
	SPAWN_TABLE = {
		FEW =  {
					[1] = { "COMMON", "COMMON"},
					[2] = { "COMMON", "COMMON", "COMMON"},
                	[3] = { "COMMON", "COMMON", "COMMON", "ELITE" },
	                [4] = { "COMMON", "COMMON", "COMMON", "ELITE", "CAMERA_DRONE" },
    	            [5] = { "COMMON", "COMMON", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [6] = { "COMMON", "ELITE", "ELITE", "ELITE", "ELITE", "CAMERA_DRONE" }, 
			        [7] = { "OMNI", "ELITE", "ELITE", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [8] = { "OMNI", "OMNI", "ELITE", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [9] = { "OMNI", "OMNI", "OMNI", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [10] = { "OMNI", "OMNI", "OMNI", "OMNI", "ELITE", "CAMERA_DRONE" },

			        [11] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" }, 
			        [12] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" }, 
					[13] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" }, 
					[14] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" }, 
			        [15] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" }, 
					[16] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" }, 	
			        [17] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" }, 
					[18] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" }, 
					[19] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" }, 
			        [20] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE","CAMERA_DRONE" }, 								
    	},
		MANY = {
			        [1] = { "COMMON", "COMMON", "COMMON","ELITE"},
			        [2] = { "COMMON", "COMMON", "COMMON", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [3] = { "COMMON", "ELITE", "ELITE", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [4] = { "OMNI", "ELITE", "ELITE", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [5] = { "OMNI", "OMNI", "ELITE", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [6] = { "OMNI", "OMNI", "OMNI", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [7] = { "OMNI", "OMNI", "OMNI", "OMNI", "ELITE", "CAMERA_DRONE" },
			        [8] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },
			        [9] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },	
			        [10] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },
			        
					[11] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },			        			        
			        [12] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },			        
					[13] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },			        			        
			        [14] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },			        
					[15] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE" },			        			        
			        [16] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE" },			        
					[17] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE","CAMERA_DRONE" }, 
			        [18] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE","CAMERA_DRONE" }, 
					[19] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE", "CAMERA_DRONE" },	
					[20] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE", "CAMERA_DRONE" },
    	},
		SWARMING = {
			        [1] = { "COMMON", "COMMON", "COMMON", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [2] = { "COMMON", "ELITE", "ELITE", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [3] = { "OMNI", "ELITE", "ELITE", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [4] = { "OMNI", "OMNI", "ELITE", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [5] = { "OMNI", "OMNI", "OMNI", "ELITE", "ELITE", "CAMERA_DRONE" },
			        [6] = { "OMNI", "OMNI", "OMNI", "OMNI", "ELITE", "CAMERA_DRONE" },
			        [7] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },
			        [8] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },	
			        [9] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },			        
					[10] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },	
					
			        [11] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },			        
					[12] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },			        			        
			        [13] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },			        
					[14] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE" },			        			        
			        [15] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE" },			        
					[16] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE","CAMERA_DRONE" }, 
			        [17] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE","CAMERA_DRONE" }, 
					[18] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE", "CAMERA_DRONE" },	
					[19] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE", "CAMERA_DRONE" },
					[20] = { "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "OMNI","OMNI", "CAMERA_DRONE", "CAMERA_DRONE" },
    	},
	},
	OMNI_SPAWN_TABLE =
    {
		FEW = { "PROTECTOR", "SOLDIER", "CRIER", "OMNI_NON_SOLDIER" }, 
		MANY = { "PROTECTOR", "SOLDIER", "CRIER", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },
		SWARMING = { "PROTECTOR", "SOLDIER", "CRIER", "OMNI", "OMNI", "OMNI", "OMNI", "OMNI", "CAMERA_DRONE" },
    }
}
return simdefs