local util = include("modules/util")
local simdefs = include("sim/simdefs")

rawset(simdefs,"ENABLE_RESERVE",false)
rawset(simdefs,"ENABLE_DAY1UPGRADES",false)
rawset(simdefs,"MAX_AGENT_COUNT",4)
rawset(simdefs,"MAX_AGENCY_SIZE",4)
rawset(simdefs,"RESERVE_UI_OFFSET",18)

simdefs.SCREEN_CUSTOMS = util.extend(simdefs.SCREEN_CUSTOMS) {
	["upgrade_screen.lua"] = {
		skins = {
			[5] = {
				children = {
					[3] = {
						name = [[check]],
						isVisible = true,
						noInput = true,
						anchor = 1,
						rotation = 0,
						x = 15,
						xpx = true,
						y = -15,
						ypx = true,
						w = 50,
						wpx = true,
						h = 50,
						hpx = true,
						sx = 1,
						sy = 1,
						ctor = [[image]],
						color =
						{
							1,
							1,
							1,
							1,
						},
						images =
						{
							{
								file = [[gui/icons/StorageStar.png]],
								name = [[]],
							},
						},
					}
				}
			}
		},
	
		widgets = {
			[4] = {
				children = {
					--[8] = {
					--	x = 272,
					--},
					--[9] = {
					--	x = 336,
					--},
					--[10] = {
					--	x = 400,
					--},
					--[11] = {
					--	x = 462,
					--},
					[27] = {
						name = [[reserveLeftBtn]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 234,
						xpx = true,
						y = 285,
						ypx = true,
						w = 14,
						wpx = true,
						h = 74,
						hpx = true,
						sx = 1,
						sy = 0.7,
						ctor = [[button]],
						clickSound = [[SpySociety/HUD/menu/click]],
						hoverSound = [[SpySociety/HUD/menu/rollover]],
						hoverScale = 1.1,
						halign = MOAITextBox.CENTER_JUSTIFY,
						valign = MOAITextBox.CENTER_JUSTIFY,
						text_style = [[]],
						images =
						{
							{
								file = [[gui/menu pages/upgrade_screen/arrowLeft_14x74.png]],
								name = [[inactive]],
								color =
								{
									0.30588236451149,
									0.533333361148834,
									0.533333361148834,
									1,
								},
							},
							{
								file = [[gui/menu pages/upgrade_screen/arrowLeft_14x74.png]],
								name = [[hover]],
							},
							{
								file = [[gui/menu pages/upgrade_screen/arrowLeft_14x74.png]],
								name = [[active]],
							},
						},
					},
					[28] = {
						name = [[reserveRightBtn]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 501,
						xpx = true,
						y = 285,
						ypx = true,
						w = 14,
						wpx = true,
						h = 74,
						hpx = true,
						sx = -1,
						sy = 0.7,
						ctor = [[button]],
						clickSound = [[SpySociety/HUD/menu/click]],
						hoverSound = [[SpySociety/HUD/menu/rollover]],
						hoverScale = 1.1,
						halign = MOAITextBox.CENTER_JUSTIFY,
						valign = MOAITextBox.CENTER_JUSTIFY,
						text_style = [[]],
						images =
						{
							{
								file = [[gui/menu pages/upgrade_screen/arrowLeft_14x74.png]],
								name = [[inactive]],
								color =
								{
									0.30588236451149,
									0.533333361148834,
									0.533333361148834,
									1,
								},
							},
							{
								file = [[gui/menu pages/upgrade_screen/arrowLeft_14x74.png]],
								name = [[hover]],
							},
							{
								file = [[gui/menu pages/upgrade_screen/arrowLeft_14x74.png]],
								name = [[active]],
							},
						},
					},
					[29] = {
						name = [[assignBtn]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 300,
						xpx = true,
						y = -325,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[screen_button]],
					},
				}
			}
		}
	},
	
	["hud.lua"] = {
		widgets = {
			[7] = {
				children = {
					[7] = {
						name = [[agent7]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 44,
						xpx = true,
						y = 259,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[8] = {
						name = [[agent8]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 44,
						xpx = true,
						y = 299,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[9] = {
						name = [[agent9]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 44,
						xpx = true,
						y = 339,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[16] = {
						name = [[agent16]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 134,
						xpx = true,
						y = 259,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[17] = {
						name = [[agent17]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 134,
						xpx = true,
						y = 299,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[18] = {
						name = [[agent18]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 134,
						xpx = true,
						y = 339,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[15] = {
						name = [[agent15]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 134,
						xpx = true,
						y = 219,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[14] = {
						name = [[agent14]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 134,
						xpx = true,
						y = 179,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[13] = {
						name = [[agent13]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 134,
						xpx = true,
						y = 139,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[12] = {
						name = [[agent12]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 134,
						xpx = true,
						y = 99,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[11] = {
						name = [[agent11]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 134,
						xpx = true,
						y = 59,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
					[10] = {
						name = [[agent10]],
						isVisible = true,
						noInput = false,
						anchor = 1,
						rotation = 0,
						x = 134,
						xpx = true,
						y = 19,
						ypx = true,
						w = 0,
						h = 0,
						sx = 1,
						sy = 1,
						skin = [[TeamItem]],
					},
				}
			}
		}
	}
}

