local simdrone = include("sim/units/simdrone")
local simdefs = include( "sim/simdefs" )
local mainframe = include( "sim/mainframe" )

function simdrone:processEMP(empTime, noEmpFX, noAttack, ignoreMagRei)
	if self:getTraits().magnetic_reinforcement and self:getTraits().mainframe_ice > 2 and not ignoreMagRei then
		local x1,y1 = self:getLocation()
		local sim = self._sim 
		mainframe.breakIce( sim, self, 2 )
		self._sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt=STRINGS.UI.TOOLTIPS.MAGNETIC_REINFOREMENTS,x=x1,y=y1,color={r=255/255,g=255/255,b=255/255,a=1}} )
	elseif self:getTraits().empDeath and not noAttack then
		self._sim:dispatchEvent( simdefs.EV_UNIT_HIT, {unit = self, result = 0, crit = false, fx = "emp"} )			
		self:killUnit( self._sim )
	elseif self:getTraits().empKO or (self:getTraits().empDeath and noAttack) then
		local x0,y0 = self:getLocation()
		self._sim:dispatchEvent( simdefs.EV_PLAY_SOUND, {sound="SpySociety/HitResponse/hitby_distrupter_flesh", x=x0,y=y0} )
        	self:setKO( self._sim, empTime, "emp" )
	end
end