local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local unitdefs = include("sim/unitdefs")
local simfactory = include( "sim/simfactory" )
local inventory = include("sim/inventory")
local abilityutil = include( "sim/abilities/abilityutil" )
local simunit = include( "sim/simunit" )

--thanks to Cyberboy2000 for the help!
include( "sim/units/simgrenade" )
local simgrenade = simfactory.createAction( "simgrenade" )
simgrenade.ClassType = nil
simgrenade._facing = nil
simgrenade._traits = nil
simgrenade._sounds = nil
simgrenade._skillCost = nil

local smoke_stun_grenade = { ClassType = "smoke_stun_grenade" }


function smoke_stun_grenade:onExplode( cells )
    local sim, player = self:getSim(), self:getPlayerOwner()

	sim:startTrackerQueue(true)				
	sim:startDaemonQueue()			
    sim:dispatchEvent( simdefs.EV_KO_GROUP, true )

	assert( self:getTraits().on_spawn )
	local newUnit = simfactory.createUnit( unitdefs.lookupTemplate( self:getTraits().on_spawn ), sim )
	sim:spawnUnit( newUnit )
	sim:warpUnit( newUnit, sim:getCell( self:getLocation() ) )	
	
	for i, cell in ipairs(cells) do
		for i, cellUnit in ipairs( cell.units ) do
			if self:getTraits().baseDamage 
			-- and simquery.isEnemyAgent( player, cellUnit) 
			and not cellUnit:getTraits().isDrone and cellUnit:getTraits().isAgent then
				if self:getTraits().canSleep then
					local damage = self:getTraits().baseDamage
					if self:getTraits().randomKODamage then
						local minDamage, maxDamage = self:getTraits().randomKODamage[1], self:getTraits().randomKODamage[2]
						damage = sim:nextRand(minDamage,  maxDamage)
					end

					if sim:isVersion("0.17.5") then
						damage = cellUnit:processKOresist( damage )
				    end	
					
					if not cellUnit:isKO() then						
						cellUnit:setKO(sim, damage)
						sim:getPC():glimpseUnit( sim, cellUnit:getID() )
					end
				else
					sim:damageUnit(cellUnit, self:getTraits().baseDamage)
				end
			end
		end
	end

    sim:dispatchEvent( simdefs.EV_KO_GROUP, false )
	sim:startTrackerQueue(false)				
	sim:processDaemonQueue()	

	
end

local function createSoundGrenade( unitData, sim )
	return simunit.createUnit( unitData, sim, simgrenade, smoke_stun_grenade )
end

simfactory.register( createSoundGrenade )


