local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )
local simfactory = include( "sim/simfactory" )
local simquery = include( "sim/simquery" )
local simunit = include( "sim/simunit" )

include( "sim/units/simgrenade" )
local simgrenade = simfactory.createAction( "simgrenade" )
simgrenade.ClassType = nil
simgrenade._facing = nil
simgrenade._traits = nil
simgrenade._sounds = nil
simgrenade._skillCost = nil

local crybaby_grenade = { ClassType = "crybaby_grenade" }

function crybaby_grenade:toggle( sim )
	if self:getTraits().cryBaby then
		local x0, y0 = self:getLocation()		    
		sim:emitSound( { path = self:getSounds().cry_baby, range = self:getTraits().range }, x0, y0, self )
  		sim:processReactions(self)		
		self:getTraits().mainframe_item = nil
		self:getTraits().mainframe_status = nil

		if self:getTraits().removeAfter then
    			self:deactivate()
    			local unitID = self:getID()
 			sim:warpUnit(self, nil)
			sim:despawnUnit( self )
			for i,player in ipairs(sim:getPlayers()) do			
				player:glimpseUnit(sim, unitID)
			end
		end
	end

	if self:getTraits().transporterBeacon then
		sim:getPC():addCPUs(- self:getTraits().PWRuse)
		local agent = nil
		for i,unit in pairs(sim:getAllUnits())do
			if unit:countAugments( "augment_particle_envelope" ) > 0 then
				agent = unit
			end
		end
		if agent then
			local cell = sim:getCell(self:getLocation())
			sim:dispatchEvent( simdefs.EV_UNIT_APPEARED, { unitID = agent:getID(), noSightingFx=true } )
			sim:dispatchEvent( simdefs.EV_TELEPORT, { units={agent}, warpOut =true } )
			sim:warpUnit( agent, cell )
			sim:dispatchEvent( simdefs.EV_UNIT_APPEARED, { unitID = agent:getID(), noSightingFx=true } )
			sim:dispatchEvent( simdefs.EV_TELEPORT, { units={agent}, warpOut =false } )
			sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = agent } )
			sim:processReactions( agent )
		end
		self:getTraits().cooldown = self:getTraits().coolDownUse
		self:getTraits().mainframe_item = nil
		self:getTraits().mainframe_status = nil  	
	end
end

local function createCrybabyGrenade( unitData, sim )
	return simunit.createUnit( unitData, sim, simgrenade, crybaby_grenade )
end

simfactory.register( createCrybabyGrenade )