local simparams = include( "sim/simparams" )
local util = include ("modules/util")

local old_createCampaign = simparams.createCampaign

function simparams.createCampaign( ... )
	local params = old_createCampaign( ... )
	
	if params.situationName and mod_manager.modMissionScriptsTyped[params.situationName] then
		for i, scriptTable in ipairs( mod_manager.modMissionScriptsTyped[params.situationName] ) do
			local scriptName = "custom_"..tostring(i)
			table.insert( params.scripts, scriptName )
			
			local path = params.scriptPath or "sim/missions/"

			package.loaded[path..scriptName] = scriptTable
			
			local mt = getmetatable(scriptTable) or {}
			
			if not scriptTable.__index then
				scriptTable.__index = scriptTable
			end
			
			if not mt._call then
			    mt.__call = function(class_tbl, ...)
					local obj = {}
					setmetatable(obj,scriptTable)
					obj._base = function( self )
						local m = getmetatable(self)
						return m._base
					end
	
					if class_tbl.init then
						class_tbl.init(obj,...)
					end
				
					return obj
				end
				
				setmetatable(scriptTable, mt)
			end
		end
	end
	
	return params
end

