local serverdefs = include( "modules/serverdefs" )
local util = include("client_util")
local simdefs = include( "sim/simdefs" )

local function createParams( levelFile )
	local missionVersion, difficulty, campaignDifficulty, missionCount, miniserversSeen, situationName, corpName, seed =
        levelFile:match( "GAME [[]([^]]+)[]][.](%d)[.](%d)[.](%d[.])(%d[.])([_%w]+)[.]([_%w]+)[.](%d+)$" )

	if seed == nil then
		return
		{
			levelFile = levelFile,
			difficulty = tonumber(difficulty) or 1,
			seed = config.LOCALSEED(),
			campaignDifficulty = simdefs.NORMAL_DIFFICULTY,
            		difficultyOptions = util.tcopy( simdefs.DIFFICULTY_OPTIONS[ simdefs.NORMAL_DIFFICULTY ] ),
            		agency = serverdefs.createAgency(),
            		scripts = { "premade_level" }
		}

	else	
		local situationData = serverdefs.SITUATIONS[ situationName ]
		local corpData = serverdefs.CORP_DATA[ corpName ]
		return
		{
			levelFile = situationData.levelFile or "lvl_procgen",
			difficulty = tonumber(difficulty),
			campaignDifficulty = tonumber(campaignDifficulty),
			difficultyOptions = util.tcopy( simdefs.DIFFICULTY_OPTIONS[ tonumber(campaignDifficulty) ] ),
			campaignHours = nil,
			miniserversSeen = miniserversSeen,
			missionCount = missionCount,
			music = corpData.music,
			world = corpData.world,
			situationName = situationName,
			scripts = situationData.scripts,		
			agency = serverdefs.createAgency(),
			seed = tonumber(seed),
			missionVersion = missionVersion,
		}
	end
end

return createParams