local serverdefs = include( "modules/serverdefs" )
local abilitydefs = include( "sim/abilitydefs" )
local util = include("client_util")
local simdefs = include("sim/simdefs")
local mainframe_common = include("sim/abilities/mainframe_common")
local rand = include( "modules/rand" )

local simparams = include( "sim/simparams" )

local baseCreateCampaign = simparams.createCampaign
function simparams.createCampaign( campaignData )
	assert( campaignData )

	local situationData = serverdefs.SITUATIONS[ campaignData.situation.name ]
	assert( situationData, campaignData.situation.name )
	local corpData = serverdefs.getCorpData( campaignData.situation )

	local params = baseCreateCampaign(campaignData)
	
	if campaignData.difficultyOptions.SITREP_program_storage then
		--we need to keep track of the players programs
		--params.agencyPrograms = util.tcopy( campaignData.agency.abilities ) --not here params arent reset on rewind
		
		--set the program loadout
		params.incognitaLoadout = campaignData.agency.programLoadout or {}
	end

	if campaignData.difficultyOptions.SITREP then
		--local gen = rand.createGenerator( params.seed )

		--add sitrep daemons to the sim params
		params.guardDaemons = {}
		for _, guardDaemon in ipairs( campaignData.situation.sitreps or {} ) do
			if serverdefs.SITREP_DAEMONS[guardDaemon] and serverdefs.SITREP_DAEMONS[guardDaemon].guardDaemon then
				table.insert( params.guardDaemons, guardDaemon )
				local daemon = abilitydefs.lookupAbility(guardDaemon)
				if daemon and daemon.onSimParams then
					daemon:onSimParams( params )
				end
			elseif serverdefs.INCOGNITA_PENALTIES[guardDaemon] and serverdefs.INCOGNITA_PENALTIES[guardDaemon].ipenaltyDaemon then
				--handle incognita penalties
				params.incognita_penalty = guardDaemon
			end
		end

		--params.seed = gen._seed
	end
	

	return params
end
