local simplayer = include("sim/simplayer")
local pcplayer = include("sim/pcplayer")
local aiplayer = include("sim/aiplayer")

local simability = include( "sim/simability" )

local baseAddMainframeAbility = aiplayer.addMainframeAbility --MAA Copy
function aiplayer:addMainframeAbility( sim, abilityID, hostUnit, reversalOdds )
	if self:isNPC() then
		local ability = simability.create( abilityID )
		local true_daemon = (not reversalOdds and not ability.noDaemonReversal) or (reversalOdds and reversalOdds > 0)
		sim:triggerEvent( "TRG_COIT_TRUE_DAEMON_INSTALL", true_daemon )
		
		--daemon server
		if true_daemon and sim:getPC():getTraits().coit_add_reversal_odds then
			reversalOdds = math.min( (reversalOdds or 10) + sim:getPC():getTraits().coit_add_reversal_odds, 100 )
		end
		
		--daemon blocker
		if true_daemon and sim:getPC():getTraits().coit_daemon_block then
			for _, blocker in ipairs( sim:getPC():getTraits().coit_daemon_block ) do
				if blocker.canBlockDaemon and blocker:canBlockDaemon( sim ) then
					reversalOdds = 100
					if blocker.daemonBlocked then
						blocker:daemonBlocked( sim )
					end
					
					break
				end
			end
		end
		baseAddMainframeAbility( self, sim, abilityID, hostUnit, reversalOdds )
	end
end
