local array = include("modules/array")
local simdefs = include("sim/simdefs")
local abilitydefs = include( "sim/abilitydefs" )
local simability = include( "sim/simability" )
local util = include("client_util")

local simplayer = include("sim/simplayer")
local pcplayer = include("sim/pcplayer")
local aiplayer = include("sim/aiplayer")

local basePCInit = pcplayer.init
function pcplayer:init( sim, agency )
	local agency_abilities_backup = util.tcopy( agency.abilities )
	if sim:getParams().difficultyOptions.SITREP_program_storage then
		agency.abilities = sim:getParams().incognitaLoadout
	end
	
	basePCInit( self, sim, agency )
	
	if sim:getParams().difficultyOptions.SITREP_program_storage then
		agency.abilities = agency_abilities_backup
	end
end

--add sitrep daemon ->see addMainframeAbility - no reversal, no TRG_DAEMON_INSTALL, no notification -> it shouldnt be considered a daemon gameplay wise
function simplayer:addSitrepDaemonAbility(sim, abilityID, hostUnit)
	local count = 0
	for _, ability in ipairs( self._mainframeAbilities ) do
		if ability:getID() == abilityID then
			count = count + 1
		end
	end

	local ability = simability.create( abilityID )

	if ability and count < (ability.max_count or math.huge) then
		table.insert( self._mainframeAbilities, ability )
		ability:spawnAbility( self._sim, self, hostUnit )
	end
end
aiplayer.addSitrepDaemonAbility = simplayer.addSitrepDaemonAbility

--function simplayer:lockdownMainframeAbilitySlot( slot_num )
--	--we keep track of our own about the locked abilities, so PE can't mess with us
--	if not self.sitrep_lockedMainframeAbilities then
--		self.sitrep_lockedMainframeAbilities = {}
--	end
--	table.insert( self.sitrep_lockedMainframeAbilities, slot_num )
--	table.insert( self._lockedMainframeAbilities, slot_num )
--end
--pcplayer.lockdownMainframeAbilitySlot = simplayer.lockdownMainframeAbilitySlot

--function simplayer:unlockMainframeAbilitySlot( slot_num )
--	if not self.sitrep_lockedMainframeAbilities then
--		return
--	end
--	for i, slot in ipairs(self._lockedMainframeAbilities) do
--		if slot == slot_num then
--			table.remove( self._lockedMainframeAbilities, i )
--			break
--		end
--	end
--	for i, slot in ipairs(self.sitrep_lockedMainframeAbilities) do
--		if slot == slot_num then
--			table.remove( self.sitrep_lockedMainframeAbilities, i )
--			break
--		end
--	end
--end
--pcplayer.unlockMainframeAbilitySlot = simplayer.unlockMainframeAbilitySlot

--we use our own function to lift locks. so we reapply all of our locks
--local baseUnlockAllMainframe = simplayer.unlockAllMainframe
--function simplayer:unlockAllMainframe()
--	baseUnlockAllMainframe( self)
--	
--	if self.sitrep_lockedMainframeAbilities then
--		for i, slot in ipairs(self.sitrep_lockedMainframeAbilities) do
--			table.insert( self._lockedMainframeAbilities, slot )
--		end
--	end
--end 
--pcplayer.unlockAllMainframe = simplayer.unlockAllMainframe
