local util = include("client_util")
local array = include("modules/array")
local abilitydefs = include( "sim/abilitydefs" )
local simstore = include( "sim/units/store" )

local baseCleanItemList = simstore.cleanItemList
function simstore.cleanItemList( sim, itemsList, ... )
	baseCleanItemList( sim, itemsList, ... )
	
	local current_location = sim:getParams().coit_location_name
	
	for i=#itemsList,1,-1 do
		local item = itemsList[i]
		
		if item.coit_locations and type(item.coit_locations) == "table" then
			if not current_location or not array.find(item.coit_locations, current_location) then
				table.remove(itemsList, i)
			end
		end
	end
end

local baseCleanProgramList = simstore.cleanProgramList
function simstore.cleanProgramList( sim, programList )
	local programList = baseCleanProgramList( sim, programList )
	
	local current_location = sim:getParams().coit_location_name
	
	for i=#programList,  1, -2 do
		local abilityDef = abilitydefs.lookupAbility( programList[i] )
		if abilityDef.coit_locations and type(abilityDef.coit_locations) == "table" then
			if not current_location or not array.find(abilityDef.coit_locations, current_location) then
				programList:removeByItem(programList[i])
			end
		end
	end

	return programList
end
