local simunit = include( "sim/simunit" )
local simdefs = include( "sim/simdefs" )
local simquery = include("sim/simquery")


--[==[]==]
local oldGetname = simunit.getName

function simunit:getName()
	if self:getTraits().isTimeDupUnit then
		
		return STRINGS.TIMEHOP.ABILITIES.DOPPLEMARK .. oldGetname ( self)
	end
	return oldGetname ( self)
end


local old_onStartTurn = simunit.onStartTurn
function simunit:onStartTurn( sim )
	for i,childUnit in ipairs(self:getChildren()) do
		local childTraits = childUnit:getTraits()
		
		local powerCost = childTraits.cooldownPWRcost 
		local skipPWRcost = childTraits.skipPWRcost 
		local cpus = self:getPlayerOwner():getCpus()
		
		if (childTraits.cooldown or 0) > 0 and powerCost and not skipPWRcost then
			
			if powerCost > cpus then
				childTraits.cooldown = childTraits.cooldown + 1
			else
				self:getPlayerOwner():addCPUs( -powerCost )
			end
		end
	end
	old_onStartTurn( self, sim )
end

--[==[

local oldkillUnit = simunit.killUnit
function simunit:killUnit( sim )

	if self:getTraits().isTimeTravellerYehBoi then	
		sim:triggerEvent( "timeTravellerKilled", {unit = simunit})
	end
	oldkillUnit(sim)
end

local oldOnStartTurn = simunit.onStartTurn
function simunit:onStartTurn( sim )

	local traits = self:getTraits()
	
	if traits.cooldown and traits.initialCooldown and sim:getTurnCount() = 1 then	
		traits.cooldown = traits.initialCooldown
	end
	
	onStartTurn(sim)
end

]==]