local simunit = include( "sim/simunit")
local simdefs = include( "sim/simdefs" )

local baseGetArmor = simunit.getArmor
function simunit:getArmor()
	local armor = baseGetArmor( self )
	
	if self:getTraits().coit_armor_mark then
		armor = math.max( armor - (#self:getTraits().coit_armor_mark or 0), 0 )
	end
	
	return armor
end

local baseOnEndTurn = simunit.onEndTurn
function simunit:onEndTurn( sim )
	baseOnEndTurn( self, sim )

	if self:getTraits().coit_armor_mark then
		for i=#self:getTraits().coit_armor_mark, 1, -1 do
			if self:getTraits().coit_armor_mark[i] ~= sim:getTurnCount() then
				table.remove( self:getTraits().coit_armor_mark, i )
			end
		end
		
		sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = self } )
	end
	
end

local baseProcessEMP = simunit.processEMP
function simunit:processEMP( bootTime, noEmpFX )
	if self._sim:getPC():getTraits().coit_console_boot and self:getTraits().mainframe_console and bootTime and bootTime > 0 then
		bootTime = math.max( bootTime + self._sim:getPC():getTraits().coit_console_boot, 1 )
	end
	baseProcessEMP( self, bootTime, noEmpFX )
end
