local simunit = include( "sim/simunit" )
local simdefs = include( "sim/simdefs" )
local simfactory = include( "sim/simfactory" )
local speechdefs = include("sim/speechdefs")

-----------------------------------------------------
-- Local functions

-- copied from NIAA by wodzu!
local ITB_shieldingRig = { ClassType = "ITB_shieldingRig" }

function ITB_shieldingRig:onSpawn( sim )
	sim:addTrigger( simdefs.TRG_UNIT_HIT, self )
end

function ITB_shieldingRig:onDespawn( sim )
	sim:removeTrigger( simdefs.TRG_UNIT_HIT, self )
end

function ITB_shieldingRig:onTrigger( sim, evType, evData )
	assert( evType == simdefs.TRG_UNIT_HIT )
	if evData["targetUnit"]:getTraits().neutralize_shield then
    	local x0, y0 = evData["targetUnit"]:getLocation()

		evData["targetUnit"]:getTraits().shieldsMax = evData["targetUnit"]:getTraits().neutralize_shield
		evData["targetUnit"]:getTraits().shields = evData["targetUnit"]:getTraits().neutralize_shield
		sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = evData["targetUnit"] } )
		sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = evData["sourceUnit"] } )
		if evData["sourceUnit"]:getBrain() then
			evData["sourceUnit"]:getBrain():reset()
		end
	end
end
-----------------------------------------------------
-- Interface functions


local function createItem( unitData, sim )
	return simunit.createUnit( unitData, sim, ITB_shieldingRig )
end

simfactory.register( createItem )

return {}