local simunit = include( "sim/simunit" )
local simdefs = include( "sim/simdefs" )
local simfactory = include( "sim/simfactory" )
local inventory = include( "sim/inventory" )
-----------------------------------------------------
-- Local functions

local CARMEN_augment_great_thief = { ClassType = "CARMEN_augment_great_thief" }

function CARMEN_augment_great_thief:onSpawn( sim )
	sim:addTrigger( simdefs.TRG_SAFE_LOOTED, self )
end

function CARMEN_augment_great_thief:onDespawn( sim )
	sim:removeTrigger( simdefs.TRG_SAFE_LOOTED, self )
end

function CARMEN_augment_great_thief:onTrigger( sim, evType, evData )
	assert( evType == simdefs.TRG_SAFE_LOOTED )
	if evType == simdefs.TRG_SAFE_LOOTED and evData.targetUnit:getTraits().safeUnit and evData.unit == self:getUnitOwner() and self:getTraits().cooldown <= 0 and (not evData.targetUnit:getTraits().carmenRobbed) then
    	       	local x0, y0 = evData.unit:getLocation()
		sim:getNPC():spawnInterest(x0, y0, simdefs.SENSE_RADIO, simdefs.REASON_ALARMEDSAFE, evData.unit)
		evData.targetUnit:getTraits().carmenRobbed = true
		evData.unit:addMP( self:getTraits().safeMP )
		sim:dispatchEvent( simdefs.EV_GAIN_AP, { unit = evData.unit } )
		inventory.useItem( sim, evData.unit, self )
	end
end

-----------------------------------------------------
-- Interface functions

local function createItem( unitData, sim )
	return simunit.createUnit( unitData, sim, CARMEN_augment_great_thief )
end

simfactory.register( createItem )

return {}