local skilldefs = include( "sim/skilldefs" )
local util = include("client_util")

skilldefs.sitrep_incognita_skills =
{
	slots =
	{
		name = STRINGS.SITREP.SKILLS.INCOGNITA.SLOTS.NAME,
		starting_level = 1,
		levels = 5,
		[1] =
		{
			cost = 0,
		},
		[2] =
		{
			cost = 250,
		},
		[3] =
		{
			cost = 500,
		},
		[4] =
		{
			cost = 1000,
		},
		[5] =
		{
			cost = 2000,
		},
		onTooltip = function ( self, tooltip, campaign )
			tooltip:addLine( "<ttheader>" .. self.name .. "</>" )
			tooltip:addDesc( util.sformat( STRINGS.SITREP.SKILLS.INCOGNITA.SLOTS.DESC, self[2].cost, self[3].cost, self[4].cost, self[5].cost, campaign.difficultyOptions.programCount or 5) )
		end,
	},
	
	pwrCapacity =
	{
		name = STRINGS.SITREP.SKILLS.INCOGNITA.CAPACITY.NAME,
		starting_level = 1,
		levels = 5,
		[1] =
		{
			cost = 0,
		},
		[2] =
		{
			cost = 400,
			onLearn = function( sim )
				sim:getPC():getTraits().PWRmaxBouns = (sim:getPC():getTraits().PWRmaxBouns or 0) + 5
			end,
		},
		[3] =
		{
			cost = 400,
			onLearn = function( sim )
				sim:getPC():getTraits().PWRmaxBouns = (sim:getPC():getTraits().PWRmaxBouns or 0) + 5
			end,
		},
		[4] =
		{
			cost = 400,
			onLearn = function( sim )
				sim:getPC():getTraits().PWRmaxBouns = (sim:getPC():getTraits().PWRmaxBouns or 0) + 3
			end,
		},
		[5] =
		{
			cost = 400,
			onLearn = function( sim )
				sim:getPC():getTraits().PWRmaxBouns = (sim:getPC():getTraits().PWRmaxBouns or 0) + 2
			end,
		},
		onTooltip = function ( self, tooltip, campaign )
			tooltip:addLine( "<ttheader>" .. self.name .. "</>" )
			tooltip:addDesc( util.sformat( STRINGS.SITREP.SKILLS.INCOGNITA.CAPACITY.DESC, campaign.difficultyOptions.maxPwr or 20, self[2].cost, self[3].cost, self[4].cost, self[5].cost) )
		end,
	},
}

