local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )
local skilldefs = include( "sim/skilldefs" )
local unitdefs = include( "sim/unitdefs" )
local simfactory = include( "sim/simfactory" )

local _skills =
{
	maa_sharp_reactor =
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.SHARP_REACTOR.NAME,
		levels = 5,
		description = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.SHARP_REACTOR.DESC,

		[1] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.SHARP_REACTOR.TOOLTIP_BASE,
			cost = 0,
			onLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = (unit:getTraits().maa_sharp_reactor or 0) + 1
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = unit:getTraits().maa_sharp_reactor - 1
			end,
		},
		[2] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.SHARP_REACTOR.TOOLTIP,
			cost = 1000,
			onLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = (unit:getTraits().maa_sharp_reactor or 0) + 2
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = unit:getTraits().maa_sharp_reactor - 2
			end,
		},
		[3] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.SHARP_REACTOR.TOOLTIP,
			cost = 1500,
			onLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = (unit:getTraits().maa_sharp_reactor or 0) + 2
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = unit:getTraits().maa_sharp_reactor - 2
			end,
		},
		[4] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.SHARP_REACTOR.TOOLTIP,
			cost = 2000,
			onLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = (unit:getTraits().maa_sharp_reactor or 0) + 2
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = unit:getTraits().maa_sharp_reactor - 2
			end,
		},
		[5] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.SHARP_REACTOR.TOOLTIP,
			cost = 2500,
			onLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = (unit:getTraits().maa_sharp_reactor or 0) + 2
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_sharp_reactor = unit:getTraits().maa_sharp_reactor - 2
			end,
		},
	},

	maa_battery =
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.BATTERY.NAME,
		levels = 5,
		description = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.BATTERY.DESC,

		[1] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.BATTERY.TOOLTIP_1,
			cost = 0,
			onLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) + 10
				if unit:getTraits().inventoryMaxSize and unit:getTraits().inventoryMaxSize == 1 then
					if sim then --Don't remove inventory during upgrade screen.
						unit:getTraits().inventoryMaxSize = nil
					end
				end
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) - 10
				unit:getTraits().inventoryMaxSize = 1
			end,
		},
		[2] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.BATTERY.TOOLTIP_2,
			cost = 200,
			onLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) + 2
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) - 2
			end,
		},
		[3] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.BATTERY.TOOLTIP_3,
			cost = 250,
			onLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) + 2
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) - 2
			end,
		},
		[4] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.BATTERY.TOOLTIP_4,
			cost = 300,
			onLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) + 2
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) - 2
			end,
		},
		[5] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.BATTERY.TOOLTIP_5,
			cost = 600,
			onLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) + 2
				unit:getTraits().mpMax = unit:getTraits().mpMax + 1
				unit:getTraits().mp = unit:getTraits().mp + 1
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_drone_battery = (unit:getTraits().maa_drone_battery or 0) - 2
				unit:getTraits().mpMax = unit:getTraits().mpMax - 1
				unit:getTraits().mp = unit:getTraits().mp - 1
			end,
		},
	},

	maa_weaponry =
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.WEAPONRY.NAME,
		levels = 5,
		description = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.WEAPONRY.DESC,

		[1] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.WEAPONRY.TOOLTIP_1,
			cost = 0,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
		},
		[2] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.WEAPONRY.TOOLTIP_2,
			cost = 400,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local weapon = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_turret then
						weapon = child
						break
					end
				end

				if not weapon then
					--first time after upgrading the skill. install the weapon
					local template = unitdefs.lookupTemplate("maa_drone_turret")
					local weapon_unit = simfactory.createUnit( template, sim )
					sim:spawnUnit( weapon_unit )
					unit:addChild( weapon_unit )
				end
			end,
		},
		[3] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.WEAPONRY.TOOLTIP_3,
			cost = 200,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local weapon = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_turret then
						weapon = child
						break
					end
				end

				if weapon then
					weapon:getTraits().armorPiercing = (weapon:getTraits().armorPiercing or 0) + 1
				end
			end,
		},
		[4] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.WEAPONRY.TOOLTIP_4,
			cost = 300,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local weapon = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_turret then
						weapon = child
						break
					end
				end

				if weapon then
					weapon:getTraits().armorPiercing = (weapon:getTraits().armorPiercing or 0) + 1
				end
			end,
		},
		[5] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.WEAPONRY.TOOLTIP_5,
			cost = 1000,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local weapon = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_turret then
						weapon = child
						break
					end
				end

				if weapon then
					weapon:getTraits().armorPiercing = (weapon:getTraits().armorPiercing or 0) + 1
					weapon:getTraits().xray = true
				end
			end,
		},
	},

	maa_magazine =
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.MAGAZINE.NAME,
		levels = 5,
		description = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.MAGAZINE.DESC,

		[1] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.MAGAZINE.TOOLTIP_1,
			cost = 0,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
		},
		[2] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.MAGAZINE.TOOLTIP_2,
			cost = 100,
			onLearn = function(sim, unit)
				unit:getTraits().maa_drone_clip = (unit:getTraits().maa_drone_clip or 0) + 1
				unit:getTraits().maa_clip_cost = (unit:getTraits().maa_clip_cost or 0) + 650
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_drone_clip = (unit:getTraits().maa_drone_clip or 0) - 1
				unit:getTraits().maa_clip_cost = (unit:getTraits().maa_clip_cost or 0) - 650
			end,
		},
		[3] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.MAGAZINE.TOOLTIP_3,
			cost = 400,
			onLearn = function(sim, unit)
				unit:getTraits().maa_clip_cost = (unit:getTraits().maa_clip_cost or 0) - 250
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_clip_cost = (unit:getTraits().maa_clip_cost or 0) + 250
			end,
		},
		[4] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.MAGAZINE.TOOLTIP_4,
			cost = 400,
			onLearn = function(sim, unit)
				unit:getTraits().maa_clip_cost = (unit:getTraits().maa_clip_cost or 0) - 200
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_clip_cost = (unit:getTraits().maa_clip_cost or 0) + 200
			end,
		},
		[5] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.MAGAZINE.TOOLTIP_5,
			cost = 600,
			onLearn = function(sim, unit)
				unit:getTraits().maa_drone_clip = (unit:getTraits().maa_drone_clip or 0) + 1
			end,
			onUnLearn = function(sim, unit)
				unit:getTraits().maa_drone_clip = (unit:getTraits().maa_drone_clip or 0) - 1
			end,
		},
	},

	maa_toolkit_scout =
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SCOUT.NAME,
		levels = 5,
		description = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SCOUT.DESC,

		[1] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SCOUT.TOOLTIP_1,
			cost = 0,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
		},
		[2] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SCOUT.TOOLTIP_2,
			cost = 150,
			onLearn = function(sim, unit)
				unit:giveAbility( "observePath" )
			end,
			onUnLearn = function(sim, unit)
				unit:removeAbility( sim, "observePath" )
			end,
			onLearn_late = function( sim, unit )
				local toolkit = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_toolkit_scout then
						toolkit = child
						break
					end
				end

				if not toolkit then
					--first time after upgrading the skill. install the toolkit
					local template = unitdefs.lookupTemplate("maa_drone_toolkit_scout")
					local toolkit_unit = simfactory.createUnit( template, sim )
					sim:spawnUnit( toolkit_unit )
					unit:addChild( toolkit_unit )
				end
			end,
		},
		[3] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SCOUT.TOOLTIP_3,
			cost = 300,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local toolkit = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_toolkit_scout then
						toolkit = child
						break
					end
				end

				if toolkit then
					toolkit:giveAbility( "maa_drone_scan" )
				end
			end,
		},
		[4] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SCOUT.TOOLTIP_4,
			cost = 400,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local toolkit = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_toolkit_scout then
						toolkit = child
						break
					end
				end

				if toolkit then
					toolkit:giveAbility( "maa_drone_door_hack" )
				end
			end,
		},
		[5] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SCOUT.TOOLTIP_5,
			cost = 500,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local toolkit = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_toolkit_scout then
						toolkit = child
						break
					end
				end

				if toolkit then
					toolkit:getTraits().weaponType = "pistol"
					toolkit:getTraits().baseDamage = 0
					toolkit:getTraits().pwrCost = 1
					toolkit:getTraits().canTag = true
					toolkit:getTraits().noTargetAlert = true
					toolkit:getTraits().ignoreArmor = true
					toolkit:getTraits().nopwr_guards = {}
					toolkit:getTraits().doNotInterruptMove = true
					toolkit:getTraits().equipped = true
					toolkit:getTraits().slot = "gun"

					toolkit:giveAbility( "shootSingle" )
					toolkit:giveAbility( "equippable" )
				end
			end,
		},
	},

	maa_cloaking_frame =
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.CLOAKING_FRAME.NAME,
		levels = 5,
		description = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.CLOAKING_FRAME.DESC,

		[1] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.CLOAKING_FRAME.TOOLTIP_1,
			cost = 0,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
		},
		[2] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.CLOAKING_FRAME.TOOLTIP_2,
			cost = 300,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local cloak = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_cloak then
						cloak = child
						break
					end
				end

				if not cloak then
					--first time after upgrading the skill. install the cloak
					local template = unitdefs.lookupTemplate("maa_drone_cloaking_frame")
					local cloak_unit = simfactory.createUnit( template, sim )
					sim:spawnUnit( cloak_unit )
					unit:addChild( cloak_unit )
				end
			end,
		},
		[3] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.CLOAKING_FRAME.TOOLTIP_3,
			cost = 400,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local cloak = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_cloak then
						cloak = child
						break
					end
				end

				if cloak then
					cloak:getTraits().cooldownMax = (cloak:getTraits().cooldownMax or 20) - 10
				end
			end,
		},
		[4] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.CLOAKING_FRAME.TOOLTIP_4,
			cost = 500,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local cloak = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_cloak then
						cloak = child
						break
					end
				end

				if cloak then
					cloak:getTraits().cooldownMax = (cloak:getTraits().cooldownMax or 20) - 5
				end
			end,
		},
		[5] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.CLOAKING_FRAME.TOOLTIP_5,
			cost = 600,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local cloak = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_cloak then
						cloak = child
						break
					end
				end

				if cloak then
					cloak:getTraits().pwrCost = (cloak:getTraits().pwrCost or 5) - 2
				end
			end,
		},
	},

	maa_toolkit_support =
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SUPPORT.NAME,
		levels = 5,
		description = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SUPPORT.DESC,

		[1] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SUPPORT.TOOLTIP_1,
			cost = 0,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
		},
		[2] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SUPPORT.TOOLTIP_2,
			cost = 250,
			onLearn = function(sim, unit)
				unit:getTraits().inventoryMaxSize = (unit:getTraits().inventoryMaxSize or 1) + 1
				unit:getTraits().maa_cant_steal = false
				unit:giveSkill( "anarchy", 2, sim )
			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local toolkit = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_toolkit_support then
						toolkit = child
						break
					end
				end

				if not toolkit then
					--first time after upgrading the skill. install the toolkit
					local template = unitdefs.lookupTemplate("maa_drone_toolkit_support")
					local toolkit_unit = simfactory.createUnit( template, sim )
					sim:spawnUnit( toolkit_unit )
					unit:addChild( toolkit_unit )
				end
			end,
		},
		[3] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SUPPORT.TOOLTIP_3,
			cost = 350,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local toolkit = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_toolkit_support then
						toolkit = child
						break
					end
				end

				if toolkit then
					toolkit:giveAbility( "maa_drone_icebreak" )
				end
			end,
		},
		[4] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SUPPORT.TOOLTIP_4,
			cost = 500,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local toolkit = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_toolkit_support then
						toolkit = child
						break
					end
				end

				if toolkit then
					toolkit:giveAbility( "maa_drone_mark_target" )
				end
			end,
		},
		[5] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.TOOLKIT_SUPPORT.TOOLTIP_5,
			cost = 500,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local toolkit = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_toolkit_support then
						toolkit = child
						break
					end
				end

				if toolkit then
					toolkit:giveAbility( "maa_drone_pwr_gen" )
				end
			end,
		},
	},

	maa_drone_hacking =
	{
		name = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.DRONE_HACKING.NAME,
		levels = 5,
		description = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.DRONE_HACKING.DESC,

		[1] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.DRONE_HACKING.TOOLTIP_1,
			cost = 0,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
		},
		[2] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.DRONE_HACKING.TOOLTIP_2,
			cost = 200,
			onLearn = function(sim, unit)
				unit:giveAbility( "jackin" )
			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local hacking = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_hacking_tool then
						hacking = child
						break
					end
				end

				if not hacking then
					--first time after upgrading the skill. install the toolkit
					local template = unitdefs.lookupTemplate("maa_drone_hacking_tools")
					local hacking_unit = simfactory.createUnit( template, sim )
					sim:spawnUnit( hacking_unit )
					unit:addChild( hacking_unit )
				end
			end,
		},
		[3] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.DRONE_HACKING.TOOLTIP_3,
			cost = 300,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local hacking = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_hacking_tool then
						hacking = child
						break
					end
				end

				if hacking then
					hacking:giveAbility( "maa_drone_id_daemon" )
				end
			end,
		},
		[4] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.DRONE_HACKING.TOOLTIP_4,
			cost = 500,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local hacking = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_hacking_tool then
						hacking = child
						break
					end
				end

				if hacking then
					hacking:giveAbility( "maa_drone_reboot_device" )
				end
			end,
		},
		[5] =
		{
			tooltip = STRINGS.MORE_ARCHIVE_AGENTS.SKILLS.DRONE_HACKING.TOOLTIP_5,
			cost = 750,
			onLearn = function(sim, unit)

			end,
			onUnLearn = function(sim, unit)

			end,
			onLearn_late = function( sim, unit )
				local hacking = nil
				for _, child in ipairs( unit:getChildren() ) do
					if child:getTraits().maa_is_umi_drone_hacking_tool then
						hacking = child
						break
					end
				end

				if hacking then
					hacking:giveAbility( "maa_drone_swap_daemon" )
				end
			end,
		},
	},
}

local base_skills_extends =
{
	inventory =
	{
		[2] = 
		{
			onUnLearn = function(sim, unit)
				unit:getTraits().inventoryMaxSize = unit:getTraits().inventoryMaxSize - 1
    				unit:getTraits().dragCostMod = unit:getTraits().dragCostMod - 0.5
			end,
		},
		[3] = 
		{
			onUnLearn = function(sim, unit)
				unit:getTraits().inventoryMaxSize = unit:getTraits().inventoryMaxSize - 1
			end,
		},
		[4] = 
		{
			onUnLearn = function(sim, unit)
				unit:getTraits().inventoryMaxSize = unit:getTraits().inventoryMaxSize - 1
    				unit:getTraits().dragCostMod = unit:getTraits().dragCostMod - 0.5
			end,
		},
		[5] = 
		{
			onUnLearn = function(sim, unit)
				unit:getTraits().inventoryMaxSize = unit:getTraits().inventoryMaxSize - 1
    				unit:getTraits().meleeDamage = unit:getTraits().meleeDamage - 1
			end,
		},
	},
	
	anarchy = 
	{
		[3] = 
		{
			onUnLearn = function(sim, unit)
				unit:getTraits().stealBonus = unit:getTraits().stealBonus - 0.15
			end,
		},
		[4] = 
		{
			onUnLearn = function(sim, unit)
				unit:getTraits().stealBonus = unit:getTraits().stealBonus - 0.20
			end,
		},
		[4] = 
		{
			onUnLearn = function(sim, unit)
				unit:getTraits().anarchyItemBonus = nil
			end,
		},
	},
}

for skillID, skill_adjust in pairs( base_skills_extends ) do
	for level, adjusts in pairs( skill_adjust ) do
		for k, entry in pairs( adjusts) do
			skilldefs.lookupSkill(skillID)[level][k] = entry
		end
	end
end

local baseLookupSkill = skilldefs.lookupSkill
function skilldefs.lookupSkill( skillID )
	assert( skillID )
	return _skills[ skillID ] or baseLookupSkill( skillID )
end

local skillpaths =
{
	drone_combat =
	{
		skills =
		{
			"maa_weaponry",
			"maa_magazine",
		},
		preview = "maa_drone_skillpath_combat",
	},

	drone_scout =
	{
		skills =
		{
			"maa_toolkit_scout",
			"maa_cloaking_frame",
		},
		preview = "maa_drone_skillpath_scout",
	},

	drone_support =
	{
		skills =
		{
			"maa_toolkit_support",
			"maa_drone_hacking",
		},
		preview = "maa_drone_skillpath_support",
	},
}

function skilldefs.lookupSkillpath( skillpathID )
	return skillpaths [skillpathID]
end
