local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local unitdefs = include("sim/unitdefs")
local simfactory = include( "sim/simfactory" )
local inventory = include("sim/inventory")
local abilityutil = include( "sim/abilities/abilityutil" )
local guarddefs = include("sim/unitdefs/guarddefs")


local smoke_colourchange = 
	{
		name = "changecolours",
	
		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_hijack_small.png",
		getName = function( self, sim, unit )
		
			return "change_smoke_colour"
		end,

		canUseAbility = function( self, sim, unit )
			return true
		end,

		onTrigger = function( self, sim, evType, evData, userUnit )
			if evType == simdefs.TRG_ALARM_STATE_CHANGE then
			elseif evType == simdefs.EV_UNIT_THROW then
					
					-- this is overkill but....
					local props = unitdefs.prop_templates
					if props.smoke_cloud_wilson then
					
					log:write("LOG smoke cloud wilson")
					log:write(util.stringize(props.smoke_cloud_wilson,2))
						props.smoke_cloud_wilson.traits.gasColor = props.smoke_cloud_wilson.traits.gascolours[sim:nextRand( 1, #props.smoke_cloud_wilson.traits.gascolours)]
					end
					
				end
		end,
		
		onSpawnAbility = function( self, sim, unit )
			sim:addTrigger( simdefs.TRG_ALARM_STATE_CHANGE, self )
			self.abilityOwner = unit:getUnitOwner()
			self.abilityUser = unit
		end,
		
		onDespawnAbility = function( self, sim, unit )
			sim:removeTrigger( simdefs.TRG_ALARM_STATE_CHANGE, self )
		end,
		
	}
	
return smoke_colourchange




