local campaigngame = include( "states/state-campaigngame" )
local util = include( "modules/util" )
local simquery = include("sim/simquery")
local simdefs = include("sim/simdefs")

local _onUpdate = campaigngame.onUpdate

local function isInCombat(sim)
	if sim:isGameOver() then
		return false
	end

	for i, situation in pairs(sim:getNPC().situations[simdefs.SITUATION_COMBAT]) do
		for id, unit in pairs(situation.units) do
			return sim:getCurrentPlayer():isPC()
		end
	end
	
	return false
end

local function savePanicTimeAttack(self)
	local user = savefiles.getCurrentGame()
	local campaign = user.data.saveSlots[ user.data.currentSaveSlot ]
	campaign.difficultyOptions.beforePanicTimeAttack = self.params.difficultyOptions.beforePanicTimeAttack
	campaign.difficultyOptions.timeAttack = self.params.difficultyOptions.timeAttack
	campaign.difficultyOptions.beforePanicChessTimer = self.params.difficultyOptions.beforePanicChessTimer
end

function campaigngame:onUpdate()
	if self.params.difficultyOptions.panicTimeAttack then
		if self.hud and self.params.difficultyOptions.beforePanicTimeAttack == 0 then
			self.hud._screen:findWidget("totalTimer"):setVisible(false)
		end
	
		if isInCombat(self.simCore) then
			if not self.params.difficultyOptions.beforePanicTimeAttack then
				if self.params.difficultyOptions.timeAttack == 0 or self.params.difficultyOptions.timeAttack - self.chessTimer > self.params.difficultyOptions.panicTimeAttack then
					if self.chessTimer then
						self.chessTimeTotal = self.chessTimeTotal + self.chessTimer
					else
						self.chessTimeTotal = 0
					end
					
					self.params.difficultyOptions.beforePanicTimeAttack = self.params.difficultyOptions.timeAttack
					self.params.difficultyOptions.beforePanicChessTimer = self.chessTimer
					self.chessTimer = 0
					self.params.difficultyOptions.timeAttack = self.params.difficultyOptions.panicTimeAttack
					if self.hud then
						self.hud._screen:findWidget("timeProgress"):setVisible(true)
						self.hud._screen:findWidget("timeAttackTxt"):setVisible(true)
					end
				end
			end
		else
			if self.params.difficultyOptions.beforePanicTimeAttack then
				if self.params.difficultyOptions.beforePanicChessTimer then
					self.chessTimeTotal = self.chessTimeTotal - self.params.difficultyOptions.beforePanicChessTimer
					self.chessTimer = self.params.difficultyOptions.beforePanicChessTimer + self.chessTimer
					self.params.difficultyOptions.beforePanicChessTimer = nil
				else
					self.chessTimer = nil
					if self.hud then
						self.hud._screen:findWidget("timeProgress"):setVisible(false)
						self.hud._screen:findWidget("timeAttackTxt"):setVisible(false)
					end
				end
				
				self.params.difficultyOptions.timeAttack = self.params.difficultyOptions.beforePanicTimeAttack
				self.params.difficultyOptions.beforePanicTimeAttack = nil
			end
		end
	end
	
	_onUpdate( self )
end

local _doEndTurn = campaigngame.doEndTurn

function campaigngame:doEndTurn()
    if self.params.difficultyOptions.beforePanicChessTimer then
        self.params.difficultyOptions.beforePanicChessTimer = 0
    end
    _doEndTurn( self )
end

local _saveCampaign = campaigngame.saveCampaign

function campaigngame:saveCampaign()
	if self.params.campaignHours ~= nil and not config.NOSAVES and not self.simCore:isGameOver() then
		savePanicTimeAttack(self)
	end
	
	return _saveCampaign(self)
end

local _showPostGame = campaigngame.showPostGame

function campaigngame:showPostGame()
	savePanicTimeAttack(self)
	return _showPostGame(self)
end