local mui = include( "mui/mui" )
local mui_defs = include( "mui/mui_defs" )
local mui_util = include( "mui/mui_util" )
local cdefs = include( "client_defs" )
local util = include( "client_util" )
local array = include( "modules/array" )

local fullscreenPortrait = class()

function fullscreenPortrait:init()
	local screen = mui.createScreen( "fullscreenPortrait" )
	self._screen = screen
end

function fullscreenPortrait:onLoad()
	MOAIFmodDesigner.playSound(  cdefs.SOUND_HUD_MENU_POPUP )
	mui.activateScreen( self._screen )
	inputmgr.addListener( self, 1 )
end

function fullscreenPortrait:onUnload()
	MOAIFmodDesigner.playSound(  cdefs.SOUND_HUD_MENU_POPDOWN  )
	mui.deactivateScreen( self._screen )
	inputmgr.removeListener( self )
end

function fullscreenPortrait:show( unit, still )
	if not self._screen then
		self:init()
	end
	
	if unit and unit:getUnitData().profile_anim then
		self._screen.binder.agentProfileAnim:bindBuild( unit:getUnitData().profile_build or unit:getUnitData().profile_anim )
		self._screen.binder.agentProfileAnim:bindAnim( unit:getUnitData().profile_anim )
		
		if still then
			self._screen.binder.agentProfileAnim:setPlayMode( KLEIAnim.STOP )
		else
			self._screen.binder.agentProfileAnim:setPlayMode( KLEIAnim.LOOP )
		end

		statemgr.activate( self )
	end
end

function fullscreenPortrait:isActive()
	return self._screen and self._screen:isActive()
end

function fullscreenPortrait:setColor( color )
	if not self._screen then
		self:init()
	end
	
	self._screen.binder.bg:setColor( unpack(color) )
end

function fullscreenPortrait:onInputEvent( event )
	if event.eventType == mui_defs.EVENT_KeyDown then
        if event.key == mui_defs.K_ESCAPE then
			statemgr.deactivate( self )
            return true
        end
    end
end

return fullscreenPortrait