local stateGenerationOptions = include( "states/state-generation-options" )

local util = include("client_util")
local array = include( "modules/array" )
local mui = include( "mui/mui" )
local serverdefs = include( "modules/serverdefs" )
local modalDialog = include( "states/state-modal-dialog" )
local rig_util = include( "gameplay/rig_util" )
local cdefs = include("client_defs")
local scroll_text = include("hud/scroll_text")
local unitdefs = include( "sim/unitdefs" )
local metadefs = include( "sim/metadefs" )
local simdefs = include( "sim/simdefs" )
local movieScreen = include('client/fe/moviescreen')
local stateTeamPreview = include( "states/state-team-preview" )
local mui_button = include( "mui/widgets/mui_button" )

local oldOnLoad = stateGenerationOptions.onLoad
local proxy = {}

local function onClickPresetBtn(self)
	local options = self:retrieveOptions()
	local dlcOptions = self:retrieveDLCOptions(options)
    local dlc_res = proxy.statePresetSelection:show(self._diff, options, dlcOptions)
    if dlc_res then
		self._dlcSelections = proxy.statePresetSelection.dlcOptions
		self:refreshGenerationOptions()
		self:selectDifficulty( proxy.statePresetSelection.difficulty )
        self:applyOptions( proxy.statePresetSelection.options )
        self:applyDLCOptions( proxy.statePresetSelection.dlcOptions, proxy.statePresetSelection.options )
    end
end

function stateGenerationOptions.onLoad( self, difficulty, difficultyOptions )
	oldOnLoad( self, difficulty, difficultyOptions )
	
    self._panel.binder.presetBtn.binder.btn.onClick = util.makeDelegate( nil, onClickPresetBtn, self) 
    self._panel.binder.presetBtn.binder.btn:setText("CUSTOM PRESETS")
    self._panel.binder.presetBtn.binder.btn:setClickSound(cdefs.SOUND_HUD_MENU_CLICK)
	
	if not difficultyOptions then
		local options = self:retrieveOptions()
		local dlcOptions = self:retrieveDLCOptions(options)
		if proxy.statePresetSelection:peek(self._diff, options, dlcOptions) then
			self._dlcSelections = proxy.statePresetSelection.dlcOptions
			self:refreshGenerationOptions()
			self:selectDifficulty( proxy.statePresetSelection.difficulty )
			self:applyOptions( proxy.statePresetSelection.options )
			self:applyDLCOptions( proxy.statePresetSelection.dlcOptions, proxy.statePresetSelection.options )
		end
	end
end

return proxy