local simdefs = include("sim/simdefs")
local agentdefs = include("sim/unitdefs/agentdefs")

local mapScreen = include("states/state-map-screen")

local oldClosePreview = mapScreen.closePreview
local oldOnLoad = mapScreen.onLoad

function mapScreen:closePreview(preview_screen, situation, go_to_there, ...)
	local campaign = self._campaign
	if go_to_there then
		if campaign.campaignEvents then
			for i=#campaign.campaignEvents,0,-1 do
				local event = campaign.campaignEvents[i] 
				if event then
					if event.eventType == simdefs.CAMPAIGN_EVENTS.ADD_AGENT then                 
						if situation.name == event.mission then

							local agentPresent = false
							for v,agent in pairs (campaign.agency.unitDefs)do
								if agent.id == event.data.agent then
									agentPresent = v
								end						
							end
							
							if not campaign.agency.equippedAgents then
								campaign.agency.equippedAgents = math.min(#campaign.agency.unitDefs,simdefs.MAX_AGENT_COUNT)
							end
							
							if agentPresent then
								if agentPresent > campaign.agency.equippedAgents then
									--Force Equip
									local unitDef = table.remove(campaign.agency.unitDefs,agentPresent)
									campaign.agency.equippedAgents = campaign.agency.equippedAgents+1
									table.insert(campaign.agency.unitDefs,campaign.agency.equippedAgents,unitDef)
								end
							else
								local unitDef = nil

								for v,template in pairs(agentdefs) do
									if template.agentID == event.data.agent then
										unitDef = 
										{
											id = template.agentID,
											template = v,
											upgrades = template.upgrades,
										}
									end
								end

								if unitDef then
									print("ADDING AGENT", unitDef.template )
									campaign.agency.equippedAgents = campaign.agency.equippedAgents+1
									table.insert(campaign.agency.unitDefs,campaign.agency.equippedAgents,unitDef)
								end
		
								-- if a remove trigger, add it
								if event.data.removeMission then
									local newEvent = 
									{
										eventType = simdefs.CAMPAIGN_EVENTS.REMOVE_AGENT,
										mission = event.data.removeMission,   
										data = event.data.agent,
									}
									table.insert(campaign.campaignEvents, newEvent)
								end
							end
							table.remove(campaign.campaignEvents,i)     
						end
					end           		
				end
			end
    	end
	end
	oldClosePreview(self, preview_screen, situation, go_to_there, ...)
end

function mapScreen:onLoad(...)
	oldOnLoad(self,...)

	if simdefs.ENABLE_DAY1UPGRADES then
		self._screen.binder.pnl:findWidget("upgradeBtn"):setVisible(true)
	end
end