local simdefs = include("sim/simdefs")
local modalDialog = include( "states/state-modal-dialog" )

local stateUpgradeScreen = include( "states/state-upgrade-screen" )

local function onClickInv(self, unit, unitDef, upgrade, index, itemIndex )

	if self._agency.upgrades and #self._agency.upgrades >= simdefs.agencyInventorySize then
		MOAIFmodDesigner.playSound("SpySociety/HUD/gameplay/upgrade_cancel_unit")
		modalDialog.show( STRINGS.UI.REASON.FULL_STASH )
	else
		MOAIFmodDesigner.playSound("SpySociety/HUD/gameplay/HUD_ItemStorage_PutIn")
		if not self._agency.upgrades then
			self._agency.upgrades ={}
		end
		table.insert(self._agency.upgrades,upgrade)
		table.remove(unitDef.upgrades,itemIndex)
	end
	
	self:refreshInventory(unitDef,index)
end

local oldRefreshInventory = stateUpgradeScreen.refreshInventory

stateUpgradeScreen.refreshInventory = function( self, unitDef, index )
	oldRefreshInventory( self, unitDef, index )
	
	for i, widget in self.screen.binder:forEach( "inv_" ) do
		if widget.binder.btn.onClick then
			widget.binder.btn.onClick._fn = onClickInv
		end
	end
end