local function what ()
	local d = debug.getinfo(3, "S")
	return d and d.what or "C"
end

local STRICT_MT = {
    __newIndex = function(t, n, v)
	    local w = what()
	    if w ~= "main" and w ~= "C" then
		    assert(nil, "assign to undeclared variable '"..n.."'\n"..debug.traceback())
	    end
	    rawset(t, n, v)
    end,
 
    __index = function(t, n)
	    if what() ~= "C" then
		    assert(nil, "variable '"..tostring(n).."' is not declared\n"..debug.traceback())
	    end
	    return rawget(t, n)
    end
}

local mt = getmetatable(_G)
if mt then
	mt.__index = STRICT_MT.__index
	mt.__newIndex = STRICT_MT.__newIndex
else
	setmetatable(_G,STRICT_MT)
end