local DLC_STRINGS =
{
	OPTIONS = {
		ASH = "ENABLE ASH",
		ASH_TIP = "Ash, unhinged cyborg doctor.",
		LOBA = "ENABLE LOBA",
		LOBA_TIP = "Loba, translocating thief.",
		WRAITH = "ENABLE WRAITH",
		WRAITH_TIP = "Wraith, dimension-hopping traveller.",
		WRAITH_RESCUABLE = "WRAITH RESCUABLE",
		WRAITH_RESCUABLE_TIP = "Adds Wraith as a possible agent encounter in detention centers.",
		LOBA_RESCUABLE = "LOBA RESCUABLE",
		LOBA_RESCUABLE_TIP = "Adds Loba as a possible agent encounter in detention centers.",
	},

	AGENTS = 
	{
		WRAITH =
		{
			NAME = "Wraith",
			FILE = "FILE #00-@@@@@@L-46751210",
			YEARS_OF_SERVICE = "2", --this is 2074 (Present Day)
			AGE = "34",	--also 2074
			HOMETOWN = "Typhon, 2701",
			RESCUED = "My name is Wraith - and we have a job to do.",
			
			ALT_1 = {
				FULLNAME = "Renee Hope Blasey",
				BIO = "Dimensional experimentation is no joke, in our time or any other. Wraith started hearing voices and lost her memory the first time she was exposed to interdimensional energy. Now, she's blazing universes in the ultimate hope of discovering who she is; in this regard, while Invisible may be 700 years behind her time, it is, nonetheless, an intelligence agency. Wraith will uncover many things - including, possibly, her own past.",
				TOOLTIP = "Interdimensional Skirmisher",
			},
			
			--[[ALT_2 = {
				FULLNAME = "ARCHIVED -- REALITY SHIFTER",
				BIO = "",
				TOOLTIP = "???",
				AGE = "XX" --this is 2057 (Istanbul Run)
			},]]

			BANTER = {
				START ={
					"Here we go. Ready up.",
					"Another day, another road.",
					"I know all the roads. They all lead to the same place.",
				},
		
				FINAL_WORDS =
				{
					"Another timeline, then.",
					"Should've listened to the voice...",
					"That's not how I'm supposed to die...",
				},
			},
		},

		LOBA =
		{
			NAME = "Loba",
			FILE = "FILE #00-@@@@@@L-46751211",
			YEARS_OF_SERVICE = "2", --this is 2074 (Present Day)
			AGE = "36",	--also 2074
			HOMETOWN = "N/A, 2699",
			RESCUED = "We'll get along beautifully, just don't touch my things.",
			
			ALT_1 = {
				FULLNAME = "Loba Andrade",
				BIO = "Loba had no home and no family growing up. But she did have a passion and a talent for thievery. With Jump Drive tech at her disposal, nothing is beyond Loba's reach.",
				TOOLTIP = "Translocating Thief",
			},
			
			--[[ALT_2 = {
				FULLNAME = "ARCHIVED -- SELF-RELIANT DOCTOR",
				BIO = "Ash was quite human once. She'll never admit it, but she still is... somewhat.",
				TOOLTIP = "???",
				AGE = "XX" --this is 2057 (Istanbul Run)
			},]]

			BANTER = {
				START = {
					"Pick out something nice for me, won't you?",
					"Time to break some hearts.",
					"You can't be overdressed or overarmed.",
				},
		
				FINAL_WORDS =
				{
					"Damn it, that hurt. I'm down.",
					"Danced with death all my life. Here it comes.",
					"If only the rest of your vaults were as well-protected.",
				},
			},
		},
	},

	ABILITIES = {
		MAKERIFT = {
			NAME = "INTO THE VOID",
			DESC = "Enter the Void for {1} tiles of movement or until end of turn. Can't be seen, even with infrared vision.",
			UNDO = {
				NAME = "CANCEL PHASE SHIFT",
				DESC = "Exit the Void early.",
			},
			ERRORS = {
				UNCHARGED = "Phase Shift is not ready yet!",
			}
		},
	},

	ITEMS = {
		RIFTER = {
			NAME = "Phaseshift Gauntlet",
			DESC = "Use to enter the Void for {1} tiles of movement or until end of turn. Agents in the Void are undetectable.",
			FLAVOR = "Phase-shifting was cutting-edge even in 2727. In modern times, it's completely arcane - better not lose this device!",
		},
		VOICES = {
			NAME = "Voices from the Void",
			DESC = "Receive forewarning when there is danger on the other side of a door. Agent cannot peek or observe.",
			FLAVOR = "A voice warns you when danger approaches. As far as you can tell, it's on your side.",
			MARKER_NAME_INTERNAL = "Wraith's Marker", -- debug only
			MARKER_NAMES = {	-- name is randomly chosen from these
				"// It's not safe there.",
				"// You're not safe there.",
				"// They've laid traps.",
				"// They might be watching that.",
				"// Danger here.",
				"// That's in view of the enemy.",
				"// That's in their sights.",
				"// That's a hot zone.",
				"// Traps.",},
		},
		EYE = {
			NAME = "Eye For Quality",
			DESC = "See guard and safe loot from a distance. Credits and items Loba could steal (according to Loba's ANARCHY) are visible.",
			FLAVOR = "No scanner can replace decades of thieving experience. But having one doesn't hurt, either.",

			TOOLTIPS = {
				CREDITS_ITEM = "{1} credits {2}",
				CREDITS_GUARD = "carried",
				CREDITS_NONGUARD = "stored",
				CREDITS_BONUS = " (including {1} ANARCHY bonus)",
			},
		},
		BRACELET = {
			NAME = "Burglar's Best Friend",
			DESC = "Throw to instantly teleport to the landing spot.",
			FLAVOR = "Monst3r would have given his kingdom for tech like this.",
			THROW ="THROW",
			THROW_DESC = "Throw the bracelet and teleport to whereever it lands.",
		},
	},
}

return DLC_STRINGS