local DLC_STRINGS = {
	OPTIONS = {
		WIZARD = "The Wizard",
		WIZARD_TIP = "Adds the Wizard agent.",
		WIZARD_2 = "Archive Wizard",
		WIZARD_2_TIP = "Adds archive loadout to the Wizard agent.",
	},
	
	WIZARD = {
		NAME = "Wizard",
		FILE = "FILE #00-804237M-1999274",
		YEARS_OF_SERVICE = "2",
		HOMETOWN = "",
		RESCUED = "It seems fate still has some use for this old man.",
		BIO_SPOKEN = "",
		
		ALT_1 = {
			AGE = "57",
			FULLNAME = "Marc \"Wizard\" Metius",
			BIO = "Some theorize Metius' unusual capabilities are the result of stolen prototype technology, others that he's merely an expert conman on a lucky streak. He's certainly committed to it, spending most of his free time on study and mental exercise.\n\nHis memory isn't what it used to be, but he makes up for it with an uncanny foresight, which is supposedly what led him to Invisible's doorstep.",
			TOOLTIP = "Magic User",
		},
		ALT_2 = {
			AGE = "48",
			--FULLNAME = "ARCHIVED -- OCCULT ANTHROPOLOGIST",
			FULLNAME = "ARCHIVED -- OCCULT RESEARCHER",
			BIO = "Corporate research gets strange. In this highly competetive environment, anything promising an edge, even if unlikely, is possible to fund. No harm to the bottom line as long as there's a scapegoat to blame.\nOne such example is FTM's Occult Research Department. One of their lesser known subdivisions, primarily because they only have a single employee, anthropologist Marc Metius. An unusual occupation in a time less interested in pursuing history than rewriting it, but someone in the right position must have seen potential in old texts and folk lore.\n\nNevertheless, he did eventually raise the ire of his higher ups, triggering a series of accusations and unexplained events culminating in his disappearance.",
			TOOLTIP = "Occult Anthropologist",
		},

		BANTER = {
			START ={
				"The stars are aligning. Let's make it count.",
				"I never pass up an opportunity to expand my knowledge.",
				"We'll shed some light on the mysteries in the dark.",
				"The astral currents are calm tonight. This is a good omen.",
				"The astral currents are wild tonight. This is a good omen.",
				"These office buildings are more appalling than any ancient ruin or dungeon.",
				"Spells? Memorized. Components? In my pouch. Beard? Gorgeous. I am ready.",
				"Half a gram of sulphur... and a tiny ball of... hmm.",
				"These simple machines would never stand a chance against the light.",
				"Everyone keep an eye out for a brass brazier.",
				"Memories are fragile things, you should take better care of them."
			},
			FINAL_WORDS =
			{
				"I take my secrets to the grave.",
				"Don't be so sure of your victory. The future is always shrouded.",
				"Back down! Or I will turn you into a frog!",
				--"The forces of dark have won this battle, but the light will perservere in the end.",
				"Maybe I should have invented a spell for detecting overconfidence.",
				"No one escapes their fate. You'd all do well to remember that.",
			},
		},				
	},
	
	MAGIC_SKILL = {
		NAME = "MAGIC",
		DESC = "Increases the number of spell slots available each mission and unlocks higher level spells.",
		TOOLTIP1 = "2 first level spell slots",
		TOOLTIP2 = "3 level 1 spells",
		TOOLTIP3 = "3 level 1 spells\n1 level 2 spell",
		TOOLTIP4 = "3 level 1 spells\n2 level 2 spells",
		TOOLTIP5 = "3 level 1 spells\n2 level 2 spells\n1 level 3 spell",
	},
	
	MAGIC_SKILL_2 = {
		NAME = "MAGIC",
		DESC = "Increases the amount of mana available each mission and unlocks higher level spells.",
		TOOLTIP1 = "2 mana\nMax 2 mana per spell",
		TOOLTIP2 = "4 mana",
		TOOLTIP3 = "6 mana\nMax 3 mana per spell",
		TOOLTIP4 = "8 mana",
		TOOLTIP5 = "10 mana\nMax 4 mana per spell",
	},
	
	ITEMS = {
		ARCANE_FOCUS = "Arcane Focus",
		ARCANE_FOCUS_TIP = "You have a number of spell slots based on your MAGIC skill.\nBetween missions you can prepare spells from the Grand Grimoire.\nCasting a spell uses an attack and expends the spell slot.",
		ARCANE_FOCUS_FLAVOR = "Wizard spent years studying texts of ancient magic and occult science. With the aid of modern technology, there was finally a breakthrough.",
		
		SORCERY_BLOOD = "Sorcerous Blood",
		SORCERY_BLOOD_TIP = "You have a pool of mana based on your MAGIC skill.\nYou don't prepare spells, instead you choose new spells to learn after completing missions and upgrading the MAGIC skill.\nCasting a spell uses an attack and mana equal to the spell level.\nYou can spend more mana to increase a spell's effect.",
		SORCERY_BLOOD_FLAVOR = "Back when his memory was still intact, Wizard was able to reshape his magic without preparation.",
		
		BOOK = "Grand Grimoire",
		BOOK_TIP = "Contains all of your spells. Can be expanded by recovering spell pages. Each mission has a spell page hidden in a random safe. Adding a spell page into the Grimoire costs 50 credits per level of the spell.",
		BOOK_TIP2 = "Twice per mission, recharge a spell. Costs 5 AP per level and an attack.",
		BOOK_TIP3 = "Alternatively, switch one prepared spell. Costs 2 AP per level.",
		BOOK_FLAVOR = "A fine tome bound in genuine leather and written in high-quality ink. Many of its pages have scattered over the world due to an accident.",
		
		SCROLL = "Spell Page",
		SCROLL_TIP = "Bring this to the jet to add a new spell into the Grand Grimoire at the cost of 50 credits per level of the spell.",
		SCROLL_FLAVOR = "Arcane instructions written in an ancient cipher. It will take some time and costly components to decrypt, record, and practice it.",
		
		SCROLL_LVL = "Level {1} Spell Page",
		SCROLL_OF = "{1} Spell Page",
		
		SCROLL_FREE = "Research Notes",
		SCROLL_FREE_TIP = "You start with 2 spells already in the Grand Grimoire.",
		SCROLL_FREE_FLAVOR = "A jumbled mess. Partly recovered from Wizard's old workplace, partly scribbled down from fragments of memory.",
		
		CRYSTAL = "Mana Crystal",
		CRYSTAL_TIP = "Restores 2 mana.",
		CRYSTAL_FLAVOR = "Condensed magic power.",
	},
	
	UI = {
		PREPARE_SPELLS = "PREPARE SPELLS",
		SPELLBOOK_LIST = "SPELLBOOK",
		SPELLSCROLL_LIST = "SPELL PAGES",
		PREPARE_SPELLS_BTN = "<c:8CFFFF>PREPARE SPELLS</>",
		SCROLL_AVAILABLE = "<c:8CFFFF>PREPARE SPELLS</>\n<c:FDFA68>NEW SPELL PAGE</>",
		SLOT_NOT_PREPARED = "<c:8CFFFF>PREPARE SPELLS</>\n<c:FC6A6A>SPELL SLOT NOT PREPARED</>",
		SLOT_LEVELS = {
			[1] = "<c:FFFF72>LEVEL 1</>",
			[2] = "<c:FFB266>LEVEL 2</>",
			[3] = "<c:FF5959>LEVEL 3</>",
		},
		
		EMPTY_SLOT_TIP = "<ttheader>EMPTY LEVEL {1} SPELL SLOT\n</>Drag a spell from your spellbook to this slot to prepare it.",
		UNAVAILABLE_SLOT_TIP = "<ttheader>EMPTY LEVEL {1} SPELL SLOT\n<c:ff0000>Requires MAGIC Skill Level {2}</>",
		LEARN_SPELL = "LEARN SPELL",
		LEARN_SPELL_CONFIRM = "Do you want to add {1} to your spellbook for {2} credits?",
		HIGH_LEVEL_SPELL_WARNING = "\n\nWARNING: Your MAGIC Skill isn't high enough to use this spell!",
		SPELL_SLOT_TOO_LOW = "{1} requires a spell slot of at least level {2}",
		SCROLL_DESC = "<ttheader>SPELL PAGE</>\nAdd the spell <ttheader>{1}</> to the Grimoire at the cost of {2} credits.",
		
		NOT_ENOUGH_AP_TO_PREPARE = "Not enough AP.",
		CONFIRM_PREPARE_FROM_BOOK = "Do you want to prepare a level {1} {2}?\nThis costs {3} AP.",
		CONFIRM_SWITCH_SPELL = "Do you want to replace {2} with {3} in your level {1} slot?\nThis costs {4} AP.",
		CONFIRM_RECHARGE_FROM_BOOK = "Do you want to recharge your {2}?\nThis costs your attack and {3} AP.",
		
		--ENHANCE_ABILITY_MODAL_1 = "A B I L I T Y  E N H A N C E M E N T",
		ENHANCE_ABILITY_MODAL_1 = "",
		ENHANCE_ABILITY_MODAL_2 = "Ability Enhanced",
		ENHANCE_ABILITY_MODAL_3 = "{1} has temporarily increased {2} by the Enhance Ability spell.",
		STRENGTH6 = "Carry 8 items\nImproved DRAG speed\nAdds +1 KO damage to melee weapons",
		STRENGTH7 = "Adds +1 KO damage to melee weapons",
		SKILL_TOOLTIP_LEVEL = "<c:61AAAA>{1} level {2}<\c>\n{3}",
		CHOOSE_SKILL = "CHOOSE SKILL UPGRADE",
		GENERIC_CORE = "Database",
		NO_OBJECT = "NO DEVICES FOUND",
		NO_OBJECT_BODY = "No device of the chosen type found.",
		CHOOSE_LOCATE_OBJECT = "CHOOSE OBJECT TO LOCATE",
		MAX_TRANSFERS = "Item transfer limit reached!",
		GIVE_COURIER = "ITEMS TRANSFERRED {1}/{2}",
		
		CANT_USE_SPELLLEVEL2 = "Requires spell level 2",
		CANT_USE_SPELLLEVEL3 = "Requires spell level 3",
		CANT_USE_BOOKREAD = "Already read from the Grimoire this mission",
		
		NO_MANA = "Not enough mana.\n(You have {1}, need {2})",
		FULL_MANA = "Mana full",
		
		SORCERY_SPELLS_BTN = "<c:8CFFFF>SEE LEARNED SPELLS</>",
		SORCERY_SPELLS_AVAILABLE = "<c:8CFFFF>SEE LEARNED SPELLS</>\n<c:FDFA68>NEW SPELL TO LEARN</>",
		SORCERY_LEARN_RANDOM = {
			"MEDITATION",
			"INNER BALANCE",
			"TRANQUILITY",
			"SELF REFLECTION",
			"BURNING BLOOD",
		},
		SORCERY_LEARN_CHOOSE = "CHOOSE ONE SPELL",
		SORCERY_LEARN_CONFIRM = "Do you want to PERMANENTLY learn {1}?\nYou will not be able to learn {2}.",
		SORCERY_DID_NOT_LEARN = "<ttheader>{1}</>\n<c:ff0000>Did not learn this spell</>",
		
		CANT_LEARN_NOT_NEXT = "<ttheader>LOCKED</>\n<c:ff0000>You must choose your previous spell before you can unlock this spell</>",
		CANT_LEARN_NEED_UPGRADE = "<ttheader>LOCKED</>\n<c:ff0000>Upgrade your MAGIC skill, then complete missions to unlock this spell</>",
		CANT_LEARN_GENERIC = "<ttheader>LOCKED</>\n<c:ff0000>Complete missions to unlock this spell</>",
		
		BAD_TARGET_LOS = "INVALID TARGET: No line of sight",
        BAD_TARGET_IMPASS = "INVALID TARGET: Destination blocked",
		
		SWAP_SPELL = "SWAP SPELL",
		RECHARGE_SPELL = "RECHARGE SPELL",
		CANT_SWAP_EXPENDED = "<ttheader>{1}</>\n<c:ff0000>Can't change spell slot, already expended.</>",
		CANT_RECHARGE_NOT_EXPENDED = "<ttheader>{1}</>\n<c:ff0000>Can't recharge spell slot, not yet expended.</>",
		NONDETECTION_WARNING = "NONDETECTION\nSCANS BLOCKED",
		NONDETECTION_WARNING_END = "NONDETECTION ENDED\nSCANS RESUMED",
		
		CANT_USE_SKILLCHIP = "Can't use this augment.",
	},
	
	UNITS = {
		ZOMBIE = " ZOMBIE",
		MIRROR_IMAGE = "Doppelgänger",
		EYEBALL = "Clairvoyance Sensor",
		COURIER = "The Courier",
		MAGE_HAND = "Mage Hand",
		PHANTASM = "Phantasm",
	},
	
	ABILITIES = {
		END_CONCENTRATION = "End Concentration",
		END_CONCENTRATION_DESC = "End the effect of {1} immediately.\n{2} {2:turn|turns} left.",
		
		READ = "READ",
		READ_DESC = "Recharge a spell slot, or replace one prepared spell with a different spell. Uses your attack. Cost is 5 AP per spell level to recharge, or 2 AP per level to switch.",
		
		READ_RECHARGE = "RECHARGE SPELL",
		READ_RECHARGE_DESC = "Recharge a spell slot that you have already expended this mission. Uses your attack, and 5 AP per level of the spell slot. Doesn't change the prepared spell.",
		
		READ_SWAP = "SWAP SPELL",
		READ_SWAP_DESC = "Swap the prepared spell in one of your spell slots for a different spell from the Grimoire. Uses 2 AP per level of the spell slot. Can't swap a slot that's already expended.",
		
		RETARGET_PHANTASM = "Retarget Phantasm",
		RETARGET_PHANTASM_DESC = "Make {1} the new target of the Phantasm.",
		
		USE_CRYSTAL = "Use Crystal",
		USE_CRYSTAL_DESC = "Destroy Crystal and regain {1} mana.",
	},
	
	TOOLTIPS = {
		SCHOOL_OF = "School of {2} {1}",
		SCROLL_LEVEL = "<c:FF8411>Level {1} {2}</c>",
		SCROLL_LEVEL_NO_SCHOOL = "<c:FF8411>Level {1} spell</c>",
		
		TRUE_STRIKE = "TRUE STRIKE {1}",
		TRUE_STRIKE_DESC = "Reduces armor and KO resistance by {1}",
		
		FEEBLE = "FEEBLE",
		FEEBLE_DESC = "Movement and sight range temporarily reduced by {1}",
		
		ENHANCED = "ENHANCED {1} {2}",
		ENHANCED_DESC = "{1} skill is temporarily increased by {2}",
		
		HASTE = "HASTE",
		HASTE_DESC = "Has an extra attack, {1} extra AP, and an additional {2} extra AP while sprinting. Loses {3} AP when the effect ends.",
		
		HASTE_RECOVERY_ATTACK = "HASTE RECOVERY",
		HASTE_RECOVERY_ATTACK_DESC = "Will lose an attack next turn.",
		
		HASTE_RECOVERY_MP = "HASTE RECOVERY",
		HASTE_RECOVERY_MP_DESC = "Will lose {1} AP next turn.",
		
		HASTE_RECOVERY = "HASTE RECOVERY",
		HASTE_RECOVERY_DESC = "Will lose an attack and {1} AP next turn.",
		
		HYPNOTIZED = "HYPNOTIZED",
		HYPNOTIZED_DESC = "This guard will remain incapacitated for another {1} {1:turn|turns}.",
		
		MANA_CHARGES = "MANA {1}/{2}",
		MANA_CHARGES_DESC = "Each spell consumes mana equal to the spell's level. Recharges between missions. Upgrade your MAGIC skill to increase maximum mana.",
		MANA_CHARGES_DESC = "Spells consume mana equal to their level. Upgrade MAGIC to increase maximum mana.",
		
		SILENT_IMAGE = "{1} {1:turn|turns} remaining, no concentration.",
		SILENT_IMAGE_CONCENTRATION = "{1} {1:turn|turns} of concentration remaining.",
	},
	
	SPELLS = {
		CONCENTRATION = "<c:FF8411>CONCENTRATION {1}</c>\nSpell effect ends after {1} {1:turn|turns}, when this agent is KOd or casts a different concentration spell, or when you choose to end it.",
		LEVEL = "Level {1} {2}",
		EFFECT_RADIUS = "<c:FF8411>AREA EFFECT {1}</c>\nTargets an area originating up to {2} tiles away and with a radius of {1} {1:tile|tiles}.",
		SQUARE_AREA = "<c:FF8411>SQUARE AREA EFFECT {1}</c>\nTargets a square originating up to {2} tiles away and with a side length of {1} {1:tile|tiles}.",
		RANGE = "<c:FF8411>RANGE {1}</c>\nTargets a tile up to {1} tiles away.",
		
		MAGIC_MISSILE = {
			name = "Magic Missile",
			desc = "Ranged targets. Lethal damage.",
			flavor = "Creates a glowing dart of magical force to strike down your foe.",
			ap = "<c:FF8411>ARMOR PIERCING {1}</c>\nIgnores {1} levels of armor.",
			noap = "<c:FF8411>NO ARMOR PIERCING</c>\nDoes not pierce armor.",
			upcast = "<c:FF8411>UPCASTING</c>\nPierces 3 additional layers of armor per level of spell slot used above {1}.",
			school = "Evocation",
		},
		
		-- FOG_CLOUD = {
			-- name = "Fog Cloud",
			-- desc = "Create a cloud of fog that occludes vision in an area.",
			-- flavor = "A sphere of fog conjured from the elemental plane of water. Dispersed by a moderate wind.",
			-- --upcast = "<c:FF8411>UPCASTING</c>\nCan be concentrated on for an additional turn per level of spell slot used above {1}.",
			-- upcast = "<c:FF8411>UPCASTING</c>\nEach level of spell slot used above {1} increases cloud radius by 1 tile and maximum duration by 1 turn.",
			-- school = "Conjuration",
		-- },
		
		FOG_CLOUD = {
			name = "Misleading Mist",
			desc = "Create a cloud that provides cover to agents within its radius.\nDoes not block line of sight.",
			flavor = "Fog conjured from the elemental plane of water. It shifts around and distorts lights, making anyone inside hard to pin down.",
			upcast = "<c:FF8411>UPCASTING</c>\nEach level of spell slot used above {1} increases cloud radius by 1 tile and maximum duration by 1 turn.",
			school = "Conjuration",
		},
		
		TRUE_STRIKE = {
			name = "True Strike",
			desc = "Reduces an enemy's armor and KO resistance by {1} for the duration.",
			flavor = "Grants brief insight into an enemy's defenses.",
			upcast = "<c:FF8411>UPCASTING</c>\nReduces armor and resistance further by 2 per level of spell slot used above {1}.",
			school = "Divination",
		},
		
		ANIMATE_DEAD = {
			name = "Animate Dead",
			desc = "Turns a corpse into an ally for the duration.",
			flavor = "A foul mimicry of life.",
			--upcast = "<c:FF8411>UPCASTING</c>\nCan be concenctrated on for an additional 2 turns per level of spell slot used above {1}.",
			school = "Necromancy",
		},
		
		SILENT_IMAGE = {
			name = "Silent Image",
			desc = "Creates an illusory piece of cover. Fails against physical inspection.",
			flavor = "As the name implies, sound is not included. Sadly, neither is smell, heat, touch, or taste.",
			upcast = "<c:FF8411>UPCASTING</c>\nCan be concentrated on for 3 additional turns per level of spell slot used above {1}. If cast using a level 3 spell slot, it no longer requires concentration, instead lasting for the maximum duration automatically.",
			school = "Illusion",
		},
		
		HYPNOTIC_GAZE = {
			name = "Hypnotic Gaze",
			desc = "Incapacitates a guard you can see within range. Concentration ends early if you leave the range or lose line of sight, but the guard remains blinded until the end of the turn concentration is broken.",
			flavor = "Your soft words and enchanting gaze enthralls an unguarded mind.",
			range = "<c:FF8411>RANGE {1}</c>\nYou lose concentration if line of sight is broken or you're no longer within {1} {1:tile|tiles} of the target.",
			upcast = "<c:FF8411>UPCASTING</c>\nRange increases by 4 tiles, and concentration duration increases by 5 turns, per level of spell slot used above {1}.",
			school = "Enchantment",
		},
		
		ENFEEBLEMENT = {
			name = "Ray of Enfeeblement",
			desc = "Reduces an enemy's movement speed and vision range by {1} tiles for the duration.",
			flavor = "A sickly green ray that saps vitality from living beings.",
			upcast = "<c:FF8411>UPCASTING</c>\nAP and vision range penalty increases by 3 per level of spell slot used above {1}.",
			school = "Necromancy",
		},
		
		HASTE = {
			name = "Haste",
			desc = "Each turn, target gains an extra attack, {1} AP, and another {2} AP while sprinting. When the spell ends, the target loses the bonus and an additional attack and 5 AP. Penalty continues next turn if it can't be used immediately.",
			--flavor = "Quickens the passage of time around a target. Don't think too hard about what kind of long-term effects this might have.",
			--flavor = "Quickens the passage of time around a target. Short-term side effects may be lethargic. Don't think too hard about the long-term effects.",
			flavor = "At this point, I'm gonna assume you're tired of hearing about possible side effects.",
			upcast = "<c:FF8411>UPCASTING</c>\nAP bonus increases by 2, and sprinting bonus increases by 1, per level of spell slot used above {1}.",
			school = "Transmutation",
		},
		
		MAGE_ARMOR = {
			name = "Mage Armor",
			desc = "An agent you touch becomes protected against up to {1} attacks. They also gain 1 KO resistance. Not stackable.",
			flavor = "A protective magical force that covers the skin.",
			upcast = "<c:FF8411>UPCASTING</c>\nBlocks 2 additional shots per level of spell slot used above {1}.",
			school = "Abjuration",
		},
		
		ENHANCE_ABILITY = {
			name = "Enhance Ability",
			desc = "Temporarily upgrades one skill for an agent by {1}. Can upgrade skills above level 5.",
			flavor = "Deepens a person's understanding of their own ability.",
			upcast = "<c:FF8411>UPCASTING</c>\nTarget skill increases by an amount equal to the level of spell slot used.",
			school = "Transmutation",
		},
		
		FIREBALL = {
			name = "Fireball",
			desc = "Lethal damage in a 3 tile radius. Friendly fire. Armor piercing {1}. Removes {2} layers of armor from guards that aren't killed. Makes a loud sound.",
			flavor = "A bright streak flashes from your pointing finger and then blossoms with a low roar into an explosion of flame.",
			--upcast = "<c:FF8411>UPCASTING</c>\nPierces or damages 1 additional layer of armor per level of spell slot used above {1}.",
			school = "Evocation",
		},
		
		NONDETECTION = {
			name = "Nondetection",
			desc = "Prevents all increases to the alarm level. Also hides agents from most types of scanners.",
			flavor = "A potent ward against divination magic. Apparently it can also enhance Incognita's encryption, albeit briefly.",
			--upcast = "<c:FF8411>UPCASTING</c>\nCan be concentrated on for an additional turn per level of spell slot used above {1}.",
			school = "Abjuration",
		},
		
		MISTY_STEP = {
			name = "Misty Step",
			desc = "Teleport to an empty space you can see within 8 tiles.",
			flavor = "You vanish into a silvery mist and step through a neighbouring plane of existence.",
			multi = "<c:FF8411>MULTISTEP {1}</c>\nYou can teleport an additional {1} {1:time|times} on the turn you cast this spell, without requiring your attack.",
			multi_active = "<c:FF8411>MULTISTEP ACTIVE ({1} REMAINING)</c>\nYou can teleport an additional {1} {1:time|times} this turn, without requiring your attack.",
			upcast = "<c:FF8411>UPCASTING</c>\nYou can teleport an additional time on the turn you cast this spell, without requiring your attack, per level of spell slot used above {1}.",
			school = "Conjuration",
		},
		
		MIND_SPIKE = {
			name = "Mind Spike",
			desc = "Tags a guard for the duration and lets you perceive through their senses. You can use your attack to end the spell early and KO the guard for {1} turns.",
			flavor = "You know how it's said that if you're stabbed, it's safer to leave the blade in the wound than to pull it out?",
			--upcast = "<c:FF8411>UPCASTING</c>\nConcentration and KO duration both increase by the level of spell slot used above {1}.",
			upcast = "<c:FF8411>UPCASTING</c>\nEach level of spell slot used above {1} increases concentration duration by 10 and KO duration by 1.",
			school = "Enchantment",
			endEarly = "End the spell and KO {1} for {2} turns",
		},
		
		CLAIRVOYANCE = {
			name = "Clairvoyance",
			desc = "Creates an invisible sensor with a 360 degree view. It must be created within {1} tiles of you, but you can do so through walls.",
			flavor = "No one can truly hide from the gaze of the arcane eye. At least if they can't cast Nondetection.",
			--upcast = "<c:FF8411>UPCASTING</c>\nCan be concentrated on for 2 additional turns per level of spell slot used above {1}.",
			school = "Divination",
		},
		
		LOCATE_OBJECT = {
			name = "Locate Object",
			desc = "Choose a type of device and reveal the nearest{2: | {1} }unrevealed {1:device|devices} of that type.\nUnique devices may not be findable by this spell.",
			flavor = "Now you can figure out where the other sock went.",
			upcast = "<c:FF8411>UPCASTING</c>\nReveals up to 3 additional devices of the same type per level of spell slot used above {1}.",
			school = "Divination",
		},
		
		SHATTER = {
			name = "Shatter",
			desc = "Creates a blast that knocks guards out for {1} turns and destroys nearby walls. Does not break walls around vaults or similarly protected areas. Makes an extremely loud noise.",
			flavor = "Shatters brittle materials with a sudden loud ringing noise, painfully intense.",
			upcast = "<c:FF8411>UPCASTING</c>\nBlast radius and KO duration both increase by the spell slot's level above {1}.",
			school = "Evocation",
		},
		
		MIRROR_IMAGE = {
			name = "Doppelgänger",
			name2 = "Doppelganger",
			desc = "Creates an illusory agent. It can't see or carry items, but it copies your SPEED level and can move through doors without opening them. Disrupted if it takes damage.",
			flavor = "A perfect mirror image of you.",
			upcast = "<c:FF8411>UPCASTING</c>\nCan be concentrated on for 2 additional turns per level of spell slot used above {1}.",
			school = "Illusion",
		},
		
		HYPNOTIC_PATTERN = {
			name = "Hypnotic Pattern",
			desc = "Incapacitates guards in an area for {1} turns.",
			flavor = "Twisting patterns of colors weave through the air. Even drone AI is fooled by it!",
			school = "Enchantment",
		},
		
		COURIER = {
			name = "Speedy Courier",
			desc = "Transfer up to {1} items between an agent's inventory and the jet's storage.",
			flavor = "Also provides emergency cuddles.",
			school = "Conjuration",
		},
		
		MAGE_HAND = {
			name = "Mage Hand",
			desc = "Conjures a controllable floating hand. It can't see or sprint, but it copies your ANARCHY level. It has {1} AP and {2} inventory {2:slot|slots}. Ends early if you end turn without direct line of sight between the caster and the hand.",
			flavor = "A classic party trick that also comes in handy for thieving sorts.",
			school = "Conjuration",
		},
		
		KNOCK = {
			name = "Knock",
			desc = "Unlocks a security door, or reboots a safe for {1} turns. Makes a loud sound.",
			flavor = "Transmutes locked things into unlocked things!",
			school = "Transmutation",
			upcast = "<c:FF8411>UPCASTING</c>\nAt higher levels, unlocks higher security doors and bypasses additional layers of magnetic reinforcements.",
		},
		
		FAERIE_FIRE = {
			name = "Faerie Fire",
			desc = "Creates a distracting light in a {1}x{1} square. Enemies in the area are tagged for the duration.",
			flavor = "Multicolored dancing lights that leave a glowing outline on anything they touch.",
			upcast = "<c:FF8411>UPCASTING</c>\nSquare size increases by 2, and concentration duration increases by 5, per level of spell slot used above {1}.",
			school = "Evocation",
		},
		
		PHANTASMAL_KILLER = {
			name = "Phantasmal Killer",
			--desc = "Frightens a guard (that isn't looking at an agent) with a phantasm that only they can see. Frightened guard flees from the phantasm, even ignoring agents in their path. If they touch, the guard dies and you can choose a new target. Ends early if the phantasm is out of guard's sight for one turn. Phantasm has 10 AP (except the turn it appears) and moves through walls and objects.",
			desc = "Frightens a guard that doesn't see any agents with a phantasm only they can see. The guard must flee the phantasm, and even ignores agents in their path. If they touch, the guard dies and you can choose a new target. Ends if the phantasm is out of guard's sight for one turn. Phantasm has 10 AP (except the turn it appears) and ignores walls and objects.",
			flavor = "Tap into their deepest fears.",
			--upcast = "<c:FF8411>UPCASTING</c>\nCan be concentrated on for 2 additional turns per level of spell slot used above {1}.",
			school = "Illusion",
		},
		
		COUNTERSPELL = {
			name = "Counterspell",
			desc = "Kills daemon on target device.",
			flavor = "No need to identify the daemon to bypass it, simply rewrite the rules of reality in which it operates.",
			radius = "<c:FF8411>EFFECT RADIUS {1}</c>\nAlso kills daemons on devices within {1} tiles of the target.",
			upcast = "<c:FF8411>UPCASTING</c>\nIncreases effect radius by 2 per level of spell slot used above {1}.",
			school = "Abjuration",
		},
	}
}

return DLC_STRINGS