local MOD_STRINGS =
{
	OPTIONS =
	{
		-- Agent modifying options:
		ENABLE_SURRENDER = "AGENTS CAN SURRENDER",
		ENABLE_SURRENDER_TIP = "<c:FF8411>AGENTS CAN SURRENDER</c>\nAgents are able to surrender to guards when under overwatch. Surrendering causes the agent to get K.O.ed for 1 turn instead of getting shot.\n\nBut you're good enough to never need this, right operator?",
		ENABLE_WOUNDED = "WOUNDED",
		ENABLE_WOUNDED_TIP = "<c:FF8411>WOUNDED</c>\nWhen an agent surrenders, they become 'wounded', reducing their AP until the end of the mission. Surrendering repeatedly will result in additional AP loss.\n\nThe corporations were never known for being nice.",
		ENABLE_WOUNDED_MAX = "MAX WOUNDED",
		ENABLE_WOUNDED_MAX_TIP = "<c:FF8411>MAX WOUNDED</c>\nThe maximum amount of AP an agent can lose, even after repeated surrenders.\n\nAgents can only take so much.",
		-- Guard modifying options:
		ENABLE_DRAG_AGENTS = "GUARDS DRAG AGENTS",
		ENABLE_DRAG_AGENTS_TIP = "<c:FF8411>GUARDS DRAG AGENTS</c>\nGuards will drag downed agents to the nearest guard teleporter and will teleport the agent out. They will then resume hunting your agents.\n\nDon't let them take our agents operator.",
		ENABLE_IGNORE_MISSION_CRITICAL_AGENTS = "DON'T DRAG IMPORTANT AGENTS",
		ENABLE_IGNORE_MISSION_CRITICAL_AGENTS_TIP = "<c:FF8411>DON'T DRAG IMPORTANT AGENTS</c>\nGuards will not drag Monst3r or Central if losing them would fail the mission.",
		ENABLE_FAIR_DRAG = "GUARDS DRAG FAIRLY",
		ENABLE_FAIR_DRAG_TIP =
[[<c:FF8411>GUARDS DRAG FAIRLY</c>
Guards will drag agents at the same speed agents can drag guards at.

Why does this option exist?
The game makes dragging your own agents easier than dragging guards,
however, this bonus for dragging your own also applies to guards,
resulting in guards having an easier time dragging your agents than
they would dragging their own.

Basically, if you disable this option, guards will drag agents faster.]],
		ENABLE_KO_DRAG_COST = "GUARD K.O. DRAG COST",
		ENABLE_KO_DRAG_COST_TIP = "<c:FF8411>GUARD K.O. DRAG COST</c>\nGuards have a harder time dragging agents that are K.O.ed compared to agents that are dead. Guard MP gets divided by this option's value (value is added to any other applicable dragging modifiers). If this value is set to zero, guards will drag K.O.ed agents at the same speed they drag dead agents.\n\nAgents know how to give a guard a hard time, even when unconscious.",
		ENABLE_SPOT_SAFES_WHEN_LOOTED = "GUARDS SPOT SAFES WHEN LOOTED",
		ENABLE_SPOT_SAFES_WHEN_LOOTED_TIP = "<c:FF8411>GUARDS SPOT SAFES WHEN LOOTED</c>\nGuards will respond to safes they can see that are being actively looted.\n\nGreed is good. Just don't let the corporations know you're looting them blind.",
		ENABLE_SPOT_LOOTED_SAFES = "GUARDS SPOT LOOTED SAFES",
		ENABLE_SPOT_LOOTED_SAFES_TIP = "<c:FF8411>GUARDS SPOT LOOTED SAFES</c>\nGuards will respond to any safes they see that have been previously looted.\n\nThink twice before you let greed decide your actions operator.",
		ENABLE_SPOT_SAFES_RESPONSE_VALUES =
		{
			NONE = "No Response (Vanilla)",
			INVESTIGATE = "Investigate",
			ALERT = "Alert"
		},
		ENABLE_GUARDS_HIDE_ON_ALERT = "GUARDS USE COVER",
		ENABLE_GUARDS_HIDE_ON_ALERT_TIP = "<c:FF8411>GUARDS USE COVER</c>\nWhen a guard is alerted, he will hide behind cover (except when on overwatch).\n\nNote that danger zones will still be visible.",
		ENABLE_GUARDS_PREFER_COVER = "GUARDS PREFER COVER",
		ENABLE_GUARDS_PREFER_COVER_TIP = "<c:FF8411>GUARDS PREFER COVER</c>\nWhen alerted, guards will prefer to travel through and investigate cover.",
		ENABLE_CIVILIANS_ALERT_GUARDS = "CIVILIANS ALERT GUARDS",
		ENABLE_CIVILIANS_ALERT_GUARDS_TIP = "<c:FF8411>CIVILIANS ALERT GUARDS</c>\nWhen a civilian is alerted, they will shout, causing all nearby guards to enter alert and investigate what the civilian saw.\n\nThe corporations have briefed guards on the importance of protecting workers and taking action when a civilian runs past.",
		-- Camera modifying options:
		ENABLE_TRACKING_CAMERAS = "TRACKING CAMERAS",
		ENABLE_TRACKING_CAMERAS_TIP = "<c:FF8411>TRACKING CAMERAS</c>\nCameras will report the last seen agent location to a nearby guard. Unlike in vanilla game, where the camera would report the first tile the agent was seen on.\n\nUpgraded storage means the corporations can finally record more than 0.1 seconds of video.",
		ENABLE_CAMERAS_DETECT_DOWNED_GUARDS = "CAMERAS DETECT DOWNED GUARDS",
		ENABLE_CAMERAS_DETECT_DOWNED_GUARDS_TIP = "<c:FF8411>CAMERAS DETECT DOWNED GUARDS</c>\nCameras will raise the alarm and trigger a guard to investigate if they see a guard get K.O.ed or killed.\n\nKeep violence off the cameras operator.",
		ENABLE_CAMERA_ACTIVATION_COUNT = "CAMERA ACTIVATION COUNT",
		ENABLE_CAMERA_ACTIVATION_COUNT_TIP = "<c:FF8411>CAMERA ACTIVATION COUNT</c>\nHow many times a camera can raise the alarm on the same turn. Each time a new agent enters the camera's view, it will raise the alarm (until it reaches its 'activation count' for that turn).\n\nSmart Cams are able to deploy increased measures depending on the severity of the intrusion."
	},
	TOOLTIPS =
	{
		SURRENDER = "Surrender",
		SURRENDER_DESC = "Surrender to the corporation. Dying is less painful than surrendering, and doesn't have the risk of being put in a corporate deprogramming chamber. But sometimes life is preferable to death, no matter the cost.",
		WOUNDED = "Wounded",
		WOUNDED_DESC = "-{1} MP until the end of the mission"
	}
}

return MOD_STRINGS
