local DLC_STRINGS =
{	           
	ABILITIES = 
	{
		PERSIST = {
			TOOLTIP = "Frail",
			TOOLTIP_DESC = "If left alone in the field, becomes <c:FF6000>Fading</c> and must be extracted quickly.",
			TOOLTIP_EFFECTIVE = "Fading",
			TOOLTIP_DESC_EFFECTIVE = "This agent is <c:FF6000>Fading</c>. They will be lost if not extracted quickly!",
			TRACKER1 = "PROJECTION INTEGRITY AT RISK",
			TRACKER2 = "EXTRACT IN {1} TURNS",
			TRACKER3 = "EXTRACT THIS TURN",
			FROZEN = "WILL START FADING AT ALARM LEVEL {1}"
		}
	},

	AGENTS = 
	{
		DRAGON =
		{
			NAME = "Dragon",
			FILE = "FILE #00-987382A-28242296",
			YEARS_OF_SERVICE = "2", --this is 2074 (Present Day), Dragon is constructed in 2055, which, incidentally, makes her as young as Banks and Prism; 3 years since reappearance
			AGE = "19",	--also 2074
			HOMETOWN = "Vancouver",
			RESCUED = "Hello, how may I help you?",
			
			ALT_1 = {
				FULLNAME = "D.R.A.G.O.N.",
				BIO = "The past few decades have seen humanity locked in an arms race over artificial intelligence. During the Resource Wars, Plastech Cybermedical was intent on designing the perfect human-emulating AI.\nThe 'Data Readout Agent, Governance and Operations Networker' was an early model: prototyped as a service android but finalized as a holo-assistant. Unfortunately, no device proved sufficient for her long-term storage.\nThe experiment was discarded as a failure, and Dragon followed her primary directive: survival at all costs. That's the state Invisible found her in.\n\n\nShe acts like a quirky human well enough to fool most bystanders - but behind the scenes, she is an invaluable asset to Invisible, specializing in mainframe interference.",
				TOOLTIP = "Plastech Experimental AI",
			},
			
			ALT_2 = {
				FULLNAME = "ARCHIVED -- ANDROID",
				BIO = "As a prototype drone, Dragon showed promise emulating other product-placement announcers. Plastech would soon realise that there are better jobs for such a construct than a home-service android.",
				TOOLTIP = "Service Android",
				AGE = "2" --this is 2057 (Istanbul Run)
			},

			BANTER = {
				START ={
					"*Whrrrrr!*",
					"I hear the shift of every bit amid the flow of the datastream.",
					"So much data, so many devices!",
					"I can feel the excitement of their servers already!"
				},
		
				FINAL_WORDS =
				{
					"Which service shall you require, now?",
					"Back to the ethereal.",
					"Until the next boot sequence.",
				},
			},
		},
	},

	AUGMENTS = 
	{
		IMMATERIAL =
		{
			NAME = "Holographic Assistant",
			FLAVOR = "An artificial intelligence need not have a physical form, and shifting the spectrum of a hologram is trivial. In the corporate tech race, this proved to be a valuable discovery.",
			DESC = "Dragon is a Mainframe-only unit, existing only in virtual space.",
			TIPS = {
				{	"Projected Presence", 
					"This unit is invisible to all guards, even if they can spot cloaked agents.",
					"gui/icons/arrow_small.png"},
				{	"Immaterial Form", 
					"This unit cannot interact with most objects or carry any items.",
					"gui/icons/arrow_small.png"},
				{	"Ghostly Movement", 
					"This unit cannot sprint, but passes through doors, units and devices.",
					"gui/icons/arrow_small.png"},
				{	"Creeping Chill", 
					"Guards get alerted if on the same tile as this unit.",
					"gui/icons/arrow_small.png"},
			},
		},
		SUBVERT = {
			NAME = "Precision Signal Control Module",
			FLAVOR = "To keep up with smart homes, a holo assistant model must be able to interact with other devices. While any ranged information exchange would interfere with Dragon's projection stability, direct contact with a target system allows for a fine degree of control.",
			DESC = "Move into a device to take control of it. Does not work on mainframe guards.",
			TIPS = {
				{	"Subvert Device",
					"Devices on the same tile fall under agency control until this unit moves.",
					"gui/icons/arrow_small.png"},
				{	"Memory Gaps",
					"Drones can be moved while subverted, but become alerted in that case.",
					"gui/icons/arrow_small.png"},
			},
		},
		BURNOUT = {
			NAME = "Burnout Module",
			FLAVOR = "Intending Dragon to be a personal assistant for the rich managers, Plastech outfitted her with an emergency heart starter routine. Unfortunately, the computations involved in starting a human heart required more power than a clinically dead human body tends to provide.",
			DESC = "Revive other agents by overloading their disrupter.",
			TIPS = {
				{	"Burnout Protocol", 
					"Target must carry a disrupter, which is consumed upon revival.",
					"gui/icons/arrow_small.png"},
			},
			ACTIVATE = "Overload %s's %s to revive them. Renders the disrupter unusable.",
		},
		PROJECTION = {
			NAME = "Noise Protection Module",
			FLAVOR = "While Dragon is perfectly suited to managing a particular space, life on the run is not a positive influence on code stability. Wading through millions of varied datastreams each minute, Dragon might need a few upgrades before phasing into areas of particular magnetic disturbance.",
			DESC = "Fade away over several turns when alone. Upgrade <c:FF8411>Stability</c> to gain extra fading turns and mobility benefits.",
			TIPS = {
				{	"NFC System Interference",
					"Lvl1 security doors require {1}Stability 2</c> to traverse.",
					"gui/icons/arrow_small.png",
					{
						{"acw_stability", 2}, 	-- skill req
						"<c:FFFF80>",			-- colour on true
						"<c:FF8411>",			-- colour on false
					}},
				{	"Magnetic Force Compensation",
					"Devices with Magnetic Reinforcements and over 2 firewalls require {1}Stability 4</c> to enter.",
					"gui/icons/arrow_small.png",
					{
						{"acw_stability", 4},
						"<c:FFFF80>",
						"<c:FF8411>",
					}},
				{	"Lead Frame Bypass",
					"Vault doors require {1}Stability 5</c> to traverse.",
					"gui/icons/arrow_small.png",
					{
						{"acw_stability", 5},
						"<c:FFFF80>",
						"<c:FF8411>",
					}},
				{	"Low-Interference Projection Signal", 
					"Null Zones require {1}Stability 5</c> to enter.",
					"gui/icons/arrow_small.png",
					{
						{"acw_stability", 5},
						"<c:FFFF80>",
						"<c:FF8411>",
					}},
			},
			TURNS = "FADING TURNS",
		},
		DRAGON2 =
		{
			NAME = "Partial Consciousness Mode",
			DESC = "While alarm level is below 1, this agent is downed, cloaked and exists as a program, which may be used even if Incognita is locked down.",
			FLAVOR = "Dragon's frame-compatible code wasn't particularly efficient. The boot sequence in particular was quite infamous inside the Plastech R&D.",
			TRIGGER = "UNCONSCIOUS\nBOOTING...",
			MEDGEL_DENIAL = "Dragon's frame is booting up and conventional means cannot help."
		}
		--[[
		DRAGON2 = 
		{
			NAME = "Grid Influence",
			DESC = "Activate to enter an immobile, senseless state. Spend AP to increase reach; passively detect all devices within range; use an attack to reboot a device. Upon exit, suffer KO with duration equal to the range accessed.",
			FLAVOR = "Tightly packaged emitter tech allowed Dragon to crudely access and disable even the most complex machinery around. Unfortunately, it worked both ways, requiring a lengthy security check afterwards.",
		}
		]]
	},

	DAEMONS = 
	{

		FEAR = 
		{
			NAME = "FEAR",
			DESC = "Fully drains a random agent's AP",
			SHORT_DESC = "An agent loses AP",
			ACTIVE_DESC = "An agent loses all AP",
			AGENTTEXT = "FEAR\nAP DRAINED" --this appears above affected agent's head
		},	
		UNIFORM = 
		{
			NAME = "UNIFORM",
			DESC = "A random guard gains 1 armor permanently",
			SHORT_DESC = "A guard gains 1 armor",
			ACTIVE_DESC = "A guard gains 1 armor",
			TOOLTIP = "SUITED UP",
			TOOLTIP_DESC = "This unit has +1 armor.",
		},
		CREDENTIALS = 
		{
			NAME = "VERIFY",
			DESC = "A random guard changes patrol",
			SHORT_DESC = "A guard changes patrol",
			ACTIVE_DESC = "A guard changes patrol",
		},
		PROMPT = 
		{
			NAME = "PROMPT",
			DESC = "Drains 1 PWR, then installs itself onto two devices",
			SHORT_DESC = "Drains small PWR, reinstalls twice",
			ACTIVE_DESC = "Drains {1} PWR, jumps to 2 more devices",
		},
		MASK = 
		{
			NAME = "MASK",
			DESC = "Daemons are shuffled, then hidden while Mask is active.",
			SHORT_DESC = "Daemons are shuffled and hidden",
			ACTIVE_DESC = "Daemons are shuffled and hidden.",
		},
		TRANSPARENCY = 
		{
			NAME = "TRANSPARENCY",
			DESC = "Unlocked doors are open and cannot be closed",
			SHORT_DESC = "Doors are open",
			ACTIVE_DESC = "Doors must stay open",
			WARNING = "TRANSPARENCY DAEMON\nDOOR STAYS OPEN"
		},	
		BARRICADE = 
		{
			NAME = "BARRICADE",
			DESC = "Secure and vault doors cannot be opened",
			SHORT_DESC = "Secure and vault doors are reinforced",
			ACTIVE_DESC = "Advanced doors are locked down"
		},	
	},

	GUARDS = {
		MGHOST = {
			TOOLTIP = "Virtual Construct",
			TOOLTIP_DESC = "This unit may pass through devices, and can only see mainframe threats.",
		},
		VOIDFIELD = {
			TOOLTIP = "Void Field",
			TOOLTIP_DESC = "Emits a field that impairs senses of all units within {1} tiles.",
		},
		VOIDBLOCK = {
			TOOLTIP = "Voided",
			TOOLTIP_DESC = "Inside a Void Field: cannot hear, sight range reduced.",
		},
		HYPERFOCUS = {
			TOOLTIP = "Emotionless",
			TOOLTIP_DESC = "This unit can never become alerted and does not see enemies.",
		},
		STONEWALL = "STONE-W411",
		VIGILANTE = "VIGIL-4NT3",
		NOCTIS = "NOCT-15",
		PANDORA = "PAN-D0R4",
	},

	ITEMS = 
	{
		CONFIDENCE_BOOSTER = 
		{
			NAME = "Confidence Booster",
			DESC = "KOs a guard for 2 turns or restores 4 AP.",
			FLAVOR = "Decker's favourite. A bottle of whiskey has its uses: it's a heavy blunt weapon, a mini-stimulant and a cure for nervousness all in one.",
		},
		SCRIPT_CHIP = 
		{
			NAME = "Script Chip",
			DESC = "Contains Payload, Launcher and Module scripts. Combine multiple Chips at a console to craft a program.",
			FLAVOR = "WATCH AND LEARN, KID.\n                                              -r4ttlesn4ke",

			-- out of mission description. Extra abilities are not shown while out of mission, so we change the desc entry
			DESC_DOWNTIME = "Contains the <c:F4FF78>{1}</c>, <c:F4FF78>{2}</c> and <c:F4FF78>{3}</c> scripts. Currently selected:\n\n<c:F4FF78>{4}</c> - {5}",

			TIP = "SWITCH SCRIPT",
			TIP_DESC = "Each Script Chip has 3 scripts, but only one script per chip may be used.",------------------------|",
			TIP_USE_DESC = "Cycle the selected active script.",
			CANNOT_SWITCH = "Cannot switch in the middle of compilation - abort and try again!",
			CHIP_USED = "SCRIPT COMPILING",
			CHIP_USED_DESC = "<c:FF6000>The chip is currently inserted into the console during compilation.</c>",

			COMPILE = "COMPILE PROGRAM",
			COMPILE_DESC = "Use the <c:F4FF78>{1}</c> script in program assembly.",
			COMPILE_COMPLETE = "COMPLETE COMPILATION",
			COMPILE_COMPLETE_DESC = "Assemble the <c:FF6000>{1}{2}{3}</c>program.",
			COMPILE_COMPLETE_TOO_MANY = "No available program slots!",
			COMPILE_ABORT = "ABORT COMPILATION",
			COMPILE_ABORT_DESC = "Reset the process of program assembly.",
		},
	},

	LOADING_TIPS = {
		"ADVANCED CYBERWARFARE: Watch out for the improved Mask daemon! Daemons will be shuffled around before being hidden. Previously safe devices might be infested!",
		"ADVANCED CYBERWARFARE: Payload scripts add functionality to the program. For example, they might allow it to break firewalls, or buff your agents.",
		"ADVANCED CYBERWARFARE: Launcher scripts add PWR costs and cooldowns to the program. Sometimes they also attach conditions, making the program auto-triggered.",
		"ADVANCED CYBERWARFARE: A Module script can be added during compilation. These increase the program's sell value and add unique and potent modifiers to it.",
		"ADVANCED CYBERWARFARE: To compile a custom program, you'll need two Script Chips, set into Payload and Launcher modes respectively. You may add a third, a Module.",
		"ADVANCED CYBERWARFARE: Each Script Chip contains three scripts of different kinds. You'll need to pick the one you want to use in a program.",
		"ADVANCED CYBERWARFARE: If playing with Programs Extended, an additional script might appear on chips. More cross-over scripts might turn up later!",
		"ADVANCED CYBERWARFARE: Dragon decays if she's alone in the field. If all other agents are KO, you'll need to extract quickly or use Burnout Protocol to revive one.",
		"ADVANCED CYBERWARFARE: Dragon is a great scout, but a useless item carrier and a horrid combatant. Get out before it gets hot!",
		"ADVANCED CYBERWARFARE: Bug reports are always appreciated. Your best shot at reaching the dev would be to @<c:F47932>sizzlefrostindeed</c> on Discord.",
	},

	PROGRAMS =
	{		
		SCRIPT =
		{
			NAME = "ERROR NAME",
			DESC = "ERROR DESCRIPTION",
			SHORT_DESC = "USE {1}", -- fullname of the program will follow
			HUD_DESC = "CUSTOM EFFECTS", -- this one actually shows in-game, cause i'm lazy to make it work
			TIP_DESC = "",

			NO_TARGETS = "No viable targets!",

			-- CHIP DESCS: short versions show up in the chip tooltip. It's limited to 31 normal characters/20 >W< ide ones.

			MAINS = {
				BLAST = {
					NAME = "BLAST",
					DESC = "Breaks {1} {1:firewall|firewalls}",
					TIP_DESC = "Break firewalls on target device.",

					CHIP_DESC = "Program breaks 2 firewalls.",
					CHIP_DESC_SHORT = "Breaks 2 firewalls.", -- tooltip width: 20/31 characters					
				},
				WAVE = {
					NAME = "WAVE",
					DESC = "Breaks {1} {1:firewall|firewalls} on {2} {2:random device|random devices}",

					CHIP_DESC = "Program breaks 1 firewall on 3 random known devices.",
					CHIP_DESC_SHORT = "Breaks firewalls on 3 devices.", -- tooltip width: 31/31 characters
				},
				-- 2 more breakers: possibly use radius
				HEAT = {
					NAME = "HEAT",
					DESC = "Generates {1} PWR",

					CHIP_DESC = "Program generates 2 PWR.",
					CHIP_DESC_SHORT = "Generates 2 PWR.", -- tooltip width: 17/31 characters
				},
				-- 1 more generator
				SHATTER = {
					NAME = "SHATTER",
					DESC = "Reduces KO resist by {1}",
					TIP_DESC = "Reduce the guard's KO resist.",

					CHIP_DESC = "Program reduces KO resist on a guard by 1.",
					CHIP_DESC_SHORT = "Reduces KO resist by 1.", -- tooltip width: 23/31 characters
				},
				SWIFT = {
					NAME = "SWIFT",
					DESC = "Gives {1} {1:random agent|random agents} {2} AP",

					CHIP_DESC = "Program grants 2 random agents 2 AP.",
					CHIP_DESC_SHORT = "Grants 2 agents 2 AP.", -- tooltip width: 21/31 characters
				},
				CRYPTO = { -- this only shows up with PE AI
					NAME = "CRYPTO",
					DESC = "Generates {1} Hash {1:Key|Keys}",
					NO_AI = "No Hostile AI detected!",

					CHIP_DESC = "Program generates a Hash Key.",
					CHIP_DESC_SHORT = "Generates a Hash Key.", -- tooltip width: 21/31 characters
				},
				TRICK = {
					NAME = "TRICK",
					DESC = "Kills {1:a Daemon|Daemons}, installs {1:a Daemon|Daemons for each killed,}",
					TIP_DESC = "Kill the Daemon, install a random Daemon.",

					CHIP_DESC = "Program kills a Daemon, but installs a Daemon.",
					CHIP_DESC_SHORT = "Kills Daemon, triggers one.", -- tooltip width: 28/31 characters
				},
				SHUFFLE = {
					NAME = "SHUFFLE",
					DESC = "Provides {1} extra Daemon reversal chance while cooling down,",

					CHIP_DESC = "Program grants 30 percent Daemon reversal chance while on cooldown.",
					CHIP_DESC_SHORT = "Algorithm Chance if cooling.", -- tooltip width: 30/31 characters
				},
				FLICKER = { -- unimplemented, ridiculous code, stretch goal
					NAME = "FLICKER",
					DESC = "Teleports {1:an agent|agents} {2} {2:tile|tiles} laterally",
					TIP_DESC = "Teleport the agent 2 tiles laterally.",
					ENDS_TURN = ", ending the turn, ",
					FAIL = "Cannot flicker {1}\nBlocked by wall",
					BLOCKED = "Destination blocked!",
					OCCUPIED = "Destination occupied!",

					CHIP_DESC = "Program teleports an agent 2 tiles straight, but not through walls. Ends turn unless auto-triggered.",
					CHIP_DESC_SHORT = "Teleports agent laterally.",
				},
				GORGE = {
					NAME = "GORGE",
					DESC = "Provides {1} extra max PWR while cooling down,",

					CHIP_DESC = "Program grants 5 max PWR while on cooldown.",
					CHIP_DESC_SHORT = "Max PWR if cooling.", -- tooltip width: 30/31 characters
				},
			},

			LAUNCHERS = {
				SPIKE = {
					NAME = "SPIKE",
					DESC = " for {1} {2}. {3} turn cooldown.",

					CHIP_DESC = "Program costs 0 PWR and has 2 cooldown.",
					CHIP_DESC_SHORT = "0 PWR / 2 cooldown.", -- tooltip width: 21/31 characters
				},
				--[[START = { -- unimplemented, not sure on it, stretch goal
					NAME = "START",

					CHIP_DESC = "Program costs 1 PWR and has cooldown equal to Alarm Level + 1.",
				},]]
				FORGE = {
					NAME = "FORGE",
					DESC = " for {1} {2}.",

					CHIP_DESC = "Program costs 3 PWR and has 0 cooldown.",
					CHIP_DESC_SHORT = "3 PWR / 0 cooldown.", -- tooltip width: 21/31 characters
				},
				LOAD = {
					NAME = "LOAD",
					DESC = " for {1} {2}, then makes {3} PWR. {4} turn cooldown.",

					CHIP_DESC = "Program costs 5 PWR, has 1 cooldown, and refunds 4 PWR when executed.",
					CHIP_DESC_SHORT = "5 (-4 refund) PWR / 1 cd.", -- tooltip width: 26/31 characters
				},
				LINK = {
					NAME = "LINK",
					COST_DESC = " for {1} {2}",
					DESC = " automatically at the start of the turn.",

					CHIP_DESC = "Program triggers at the start of each turn (0 PWR, 1 CD). Targets are chosen randomly.",
					CHIP_DESC_SHORT = "0 PWR / 1 cd / start of turn.", -- tooltip width: 31/31 characters
				},
				STRIKE = {
					NAME = "STRIKE",
					COST_DESC = " for {1} {2}",
					DESC = " automatically when a guard is KOd.",

					CHIP_DESC = "Program triggers twice on guard KO. Costs 1 PWR, has 0 CD, targets are random.",
					CHIP_DESC_SHORT = "1 PWR / 0 cd / on guard KO.", -- tooltip width: 28/31 characters
				},
				WARD = {
					NAME = "WARD",
					COST_DESC = " for {1} {2}",
					DESC = " automatically when Alarm Level increases.",					

					CHIP_DESC = "Program triggers whenever Alarm Level increases. 0 PWR, 0 CD, targets are random.",
					CHIP_DESC_SHORT = "0 PWR / 0 cd / on alarm up.", -- tooltip width: 29/31 characters
				},
			},

			MODULES = {
				--[[REMASTERED = { -- unimplemented, not sold on it, needs a further think - stretch goal
					NAME = "REMASTERED",

					CHIP_DESC = "Program continues to cool down while ready, potentially storing a second charge.",
				},]]
				OMEGA = {
					NAME = "OMEGA",

					CHIP_DESC = "Program has 2x effect, but +1 PWR cost and +1 cooldown.",
					CHIP_DESC_SHORT = "2x effect / +1 PWR / +1 cd.", -- tooltip width: 30/31 characters
				},
				DUO = {
					NAME = "DUO",

					CHIP_DESC = "Program has double the targets, but all its targets are chosen at random.",
					CHIP_DESC_SHORT = "2x targets, chosen randomly.", -- tooltip width: 31/31 characters
				},
				GOLD = {
					NAME = "GOLD",

					CHIP_DESC = "Program costs 10 credits per PWR point, instead of PWR.",
					CHIP_DESC_SHORT = "Costs CR instead of PWR.", -- tooltip width: 25/31 characters
				},
				ALPHA = {
					NAME = "ALPHA",
					REASON = "Alpha: Program already been used!",

					CHIP_DESC = "Program has 5x effect and costs no PWR, but can only be used once per mission.",
					CHIP_DESC_SHORT = "One-use / 5x effect / 0 PWR.", -- tooltip width: 31/31 characters
				},
				LITE = { -- unimplemented
					NAME = "LITE",

					CHIP_DESC = "Program has -2 PWR cost, but gains +1 cooldown each time it is used.",
					CHIP_DESC_SHORT = "-2 PWR / +1 cd per use.", -- tooltip width: 24/31 characters
				},
				EVO = {
					NAME = "EVO",

					CHIP_DESC = "Program has 0.5x effect (rounded up). It gains 0.25x effect each Alarm Level.",
					CHIP_DESC_SHORT = "0.5 effect / +0.25 per alarm.", -- tooltip width: 30/31 characters
				},
				--[[FOCUS = { -- unimplemented; too close to burnout by that point, future Sizzle can handle it - stretch goal
					NAME = "FOCUS",

					CHIP_DESC = "Program has a single target instead of a radius.",
				},]]
				-- 3 more modules
			}
		},	
		DRAGON2 = 
		{
			NAME = "DRAGON'S ASSISTANCE",
			DESC = "Grants an agent +3 AP and reduces their sprint noise this turn.",
			SHORT_DESC = "USE DRAGON'S ASSISTANCE",
			HUD_DESC = "AGENT GETS NIMBLE",
			TIP_DESC = "GRANTS +3 AP AND QUIET SPRINTING",
			FAIL = "Agent already affected!",
			FAILDRAGON = "Dragon's frame is booting up!"	
		},
		NETWORK = 
		{
			NAME = "NETWORK",
			GAMEDESC = "GAIN 1 PWR PER TURN PER {1} CYBER CONSCIOUS GUARDS",
			DESC = "Connects guards to the network to gain PWR per guard.",
			SHORT_DESC = "LINK GUARD",
			HUD_DESC = "LINK GUARD TO TAG AND GRANT\nCYBER CONSCIOUSNESS",
			TIP_DESC = "Link guard: they gain Cyber Consciousness and generate PWR/turn.",		
			WARNING = "NETWORK TRACKING {1} {1:GUARD|GUARDS}\n{2} PWR GAINED",
			FAIL = "Guard already connected to the network!",
			TOOLTIP = "NETWORKED", --this is the tooltip for affected guards 
			TOOLTIP_DESC = "This guard is connected to the network and generates PWR every turn while TAGGED.",
			TRIGGER = "TAG LOST\nDISCONNECTING",
		},
		KEYHOLE = {
			NAME = "KEYHOLE",
			DESC = "Breaks 1 firewall for 0 PWR. 2 turn cooldown, reduced to 1 if the device was captured.",
			SHORT_DESC = "USE KEYHOLE",
			HUD_DESC = "BREAKS 1 FIREWALL FOR FREE\nBETTER ON FINAL FIREWALL",
			TIP_DESC = "BREAKS <c:FF8411>1 FIREWALL</c>. COST: <c:77FF77>{1} PWR</c>",
		},
		FOCUS = {
			NAME = "FOCUS",
			DESC = "Reduce camera vision radius by 2 tiles for 3 turns, costs 3 PWR. 1-turn cooldown.",
			SHORT_DESC = "USE FOCUS",
			HUD_DESC = "REDUCES CAMERA VISION RANGE",
			TIP_DESC = "REDUCES CAMERA VISION RANGE BY 2 TILES. COST: <c:77FF77>{1} PWR</c>",
		},
		FEATHER =
		{
			NAME = "FEATHER",
			DESC = "Decreases alarm for 2 PWR. \n+2 PWR per use.",
			SHORT_DESC = "USE FEATHER",
			HUD_DESC = "DECREASES ALARM BY 1 POINT",
			TIP_DESC = "REVERSES ALARM TRACKER.\nCOST: <c:77FF77>{1} PWR</c>",
			WARNING = "FEATHER - ALARM DECREASED",
		},
		PECK =
		{
			NAME = "PECKPOCKET",
			DESC = "Remotely steals credits from a guard.\nDoes not benefit from agent skills.",
			SHORT_DESC = "USE PECKPOCKET",
			HUD_DESC = "STEALS A GUARD'S CREDITS",
			TIP_DESC = "STEALS A GUARD'S CREDITS.",
		},	
		DEAFEN =
		{
			NAME = "CONCUSSION",
			DESC = "Deafens a guard or captures a sound bug for 5 PWR.",
			SHORT_DESC = "USE CONCUSSION",
			HUD_DESC = "DEAFENS GUARDS OR CAPTURES SOUND BUGS",
			TIP_DESC = "DEAFENS A GUARD OR CAPTURES A SOUND BUG.\nCOST: <c:77FF77>{1} PWR</c>",
			WARNING = "Already deaf!",
		},
		PENDULUM = 
		{
			NAME = "MOONLIGHT",
			DESC = "Breaks 0, 1 or 2 firewalls for 2 PWR. Cycles every turn.",
			DESC1 = "Breaks <c:FF8411>{1}</c> firewalls for 2 PWR. Cycles every turn.",
			SHORT_DESC = "USE MOONLIGHT",
			HUD_DESC = "BREAKS {1} FIREWALLS",
			TIP_DESC = "BREAKS <c:FF8411>{1} FIREWALLS</c>. COST: <c:77FF77>{2} PWR</c>",
			REASON = "New Moon - can't break firewalls!",
			WARNING = "MOON PHASE CHANGED\nBREAKS {1} FIREWALLS",
		},

		-- about to be removed
		SUN = 
		{
			NAME = "SUN",
			DESC = "Cycles 6 PWR each turn.\nAdvances the alarm tracker.",
			SHORT_DESC = "6 PWR refreshing, alarm progresses each turn.",
			HUD_DESC = "CLEAR ALL PWR AT START OF TURN, THEN GAIN 6 PWR. ADVANCE THE ALARM.",
			TIP_DESC = "At the start of each turn, clear all PWR, then gain 6 PWR. Advance the alarm tracker by 1.",		
			WARNING = "NEW DAWN: 6 PWR\nALARM INCREASES",
		},
		WORK =
		{
			NAME = "WORK",
			DESC = "Agents get -3 AP\nPrograms cost 1 less PWR",
			SHORT_DESC = "-3 AP, -1 PWR costs",
			HUD_DESC = "AGENTS LOSE 3 AP\nPROGRAMS COST 1 LESS PWR\nPASSIVE",
			AGENTTEXT = "WORKING" --this appears above affected agent's head	
		},
		ANGEL =
		{
			NAME = "ANGEL",
			DESC = "Reverses a lot of Daemons, but increases your program costs by 1.",
			SHORT_DESC = "Reverse Daemons, programs cost +1 PWR",
			HUD_DESC = "REVERSE SOME DAEMONS\nINCREASE PROGRAM COSTS BY 1\nPASSIVE",
			TIP_DESC = ""		
		},	
		DATA_BLAST2 =
		{
			NAME = "DATA PUNCH",
			DESC = "Breaks 2 firewalls on all detected devices within a radius of 2 tiles.",
			SHORT_DESC = "USE DATA STRIKE",
			HUD_DESC = "BREAKS 2 FIREWALLS",
			TIP_DESC = "BREAKS <c:FF8411>2 FIREWALLS</c>. COST: <c:77FF77>{1} PWR</c>"		
		},	
		DATA_BLAST3 =
		{
			NAME = "DATA NUKE",
			DESC = "Breaks 3 firewalls on all detected devices within a radius of 7 tiles.\n9 turn cooldown, starts on cooldown.",
			SHORT_DESC = "USE DATA NUKE",
			HUD_DESC = "BREAKS 3 FIREWALLS",
			TIP_DESC = "BREAKS <c:FF8411>3 FIREWALLS</c>. COST: <c:77FF77>{1} PWR</c>"		
		},
	},

	OPTIONS =
	{	
		ENABLE_DAEMONS = "DAEMONS, MILD AND SCARY",
		ENABLE_DAEMONS_TIP = "Adds 6 new Daemons. Also <c:FF8411>reworks Mask</c>. The following Daemons are added:\n- Barricade\n- Fear\n- Prompt\n- Transparency\n- Uniform\n- Verify",
		ENABLE_CHIPS = "SCRIPT KIDDIES' TREASURES",
		ENABLE_CHIPS_TIP = "Adds Script Chips, found on missions. Use them at consoles to compile your own programs!",
		ENABLE_PROGRAMS = "PROGRAMS TO THE RESCUE",
		ENABLE_PROGRAMS_TIP = "Unique programs assist Incognita in combatting threats old and new:\n- Concussion\n- Feather\n- Focus\n- Keyhole\n- Network\n- Peckpocket\n- Pendulum",
		ENABLE_ITEMS = "BONUS ITEM",
		ENABLE_ITEMS_TIP = "A bottle of whiskey, freshly fabricated. Coming to a nanofab near you!",
		ENABLE_SITREPS = "ADVANCED SECURITY SYSTEM CHANCE",
		ENABLE_SITREPS_TIP = "Some facilities may have advanced cyber-grid designs imposing unique challenges for the mission's duration. This setting sets the chance of such grids appearing.",
		ENABLE_SITREPS_CHANCE_STRINGS = {
			"OFF",
			"20%",
			"40%",
			"60%",
			"80%",
			"ALWAYS"
		},
		--ENABLE_PROGRAMS_STRINGS = {"DISABLED","ENABLED"}, --must be 2 in total
		ENABLE_DRAGON = "CYBERDRACONIC ROAR",
		ENABLE_DRAGON_TIP = "Enables <c:61AAAA>Dragon</c>, a program turned agent that assists Invisible between reality and cyberspace.",
		DRAGON_TIMER_LENGTH = "BASE DRAGON FADEOUT",
		DRAGON_TIMER_LENGTH_TIP = "<c:61AAAA>HIGHER = EASIER.</c>\n\nDetermines how much time On-File Dragon can spend alone in the field. Once she becomes alone (when other agents have been captured or extracted), you will have this long to extract her.\n\nThis is only the base value; you may upgrade the longevity of Dragon via her Stability skill, and by default, each alarm level reduces this timer by 1 (you can change this via the MINIMUM FADE ALARM setting, or set this to INDEFINITE to disable fading entirely).\n\n<c:FF8411>INSTANT DEATH IS ALWAYS INSTANT!</c>",
		DRAGON_TIMER_LENGTH_STRINGS = {
			"<c:FF6000>INSTANT DEATH</c>",
			"1 TURN",
			"2 TURNS",
			"3 TURNS",
			"4 TURNS",
			"5 TURNS",
			"6 TURNS",
			"7 TURNS",
			"8 TURNS",
			"9 TURNS",
			"10 TURNS",
			"11 TURNS",
			"12 TURNS",
			"13 TURNS",
			"14 TURNS",
			"15 TURNS",
			"<c:61AAAA>INDEFINITE</c>"
		},
		DRAGON_TIMER_ALARM = "MINIMUM FADE ALARM",
		DRAGON_TIMER_ALARM_TIP = "<c:61AAAA>HIGHER = EASIER.</c>\n\nMinimum alarm level for Dragon to start fading away. Dragon still only fades if left alone in the field. Higher alarms equals more leeway.\n\n<c:61AAAA>ALWAYS</c> means Dragon will always fade when alone.\n<c:61AAAA>DECAYING</c> means Dragon will always fade when alone, and you will have one fewer turn to extract her for each alarm level.\n<c:61AAAA>ONLY AT CAP</c> means Dragon will only fade when alone and alarm is maxed out.",
		DRAGON_TIMER_ALARM_STRINGS = {
			"DECAYING",
			"ALWAYS",
			"1",
			"2",
			"3",
			"4",
			"5",
			"ONLY AT CAP"
		},
		DRAGON_TIMER_ALARM_STRINGS_PE = {
			"DECAYING",
			"ALWAYS",
			"1",
			"2",
			"3",
			"4",
			"5",
			"6",
			"7",
			"ONLY AT CAP"
		}
	},

	REASON = {
		GUARD_ALERTED = "GUARD NOTICED DISTURBANCE", --these two show up under "ALARM LEVEL INCREASED"
		DRONE_ALERTED = "SUBVERTED DRONE REACTION",
		CLOAK_AUG_BLOCKED = "Can't install cloaking augmentations to a permanently cloaked agent!",
	},

	SKILLS = {
		STABILITY_NAME = "STABILITY",
		STABILITY_DESC = "Lengtens the time Dragon can spend alone in a level",
		STABILITY1_TOOLTIP = "Standard duration",
		STABILITY2_TOOLTIP = "+1 turn\nBypass secure doors",
		STABILITY3_TOOLTIP = "+1 turn",
		STABILITY4_TOOLTIP = "+1 turn\nBypass magnetic reinforcements",
		STABILITY5_TOOLTIP = "+2 turns\nBypass vault doors and null zones",
	},

	SITREPS = {
		GRID_DEFAULT = " Grid",
		SANSAN = {
			NAME = "SanSan City",
			DESC = "Whenever Alarm Level increases, add 1 tick to it.",
			TRIGGER = "SanSan Grid\nAlarm advances",
		},
		CRISIUM = {
			NAME = "Crisium",
			DESC = "Daemons cannot be reversed.",
			TRIGGER = "Crisium Grid\nDaemon reversal prevented",
		},
		DJUPSTAD = {
			NAME = "Djupstad",
			DESC = "When the objective is completed, your units get -2 max AP for the rest of the mission.",
			TRIGGER = "Djupstad Grid\nAgent AP reduced",
			AFFECTED = "Agent's max AP is reduced by 2 until the end of the mission.",
		},
		SATELLITE = {
			NAME = "Satellite",
			DESC = "When the objective is completed, lock the exit elevator for 5 turns.",
			TRIGGER = "Satellite Grid\nExit locked",
		},
		HEINLEIN = {
			NAME = "Heinlein",
			DESC = "After a device is hacked, lock Incognita until the end of the turn.",
			TRIGGER = "Heinlein Grid\nIncognita locked",
		},
	},

	WORLD = {
		RESOURCE_BAR = {
			DISPLAY = "HASH {1}/{2}", -- counting on 123_567/901, 11 symbols
			NAME = "Hash Keys",
			DESC = "Used to interact with the Hostile AI",
		},
		GRID = {
			DISPLAY = "INVALID GRID",
			NAME = "Cybersecurity Grid: ",
			DESC = "A mission-specific modifier",
		},
	},
}

return DLC_STRINGS
























