local STRINGS =
{
	ABILITIES =
	{
		FAILSAFE =
		{
			NAME = "FAILSAFE",
			SHORT_DESC = "",
			UNIT_DESC = "Automatically reboots when hacked.",
		},
		CHRONJOB =
		{
			NAME = "CHRONJOB",
			SHORT_DESC = "",
			UNIT_DESC = "Automatically reboots after 2 turns when hacked.",
		},
		DAEMONITOR =
		{
			NAME = "DAEMONITOR",
			SHORT_DESC = "",
			UNIT_DESC = "Upgraded Heartmonitor - Installs a daemon when KOed or killed.",
		},
	},
	OPTIONS =
	{		
		INCOGNITA_UPGRADE = "Incognita Upgrades",
		INCOGNITA_UPGRADE_DESC = "Allows for upgrading Incognita for more program slots.",
		
		SLOT_OVERWRITE = "Incognita Upgrade Overwrite",
		SLOT_OVERWRITE_DESC = "Overwrites Generation Options Plus settings. Disable this option and use GenOptPlus if you want to set your starting program slots.",
		
		SITREP = "Situation Report",
		SITREP_DESC = "Adds Situation Modifiers and other strategical options to the campaign. This option requires Agent Reserve to be enabled!",
		
		SITREP_STARTING_DAY = "SITREP Starting Day",
		SITREP_STARTING_DAY_DESC = "Day on which the first SITREP can appear.\nDay 1 option excludes first mission.",
		
		SITREP_DAY_INCREASE = "SITREP Increase Frequency",
		SITREP_DAY_INCREASE_DESC = "Increase the number of SITREPs every x Days.",
		
		INCOGNITA_PENALTY_STARTING_DAY = "Incognita Penalty Starting Day",
		INCOGNITA_PENALTY_STARTING_DAY_DESC = "Day from which on Incognita Penalties start to appear.",
	},
	
	PENALTY_DAEMONS =
	{
		EXHAUSTION =
		{
			NAME = "EXHAUSTION",
			DESC = "Programs cost +1 PWR to use.",
			SHORT_DESC = "PWR COST",
			ACTIVE_DESC = "+1 PWR COST TO PROGRAMS",
		},
		INSOMNIA =
		{
			NAME = "INSOMNIA",
			DESC = "Stops INCOGNITA from hacking on even turns",
			SHORT_DESC = "Disables hacking ability",
			ACTIVE_DESC = "Incognitas hacking ability stopped on even turns",
		},
		POWER_LEAK =
		{
			NAME = "POWER LEAK",
			DESC = "INCOGNITA loses all PWR each ALARM LEVEL",
			SHORT_DESC = "PWR loss",
			ACTIVE_DESC = "Incognita loses all power each alarm level",
		},
		SCREAM =
		{
			NAME = "SCREAM",
			DESC = "+1 ALARM on every 3rd program use",
			SHORT_DESC = "Loud programs",
			ACTIVE_DESC = "Alarm rises on every 3rd program use",
		},
		MALWARE =
		{
			NAME = "MALWARE",
			DESC = "DAEMON install on every 5th program use",
			SHORT_DESC = "Compromised programs",
			ACTIVE_DESC = "Daemon install on every 5th program use",
		},
		OVERHEAT =
		{
			NAME = "OVERHEAT",
			DESC = "Stops INCOGNITA from hacking after breaking all firewalls on a device until end of turn",
			SHORT_DESC = "Disables hacking ability",
			ACTIVE_DESC = "Incognita is disabled after hacking device",
		},
		MEMORY_LEAK =
		{
			NAME = "MEMORY LEAK",
			DESC = "A random active program is permanently disabled",
			SHORT_DESC = "Program disabled",
			ACTIVE_DESC = "A random active program is permanently disabled",
		},
	},
	
	PROGRAMS =
	{
		SEND_TO_AGENCY_DESC = "You've purchased a program, uploaded to the storage:\n%s",
	},
	
	SITREPS =
	{
		LOCATION_TITLE = "SITREPs",
		
		CONSOLE_ALARM =
		{
			NAME = "TRACER",
			DESC = "Consoles are alarmed and will trigger a nearby guard to investigate when hacked.",
			SHORT_DESC = "Consoles are alarmed",
			ACTIVE_DESC = "Consoles are alarmed.",
			WARNING = "TRACER\nGUARD ALERTED",
		},
		TURRETS_360 =
		{
			NAME = "WIDESCREEN",
			DESC = "Turrets have wider vision cones.",
			SHORT_DESC = "360 Turret vision",
			ACTIVE_DESC = "Consoles are alarmed.",
		},
		GUARD_VISION =
		{
			NAME = "EAGLE",
			DESC = "All guards have increased vision.",
			SHORT_DESC = "Boost Guard Vision",
			ACTIVE_DESC = "Guards have increased vision.",
		},
		SAFE_FORTIFY =
		{
			NAME = "TITANIUM CASE",
			DESC = "All safes have +2 Firewalls and magnetic reinforcement.",
			SHORT_DESC = "Safes have +2 Firewalls and magnetic reinforcement",
			ACTIVE_DESC = "Firewalls on safes are increased by 2 and have magnetic reinforcement.",
		},
		TURTLE =
		{
			NAME = "TURTLE",
			DESC = "Firewalls on 3 random devices are doubled.",
			SHORT_DESC = "Boost firewalls on 3 devices",
			ACTIVE_DESC = "Firewalls on 3 devices are doubled.",
		},
		CAMERA_FAILSAFE =
		{
			NAME = "SHARP EYE",
			DESC = "Cameras reboot when hacked.",
			SHORT_DESC = "Camera failsafe",
			ACTIVE_DESC = "Cameras will reboot when hacked.",
		},
		CHRONJOB =
		{
			NAME = "CHRONJOB",
			DESC = "Some devices will automatically reboot 2 turns after hacked.",
			SHORT_DESC = "Deploy devices with chronjob",
			ACTIVE_DESC = "Chronjob - Devices will reboot 2 turns after hacking.",
		},
		FAILSAFE_DRONES =
		{
			NAME = "SHIRUDO",
			DESC = "Drones are KOed instead of taking control over them.",
			SHORT_DESC = "Drones have failsafe",
			ACTIVE_DESC = "Drone failsafe - Drones are KOed when hacked.",
		},
		VAULT_EXIT =
		{
			NAME = "BALROG",
			DESC = "The exit is locked behind a vault door.",
			SHORT_DESC = "Vault door exit",
			ACTIVE_DESC = "The exit is locked behind a vault door.",
		},
		DAEMONITORS =
		{
			NAME = "DAEMONITORS",
			DESC = "Heart monitors additionally install a daemon.",
			SHORT_DESC = "Daemon upgraded heart monitors",
			ACTIVE_DESC = "Heart monitors install a daemon when triggered.",
		},
		REBOOT_ICE_MAX =
		{
			NAME = "PHOENIX",
			DESC = "Mainframe devices will reboot with their initial firewall.",
			SHORT_DESC = "Higher firewall on rebooted devides",
			ACTIVE_DESC = "Mainframe devices will reboot with their initial firewall.",
		},
		IMPROVED_HEART_MONITORS =
		{
			NAME = "CARDIAL MONITORING",
			DESC = "All heart monitors are improved.",
			SHORT_DESC = "Improved heart monitors",
			ACTIVE_DESC = "All heart monitors are improved.",
		},
		SUPERSPREADER =
		{
			NAME = "SUPERSPREADER",
			DESC = "Hacked devices will install their daemon on a random other device.",
			SHORT_DESC = "Infectious daemons",
			ACTIVE_DESC = "Hacked devices will install their daemon on a random other device.",
		},
		STATIC_FIELD =
		{
			NAME = "STATIC FIELD",
			DESC = "All items need 2 turns longer to cooldown.",
			SHORT_DESC = "Increased item cooldowns",
			ACTIVE_DESC = "All items need 2 turns longer to cooldown.",
		},
		NETWATCH =
		{
			NAME = "NETWATCH",
			DESC = "+1 ALARM every 3rd device hacked.",
			SHORT_DESC = "Devices are alarmed",
			ACTIVE_DESC = "+1 ALARM every 3rd device hacked.",
		},
		FROST_FIELD =
		{
			NAME = "FROST FIELD",
			DESC = "Agents start with +3 AP, but lose 1 AP each alarm level.",
			SHORT_DESC = "ALARM slowed agents",
			ACTIVE_DESC = "Agents start with +3 AP, but lose 1 AP each alarm level.",
		},
	},
	
	SITUATION_MODIFIER =
	{
		LOW =
		{
			NAME = "LOW",
			DESC = "You can only bring {1} {1:program|programs} to this mission.",
		},
		MANUAL =
		{
			NAME = "MANUAL",
			DESC = "You can only bring {1} {1:program|programs} to this mission.",
		},
		PRECISE =
		{
			NAME = "PRECISE",
			DESC = "You can only bring {1} {1:agent|agents} to this mission.",
		},
		SURGICAL =
		{
			NAME = "SURGICAL",
			DESC = "You can only bring {1} {1:agent|agents} to this mission.",
		},
		LIGHT =
		{
			NAME = "LIGHT",
			DESC = "You can only bring 3 items per agent on this mission.",
		},
		MECHANICAL =
		{
			NAME = "MECHANICAL",
			DESC = "You can't bring items that require anarchy to this mission.",
		},
		SLOW =
		{
			NAME = "SLOW",
			DESC = "You can't bring items that require speed to this mission.",
		},
		SMART =
		{
			NAME = "SMART",
			DESC = "You can't bring items that require hacking to this mission.",
		},
	},
	
	SKILLS =
	{
		INCOGNITA =
		{
			SLOTS =
			{
				NAME = "Slots",
				DESC = "Increases Incognitas program slots by 1 each upgrade\n\n1: {5} {1:Slot|Slots}\n2: +1 ({1} CR)\n3: +1 ({2} CR)\n4: +1 ({3} CR)\n5: +1 ({4} CR)",
			},
			
			CAPACITY =
			{
				NAME = "PWR",
				DESC = "Increases Incognitas maximum PWR capacity\n\n1: {1} PWR\n2: +5 PWR ({2} CR)\n3: +5 PWR ({3} CR)\n4: +3 PWR ({4} CR)\n5: +2 PWR ({5} CR)",
			},
			
			KEYS =
			{
				NAME = "Keys",
				DESC = "Increases Incognitas maximum Hash Key capacity\n\n1: 4 Keys\n2: +2 Keys ({1} CR)\n3: +2 Keys ({2} CR)\n4: +2 Keys ({3} CR)\n5: +2 Keys ({4} CR)",
			},
		},
	},
	
	UI =
	{
		REASON =
		{
			PROGRAM_SLOTS = "Too many program slots are currently used",
		},
		INFILTRATE_WARNING = "Active SITREPs",
	},
}

return STRINGS
