local DLC_STRINGS =
{
	PROGRAMS =
	{
		AVALANCHE =
		{
			NAME = "AVALANCHE",
			DESC = "Break 1 firewall. +1 firewall broken for every multiple of 8 PWR stored.",
			SHORT_DESC = "USE AVALANCHE",
			HUD_DESC = "BREAK FIREWALLS\nBOOST WITH HIGH PWR",
			TIP_DESC = "BREAK <c:FF8411>{2} {2:FIREWALL|FIREWALLS} </c> FOR <c:77FF77>{1} PWR</c>",
		},

		AXE =
		{
			NAME = "AXE",
			DESC = "Break 4 firewalls on target and all revealed devices of the same type as the target.",
			SHORT_DESC = "USE AXE",
			HUD_DESC = "MULTI TARGET",
			TIP_DESC = "BREAK <c:FF8411>{2} {2:FIREWALL|FIREWALLS} </c> FOR <c:77FF77>{1} PWR</c>",
		},

		BANDWIDTH =
		{
			NAME = "BANDWIDTH",
			DESC = "Break 2 firewalls on all devices within 2 tile radius. +2 radius for every 8 PWR stored.",
			SHORT_DESC = "BANDWIDTH",
			HUD_DESC = "BREAK 2 FIREWALLS\nVARIABLE RADIUS",
			TIP_DESC = "BREAK {2} {2:FIREWALL|FIREWALLS} FOR <c:77FF77>{1} PWR</c>",
		},

		BANK = 
		{
			NAME = "BANK",
			DESC = "PASSIVE: Gain Credits equal to 10x maximum firewall recorded on captured mainframe device.",
			SHORT_DESC = "MAKE BANK",
			HUD_DESC = "GAIN CR WHEN CAPTURING MAINFRAME DEVICES",
			WARNING = "BANK: %i CR gained, %i uses left.",
			TOOLTIP = "{1} USES REMAINING",
		},

		BREACH = 
		{
			NAME = "BREACH",
			DESC = "Breaks 1 firewall, +1 for every use of this program this turn. Additional count resets next turn.",
			SHORT_DESC = "USE BREACH",
			HUD_DESC = "BREAKS FIREWALLS\nINCREASED EFFICIENCY WITH REPEATED USE",
			TIP_DESC = "BREAKS <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c>. COST: <c:77FF77>{1} PWR</c>",		
		},

		BREACH_2 = 
		{
			NAME = "BREACH 2.0",
			DESC = "Breaks 1 firewall, +2 for every use of this program this turn. Additional count resets next turn.",
			SHORT_DESC = "USE BREACH 2.0",
			HUD_DESC = "BREAKS FIREWALLS\nINCREASED EFFICIENCY WITH REPEATED USE",
			TIP_DESC = "BREAKS <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c>. COST: <c:77FF77>{1} PWR</c>",	
		},

		BRIBE = 
		{
			NAME = "BRIBE",
			DESC = "Breaks 3 firewalls. Costs 40 Credits to use.",
			SHORT_DESC = "USE BRIBE",
			HUD_DESC = "BREAKS FIREWALLS\nCOSTS CREDITS",
			TIP_DESC = "BREAKS <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c>. COST: <c:77FF77>{1} PWR</c>",		
		},

		BRIMSTONE =
		{
			DESC = "Break 1 firewall. On daemon install, +3 firewalls broken and -1 PWR cost until next use.",
			HUD_DESC = "BREAKS FIREWALLS\nBUFF FROM DAEMON INSTALL",
			TIP_DESC = "BREAKS <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c>. COST: <c:77FF77>{1} PWR</c>",
		},

		CHARGE =
		{
			DESC = "All programs cost 1 PWR less (MIN 1). Passive.",
			SHORT_DESC = "PASSIVE",
			HUD_DESC = "All PROGRAMS -1 PWR COST\nPASSIVE",
		},

		CLUB =
		{
			NAME = "CLUB",
			DESC = "Breaks 1 firewall, +1 for each even alarm level.",
			SHORT_DESC = "USE CLUB",
			HUD_DESC = "BREAKS FIREWALLS\nINCREASED EFFICIENCY WITH ALARM LEVEL",
			TIP_DESC = "BREAKS <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c>. COST: <c:77FF77>{1} PWR</c>",
		},

		CONDENSE = 
		{
			NAME = "CAPACITOR",
			DESC = "Gain 10 PWR, lose 5 PWR capacity.\nPASSIVE: +5 PWR capacity.",
			SHORT_DESC = "USE CAPACITOR",
			HUD_DESC = "TRADE 5 PWR CAPACITY FOR 10 PWR\nTOTAL PWR CAPACITY +5",
			WARNING = "PWR CAPACITY TOO LOW",
		},

		CONVERT =
		{
			NAME = "CONVERT",
			DESC = "Convert a Daemon on a mainframe device into an Algorithm. 3 turn cooldown.",
			SHORT_DESC = "USE CONVERT",
			HUD_DESC = "CONVERT DAEMON INTO ALGORITHM",
			TIP_DESC = "Convert this <c:FF8411>DAEMON</c> into an <c:00A400>ALGORITHM</c>. COST: <c:77FF77>{1} PWR</c>",
		},

		CROSSFEED = 
		{
			NAME = "CROSSFEED",
			DESC = "Each turn, transfer 1 firewall from source to target device and gain 1 PWR. On cooldown while active.",
			SHORT_DESC = "SELECT SOURCE",
			SHORT_DESC2 = "SELECT TARGET",
			HUD_DESC = "MODE 1: SELECT SOURCE OR\nREMOVE DESIGNATION",
			HUD_DESC2 = "MODE 2: SELECT TARGET OR\nREMOVE DESIGNATION",
			TIP_DESC = "SELECT SOURCE OR REMOVE DESIGNATION FOR <c:77FF77>{1} PWR</c>",
			TIP_DESC2 = "SELECT TARGET OR REMOVE DESIGNATION FOR <c:77FF77>{1} PWR</c>",
			WARNING = "CROSSFEED\n+1 PWR",
		},

		DAO =
		{
			NAME = "DAO",
			DESC = "Break 2 firewalls, 2 turn CD. PASSIVE: Alternate -1/+1 PWR and CD to all programs each alarm level.",
			SHORT_DESC = "USE DAO",
			HUD_DESC = "ALTERNATE BETWEEN POSITIVE AND NEGATIVE EFFECT",
			TIP_DESC = "BREAKS <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c>. COST: <c:77FF77>{1} PWR</c>",
		},

		DECRYPTOR = 
		{
			NAME = "DECRYPTOR",
			DESC = "Gain 4 Hash Keys for 2 PWR.\nPASSIVE: +6 max Hash Keys.",
			SHORT_DESC = "CONVERT PWR TO HASH KEYS",
			HUD_DESC = "+6 MAX HASH KEYS\nCONVERT PWR TO HASH KEYS",
			WARNING = "DECRYPTOR\n+4 HASH KEYS",
		},

		DICE = 
		{
			NAME = "DICE",
			DESC = "Random program loadout each mission. Program count increases with mission difficulty.",
			SHORT_DESC = "ROLL DICE",
			HUD_DESC = "RANDOMIZE PROGRAM LAYOUT",		
		},

		EQUALIZER = 
		{
			NAME = "EQUALIZER",
			DESC = "Equalize PWR between Incognita and hostile AI. 4 turn cooldown.",
			SHORT_DESC = "EQUALIZE",
			HUD_DESC = "EQUALIZE PWR",
			WARNING = "EQUALIZER\nSHUFFLED PWR RESERVES",
		},

		FADE =
		{
			NAME = "FADE",
			DESC = "Targets an agent. Cloak selected target for 1 turn. 9 turn cooldown.",
			SHORT_DESC = "USE FADE",
			HUD_DESC = "CLOAK TARGET",
			TIP_DESC = "CLOAK THIS TARGET FOR {1} PWR",
		},

		FAUST =
		{
			NAME = "FAUST",
			DESC = "Gain 2 PWR/turn. If PWR stored is a multiple of 5 at end of player's turn, install a random Daemon.",
			SHORT_DESC = "AUTO GENERATE PWR AND DAEMONS",	
			HUD_DESC = "GAIN 2/TURN, IF PWR % 5 = 0 AT TURN END, INSTALL DAEMON",
			WARNING = "FAUST\n+ 2 PWR",
		},

		FEAST =
		{
			DESC = "Breaks 5 firewalls for 0 PWR. Installs 2 random daemons. 3 turn cooldown.",
			SHORT_DESC = "USE FEAST",
		},

		FLAIL = 
		{
			NAME = "FLAIL",
			DESC = "Reduces first target's firewalls by the amount of firewalls on second target. Firewall/PWR ratio 1:1.5.",
			SHORT_DESC = "SELECT TARGET",
			SHORT_DESC2 = "SELECT BREAKER",
			HUD_DESC = "MODE 1: SELECT TARGET OR\nREMOVE DESIGNATION",
			HUD_DESC2 = "MODE 2: SELECT BREAKER OR\nREMOVE DESIGNATION",
			TIP_DESC = "SELECT TARGET OR REMOVE DESIGNATION",
			TIP_DESC2 = "BREAK <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c> ON THE TARGET</c> FOR <c:77FF77>{1} PWR</c> OR REMOVE DESIGNATION",
		},

		FISSION =
		{
			NAME = "FISSION",
			DESC = "Gain 6 PWR. 9 turn cooldown. Capturing mainframe device reduces cooldown by 2.",
			SHORT_DESC = "USE FISSION",
			HUD_DESC = "GAIN 6 PWR. REDUCE COOLDOWN WHEN CAPTURING DEVICES.",
			WARNING = "FISSION\n+6 PWR",
		},

		FLARE = {
			DESC = "Breaks 4 firewalls. Raise firewalls on a random mainframe device by 4. 3 turn cooldown.",
			SHORT_DESC = "USE FLARE",
			HUD_DESC = "BREAKS 4 FIREWALLS, +4 TO RANDOM FIREWALL",
		},

		FORTIFY =
		{
			NAME = "FORTIFY",
			DESC = "Prevents recapturing of mainframe devices for 1 PWR after fully breaking through all firewalls.",
			SHORT_DESC = "USE FORTIFY",
			HUD_DESC = "RECAPTURE PREVENTION\nSTATE: OFF",
			HUD_DESC2 = "RECAPTURE PREVENTION\nSTATE: ON",
			WARNING = "FORTIFY\n-1 PWR",
			WARNING_ON = "FORTIFY\nACTIVATED",
			WARNING_OFF = "FORTIFY\nDISABLED",
		},

		GEAR_SHIFT =
		{
			NAME = "GEAR SHIFT",
			DESC = "Generate PWR based on current gear setting and PWR stored. Use to switch gears.",
			DESC_LOW = "+1 PWR if PWR < 10.",
			DESC_HIGH = "+2 PWR if 8 < PWR < 15.\n-1 PWR if PWR < 8.",
			DESC_TOP = "+3 PWR if PWR > 14.\n-2 PWR if PWR < 14.",
			DESC_USE = "PWR cost and Cooldown apply at the end of the turn, once, when used.",
			SHORT_DESC = "SHIFT GEAR",
			SHORT_DESC_LOW = "LOW GEAR",
			SHORT_DESC_HIGH = "HIGH GEAR",
			SHORT_DESC_TOP = "TOP GEAR",
			SHORT_DESC_USE = "CLUTCH",
			HUD_DESC = "LOW GEAR: +1 PWR IF PWR < 10",
			HUD_DESC2 = "HIGH GEAR: +2 PWR IF 8 < PWR < 15",
			HUD_DESC3 = "TOP GEAR: +3 PWR IF PWR > 14",
			WARNING_PWR = "GEAR SHIFT\n+%i PWR",
			WARNING_1 = "GEAR SHIFT\nLOW GEAR ACTIVE",
			WARNING_2 = "GEAR SHIFT\nHIGH GEAR ACTIVE",
			WARNING_3 = "GEAR SHIFT\nTOP GEAR ACTIVE",
		},

		GREED =
		{
			NAME = "GREED",
			DESC = "Targets closed safe. Increase cash held by 'Alarm Level * 20%' once per safe. 5 turn cooldown.",
			SHORT_DESC = "BE GREEDY",
			HUD_DESC = "INCREASES CR IN SAFES",
			TIP_DESC = "INCREASE CR STORED FOR <c:77FF77>{1} PWR</c>",
		},

		HEARTBREAKER =
		{
			NAME = "HEARTBREAKER",
			DESC = "Targets a guard. Disables Heart Monitors. Downgrades Improved Heart Monitors. 4 turn cooldown.",
			SHORT_DESC = "USE HEARTBREAKER",
			HUD_DESC = "DISABLE HEART MONITOR",
			TIP_DESC = "DISABLE HEART MONITOR FOR <c:77FF77>{1} PWR</c>",
		},

		HITMAN =
		{
			NAME = "HITMAN",
			DESC = "Kills a guard for 250 Credits. 6 turn cooldown.",
			SHORT_DESC = "USE HITMAN",
			HUD_DESC = "PAY TO KILL A GUARD",
			TIP_DESC = "Kill unit for <c:77FF77>{1} PWR</c> and <c:F4FF78>{3} Credits</c>.",
		},

		HUSHPUPPY =
		{
			NAME = "HUSHPUPPY",
			DESC = "PASSIVE: Delaying a subroutine doubles the cooldown added. +2 max Hash Keys.",
			SHORT_DESC = "DELAY EFFICIENCY",
			HUD_DESC = "DELAY SUBROUTINES FOR LONGER",
		},

		HUSHPUPPY_PWR =
		{
			NAME = "HUSHPUPPY V.PWR",
			DESC = "PASSIVE: Delaying a PWR subroutine doubles the cooldown added. +2 max Hash Keys.",
			SHORT_DESC = "DELAY EFFICIENCY",
			HUD_DESC = "DISABLE PWR SUBROUTINES",
		},

		HUSHPUPPY_PRO =
		{
			NAME = "HUSHPUPPY V.PRO",
			DESC = "PASSIVE: Delaying a PROACTIVE subroutine doubles the cooldown added. +2 max Hash Keys.",
			SHORT_DESC = "DELAY EFFICIENCY",
			HUD_DESC = "DELAY PROACTIVE SUBROUTINES FOR LONGER",
		},

		HUSHPUPPY_REA =
		{
			NAME = "HUSHPUPPY V.REA",
			DESC = "PASSIVE: Delaying a REACTIVE subroutine doubles the cooldown added. +2 max Hash Keys.",
			SHORT_DESC = "DELAY EFFICIENCY",
			HUD_DESC = "DELAY REACTIVE SUBROUTINES FOR LONGER",
		},

		LANTERN =
		{
			NAME = "LANTERN",
			DESC = "Observes all guards within a 5 tile radius. PWR cost refunded if no guards have been affected.",
			SHORT_DESC = "ILLUMINATE",
			HUD_DESC = "OBSERVE ALL GUARDS\n5 TILE RADIUS",
			TIP_DESC = "OBSERVE ALL GUARDS FOR <c:77FF77>{1} PWR</c>",
		},

		LOTTERY = 
		{
			NAME = "LOTTERY",
			DESC = "Installs a random Algorithm. 8 turn cooldown.",
			SHORT_DESC = "USE LOTTERY",
			HUD_DESC = "INSTALL RANDOM ALGORITHM",
		},

		LEECH =
		{
			NAME = "PWR LEECH",
			DESC = "PASSIVE: Transfers 1 PWR from hostile A.I to Incognita each turn.",
			SHORT_DESC = "AUTO PWR DRAIN",
			HUD_DESC = "TRANSFERS PWR FROM AI TO YOU",
			WARNING = "PWR LEECH\n+%i PWR, -%i AI PWR",
		},

		OMNIWRENCH =
		{
			NAME = "OMNI WRENCH",
			DESC = "Break all firewalls at a PWR cost equal to their number. 2 turn cooldown. Every 4th use spawns a Daemon.",
			SHORT_DESC = "USE OMNI WRENCH",
			HUD_DESC = "BREAK ANY FIREWALL\nCOST EQUAL TO FIREWALL AMOUNT",
			TIP_DESC = "BREAK <c:FF8411>{2} {2:FIREWALL|FIREWALLS} </c> FOR EQUIVALENT AMOUNT OF<c:77FF77>PWR</c>\nUSES UNTIL DAEMON: <c:FF1111>%i</c>",
		},

		OVERDRIVE =
		{
			DESC = "All programs -1 cooldown (MIN 1). Passive.",
			SHORT_DESC = "PASSIVE",
			HUD_DESC = "All PROGRAMS -1 COOLDOWN (MIN 1)\nPASSIVE",	
		},

		OVERVIEW =
		{
			NAME = "OVERVIEW",
			DESC = "Install a remote camera on a target. Subsequent uses remove previous camera. 4 turn cooldown.",
			SHORT_DESC = "USE OVERVIEW",
			HUD_DESC = "CURRENT TARGET:\n%s",
			TIP_DESC = "INSTALLS REMOTE CAMERA FOR <c:77FF77>{1} PWR</c>",
			WARNING = "NONE",
		},

		NETWORK_SIPHON =
		{
			NAME = "VOLT SIPHON",
			DESC = "PASSIVE: Drained enemy AI's PWR is now transfered to Incognita.",
			SHORT_DESC = "TRANSFER PWR",
			HUD_DESC = "AI PWR DRAIN",
		},

		NOSFERATU = 
		{
			NAME = "NOSFERATU",
			DESC = "PASSIVE: Gain X PWR at turn start while pinning guards. X = 1 + number of guards pinned.",
			SHORT_DESC = "GAIN PWR FOR PINNING",
			HUD_DESC = "GAIN PWR FOR PINNING UNITS",
			WARNING = "NOSFERATU\n+%i PWR",		
		},

		PLAGUE = {
			NAME = "PLAGUE",
			DESC = "Infect target to break 1 firewall each turn. If device is captured, infect all devices within 5 tile radius.",
			SHORT_DESC = "SPREAD PLAGUE",
			HUD_DESC = "PWR COST SCALES WITH # OF HOSTS",
			TIP_DESC = "INFECT TARGET FOR <c:77FF77>{1} PWR</c>",
			WARNING = "ALREADY HAS PLAGUE",
		},

		POKE =
		{
			NAME = "POKE",
			DESC = "Targets a guard. Turns him around and causes to investigate on the spot. 6 turn cooldown.",
			SHORT_DESC = "USE POKE",
			HUD_DESC = "TURN TARGET AROUND",
			TIP_DESC = "POKE TARGET FOR <c:77FF77>{1} PWR</c>",
		},

		POWERSURGE = 
		{
			NAME = "POWER SURGE",
			DESC = "PASSIVE: Gain 5 PWR when capturing a mainframe device. 4 turn cooldown.",
			SHORT_DESC = "BREAK FIREWALL TO ACTIVATE",
			HUD_DESC = "GAIN 5 PWR AFTER COMPLETELY BREAKING A FIREWALL",
			WARNING = "POWER SURGE\n+5 PWR",		
		},

		PWR_MANAGER =
		{
			DESC = "Increases the agency's starting PWR by 5 and maximum PWR capacity by 15.",
			SHORT_DESC = "INCREASE STARTING PWR AND PWR CAPACITY",
			HUD_DESC = "+5 STARTING PWR\n+15 PWR CAPACITY",
		},	
		
		PWR_MANAGER_2 =
		{
			DESC = "Increases the agency's starting PWR by 15 and maximum PWR capacity by 5.",
			SHORT_DESC = "INCREASE STARTING PWR AND PWR CAPACITY",
			HUD_DESC = "+15 STARTING PWR\n+5 PWR CAPACITY",
		},


		PWR_BILL =
		{
			NAME = "POWER BILL",
			DESC = "Buy 8 PWR for 80 Credits. 3 turn cooldown.",
			SHORT_DESC = "USE POWER BILL",
			HUD_DESC = "BUY PWR WITH CREDITS",
			WARNING = "POWER BILL\n+%i PWR, -%i CR",
		},

		PWRUPLINK = 
		{
			NAME = "POWER UPLINK",
			DESC = "Create uplink on a mainframe device. +1 PWR/turn per active uplink, max 3. 5 turn cooldown.",
			SHORT_DESC = "USE POWER UPLINK",
			HUD_DESC = "CREATE POWER UPLINK ON MAINFRAME DEVICE\nMAX UPLINKS: 3",
			TIP_DESC = "CREATE UPLINK FOR <c:77FF77>{1} PWR</c>",
			WARNING = "POWER UPLINK\n+%i PWR",
		},

		RALLY = 
		{
			NAME = "RALLY",
			DESC = "Break 2 firewalls. +1 PWR cost and cooldown when used, resets when any guard is KO'ed or killed.",
			SHORT_DESC = "USE RALLY",
			HUD_DESC = "BREAKS 2 FIREWALLS. RESET USE PENALTY ON GUARD KO/KILL",
			TIP_DESC = "BREAK <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c> FOR <c:77FF77>{1} PWR</c>",
			WARNING = "RALLY\nCOOLDOWN RESET",
		},

		REFLECT = 
		{
			NAME = "REFLECT",
			DESC = "PASSIVE MODE: Reversal chance +10%.\nACTIVE MODE: Reverse next DAEMON.\nStarts on cooldown.",
			SHORT_DESC = "SWITCH TO ACTIVE MODE",
			SHORT_DESC2 = "SWITCH TO PASSIVE MODE",
			SHORT_DESC3 = "ON COOLDOWN",
			HUD_DESC = "PASSIVE MODE\nREVERSAL CHANCE +10%",
			HUD_DESC2 = "ACTIVE MODE\nREVERSE DAEMON FOR 8 PWR",
			HUD_DESC3 = "PASSIVE MODE\nREVERSAL CHANCE INACTIVE",
		},

		RENTAL = 
		{
			NAME = "RENTAL",
			DESC = "Increase drone control duration when captured this turn by 3 turns. Costs 75 Credits to use.",
			SHORT_DESC = "USE RENTAL",
			HUD_DESC = "DRONE CONTROL DURATION +3\nCOSTS CREDITS TO USE",
			WARNING = "RENTAL: +{1} drone control time\n-{2} Credits",
		},

		RESONANCE = 
		{
			NAME = "RESONANCE",
			DESC = "PASSIVE: Gain PWR for matching remaining agent AP.\nACTIVE: Exchange all PWR for AP.",
			DESC_PASSIVE = "For each pair of agents that match AP at the end of turn, gain 1 PWR. Remaining AP must be at least 1.",
			DESC_ACTIVE = "Spend all available PWR to gain AP for all agents.\nExchange rate: 2 PWR for 1 AP.",
			SHORT_DESC = "RESONATE",
			SHORT_DESC_PASSIVE = "PASSIVE",
			SHORT_DESC_ACTIVE = "ACTIVE",
			HUD_DESC = "PASSIVE: PWR FOR MATCHING AP\nACTIVE: CONVERT PWR TO AP",
			WARNING = "RESONANCE\n+%i PWR",
			WARNING2 = "RESONANCE\n+%.1f AP FOR ALL AGENTS",
		},

		RING =
		{
			NAME = "RING",
			DESC = "Target 7x7 area. Each agent inside the ring gains 1 AP per guard in the highlighted area.",
			SHORT_DESC = "USE RING",
			HUD_DESC = "GAIN AP FOR NEARBY GUARDS",
		},

		ROOT =
		{
			DESC = "PASSIVE: +2 PWR per turn. -1 PWR per turn for each 8 PWR stored.",
			SHORT_DESC = "AUTO GENERATE PWR",
			HUD_DESC = "+2 PWR PER TURN. -1 PWR FOR EVERY 8 STORED",
			WARNING = "ROOT\n+%i PWR",
		},

		ROGUE =
		{
			DESC = "Reveal and capture a random safe. Kill any daemon on it. 2 turn cooldown.",
			SHORT_DESC = "USE ROGUE",
			HUD_DESC = "CAPTURE A RANDOM SAFE",
			TIP_DESC = "CAPTURE A RANDOM SAFE FOR <c:77FF77>{1} PWR</c>",
		},

		SAP = 
		{
			NAME = "SAP",
			DESC = "Gain 1 PWR per uncaptured device in 5 tile range. 3 turn cooldown.",
			SHORT_DESC = "SAP TARGETS",
			HUD_DESC ="GAIN PWR FROM AREA\n1 PWR PER DEVICE",
			TIP_DESC = "GAIN PWR FROM DEVICES FOR <c:77FF77>{1} PWR</c>",
			WARNING = "SAP\n+%i PWR",
		},

		SCAPEGOAT = 
		{
			NAME = "SCAPEGOAT",
			DESC = "Target an agent. Remove all AP and distract all guards to agent's position. 8 turn cooldown.",
			SHORT_DESC = "USE SCAPEGOAT",
			HUD_DESC = "REMOVE AP FROM AN AGENT AND DISTRACT ALL GUARDS",
			TIP_DESC = "DISTRACT ALL GUARDS FOR <c:77FF77>{1} PWR</c>",
		},

		SEARCH = 
		{
			NAME = "SEARCH",
			DESC = "Reveal and capture a random database. Kill any daemon on it. 4 turn cooldown.",
			SHORT_DESC = "USE SEARCH",
			HUD_DESC = "CAPTURE RANDOM DATABASE",
			WARNING = "NO DATABASES LEFT",
		},

		SONAR = 
		{
			NAME = "SONAR",
			DESC = "Reveal area within 5 tile radius around targeted tile. 4 turn cooldown.",
			SHORT_DESC = "USE SONAR",
			HUD_DESC = "REVEAL FACILITY AREA",
			TIP_DESC = "REVEAL HIGHLIGHTED AREA FOR <c:77FF77>{1} PWR</c>",
		},

		SPEAR = 
		{
			NAME = "SPEAR",
			DESC = "Breaks 2 firewalls in a '+' shaped area, range 12.",
			SHORT_DESC = "USE SPEAR",
			HUD_DESC = "BREAK 2 FIREWALLS\nIN '+' SHAPED AREA",
			TIP_DESC = "BREAK <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c> FOR <c:77FF77>{1} PWR</c>",		
		},

		SPLIT = 
		{
			NAME = "SPLIT",
			DESC = "Break 2 firewalls. Break 1 firewall on all revealed devices of the same type as the target.",
			SHORT_DESC = "USE SPLIT",
			HUD_DESC = "MULTI TARGET",
			TIP_DESC = "BREAK <c:FF8411>{2} {2:FIREWALL|FIREWALLS}</c> FOR <c:77FF77>{1} PWR</c>",		
		},

		VOID =
		{
			NAME = "VOID",
			DESC = "At mission start, gain a Buster Chip for each agent, then delete both starting programs.",
			SHORT_DESC = "MANUAL HACKING",
			HUD_DESC = "GAIN HACKING ITEM\nSELF-DELETION",
		},

		VOLCANO =
		{
			NAME = "VOLCANO",
			DESC = "PASSIVE: On daemon install, gain 1 PWR and increase reversal odds by 5%, resets on reverse.",
			SHORT_DESC = "DAEMON REVERSAL",
			HUD_DESC = "REVERSAL CHANCE: +%i%%",
		},

		WILDFIRE = {
			DESC = "Gain 5 PWR. Raise firewalls on a random mainframe device by 5.",
			HUD_DESC = "GAIN 5 PWR, +5 TO RANDOM FIREWALL",
			WARNING = "WILDFIRE: +5 PWR\nReinforced %s.",
		},			
	},

	DAEMONS =
	{
		ALARM =
		{
			NAME = "ALARM RESPONSE",
			NAME2 = "TERMINATION PROTOCOL",
			DESC = "Increases security measures in the facility. Effects below.",
			ACTIVE_DESC = "INCREASE SECURITY MEASURES. HOVER OVER ICON FOR DETAILS.",

			ALERT = "ALERT 2.0",
			ALERT_DESC = "All guards gain %i AP.",

			OWL = "OWL 2.0",
			OWL_DESC = "Guards have extended vision range (+25%) and arc (+45 degrees).",
			OWL_DESC2 = "Guards have extended vision range (+25%).",

			LOCKDOWN = "LOCKDOWN 2.0",
			LOCKDOWN_DESC = "Using a door prompts a guard to investigate.",
			LOCKDOWN_DESC2 = "Using a door prompts a guard to investigate. Periodically reveals agent locations.",
			LOCKDOWN_WARNING = "FACILITY LOCKDOWN\nGUARD ALERTED",
		},

		ALERT =
		{
			NAME = "ALERT",
			DESC = "All guards gain 4 AP. One random guard goes into hunting state.",
			SHORT_DESC = "INCREASED GUARD MOBILITY",
			ACTIVE_DESC = "ONE GUARD STARTS HUNTING\nALL GUARDS GAIN 4 AP FOR {1} {1:TURN|TURNS}",
		},

		ATTENTION =
		{
			NAME = "ATTENTION",
			DESC = "Door, movement and noise distractions increase alarm by 1.",
			SHORT_DESC = "ATTENTIVE GUARDS",
			ACTIVE_DESC = "DOOR, MOVEMENT AND NOISE DISTRACTIONS INCREASE ALARM BY 1 FOR {1} {1:TURN|TURNS}",
			WARNING = "ATTENTION:\nSUSPICIOUS EVENT",
		},

		BLINDFOLD =
		{
			NAME = "BLINDFOLD",
			DESC = "Agents cannot peek.",
			SHORT_DESC = "NO PEEKING",
			ACTIVE_DESC = "AGENTS CANNOT PEEK FOR {1} {1:TURN|TURNS}",
		},

		BRANCH =
		{
			NAME = "BRANCH",
			DESC = "Every 5 firewalls hacked, install a random daemon.",
			DESC2 = "Every 5 firewalls hacked, install a random daemon. Next Daemon in {1} {1:firewall|firewalls}.",
			SHORT_DESC = "DAEMON BRANCH",
			ACTIVE_DESC = "INSTALL RANDOM DAEMON EVERY 5 FIREWALLS HACKED FOR {1} {1:TURN|TURNS}",
			WARNING = "BRANCH:\nInstalling Daemon...",
		},

		BRANCHV2 =
		{
			NAME = "BRANCH 2.0",
			DESC = "Every 10 firewalls hacked, install a random daemon.",
			DESC2 = "Every 10 firewalls hacked, install a random daemon. Next Daemon in {1} {1:firewall|firewalls}.",
			SHORT_DESC = "DAEMON BRANCH",
			ACTIVE_DESC = "INSTALL RANDOM DAEMON EVERY 10 FIREWALLS HACKED",
			WARNING = "BRANCH:\nInstalling Daemon...",
		},

		CHAIN =
		{
			NAME = "CHAIN",
			DESC = "Alerting or killing a guard will install a random Daemon.",
			SHORT_DESC = "NEW DAEMON SPAWN TRIGGERS",
			ACTIVE_DESC = "GUARDS INSTALL A DAEMON WHEN ALERTED OR KILLED. EFFECT LASTS {1} {1:TURN|TURNS}",
		},

		CHAINV2 =
		{
			NAME = "CHAIN 2.0",
			DESC = "Alerting or killing a guard will install a random Daemon.",
			SHORT_DESC = "NEW DAEMON SPAWN TRIGGERS",
			ACTIVE_DESC = "GUARDS INSTALL A DAEMON WHEN ALERTED OR KILLED",
		},

		CLOCK =
		{
			NAME = "CLOCK",
			DESC = "Increases cooldown of all programs by 1.",
			SHORT_DESC = "INCREASED PROGRAM COOLDOWNS",
			ACTIVE_DESC = "PROGRAM COOLDOWNS INCREASED BY 1 FOR {1} {1:TURN|TURNS}",
		},

		CLOCKV2 =
		{
			NAME = "CLOCK 2.0",
			DESC = "Increases cooldown of all programs by 1.",
			SHORT_DESC = "INCREASED PROGRAM COOLDOWNS",
			ACTIVE_DESC = "PROGRAM COOLDOWNS INCREASED BY 1",
		},

		DISARM =
		{
			NAME = "DISARM",
			DESC = "Agents lose one attack action for the duration of this Daemon.",
			SHORT_DESC = "DISABLES AGENTS ATTACK",
			ACTIVE_DESC = "AGENTS LOSE ONE ATTACK ACTION FOR {1} {1:TURN|TURNS}",
		},

		DISARMV2 =
		{
			NAME = "DISARM 2.0",
			DESC = "Agents lose one attack action for the duration of this Daemon.",
			SHORT_DESC = "DISABLES AGENTS ATTACK",
			ACTIVE_DESC = "AGENTS LOSE ONE ATTACK ACTION",
		},

		FORMAT =
		{
			NAME = "FORMAT",
			DESC = "Hides facility map data.",
			SHORT_DESC = "FORMAT MAP DATA",
			ACTIVE_DESC = "FACILITY MAP IS HIDDEN",
		},

		GATEKEEPER =
		{
			NAME = "GATEKEEPER",
			DESC = "Exit elevator is closed for the duration of this Daemon.",
			SHORT_DESC = "EXIT LOCK",
			ACTIVE_DESC = "EXIT ELEVATOR IS LOCKED FOR {1} {1:TURN|TURNS}",
		},

		INSPECT =
		{
			NAME = "INSPECT",
			DESC = "Changes guard patrols.",
			SHORT_DESC = "GUARD PATROLS CHANGE",
			ACTIVE_DESC = "GUARDS CHANGE PATROL ROUTES",
		},

		LOCKDOWN =
		{
			NAME = "LOCKDOWN",
			DESC = "Opening a door increases Alarm Level by 1 and prompts a guard to investigate.",
			SHORT_DESC = "FACILITY LOCKDOWN",
			ACTIVE_DESC = "OPENING DOORS WILL TRIGGER AN ALARM",
			WARNING = "LOCKDOWN DAEMON\nGUARD ALERTED",
		},

		MODULATEV2 =
		{
			NAME = "MODULATE 2.0",
			DESC = "Programs cost +2 PWR to use.",
			SHORT_DESC = "PWR COST",
			ACTIVE_DESC = "+2 PWR COST TO PROGRAMS",
		},

		MUTE =
		{
			NAME = "MUTE",
			DESC = "Movement noise radius of guards reduced by 75%.",
			SHORT_DESC = "MUTE FOOTSTEPS",
			ACTIVE_DESC = "MOVEMENT NOISE OF GUARDS REDUCED BY 75% FOR {1} {1:TURN|TURNS}",
		},

		OWL =
		{
			NAME = "OWL",
			DESC = "Guards have extended vision range (+4 tiles) and arc (+45 degrees).",
			SHORT_DESC = "GUARD SIGHT IMPROVEMENT",
			ACTIVE_DESC = "GUARDS HAVE EXTENDED VISION RANGE (+4) AND ARC (+45*) FOR {1} {1:TURN|TURNS}",
		},

		POISON =
		{
			NAME = "POISON",
			DESC = "Tag a random agent. When this Daemon expires, tagged agent will be KO for 2 turns.",
			SHORT_DESC = "KO TAGGED AGENT",
			ACTIVE_DESC = "KO {2} IN {1} {1:TURN|TURNS} FOR 2 TURNS",
		},

		POISONV2 =
		{
			NAME = "POISON 2.0",
			DESC = "Each alarm level, tagged agent will be KO for 2 turns then another random agent will be tagged.",
			SHORT_DESC = "PERIODICALLY KO TAGGED AGENT",
			ACTIVE_DESC = "KO TAGGED AGENT FOR 2 TURNS EVERY ALARM LEVEL",
		},

		PULSE =
		{
			NAME = "PULSE",
			DESC = "Short-circuits items and augments, adding 3 to maximum cooldown.",
			SHORT_DESC = "INCREASED ITEM COOLDOWNS",
			ACTIVE_DESC = "ITEM AND AUGMENT COOLDOWNS INCREASED BY 3 FOR {1} {1:TURN|TURNS}",
		},

		PULSEV2 =
		{
			NAME = "PULSE 2.0",
			DESC = "Short-circuits items and augments, adding 3 to maximum cooldown.",
			SHORT_DESC = "INCREASED ITEM COOLDOWNS",
			ACTIVE_DESC = "ITEM AND AUGMENT COOLDOWNS INCREASED BY 3",
		},

		SHACKLES =
		{
			NAME = "SHACKLES",
			DESC = "Agents make noise with a 4 tile radius while moving.",
			SHORT_DESC = "HEAVY FEET",
			ACTIVE_DESC = "AGENTS MAKE NOISE WHILE MOVING FOR {1} {1:TURN|TURNS}",
		},

		SHORT =
		{
			NAME = "SHORT",
			DESC = "Decreases PWR capacity.",
			DESC2 = "Decreases PWR capacity by {1}.",
			SHORT_DESC = "LOWER PWR CAPACITY",
			ACTIVE_DESC = "MAX PWR CAPACITY -{2} FOR {1} {1:TURN|TURNS}",
		},

		SHORTV2 =
		{
			NAME = "SHORT 2.0",
			DESC = "Decreases PWR capacity by 10. Further decreases PWR capacity by 1 for each alarm level.",
			SHORT_DESC = "LOWER PWR CAPACITY",
			ACTIVE_DESC = "MAX PWR CAPACITY -10 AND -1 FOR EACH ALARM LEVEL",
		},

		SHUTDOWN =
		{
			NAME = "SHUTDOWN",
			DESC = "Permanently disable a Console.",
			SHORT_DESC = "SHUTDOWN",
			ACTIVE_DESC = "PERMANENTLY DISABLES A CONSOLE",
		},

		SLEEP =
		{
			NAME = "SLEEP",
			DESC = "Skip player's turn when this daemon expires.",
			SHORT_DESC = "SKIP TURN",
			ACTIVE_DESC = "SKIP PLAYER'S TURN IN {1} {1:TURN|TURNS}",
		},

		SUSPICION =
		{
			NAME = "SUSPICION",
			DESC = "Door, movement and noise distractions will alert guards.",
			SHORT_DESC = "ALERT ON DISTRACTION",
			ACTIVE_DESC = "DOOR, MOVEMENT AND NOISE DISTRACTIONS WILL ALERT GUARDS",
			WARNING = "SUSPICION:\n%s alerted.",
		},

		--AI PROGRAMS

		ASSEMBLY =
		{
			NAME = "COUNTERINTELLIGENCE A.I.",
			DESC = "",
			SHORT_DESC = "",
			ACTIVE_DESC = "",
		},

	},

	AI =
	{
		UNKNOWN = "UNKNOWN SUBROUTINE",
		UNKNOWN_DESC = "UNKNOWN SUBROUTINE:\nHostile AI action detected.",
		UNKNOWN_TIP = "???",

		ABILITY_IDENTIFY = "INCOGNITA ACTION - IDENTIFY",
		ABILITY_IDENTIFY_DESC = "Identify this subroutine. Costs 1 Hash Key.",

		ABILITY_DELAY = "INCOGNITA ACTION - DELAY",
		ABILITY_DELAY_DESC = "Increase cooldown of this subroutine by %i. Costs 1 Hash Key.",
		ABILITY_DELAY_WARNING = "%s subroutine\ncooldown increased.",

		ABILITY_DELETE = "INCOGNITA ACTION - DELETE",
		ABILITY_DELETE_DESC = "Spend 2 Hash Keys and 1 PWR towards deletion of this subroutine.",
		ABILITY_DELETE_WARNING = "%s\npermanently removed.",
		ABILITY_DELETE_WARNING2 = "%s\nDeletion progress: %i/%i.",
		
		ABILITY_SUPPRESSED = "SUPPRESSED",
		ABILITY_SUPPRESSED_DESC = "This subroutine is disabled for {1} {1:turn|turns}.",

		SUBROUTINE_TYPE_PWR = "PWR SUBROUTINE",
		SUBROUTINE_TYPE_PRO = "PROACTIVE SUBROUTINE",
		SUBROUTINE_TYPE_REA = "REACTIVE SUBROUTINE",
		SUBROUTINE_TYPE_UTI = "ENHANCEMENT SUBROUTINE",

		PWR = "AI PWR: %i/%i",
		TOKEN = "HASH KEYS: %i/%i",
		DELETION_PROGRESS = "DELETION PROGRESS: %i/%i",
		SPECIAL_TIP = "ADDITIONAL INFORMATION",

		AI_TT = "Access AI subroutines",
		AI_TITLE = "ACTIVE MAINFRAME SECURITY",
		AI_DESC = "Autonomous program that safeguards this facility. Comes with its own subroutines.",
		AI_SCAN_TITLE = "MEANS OF ACCESS",
		AI_SCAN_DESC = "Use Consoles to gain Hash Keys required for AI access.",
		HUD_AI_OFF = "ENABLE\nAI VIEW\n>",
		HUD_AI_ON = "DISABLE\nAI VIEW\n<",

		--PWR
		ALARM_SYNCHRONIZER = "ALARM SYNCHRONIZER",
		ALARM_SYNCHRONIZER_DESC = "ALARM SYNCRONIZER:\n+%i PWR for Corp.",
		ALARM_SYNCHRONIZER_TIP = "+1 PWR if 0 < ALARM LEVEL < 5\n+2 PWR if ALARM LEVEL >= 5\nPASSIVE",

		PWR_AMPLIFIER = "PWR AMPLIFIER",
		PWR_AMPLIFIER_DESC = "PWR AMPLIFIER:\n+%i PWR for Corp.",
		PWR_AMPLIFIER_TIP = "PASSIVE: Generate 1 PWR as long as 1 AI PWR Core object remains uncaptured.",

		FEEDBACK_GRID = "FEEDBACK GRID",
		FEEDBACK_GRID_DESC = "FEEDBACK GRID:\n+%i PWR for Corp.",
		FEEDBACK_GRID_TIP = "PASSIVE: +PWR for percentage of uncaptured devices, max 2 PWR.",

		LEECH = "PWR LEECH",
		LEECH_DESC = "PWR LEECH: +%i PWR for Corp.\nINCOGNITA: -%i PWR.",
		LEECH_TIP = "PASSIVE: +1 PWR for every 1 PWR drained from Incognita.",

		RAID = "R.A.I.D.",
		RAID_DESC = "R.A.I.D:\n+%i PWR for Corp.",
		RAID_TIP = "PASSIVE: +PWR equal to difference in PWR of Incognita and AI, max 2 PWR.",

		SWITCH = "SWITCH",
		SWITCH_DESC = "SWITCH:\n+%i PWR for Corp.",
		SWITCH_TIP = "PASSIVE: +2 PWR when alarm level is odd. Functional past max alarm level.",

		TERMINAL_LINK = "TERMINAL LINK",
		TERMINAL_LINK_DESC = "TERMINAL LINK:\n+%i PWR for Corp.",
		TERMINAL_LINK_TIP = "PASSIVE: +1 PWR for every 2 uncaptured Consoles.",

		SOUNDWEAVE = "SOUNDWEAVE",
		SOUNDWEAVE_DESC = "SOUNDWEAVE:\n+%i PWR for Corp.",
		SOUNDWEAVE_TIP = "PASSIVE: +1 PWR for every 2 uncaptured Sound Bugs (rounded down).",

		OPTIC_DOWNLINK = "OPTIC DOWNLINK",
		OPTIC_DOWNLINK_DESC = "OPTIC DOWNLINK:\n+%i PWR for Corp.",
		OPTIC_DOWNLINK_TIP = "PASSIVE: +1 PWR for every 2 uncaptured Cameras (rounded down).",

		DAEMON_CLUSTER = "DAEMON CLUSTER",
		DAEMON_CLUSTER_DESC = "DAEMON CLUSTER:\n+%i PWR for Corp.",
		DAEMON_CLUSTER_TIP = "PASSIVE: +1 PWR for every 3 Daemons on mainframe devices (rounded down).",

		COUNTERWEIGHT = "COUNTERWEIGHT",
		COUNTERWEIGHT_DESC = "COUNTERWEIGHT:\n+%i PWR for Corp.",
		COUNTERWEIGHT_TIP = "PASSIVE: +1 PWR for every 2 uncaptured Pressure Sensors (rounded down).",

		CYCLONE = "CYCLONE",
		CYCLONE_DESC = "CYCLONE:\n+%i PWR for Corp.",
		CYCLONE_TIP = "PASSIVE: +1 PWR for every 10 AP individually spent by each agent this turn (rounded down).",

		DIRECT_FEED = "DIRECT FEED",
		DIRECT_FEED_DESC = "DIRECT FEED:\n+%i PWR for Corp.",
		DIRECT_FEED_TIP = "PASSIVE: Generates PWR equal to hacked firewalls.",

		GENERATOR = "GENERATOR",
		GENERATOR_DESC = "GENERATOR:\n+%i PWR for Corp.",
		GENERATOR_TIP = "PASSIVE: +2 PWR per turn.",

		BIO_COPROCESSORS = "BIO-COPROCESSORS",
		BIO_COPROCESSORS_DESC = "BIO-COPROCESSORS:\n+%i PWR for Corp.",
		BIO_COPROCESSORS_TIP = "PASSIVE: +1 PWR for every 3 non-KOed guards (rounded down).",

		--Proactive

		BUCKLER = "BUCKLER",
		BUCKLER_DESC = "BUCKLER: Raised\nfirewalls on %s by %i.",
		BUCKLER_TIP = "Raises firewalls on objects by 1.",

		SAFE_MODE = "SAFE MODE",
		SAFE_MODE_DESC = "SAFE MODE: Rebooted\nshops and server terminals.",
		SAFE_MODE_TIP = "Reboots all Nanofabs and Server Terminals for 3 turns.",
		SAFE_MODE_SPECIAL = "Only targets discovered devices.",

		BLOWFISH = "BLOWFISH",
		BLOWFISH_DESC = "BLOWFISH:\n Alarm +%i.",
		BLOWFISH_TIP = "Raises alarm by 1.",

		ECHO = "ECHO",
		ECHO_DESC = "ECHO:\n Rebooted a device.",
		ECHO_TIP = "Reboots a device.",

		SEMAPHORE = "SEMAPHORE",
		SEMAPHORE_DESC = "SEMAPHORE:\n +1 cooldown to %s",
		SEMAPHORE_TIP = "Add 1 cooldown to one Incognita program.",

		PINPOINT = "PINPOINT",
		PINPOINT_DESC = "PINPOINT: %s\ndetected.",
		PINPOINT_TIP = "Relays random agent's position to security.",

		PING = "PING",
		PING_DESC = "PING: Sound emitted\nat all agent's locations.",
		PING_TIP = "Emits sound at all agents locations. Range: 4",

		CHITON = "CHITON",
		CHITON_DESC = "CHITON: Raised\narmor on all guards.",
		CHITON_TIP = "Raises armor of all guards by 1 for 4 turns.",

		SUPERVISION = "SUPERVISION",
		SUPERVISION_DESC = "SUPERVISION: %s\nis immune to hacking.",
		SUPERVISION_TIP = "Affected Camera cannot be hacked for 2 turns.",

		FRACTAL = "FRACTAL",
		FRACTAL_DESC = "FRACTAL: Installed Daemon\non %s.",
		FRACTAL_TIP = "Create a Daemon on a device.",

		RECALIBRATE = "RECALIBRATE",
		RECALIBRATE_DESC = "RECALIBRATE:\nRebooting all Sound Bugs.",
		RECALIBRATE_TIP = "Recaptures all captured Sound Bugs.",

		OBFUSCATE = "OBFUSCATE",
		OBFUSCATE_DESC = "OBFUSCATE: Removed T.A.G.\nfrom %s.",
		OBFUSCATE_TIP = "Removes a T.A.G. from a guard.",

		HEATER = "HEATER",
		HEATER_DESC = "HEATER: Raised\nfirewalls on %s by %i.",
		HEATER_TIP = "Raises firewalls on objects by (PWR/5, rounded up).",

		KITE = "KITE",
		KITE_DESC = "KITE: Raised firewalls\naround %s by %i.",
		KITE_TIP = "Raises firewalls in a radius of 5 around and including target object by 1.",

		BLIZZARD = "BLIZZARD",
		BLIZZARD_DESC = "BLIZZARD: All Agent's\nAP is reduced by 1.",
		BLIZZARD_TIP = "Reduces AP of all agents by 1.",

		NULL_PULSE = "NULL PULSE",
		NULL_PULSE_DESC = "NULL PULSE: Installed\n'NULL ZONE' on %s",
		NULL_PULSE_TIP = "Target gains 'NULL ZONE' ability, 4 tile range.",

		VAMPIRE = "VAMPIRE",
		VAMPIRE_DESC = "VAMPIRE:\nTRANSFERED 1 MAX PWR TO AI",
		VAMPIRE_TIP = "Reduce 1 PWR capacity from Incognita and increase it by 1 for AI.",

		PROXY_SCANNER = "PROXY SCANNER",
		PROXY_SCANNER_DESC = "PROXY SCANNER:\n%s detected.",
		PROXY_SCANNER_TIP = "Relay position of an agent within 2 tiles of any guard at start of enemy turn.",

		TARGE = "TARGE",
		TARGE_DESC = "TARGE: Raised\nfirewalls on %ss by %i.",
		TARGE_TIP = "Raises firewalls on objects of the same type. Amount inversely proportional to object count.",

		TREATY = "TREATY",
		TREATY_DESC = "TREATY: Incognita\nlocked for 2 turns.",
		TREATY_TIP = "Incognita and AI PWR generating subroutines are disabled for 2 turns.",

		FIEND = "FIEND",
		FIEND_DESC = "FIEND: Program slot %i disabled.",
		FIEND_TIP = "Disables an Incognita program.",

		SHIELD = "SHIELD",
		SHIELD_DESC = "SHIELD: Added Dermal\nArmor to %s.",
		SHIELD_TIP = "Add 1 Dermal Armor to a random guard.",
		SHIELD_SPECIAL = "Dermal Armor increases amount of lethal damage required for a kill.",

		INSTALL = "INSTALL",
		INSTALL_DESC = "INSTALL:\nInstalling random Daemon...",
		INSTALL_TIP = "Install a random Daemon.",

		PAVISE = "PAVISE",
		PAVISE_DESC = "PAVISE: Doubled\nfirewalls on %s.",
		PAVISE_TIP = "Doubles firewalls on objects.",

		PHASE_SHIFT = "PHASE SHIFT",
		PHASE_SHIFT_DESC = "PHASE SHIFT:\nTeleporting %s.",
		PHASE_SHIFT_TIP = "Teleports a guard to or adjacent to his interest point.",

		REROUTE = "REROUTE",
		REROUTE_DESC = "REROUTE:\nChanged guard patrols.",
		REROUTE_TIP = "Changes guard patrols.",

		TELESTRIKE = "TELESTRIKE",
		TELESTRIKE_DESC = "TELESTRIKE:\n%s targeted.",
		TELESTRIKE_TIP = "Attack an agent with a Flash Grenade. Unusable before alarm level 1.",

		JUMPSTART = "JUMPSTART",
		JUMPSTART_DESC = "JUMPSTART:\nRebooted AI PWR Core.",
		JUMPSTART_TIP = "Reboot 1 captured AI PWR Core and raise its firewalls by 3.",

		BUNKER = "BUNKER",
		BUNKER_DESC = "BUNKER: Raised\nall firewalls by 1.",
		BUNKER_TIP = "Raises all firewalls by 1.",

		HASTE = "HASTE",
		HASTE_DESC = "HASTE: +4 AP\nfor all guards.",
		HASTE_TIP = "Increases AP of all present guards by 4 for 4 turns.",
		HASTE_SPECIAL = "When used with buff already active, +1 AP instead and refresh buff duration.",

		OVERSIGHT = "OVERSIGHT",
		OVERSIGHT_DESC = "OVERSIGHT: %s sent\nto check %s.",
		OVERSIGHT_DESC2 = "Transport Beam Room",
		OVERSIGHT_TIP = "Sends a guard to investigate current objective room.",

		STATIC_SHOCK = "STATIC SHOCK",
		STATIC_SHOCK_DESC = "STATIC SHOCK:\n%s KO",
		STATIC_SHOCK_TIP = "KO agent within 1 tile range of any active mainframe device for 1 turn.",

		--REACTIVE

		PAWN = "PAWN",
		PAWN_DESC = "PAWN: Reinforced firewalls\non %s by %i.",
		PAWN_TIP = "Reinforces broken firewalls by 1.",

		NOISE_SCANNER = "NOISE SCANNER",
		NOISE_SCANNER_DESC = "NOISE SCANNER:\n%s detected.",
		NOISE_SCANNER_TIP = "Raises alarm by 1 when sound is made during player's turn.",

		ROOK = "ROOK",
		ROOK_DESC = "ROOK: Swapped firewalls\nwith %s.",
		ROOK_TIP = "After breaking a firewall, swaps firewalls with another device.",

		QUEUE = "QUEUE",
		QUEUE_DESC = "QUEUE:\n +2 cooldown to %s",
		QUEUE_DESC2 = "QUEUE: +1 cooldown\nto %s at end of turn",
		QUEUE_TIP = "When device is captured, increase cooldown of random Incognita program by 2.",
		QUEUE_SPECIAL = "Effect changed to +1 cooldown next turn if currently equipped program had been targeted.",

		SAFEGUARD = "SAFEGUARD",
		SAFEGUARD_DESC = "SAFEGUARD:\nRebooted a Console.",
		SAFEGUARD_TIP = "When a Console is used, reboots another one for 6 turns.",

		PROCESS = "PROCESS",
		PROCESS_DESC = "PROCESS:\nDRAINED %i PWR.",
		PROCESS_TIP = "Drain 8 PWR from Incognita when agent is Overwatched.",

		KNIGHT = "KNIGHT",
		KNIGHT_DESC = "KNIGHT: Reinforced firewalls\naround %s by %i.",
		KNIGHT_TIP = "Raises firewalls by 2 around and including hacked device in a 3 tile radius.",

		CIRCUIT_BREAKER = "CIRCUIT BREAKER",
		CIRCUIT_BREAKER_DESC = "CIRCUIT BREAKER:\nGuard notified",
		CIRCUIT_BREAKER_TIP = "Using a Console will draw the attention of a guard.",

		SUBTERFUGE = "SUBTERFUGE",
		SUBTERFUGE_DESC = "SUBTERFUGE: Drained\nAP of %s.",
		SUBTERFUGE_TIP = "Drains half AP from an agent caught by a Camera.",

		SENTINEL = "SENTINEL",
		SENTINEL_DESC = "SENTINEL:\nTurning turret.",
		SENTINEL_TIP = "Turrets turn to face an agent when they step within 3 tiles of it.",

		FAILSAFE = "FAILSAFE",
		FAILSAFE_DESC = "FAILSAFE: Guard sent to\ninvestigate %s.",
		FAILSAFE_TIP = "Capturing a Drone will send another guard to investigate.",

		FAKEOUT = "FAKEOUT",
		FAKEOUT_DESC = "FAKEOUT: Daemon shuffled\non %s.",
		FAKEOUT_TIP = "Randomize known Daemon when capturing a device.",

		ELECTROSHOCK = "ELECTROSHOCK",
		ELECTROSHOCK_DESC = "ELECTROSHOCK:\n %s knocked out.",
		ELECTROSHOCK_TIP = "KO agent opening any container object for 1 turn.",

		BISHOP = "BISHOP",
		BISHOP_DESC = "BISHOP: Reinforced firewalls\non %s by %i.",
		BISHOP_TIP = "Reinforces broken firewalls by PWR/5, rounded up.",

		SCANNER_SWEEP = "SCANNER SWEEP",
		SCANNER_SWEEP_DESC = "SCANNER SWEEP: 180* peripheral\nvision for %s.",
		SCANNER_SWEEP_TIP = "Door, movement and noise distractions will set guard's peripheral vision arc to 180* until cooldown expires.",

		SPEED_BUMP = "SPEED BUMP",
		SPEED_BUMP_DESC = "SPEED BUMP: -2 AP\nfor %s.",
		SPEED_BUMP_TIP = "Agents opening a door lose 2 AP.",

		QUEEN = "QUEEN",
		QUEEN_DESC = "QUEEN: Reinforced firewalls\non all %ss by %i.",
		QUEEN_TIP = "Raises firewalls on all devices of the same type as the one hacked. Amount inversely proportional to device count.",

		BACKUP_PROTOCOLS = "BACKUP PROTOCOLS",
		BACKUP_PROTOCOLS_DESC = "BACKUP PROTOCOLS:\nCalled in a guard.",
		BACKUP_PROTOCOLS_TIP = "Calls in a guard when another is alerted or killed.",

		VERIFY = "VERIFY",
		VERIFY_DESC = "VERIFY: +1 Max AP\nfor %s.",
		VERIFY_TIP = "Door, movement and noise distractions will increase the max AP of that guard by 1.",

		DAEMON_NEST = "DAEMON NEST",
		DAEMON_NEST_DESC = "DAEMON NEST: Daemon\ntriggered from %s.",
		DAEMON_NEST_TIP = "When firewall is hacked, installs a Daemon from that device and creates a new one in its place.",

		CLONE = "CLONE",
		CLONE_DESC = "CLONE:\nDuplicate installed Daemon.",
		CLONE_TIP = "Duplicates any installed Daemon.",

		KING = "KING",
		KING_DESC = "KING: Reinforced\n firewalls on %s.",
		KING_TIP = "Reinforces broken firewalls by doubling remaining value.",

		HASHED_CRYPTO = "HASHED CRYPTO",
		HASHED_CRYPTO_DESC = "HASHED CRYPTO: Safes\ncontain 25% less CR.",
		HASHED_CRYPTO_TIP = "Opening any container object reduces credits in all Safes by 25%.",

		BLOCKADE = "BLOCKADE",
		BLOCKADE_DESC = "BLOCKADE: %s\nsent to guard that door.",
		BLOCKADE_TIP = "Opening a door sends a guard to block that door.",

		TERMINATE = "TERMINATE",
		TERMINATE_DESC = "TERMINATE: %s\nskips OVERWATCH.",
		TERMINATE_TIP = "Guard skips Overwatch.",

		BARRIER = "BARRIER",
		BARRIER_DESC = "BARRIER:\nReinforced guard armor.",
		BARRIER_TIP = "When a guard is killed or KO'd, add 1 Dermal Armor to all remaining guards.",

		KEYCARD = "KEYCARD",
		KEYCARD_DESC = "KEYCARD: 2 PWR drained\nfrom Incognita.",
		KEYCARD_TIP = "Drains 2 PWR from Incognita when door is opened.",

		SYNCHRONIZED_FIREWALL = "FIREWALL SYNCHRONIZER",
		SYNCHRONIZED_FIREWALL_DESC = "FIREWALL SYNCHRONIZER: Raised\n%i firewalls on %s.",
		SYNCHRONIZED_FIREWALL_TIP = "Reinforces broken firewalls by amount equal to current alarm level +1.",

		--UTILITY

		PADLOCK = "PADLOCK",
		PADLOCK_DESC = "PADLOCK:\nDoors locked.",
		PADLOCK_TIP = "PASSIVE: Locks all unlocked Security Doors every turn.",

		PAYWALL = "PAYWALL",
		PAYWALL_TIP = "PASSIVE: Item costs in Nanofabs increased by 100%.",

		JAMMER = "JAMMER",
		JAMMER_DESC = "JAMMER: Cannot hack\n%s.",
		JAMMER_TIP = "PASSIVE: Breaking a firewall makes that device immune to hacking. Applies to most recently hacked device.",

		TAG_DOWNLINK = "T.A.G. DOWNLINK",
		TAG_DOWNLINK_DESC = "T.A.G. DOWNLINK:\n %i PWR drained from Incognita.",
		TAG_DOWNLINK_TIP = "PASSIVE: Drain 1 PWR from Incognita for each tagged guard every turn.",
		TAG_DOWNLINK_SPECIAL = "Tags granted by Informant are excluded from the effect.",

		DEFECTIVE_TAG = "DEFECTIVE T.A.G.",
		DEFECTIVE_TAG_DESC = "DEFECTIVE T.A.G:\n+4 AP for tagged guards.",
		DEFECTIVE_TAG_TIP = "PASSIVE: +4 AP for tagged guards. Applies when turn starts.",

		TRANSLOCATOR_EQUIPMENT = "TRANSLOCATOR EQUIPMENT",
		TRANSLOCATOR_EQUIPMENT_TIP = "PASSIVE: Several guards are equipped with Translocator Grenades.",

		PROXIMAL = "PROXIMAL",
		PROXIMAL_DESC = "PROXIMAL:\nPickpocketed %s.",
		PROXIMAL_TIP = "PASSIVE: Stealing from a guard makes him turn towards an agent.",

		SNARE_EQUIPMENT = "SNARE EQUIPMENT",
		SNARE_EQUIPMENT_TIP = "PASSIVE: Several guards are equipped with Snare Grenades.",

		NETWORKED_CONSCIOUSNESS = "NETWORKED CONSCIOUSNESS",
		NETWORKED_CONSCIOUSNESS_TIP = "PASSIVE: All guards have CONSCIOUSNESS MONITOR, raising alarm when KO'ed.",

		EM_SHIELDING = "EM SHIELDING",
		EM_SHIELDING_TIP = "PASSIVE: All devices have 'MAGNETIC REINFORCEMENT', making them EMP resilient.",

		SHOCK_GROUNDING = "ANTI-SHOCK GROUNDING",
		SHOCK_GROUNDING_TIP = "PASSIVE: Each alarm level raise guard KO resistance by 1.",

		NEURAL_FEEDBACK = "NEURAL FEEDBACK",
		NEURAL_FEEDBACK_TIP = "PASSIVE: On guard KO, increase armor of KO guard by 1.",
		NEURAL_FEEDBACK_DESC = "NEURAL FEEDBACK\nARMOR RAISED",

		VIDEO_COPROCESSORS = "VIDEO CO-PROCESSORS",
		VIDEO_COPROCESSORS_TIP = "PASSIVE: All human guards have 'ULTRAVIOLET SPECTROMETER', detecting cloaked agents.",

		EMERGENCY_SHUTDOWN = "EMERGENCY SHUTDOWN",
		EMERGENCY_SHUTDOWN_DESC = "EMERGENCY SHUTDOWN:\n Console turned off.",
		EMERGENCY_SHUTDOWN_TIP = "PASSIVE: Permanently turns off Consoles used to counter AI.",

		BLACKOUT = "BLACKOUT",
		BLACKOUT_TIP = "PASSIVE: Vision radius of agents reduced to 3 tiles.",

		PWR_EFFICIENCY_1 = "PWR EFFICIENCY",
		PWR_EFFICIENCY_1_TIP = "PASSIVE: Proactive and Reactive subroutines cost 1 PWR less.",
		PWR_EFFICIENCY_1_TIP2 = "Minimum PWR cost of subroutines: 1",

		PWR_EFFICIENCY_2 = "PWR EFFICIENCY+",
		PWR_EFFICIENCY_2_TIP = "PASSIVE: Proactive and Reactive subroutines cost 2 PWR less.",

		OVERCLOCK_1 = "OVERCLOCK",
		OVERCLOCK_1_TIP = "PASSIVE: Proactive and Reactive subroutines cooldown is shorter by 1 turn.",
		OVERCLOCK_1_TIP2 = "Minimum cooldown of Reactive subroutines: 1",

		OVERCLOCK_2 = "OVERCLOCK+",
		OVERCLOCK_2_TIP = "PASSIVE: Proactive and Reactive subroutines cooldown is shorter by 2 turns.",

		ACCUMULATOR = "ACCUMULATOR",
		ACCUMULATOR_TIP = "PASSIVE: +10 PWR storage. Proactive routines are more likely to trigger.",

		PASSWORD = "PASSWORD",
		PASSWORD_TIP = "PASSIVE: Hash Key capacity -6.",

		EXTENSION = "EXTENSION",
		EXTENSION_TIP = "PASSIVE: Daemon duration +1.",

		EXTENSION_2 = "EXTENSION+",
		EXTENSION_2_TIP = "PASSIVE: Daemon duration +2.",

		CHILL = "CHILL",
		CHILL_TIP = "PASSIVE: Agent maximum AP reduced by 3.",

		CATALYST = "CATALYST",
		CATALYST_TIP = "PASSIVE: Subroutine PWR cost and cooldown reduced by 3. +5 PWR storage.",
		CATALYST_TIP2 = "Minimum PWR cost of subroutines: 1\nMinimum cooldown of Reactive subroutines: 1",

		SELF_EVOLVING_PROGRAMMING = "SELF-EVOLVING PROGRAMMING",
		SELF_EVOLVING_PROGRAMMING_DESC = "SELF-EVOLVING PROGRAMMING:\nCreated new subroutine.",	
		SELF_EVOLVING_PROGRAMMING_TIP = "PASSIVE: Each alarm level, create new random subroutine.",
	},

	REVERSE_DAEMONS =
	{
		AGGRESSION =
		{
			NAME = "AGGRESSION",
			DESC = "+1 attack per turn.",
			SHORT_DESC = "INCREASE AMOUNT OF ATTACKS",
			ACTIVE_DESC = "ALL AGENTS HAVE AN EXTRA ATTACK FOR {1} {1:TURN|TURNS}",
		},

		BATTERY =
		{
			NAME = "BATTERY",
			DESC = "Increases PWR capacity by 5 until the end of the mission. Gain 4 PWR.",
			SHORT_DESC = "RAISE PWR CAPACITY",
			ACTIVE_DESC = "MAX PWR CAPACITY +5\nGAIN 4 PWR",
		},

		CHARGER =
		{
			NAME = "RECHARGE",
			DESC = "Reduces cooldowns of all items by 1 to a minimum of 2 turns.",
			SHORT_DESC = "DECREASED ITEM COOLDOWNS",
			ACTIVE_DESC = "ITEM COOLDOWNS DECREASED BY 1 (MIN 2) FOR {1} {1:TURN|TURNS}",
		},

		CONFUSION =
		{
			NAME = "CONFUSION",
			DESC = "Corporation turn is skipped when this algorithm expires.",
			SHORT_DESC = "SKIP TURN",
			ACTIVE_DESC = "SKIP CORPORATION'S TURN IN %i TURNS",
		},

		FORTUNE =
		{
			NAME = "FORTUNE",
			DESC = "Increases amount of Credits stored in closed safes by 50%.",
			SHORT_DESC = "STORAGE INCREASE",
			ACTIVE_DESC = "SAFES STORE +50% CREDITS FOR {1} {1:TURN|TURNS}",
		},

		OPTIMIZE =
		{
			NAME = "OPTIMIZE",
			DESC = "Reduces cooldowns of all programs by 1 to a minimum of 1.",
			SHORT_DESC = "REDUCE PROGRAM COOLDOWNS",
			ACTIVE_DESC = "REDUCE PROGRAM COOLDOWNS BY 1 (MIN 1) FOR {1} {1:TURN|TURNS}",
		},

		ROLLBACK =
		{
			NAME = "ROLLBACK",
			DESC = "Decrement Alarm Level by 2.",
			SHORT_DESC = "LOWER ALARM",
			ACTIVE_DESC = "DECREMENT ALARM LEVEL BY 2",
		},

		SMOKESCREEN =
		{
			NAME = "SMOKESCREEN",
			DESC = "Reduces vision range of guards by 2 tiles.",
			SHORT_DESC = "GUARD VISION REDUCTION",
			ACTIVE_DESC = "GUARDS HAVE REDUCED VISION RANGE BY 2 TILES FOR {1} {1:TURN|TURNS}",
		},

		TURBINE =
		{
			NAME = "TURBINE",
			DESC = "Gain 2 PWR at start of the turn.",
			SHORT_DESC = "GENERATE PWR",
			ACTIVE_DESC = "GAIN 2 PWR PER TURN FOR {1} {1:TURN|TURNS}",
			WARNING = "TURBINE\n+2 PWR",
		},
	},

	PROPS =
	{
		EXTRA_SERVER_TERMINAL = "Auxiliary Server Terminal",
	},

	ITEMS =
	{
		TRANSLOCATOR_GRENADE = "Translocator Grenade",
		TRANSLOCATOR_GRENADE_DESC = "Teleports user to its location when thrown.",
		TRANSLOCATOR_GRENADE_FLAVOR = "Portable teleport beacon, linked to user's ID transponder.",

		SNARE_GRENADE = "SNARE GRENADE",
		SNARE_GRENADE_TOOLTIP = "Throw to place item. Any guard who is standing where it landed, or who walks over it, will be teleported with the grenade next to the agent that threw the item. Requires at least one unoccupied tile adjacent to the agent for teleportation to succeed. Guard becomes alerted after teleportation.",
		SNARE_GRENADE_FLAVOR = "Specialized grenades tuned to transport (unwilling) personnel. Used briefly during the Resource Wars. Abandoned due to rampant unreliability.",

		BUSTER_CHIP_STARTER = "Buster Chip 1X",
	},

	OPTIONS =
	{
		ENABLE_PROGRAMS = "EXTENDED PROGRAMS",
		ENABLE_PROGRAMS_TIP = "<c:FF8411>EXTENDED PROGRAMS</c>\nAdds 43 new programs. 13 of them are selectable at campaign start.",

		ENABLE_DAEMONS = "EXTENDED DAEMONS",
		ENABLE_DAEMONS_TIP = "<c:FF8411>EXTENDED DAEMONS</c>\nAdds 18 new Daemons and 6 new Endless Daemons.",

		ENABLE_ALGORITHMS = "EXTENDED ALGORITHMS",
		ENABLE_ALGORITHMS_TIP = "<c:FF8411>EXTENDED ALGORITHMS</c>\nAdds 8 new Algorithms.",

		ENABLE_ALARMS = "EXTENDED ALARMS",
		ENABLE_ALARMS_TIP = "<c:FF8411>EXTENDED ALARMS</c>\nChanges alarm tracker.\n\n<c:F4FF78>DISABLED</c>\n6 alarm levels and 5 increments per level. (Default)\n\n<c:F4FF78>EASY</c>\n8 alarm levels and 5 increments per level, alarm stages are harder.\n\n<c:F4FF78>NORMAL</c>\n8 alarm levels and 5 increments per level, alarm stages are significantly harder.\n\n<c:F4FF78>HARD</c>\n8 alarm levels and 4 increments per level, alarm stages are significantly harder.",
		ENABLE_ALARMS_TRUE_2 = "HARD",
		ENABLE_ALARMS_TRUE = "NORMAL",
		ENABLE_ALARMS_TRUE_3 = "EASY",
		ENABLE_ALARMS_FALSE = "DISABLED",

		ENABLE_ALARMS_COUNTERMEASURES = "      MISSION DIFFICULTY 5 DAEMON",
		ENABLE_ALARMS_COUNTERMEASURES_TIP = "<c:FF8411>MISSION DIFFICULTY 5 DAEMON</c>\nShould a certain daemon spawn at alarm level 1 when mission difficulty is at least 5.",

		ENABLE_SHOP = "BASE GAME CHANGES",
		ENABLE_SHOP_TIP = "<c:FF8411>BASE GAME CHANGES</c>\n\n<c:F4FF78>PROGRAMS</c>\nFaust, Root, Burst, Fool, Abacus, Abacus 2.0, Brimstone, Flare, Wildfire\n\n<c:F4FF78>DAEMONS</c>\nFortune, Pulse 2.0, Modulate 2.0\n\nNew Auxiliary Server Terminal with 6 programs.\n\nPrimary Server Terminals has 8 programs.",

		ENABLE_RARITY = "PROGRAM AVAILABILITY ADJUSTMENT",
		ENABLE_RARITY_TIP = "<c:FF8411>PROGRAM AVAILABILITY ADJUSTMENT</c>\nChanges availability of programs in Server Terminals.\n\n<c:F4FF78>DISABLED</c>\nNo changes.\n\n<c:F4FF78>NORMAL</c>\nProgram rarity rebalanced.\nAll programs purchasable in terminals.\nPrimary Servers contain offensive programs.\nSecondary Servers contain utility programs.\n\n<c:F4FF78>EQUALIZED</c>\nAll programs have the same rarity.\nAll Server Terminal types can sell any program.",
		ENABLE_RARITY_DISABLED = "DISABLED",
		ENABLE_RARITY_NORMAL = "NORMAL",
		ENABLE_RARITY_EQUALIZED = "EQUALIZED",

		ENABLE_COUNTER_AI = "HOSTILE AI - STARTING DIFFICULTY",
		ENABLE_COUNTER_AI_TIP = "<c:FF8411>HOSTILE AI - STARTING DAY</c>\nEach corporation brings their own counterintelligence A.I. to the table, that follows the same gameplay rules as Incognita: it's an intangible entity with a PWR pool and a set of programs dependent on corporation. Will protect the mainframe depending on its program setup. Setting adds all new tools required to deal with the new threat, including specialized programs and Console-focused events.\n\nSelect mission difficulty from where AIs starts appearing.",
		ENABLE_COUNTER_AI_DISABLED = "DISABLED",
		ENABLE_COUNTER_AI_OMNI = "OMNI ONLY",

		COUNTER_AI_CAP = "      HOSTILE AI - SCALING",
		COUNTER_AI_CAP_TIP = "<c:FF8411>HOSTILE AI - SCALING</c>\nSelect upper limit on amount of AI subroutines.",

		ENDLESS_DAEMONS = "ENDLESS DAEMONS",
		ENDLESS_DAEMONS_TIP = "<c:FF8411>ENDLESS DAEMONS</c>\nSet day when 2.0 Daemons start appearing in Endless mode.",
		ENDLESS_DAEMONS_DISABLED = "DISABLED",
	},

	UI =
	{
		OPTIONS_KEYBIND_CATEGORY = "MOD - PROGRAMS EXTENDED",
		OPTIONS_KEYBIND_AI = "TOGGLE ENEMY AI",

		GREED = "GREED BOOST",
		GREED_DESC = "Amount of cash increased by {1}%",
		GREED_BOOST = "INCREASED CASH AMOUNT",

		MONITOR_DOWNGRADED = "DOWNGRADED HEART MONITOR",
		PLUS_TOKEN = "+{1} HASH {1:KEY|KEYS}",

		HASH_DISPLAY_NAME = "HASH KEYS",
		HASH_DISPLAY_DESC = "Hash Keys available. Hijack Consoles to gain Hash Keys. Used to interfere with enemy AI.",
		HASH_DISPLAY_BAR = "{1}/{2} HASH",

		REASON_NO_AI = "A.I. NOT ACTIVE",
		REASON_ALREADY_SUPPRESSED = "ALREADY SUPPRESSED",
		REASON_NO_TOKEN = "{1} HASH {1:KEY|KEYS} REQUIRED",
		REASON_NOT_HIJACKED = "CONSOLE NOT HIJACKED",
		REASON_DIRECTION = "STAND IN FRONT OF THE CONSOLE",
		REASON_ON_OVERWATCH = "AGENT ON OVERWATCH",
		REASON_MAX_TOKENS = "HASH KEYS FULL",

		AI_COMBAT = "A.I. ACCESS",
		AI_COMBAT2 = "A.I. ACCESS (SUSTAINED)",
		AI_COMBAT3 = "A.I. ACCESS (INVASIVE)",
		AI_SCAN_A = "ACQUIRE HASH KEYS",
		AI_SCAN_B = "DRAIN AI PWR",
		AI_SCAN2 = "SKILL ENHANCEMENT",
		AI_SCAN3 = "INCOGNITA UNLOCK",
		AI_SCAN_DESC = "Gain 1 + [%i BONUS] Hash Keys, used to interfere with enemy AI. Reboots Console for 4 - [%i BONUS] turns.",
		AI_SCAN_DESC2 = "Each level of HACKING skill above 2 reduces Console reboot time by 1 turn.",
		AI_SCAN_DESC3 = "Gain 2 + [%i BONUS] Hash Keys, used to interfere with enemy AI. Permanently shuts down this Console.",
		AI_SCAN_DESC4 = "Each level of HACKING skill above 3 increases Hash Keys gained by 1.",
		AI_SCAN_DESC5 = "Lifts program locks caused by Fiend subroutine.",
		AI_SCAN_DESC6 = "Drain 3 PWR from enemy AI. Reboots Console for 5 - [%i BONUS] turns.",

		TRANSLOCATOR_GRENADE = "TRANSLOCATOR GRENADE",
		TRANSLOCATOR_GRENADE_DESC = "Teleports user to its location when thrown.",

		SNARE_GRENADE = "SNARE GRENADE",
		SNARE_GRENADE_DESC = "Teleports agents in a 3 tile radius toward its location.",
		SNARE_GRENADE_TOOLTIP = "Throw to place. Any guard that walks over this item or is at it's landing spot will get teleported adjacent to the agent that have thrown this item.",
		SNARE_GRENADE_FLAVOR = "Specialized grenades tuned to transport (unwilling) personel. Used briefly during resource wars, but abandoned due to limitations and unreliability of this type of technology at the time.",

		FORTIFY = "DEVICE FORTIFIED",
		FORTIFY_DESC = "This mainframe device is protected from recapturing.",

		ICEBREAK = "POWER UPLINK",
		ICEBREAK_DESC = "Generates 1 PWR at the start of each turn. Uplink disappears if device is hacked or EMP'ed.",

		CROSSFEED_SOURCE = "CROSSFEED SOURCE",
		CROSSFEED_SOURCE_DESC = "Lowers firewalls by 1 at the start of next turn. Crossfeed links disappear if either device is hacked or EMP'ed.",

		CROSSFEED_TARGET = "CROSSFEED TARGET",
		CROSSFEED_TARGET_DESC = "Raises firewalls by 1 at the start of next turn. Crossfeed links disappear if either device is hacked or EMP'ed.",

		FLAIL_TARGET = "FLAIL TARGET",
		FLAIL_TARGET_DESC = "This device is a target of Flail. Designation disappears if device is hacked or EMP'ed.",

		POISON = "POISONED",
		POISON_DESC = "KO this agent when Poison Daemon triggers.",

		NULL_ZONE = "NULL ZONE",
		NULL_ZONE_DESC = "This device emits a field which blocks hacking of firewalls in a range of {1} {1:tile|tiles}.",

		ALARM_OWL = "The corporation is activating additional cameras. You have one turn before they are fully activated. {1: |All guards have improved vision.}",
		ALARM_SPEED = "The corporation has boosted guard speed. All guards have +%i AP. Enforcer units have arrived.",
		ALARM_OWL_SPEED = "The corporation has boosted guard perception and speed. All guards have +{1} AP,{2: | +25% vision range }and +45 degree vision arc.",
		ALARM_GUARDBUFF = "The corporation has boosted guard defence. All guards have +1 ARMOR and +1 KO RESIST. Enforcer units have arrived.",
		ALARM_REBOOT = "The corporation has ordered a mainframe reboot. All devices have been rebooted.",
		ALARM_REBOOT2 = "The corporation has ordered a mainframe reboot. All devices have been rebooted and heavily reinforced.",
		ALARM_LOCKDOWN = "The corporation has ordered a total facility lockdown. All doors are alarmed{1:.| and agent locations are periodically revealed.}",
		ALARM_LOCKDOWN2 = "The corporation has ordered a total facility lockdown. All doors are alarmed{1:.| and agents locations are periodically revealed.} KO Enforcers will call reinforcements.",

		ALARM_NEXT_OWL = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nMore surveillance cameras will activate. Guard vision will be improved.",
		ALARM_NEXT_SPEED = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nGuard AP will increase. Enforcers will arrive.",
		ALARM_NEXT_OWL_SPEED = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nGuard AP and vision will improve.",
		ALARM_NEXT_GUARDBUFFS = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nGuard ARMOR and KO resistance will be increased. Enforcers will arrive.",
		ALARM_NEXT_REBOOT = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nThe majority of mainframe devices will be rebooted.",
		ALARM_NEXT_REBOOT2 = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nThe majority of mainframe devices will be rebooted and heavily reinforced.",
		ALARM_NEXT_LOCKDOWN = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nTotal facility lockdown will be ordered.",
	},

	LOADING_TIPS =
	{
		"PROGRAMS EXTENDED: Identify unknown Daemons if possible, as some of them can make your situation a lot worse.",
		"PROGRAMS EXTENDED: Quite a few programs have been altered. Double check your choices when choosing programs to buy.",
		"PROGRAMS EXTENDED: 'Reflect' program allows you to get rid of Daemons that otherwise cannot be reversed.",
		"PROGRAMS EXTENDED: Try to finish infiltrations before alarm level 8, as corps will take significant measures to hunt you down.",
		"PROGRAMS EXTENDED: Hostile AI is a mystery until its subroutines are identified. Capture Consoles to reveal vital information about it.",
		"PROGRAMS EXTENDED: Reactive AI subroutines will trigger in response to your specific actions, provided PWR and cooldown requirements are met.",
		"PROGRAMS EXTENDED: Enhancement AI subroutines do not need resources to activate, but can be deleted with a significant investment of Hash Keys.",
		"PROGRAMS EXTENDED: PWR AI subroutines are passive and will generate PWR by themselves.",
		"PROGRAMS EXTENDED: Proactive AI subroutines have a chance to activate during corp turn, provided PWR and cooldown requirements are met.",
		"PROGRAMS EXTENDED: If you need firewall breaker programs, visit a Server Farm. Those programs won't appear in any other shop.",
		"PROGRAMS EXTENDED: Watch out when alarm 4 hits while Extended Alarms are in use. Vision arc increase takes away many previously safe hiding spots.",
	},
}

return DLC_STRINGS