local DLC_STRINGS = {
	NEW = {
		SLOTS = "STARTING INCOGNITA SLOTS",
		SLOTS_DESC = "<c:FF8411>PROGRAM SLOTS</c>\nThe number of programs Incognita can have installed at one time.",
		PWR_MAX = "MAXIMUM PWR",
		PWR_MAX_DESC = "<c:FF8411>MAX PWR</c>\nThis is the maximum amount of PWR Incognita can hold at one time.",
		STORAGE = "STORAGE SIZE",
		STORAGE_DESC = "<c:FF8411>STORAGE</c>\nThe number of items you can store in the jet between missions.",
		STORAGE_STRINGS = {"0","1","2","4","6","8","10","12","16","20","24","32","40","UNLIMITED"},
		CONSOLE_PWR = "POWER PER CONSOLE",
		CONSOLE_PWR_DESC = "<c:FF8411>PWR PER CONSOLE</c>\nThe average amount of PWR per console. The actual amount is usually slightly higher.\nIf power per level is set, this value is ignored.",
		LEVEL_PWR = "POWER PER LEVEL",
		LEVEL_PWR_DESC = "<c:FF8411>PWR PER LEVEL</c>\nThe amount of PWR available in each level. If indetermined, the amount of power will depend on consoles per level and power per console.",
		LEVEL_PWR_STRINGS = {"INDETERMINED","RANDOM",1,2,3,4,5,6,7,8,9,10,12,14,15,16,18,20,22,25,30,35,40,45,50,60,70,75,80,90,100,120,125,135,140,150,160,175,180,200,225,250},
		MIN_LEVEL_PWR = "        MINIMUM POWER PER LEVEL",
		MIN_LEVEL_PWR_DESC = "<c:FF8411>MIN PWR PER LEVEL</c>\nThe minimum amount of PWR available in each level.",
		MAX_LEVEL_PWR = "        MAXIMUM POWER PER LEVEL",
		MAX_LEVEL_PWR_DESC = "<c:FF8411>MAX PWR PER LEVEL</c>\nThe maximum amount of PWR available in each level.",
		BANTER = "AGENT BANTER",
		BANTER_DESC = "<c:FF8411>AGENT BANTER</c>\nHow often your agents talk with each other at the mission start",
		BANTER_STRINGS = {"NEVER", "RARELY", "NORMAL", "OFTEN", "VERY OFTEN" ,"ALWAYS"},
		SIDEMISSIONS = "SIDE MISSIONS",
		SIDEMISSIONS_DESC = "<c:FF8411>SIDE MISSIONS</c>\nThe chance of bonus objectives from dlc and other mods appearing.\nDoes not affect mission specific bonus objectives like couriers and vault doors.",
		SIDEMISSIONS_STRINGS = {"0%","5%","10%","15%","25%","35%","50%","75%","100%"},
		START_HOURS = "STARTING HOURS",
		START_HOURS_DESC = "<c:FF8411>STARTING HOURS</c>\nThe amount of time that has already passed when the campaign starts. A high amount of starting hours makes harder levels appear earlier.",
		START_HOURS_STRINGS = { "0 Hours", "12 Hours", "24 Hours", "36 Hours", "48 Hours", "60 Hours", "72 Hours", "96 Hours", "120 Hours", "144 Hours", "168 Hours", "192 Hours", "216 Hours", "240 Hours", "264 Hours","288 Hours","312 Hours","336 Hours","360 Hours","384 Hours","408 Hours","432 Hours","456 Hours","480 Hours" },
		ENFORCERS = "FINAL ATTACK STRENGTH",
		ENFORCERS_DESC = "<c:FF8411>FINAL ATTACK</c>\nDuring the final mission, the corporations will launch one final attack. This value determines the strength of that attack.\n(This is actually a hidden value in the default game, set to 1 on Expert difficulty and 2 on Expert+ difficulty. Other difficulties, including time attack and custom, have this set to 0)",
		SPHERICAL_EARTH = "SPHERICAL EARTH",
		SPHERICAL_EARTH_DESC = "<c:FF8411>SPHERICAL EARTH</c>\nCompensates for the flat map screen by making traveling between missions further from the equator take less time.",
		TRAVEL_CEILING = "MAXIMUM TRAVEL TIME",
		TRAVEL_CEILING_DESC = "<c:FF8411>MAX TRAVEL TIME</c>\nThe maximum amount of time that traveling to a single mission can take.",
		TRAVEL = "TRAVEL TIME MULTIPLIER",
		TRAVEL_DESC = "<c:FF8411>TRAVEL TIME</c>\nDetermines how much the campaign time advances whenever you travel.",
		BASE_TRAVEL = "BASE TRAVEL TIME",
		BASE_TRAVEL_DESC = "<c:FF8411>TRAVEL TIME</c>\nA constant that is added to travel times.",
		MISSIONS = "STARTING MISSIONS",
		MISSIONS_DESC = "<c:FF8411>STARTING MISSIONS</c>\nThe amount of missions available to you from the start. At least one is garuanteed to be an executive terminal.",
		MISSIONS_STRINGS = { "1 Mission", "2 Missions", "3 Missions", "4 Missions", "5 Missions", "6 Missions", "7 Missions", "8 Missions", "9 Missions", "10 Missions", "11 Missions", "12 Missions", "13 Missions", "14 Missions", "15 Missions", "16 Missions" },
		MAG = "MAGNETIC REINFORCEMENTS",
		MAG_DESC = "<c:FF8411>MAGNETIC REINFORCEMENTS</c>\nThe percentage of devices protected by Magnetic Reinforcements.",
		MAG_STRINGS = {"NONE","ALMOST NONE","EXTREMELY FEW","VERY FEW","FEW","MUCH LESS","LESS","SLIGHTLY LESS","NORMAL","SLIGTHLY MORE","MORE","MUCH MORE","MANY","VERY MANY","ALMOST ALL","ALL"},
		MAG_SCALE = "MAG-REINFORCEMENT SCALING",
		MAG_SCALE_DESC = "<c:FF8411>MAGNETIC REINFORCEMENTS</c>\nHow quickly the amount of devices with Magnetic Reinforcements increases",
		MAG_STEP = "MAG-REINFORCEMENT STEP",
		MAG_STEP_DESC = "<c:FF8411>MAGNETIC REINFORCEMENTS</c>\nThe amount by which the difficulty must increase in order for the amount of Magnetic Reinforcements to change.\nFor example, at 2 only every other difficulty leads to an increase in MR, and then setting it to 1 means that MR increases twice as fast.",
		MAG_DAY = "MAG-REINFORCEMENT DAY",
		MAG_DAY_DESC = "<c:FF8411>MAGNETIC REINFORCEMENTS</c>\nThe first day that Magnetic Reinforcements can appear",
		ICE = "FIREWALL STRENGTH",
		ICE_DESC = "<c:FF8411>FIREWALLS</c>\nHow high mainframe firewalls are.",
		ICE_STRINGS = {"RANDOM","LOWEST","EXTREMELY LOW","VERY LOW","EVEN LOWER","LOWER","LOW","SLIGHTLY LOW","MEDIUM","SLIGHTLY HIGH","HIGH","HIGHER","VERY HIGH","EVEN HIGHER","EXTREMELY HIGH"},
		MIN_ICE = "        MINIMUM FIREWALL STRENGTH",
		MIN_ICE_DESC = "<c:FF8411>MIN FIREWALLS</c>\nHow high mainframe firewalls are.",
		MIN_ICE_STRINGS = {"LOWEST","EXTREMELY LOW","VERY LOW","EVEN LOWER","LOWER","LOW","SLIGHTLY LOW","MEDIUM","SLIGHTLY HIGH","HIGH","HIGHER","VERY HIGH","EVEN HIGHER","EXTREMELY HIGH"},
		MAX_ICE = "        MAXIMUM FIREWALL STRENGTH",
		MAX_ICE_DESC = "<c:FF8411>MAX FIREWALLS</c>\nHow high mainframe firewalls are.",
		MAX_ICE_STRINGS = {"LOWEST","EXTREMELY LOW","VERY LOW","EVEN LOWER","LOWER","LOW","SLIGHTLY LOW","MEDIUM","SLIGHTLY HIGH","HIGH","HIGHER","VERY HIGH","EVEN HIGHER","EXTREMELY HIGH"},
		ICE_SCALE = "FIREWALL SCALING",
		ICE_SCALE_DESC = "<c:FF8411>FIREWALL SCALING</c>\nHow fast mainframe firewalls become stronger.",
		ICE_SCALE_STRINGS = {"RANDOM",0,0.15,0.25,0.35,0.5,0.6,0.75,0.9,1,1.25,1.5,1.75,2,2.25,2.5,2.75,3},
		MIN_ICE_SCALE = "        MINIMUM FIREWALL SCALING",
		MIN_ICE_SCALE_DESC = "<c:FF8411>FIREWALL SCALING</c>\nHow fast mainframe firewalls become stronger.",
		MAX_ICE_SCALE = "        MAXIMUM FIREWALL SCALING",
		MAX_ICE_SCALE_DESC = "<c:FF8411>FIREWALL SCALING</c>\nHow fast mainframe firewalls become stronger.",
		ICE_DELTA = "FIREWALL DELTA",
		ICE_DELTA_DESC = "<c:FF8411>FIREWALL DELTA</c>\nThe difference between the weakest and the strongest firewall on devices",
		ICE_DELTA_STRINGS = {"RANDOM","LOWEST","EXTREMELY LOW","VERY LOW","EVEN LOWER","LOWER","LOW","SLIGHTLY LOW","MEDIUM","SLIGHTLY HIGH","HIGH","HIGHER","VERY HIGH","EVEN HIGHER","EXTREMELY HIGH"},
		MIN_ICE_DELTA = "        MINIMUM FIREWALL DELTA",
		MIN_ICE_DELTA_DESC = "<c:FF8411>FIREWALL DELTA</c>\nThe minimum difference between the weakest and the strongest firewall on devices",
		MIN_ICE_DELTA_STRINGS = {"LOWEST","EXTREMELY LOW","VERY LOW","EVEN LOWER","LOWER","LOW","SLIGHTLY LOW","MEDIUM","SLIGHTLY HIGH","HIGH","HIGHER","VERY HIGH","EVEN HIGHER","EXTREMELY HIGH"},
		MAX_ICE_DELTA = "        MAXIMUM FIREWALL DELTA",
		MAX_ICE_DELTA_DESC = "<c:FF8411>FIREWALL DELTA</c>\nThe maximum difference between the weakest and the strongest firewall on devices",
		MAX_ICE_DELTA_STRINGS = {"LOWEST","EXTREMELY LOW","VERY LOW","EVEN LOWER","LOWER","LOW","SLIGHTLY LOW","MEDIUM","SLIGHTLY HIGH","HIGH","HIGHER","VERY HIGH","EVEN HIGHER","EXTREMELY HIGH"},
		ICE_DELTA_SCALE = "FIREWALL DELTA SCALING",
		ICE_DELTA_SCALE_DESC = "<c:FF8411>FIREWALL DELTA SCALING</c>\nHow fast the difference between the weakest and the strongest firewall becomes larger.",
		ICE_DELTA_SCALE_STRINGS = {"RANDOM",0,0.15,0.25,0.35,0.5,0.6,0.75,0.9,1,1.25,1.5,1.75,2,2.25,2.5,2.75,3},
		MIN_ICE_DELTA_SCALE = "        MINIMUM FIREWALL DELTA SCALING",
		MIN_ICE_DELTA_SCALE_DESC = "<c:FF8411>FIREWALL DELTA SCALING</c>\nHow fast the difference between the weakest and the strongest firewall becomes larger.",
		MAX_ICE_DELTA_SCALE = "        MAXIMUM FIREWALL DELTA SCALING",
		MAX_ICE_DELTA_SCALE_DESC = "<c:FF8411>FIREWALL DELTA SCALING</c>\nHow fast the difference between the weakest and the strongest firewall becomes larger.",
		CREDIT_SCALE = "CREDIT SCALING",
		CREDIT_SCALE_DESC = "<c:FF8411>CREDIT SCALING</c>\nHow fast the amount of credits in a level increases.",
		CREDIT_SCALE_STRINGS = {"0%","0.5%","1%","1.5%","2%","2.5%","3%","4%","5%","7.5%","10%","15%","20%","25%","30%","40%","50%","75%","100%"},
		CREDIT_CEIL = "CREDIT SCALING CEILING",
		CREDIT_CEIL_DESC = "<c:FF8411>CREDIT SCALE CEILING</c>\nThis is the point at which the amount of credits in levels stops increasing.",
		NEWDAY = "NEW DAY MISSIONS",
		NEWDAY_DESC = "<c:FF8411>NEW DAY MISSIONS</c>\nThis is the number of missions that appear when there's a new day.",
		DISABLE_CP = "DISABLE CONTINGENCY PLAN ITEMS",
		DISABLE_CP_DESC = "<c:FF8411>DISABLE DLC ITEMS</c>\nRemoves items added by the Contingency Plan DLC from nanofabs and security dispatches. Does not remove items from agents that start with them.",
		EXTENDED_CAMPAIGN = "CONTINGENCY PLAN LENGTH",
		EXTENDED_CAMPAIGN_DESC = "<c:FF8411>CONTINGENCY PLAN LENGTH</c>\nIf the Contingency Plan Extended Campaign is enabled, this value is how much the campaign is extended by (excluding story missions).",
		EXTENDED_CAMPAIGN_STRINGS = {"0 Hours","12 Hours","24 Hours","36 Hours","48 Hours","60 Hours","72 Hours","96 Hours","120 Hours","144 Hours","168 Hours","192 Hours","ENDLESS"},
		FINAL_DIFFICULTY = "FINALE DIFFICULTY",
		FINAL_DIFFICULTY_DESC = "<c:FF8411>FINALE DIFFICULTY</c>\nBy default, the difficulty of the final mission is equal to 1 + the day the final mission appears on, but no less than 5. You can use this setting to override the difficulty.",
		FINAL_DIFFICULTY_STRINGS = {"DEFAULT","1", "2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"},
		CUSTOM_FINAL_DIFFICULTY = "CONTINGENCY PLAN DIFFICULTY",
		CUSTOM_FINAL_DIFFICULTY_DESC = "<c:FF8411>CONTINGENCY PLAN DIFFICULTY</c>\nBy default, the story missions added by the Contingency Plan DLC have a difficulty equal to 1 + the day the missions appear on. You can use this setting to override the difficulty.",
		CUSTOM_FINAL_DIFFICULTY_STRINGS = {"DEFAULT","1", "2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"},
		FIX_DIFFICULTY = "FIX MAX DIFFICULTY IN CAMPAIGN BUG",
		FIX_DIFFICULTY_DESC = "<c:FF8411>MAX DIFFICULTY IN CAMPAIGN</c>\nIn Campaign mode, whenever the current day changes, any mission with a difficulty of 4 or higher is reduced down to 4, regardless of the current day.\nThis is most likely a remnant from the early access version of the game, when 4 was the highest difficulty a mission could have.\nEnabling this setting removes this bug, so that mission difficulty always increases, just like in Endless mode.",
	},
	ORIGINAL = {
		REWINDS = {"0 (IRONMAN)", "1 REWIND", "2 REWINDS", "3 REWINDS", "4 REWINDS", "5 REWINDS", "6 REWINDS", "7 REWINDS", "8 REWINDS", "9 REWINDS", "10 REWINDS", "12 REWINDS", "15 REWINDS", "20 REWINDS", "25 REWINDS", "30 REWINDS", "40 REWINDS", "50 REWINDS", "75 REWINDS", "99 REWINDS" },
		HOURS = { "12 Hours", "24 Hours", "48 Hours", "72 Hours", "96 Hours", "120 Hours", "144 Hours", "168 Hours", "192 Hours", "216 Hours", "240 Hours","264 Hours","288 Hours","312 Hours","336 Hours","360 Hours","384 Hours","408 Hours","432 Hours","456 Hours","480 Hours", "Endless" },
		GUARDSPAWNS = { "NONE", "FEW", "LESS", "NORMAL", "MORE", "MANY", "VERY MANY" },
        PROPSPAWNS = { "RANDOM", "NONE", "SINGLE", "FEW", "LESS", "SLIGHTLY LESS", "NORMAL", "SLIGHTLY MORE", "MORE", "EVEN MORE", "MANY", "LOTS", "FULL" },
		KOTIME = {"+99", "+50", "+40", "+30", "+25", "+20", "+15", "+12", "+10", "+9", "+8", "+7", "+6", "+5", "+4", "+3", "+2", "+1", "0", "-1", "-2" },
		DAEMONS = { "NONE", "FEW", "LESS", "NORMAL", "MORE", "MANY", "VERY MANY" },
		TIMEATTACK = { "OFF", "10 Seconds", "15 Seconds", "20 Seconds", "30 Seconds", "45 Seconds", "1 Minute", "1 Minute 15 Seconds", "1 Minute 30 Seconds", "1 Minute 45 Seconds", "2 Minutes", "2 Minutes 15 Seconds", "2 Minutes 30 Seconds",  "3 Minutes", "3 Minutes 30 Seconds", "4 Minutes", "5 Minutes", "6 Minutes", "7 Minutes", "8 Minutes", "9 Minutes", "10 Minutes" },
		
		ROOMS = { "RANDOM", 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 25, 27, 30, 32, 35, 37, 40 },
	},
	EXTENSIONS = {
		MIN_CONSOLES = "        MINIMUM CONSOLES PER LEVEL",
		MAX_CONSOLES = "        MAXIMUM CONSOLES PER LEVEL",
		MIN_SAFES = "        MINIMUM SAFES PER LEVEL",
		MAX_SAFES = "        MAXIMUM SAFES PER LEVEL",
		EX_PROPS = { "NONE", "SINGLE", "FEW", "LESS", "SLIGHTLY LESS", "NORMAL", "SLIGHTLY MORE", "MORE", "EVEN MORE", "MANY", "LOTS", "FULL" },
		MIN_ROOMS = "        MINIMUM ROOMS IN LEVEL",
		MAX_ROOMS = "        MAXIMUM ROOMS IN LEVEL",
		ROOMS_SCALE = "ROOMS IN LEVEL SCALING",
		ROOMS_SCALE_DESC = "<c:FF8411>ROOMS IN LEVEL SCALING</c>\nDetermines how the size of the level changes as the campaign advances.",
		ROOMS_SCALE_MIN = "        MINIMUM ROOMS IN LEVEL SCALING",
		ROOMS_SCALE_MAX = "        MAXIMUM ROOMS IN LEVEL SCALING",
	}
}

return DLC_STRINGS