local DLC_STRINGS =
{	           
	OPTIONS =
	{
		ENABLE_WILSON = "Agent Wilson selectable",
		ENABLE_WILSON_TIP = "Can select Agent Wilson at campaign start",
		
		ENABLE_DET_WILSON = "Agent Wilson rescuable",
		ENABLE_DET_WILSON_TIP = "Choose which version of Wilson can be found in detention centers.",
		ENABLE_DET_WILSON_STRINGS = {"NONE","ONFILE","ARCHIVED","RANDOM"},
		
		ENABLE_WILSON_FLUFF = "Shadows only visible to Wilson",
		ENABLE_WILSON_FLUFF_TIP = "If enabled, shadow creatures will only be visible when Wilson is selected. Less convenient, but more flavourful!",

		SEPARATE_WILSONS = "Separate Archived Wilson",
		SEPARATE_WILSONS_TIP = "Onfile and Archived Wilsons can be selected separately, similar to the Separate Archived Agents mod",
	},
	
	LOADING_TIPS = {
		"AGENT WILSON: Archived Wilson's Mysterious Chemical creates a tiny noxious smoke cloud - useful for strategic sightblocking, not just taking down guards.",
		"AGENT WILSON: As Archived Wilson gains new skills, the pool of items he can craft increases.",
		"AGENT WILSON: On-File Wilson's paranoid peek can be used to determine if a room is safe for the next turn. Keep an eye on those shadows!",
		"AGENT WILSON: On-File Wilson can activate Ambush even if he has already used his attack that turn.",
		"AGENT WILSON: On-File Wilson's scan for unseen enemies increases in range with alarm level.",
		"AGENT WILSON: Wilson's maximum beard length takes around 15 days to grow and will take several attempts to fully shave.",
		"AGENT WILSON: Wilson can shave, dropping beard hair that will baffle and distract guards who see it.",	
	},

	WILSON = {
		NAME = "Wilson",
		FILE = "FILE #00-1057W01-9972844",
		YEARS_OF_SERVICE = "1",
		AGE = "38",
		HOMETOWN = "Liverpool",
		RESCUED = "At last! My genius shall not be caged any longer!",
		BIO_SPOKEN = "",
		
		ALT_1 = {
			FULLNAME = "Wilson Percival Higgsbury",
			BIO = "Wilson was a independent researcher with a passion for gadgetry and a keen interest in trying the untried, and attempting the unattempted. With more ambition than training or discipline, he found true academic success eluding him and grew desperate for a breakthrough by any means necessary.\n\nThen, for nearly a decade, Wilson entirely dropped off the grid. Whatever happened and whatever circumstances conspired to bring him back has been the subject of extreme corporate secrecy and was expunged from public record. \n\nOne thing for certain: He returned a changed man, if he can be said to have returned at all, and there are few places for someone with his oddities and ambitions. Luckily for him, the agency had an opening for oddities.",
			TOOLTIP = "The Survivor",
		},
		
		ALT_2 = {
			FULLNAME = "ARCHIVED -- GENTLEMAN SCIENTIST",
			BIO = "Unlike others in his profession, Wilson has always eschewed such old-fashioned trappings as \"a formal education\" or \"peer review\". After all, any gentleman can be a scientist if he puts his intellect to it. He poured his whimsy into inventions that defied the strict delineation between disciplines and toed the line between mediocrity and madness. Always an oddball, he struggled to gain any recognition from the serious parts of the scientific community, but his work on the sub-ergodic multiverse theory was dicreetly starting to turn some heads. It wasn't long before the wrong parties took an interest in what he had to offer.",
			TOOLTIP = "The Gentleman Scientist",
			AGE = "28",
		},		

		BANTER = {
			START ={
				"I will conquer them all with the POWER of my MIND!",
				"I am one heck of a scientist.",
				"I am filled with an irresistible urge to do science.",
				"We embark.",
				"Don't touch my science."
			},
			FINAL_WORDS =
			{
				"At least here, death is final.",
				"Something always gets you in the end.",
				"Don't look. There's something behind you.",
				"That's what I get for blinking on the job.",
				"Beats starving, anyway.",
				"Beats drowning, anyway.",				
				"Beats being eaten alive by giant spiders, anyway.",
				"Beats freezing to death, anyway.",
				"Beats frog rain, anyway.",
				
			},
		},				
	},
	
	PROPS = {
		BEARD_HAIR = "Beard Hair",
		BEARD_HAIR_TIP = "Ewww.",
	},

	ITEMS =
	{
			PERCEPTION_MODULATOR = "Perception Modulator",
			PERCEPTION_MODULATOR_TIP_OLD = "Peeking reveals unseen enemy units within a 1.5 tile range. Threat level may be exaggerated. Range increases by 0.5 with every two alarm levels (max range 3). Ambush does not use up attack.",
			PERCEPTION_MODULATOR_TIP = "Peeking reveals unseen patrolling enemies as shadows. Agent can ambush regardless of attacks used this turn.",			
			COSTLY_PEEKING = "COSTLY PEEKING",
			COSTLY_PEEKING_DESC = "Peeking costs 1.5 AP.",
			PARANOIA = "PARANOID",
			PARANOIA_DESC = "Agent may see things that aren't there... yet.",
			-- Peeking costs 2 AP.\n\nAgent may see things that aren't there. (Or are they?)",
			PERCEPTION_MODULATOR_FLAVOR = "A persistent belief that \"things\" were \"coming for him\" has led Wilson to outfit his nervous system with a highly experimental multicore threat detection module - a useful source of intel in the field, if you don't mind the psychological side effects and occasional false positive. After all, it's not paranoia if everyone really *is* out to get you.",
			
			QUANTUM_REFURBISHER = "Quantum Refurbisher",
			QUANTUM_REFURBISHEP_TIP = "Can convert items into certain other items. Craftable item pool limited to items Wilson has the skills to use. Target the consumable to use.\n\n-1 max AP.",
			CRAFT_ITEMS = "CRAFT ITEMS",
			CRAFT_ITEMS_DESC = "Convert Charge Packs, Research Experiments or Valuable Tech into a random item of roughly equal value. Requires full AP.",
			CRAFT_CHARGEPACKS = "CRAFT CHARGE PACKS",
			CRAFT_CHARGEPACKS_DESC = "Convert any item with ammo/cooldown/charges into a Charge Pack.",			
			QUANTUM_REFURBISHEP_FLAVOR = "This crude hand-mounted science machine converts molecules into slightly more scientific molecules. Results may vary. Patent pending.",
			
			-- WILSON_LABCOAT = "Fabulous Labcoat",
			-- WILSON_LABCOAT_TIP = "Disguise item. Active until alarm level 4, as long as no agents have been directly seen by a guard or camera. Can be worn cosmetically.",
			-- WILSON_LABCOAT_FLAVOR = "The nanoemitters in this labcoat transmit fake credentials to nearby facial recognition software. The gentleman scientist's talking will do the rest, provided there's no cause for suspicion.",
			
			WILSON_CHEMICAL = "Mysterious Chemical",
			WILSON_CHEMICAL_TIP = "When thrown, produces a 1 tile smoke cloud and KOs any human target (including allies). KO damage is random between 1 and 5.",
			WILSON_CHEMICAL_FLAVOR = "A highly experimental chemical that's just waiting for the right \"volunteer\".",
	},

	ABILITIES =
	{
		WILSON_TINKER = "Refurbish Quantumly", --"Tinker",
		WILSON_TINKER_TIP = "REFURBISH QUANTUMLY.",
		WILSON_TINKER_DESC = "Convert into random item worth approximately {1} CR. Requires full AP.",
		WILSON_TINKER_NOT_FULL_AP = "Requires full AP to use",
		WILSON_TINKER_NO_GEAR = "No Research Experiments or Valuable Tech in inventory",
		WILSON_TINKER_NOT_WILSON = "Can only be done by Wilson",
		
		WILSON_TINKER_REV = "Defurbish Quantumly",
		WILSON_TINKER_REV_TIP = "DEFURBISH QUANTUMLY",
		WILSON_TINKER_REV_DESC = "Convert into a Charge Pack. Requires 2 AP.",
		
		PEEK_REQUIRES_AP = "Requires {1} AP",
		
		CONFIRM_REFURBISH = "Are you sure? This will destroy the original item.",
		
		WEAR_LABCOAT = "WEAR LABCOAT",
		WEAR_LABCOAT_TIP = "No inherent tactical benefit, but looks rather dashing, don't you think?",
		WEAR_LABCOAT_ON = "Wear labcoat",
		WEAR_LABCOAT_OFF = "Remove labcoat. Reluctantly.",
		
		SHAVE = "SHAVE",
		SHAVE_DESC = "Shave off your dirty beatnik beard. \nRequires 2 AP.",
		SHAVE_TOO_LITTLE_HAIR = "Your face is already as smooth as a naked mole-rat.",
		
		SHADOW = "SHADOW",
		SHADOW_CREATURE = "A SHADOW",
		SHADOW_CREATURE_DESC = "It's probably just in your head.",
		
	},
}

return DLC_STRINGS