local combat_panel = include( "hud/combat_panel" )
local npc_abilities = include( "sim/abilities/npc_abilities" )
local tooltip_breakice = include( "hud/tooltip_breakice" )
local util = include( "modules/util" )

function tooltip_breakice:init( mainframePanel, iceWidget, unit, reason )
	util.tooltip.init( self, mainframePanel._hud._screen )
	self._iceWidget = iceWidget
	self.mainframePanel = mainframePanel

	local localPlayer = mainframePanel._hud._game:getLocalPlayer()
    	local equippedProgram = nil
	if localPlayer then
		equippedProgram = localPlayer:getEquippedProgram()
		if equippedProgram then
			local programWidget = mainframePanel._panel.binder.programsPanel:findWidget( equippedProgram:getID() )		
			if programWidget and programWidget:isVisible() then            	
				self._ux0, self._uy0 = programWidget.binder.btn:getAbsolutePosition()
				if equippedProgram:canUseAbility( mainframePanel._hud._game.simCore, localPlayer ) then
					self.programWidget = programWidget
					self.equippedProgram = equippedProgram
				end
			end
		end
	end

	local section = self:addSection()
	section:addLine( "<ttheader>"..util.sformat( STRINGS.UI.TOOLTIPS.MAINFRAME_HACK_UNIT, unit:getName() ).."</>" )
	if unit:getTraits().mainframe_ice then
		section:addAbility( string.format(STRINGS.UI.TOOLTIPS.FIREWALLS, unit:getTraits().mainframe_ice), STRINGS.UI.TOOLTIPS.FIREWALLS_DESC,  "gui/icons/action_icons/Action_icon_Small/icon-action_lock_small.png" )
	end
	if equippedProgram then
		if equippedProgram.custom_firewall_break then
			section:addAbility( string.format(STRINGS.UI.TOOLTIPS.CURRENTLY_EQUIPPED, equippedProgram:getDef().name), util.sformat(equippedProgram:getDef().tipdesc, equippedProgram:getCpuCost(), math.max(equippedProgram:getFirewallBreak(mainframePanel._hud._game.simCore, localPlayer, unit) - (localPlayer:getTraits().firewallBreakPenalty or 0),1)),  "gui/icons/arrow_small.png" )
		else
			section:addAbility( string.format(STRINGS.UI.TOOLTIPS.CURRENTLY_EQUIPPED, equippedProgram:getDef().name), util.sformat(equippedProgram:getDef().tipdesc, equippedProgram:getCpuCost(), math.max((equippedProgram.break_firewalls or 0) - (localPlayer:getTraits().firewallBreakPenalty or 0),1)),  "gui/icons/arrow_small.png" )
		end

		if equippedProgram:getDef().credit_cost and equippedProgram:getDef().credit_cost > 0 then
			section:addAbility( STRINGS.FUNCLIB.UI.CREDIT_COST_LABEL, util.sformat(STRINGS.FUNCLIB.UI.CREDIT_COST, equippedProgram:getDef().credit_cost),  "gui/icons/arrow_small.png" )
		end
	end

	if unit:getTraits().parasite then 
		if unit:getTraits().parasiteV2 then
			section:addLine( STRINGS.UI.TOOLTIPS.MAINFRAME_PARASITE_V2 )
		else
			section:addLine( STRINGS.UI.TOOLTIPS.MAINFRAME_PARASITE )
		end
	end

	if unit:getTraits().uplink then
		section:addLine( STRINGS.FUNCLIB.UI.TARGET_PWRUPLINK )
	end
	if unit:getTraits().crossfeed_source then
		section:addLine( STRINGS.FUNCLIB.UI.TARGET_CROSSFEED_S )
	end
	if unit:getTraits().crossfeed_target then
		section:addLine( STRINGS.FUNCLIB.UI.TARGET_CROSSFEED_T )
	end
	if unit:getTraits().flail_target then
		section:addLine( STRINGS.FUNCLIB.UI.TARGET_FLAIL )
	end

	local sim = mainframePanel._hud._game.simCore
	if sim:getHideDaemons() and not unit:getTraits().daemon_sniffed then
		section:addRequirement( STRINGS.UI.TOOLTIPS.MAINFRAME_MASKED )
	else	
		if unit:getTraits().mainframe_program then
			section:addRequirement( STRINGS.UI.TOOLTIPS.MAINFRAME_DAEMON)
			local ability = npc_abilities[ unit:getTraits().mainframe_program ]
			if unit:getTraits().daemon_sniffed then 
				section:addAbility( ability.name, ability.desc, ability.icon )
			else
				section:addAbility( STRINGS.UI.TOOLTIPS.MAINFRAME_HIDDEN_DAEMON, "?????????", "gui/items/item_quest.png" )
			end
		end
	end

	if reason then
		section:addRequirement( reason )
	end
end