local unitdefs = include("sim/unitdefs")
local util = include("modules/util")

unitdefs.createUnitData = function( agentDef )
	local upgradedefs = include( "sim/upgradedefs" )
	local unitTemplate = unitdefs.lookupTemplate( agentDef.template )

	assert( unitTemplate, tostring(agentDef.template) .. " not found!" )

	local unitData = util.tcopy( unitTemplate )

	-- Override name
	unitData.name = agentDef.name or unitData.name

	-- Upgrades
	for i, upgrade in ipairs(agentDef.upgrades) do
		local upgradeParams = {}
		local name = (type(upgrade) == "table" and upgrade.upgradeName or upgrade)
		if type(upgrade) == "table" and upgrade.upgradeParams then
			upgradeParams = upgrade.upgradeParams
		end
		
		if unitData.overrideUpgradeProperty and unitData.overrideUpgradeProperty[name] then
			if unitdefs.lookupTemplate(name).traits.augment then
				local count = 0
				for j, other in ipairs(agentDef.upgrades) do
					if name == (type(other) == "table" and other.upgradeName or other) then
						count = count + 1
						if i == j then
							break
						end
					end
				end
				assert(count > 0)--Something went horribly wrong
				if count > 1 then
					unitData.overrideUpgradeProperty[name].traits.installed = false
				end
			end
			upgradeParams = util.extend(upgradeParams)(util.tcopy(unitData.overrideUpgradeProperty[name]))
		end
			
		upgradedefs.applyUpgrade( name, unitData, upgradeParams )
	end
	
	-- Skills
	if agentDef.skills then
		unitData.skills = util.tcopy( agentDef.skills )
	end

	return unitData
end