local util = include( "modules/util" )
local simunit = include( "sim/simunit" )
local simfactory = include( "sim/simfactory" )

local _M = { ClassType = "simmainframeunit" }

function _M:toggle( sim )
    if self:getTraits().mainframe_status == "active" then
        self:getTraits().mainframe_status = "inactive"
    else
        self:getTraits().mainframe_status = "active"
    end
end

function _M:activate( sim )
    self:getTraits().mainframe_status = "active"
end

function _M:deactivate( sim )
    self:getTraits().mainframe_status = "inactive"
end

local function createUnit( unitData, sim )
    return simunit.createUnit( unitData, sim, _M )
end

simfactory.register( createUnit )

return
{
    createUnit = createUnit,
}
