local function find( fn, condition, maxDepth )
	maxDepth = maxDepth or 3
	
	local upvName, value
	local upvIdx = 1
	repeat
		upvName, value = debug.getupvalue( fn, upvIdx )
		
		if upvName == condition or (type(condition) == "function" and condition(upvName,value)) then
			return value, upvIdx, fn
		end
		
		upvIdx = upvIdx + 1
		
		if type(value) == "function" then
			if maxDepth > 0 then
				local subV, subIdx, subFn = find( value, condition, maxDepth - 1 )
				if subIdx then
					return subV, subIdx, subFn
				end
			end
		end
	until upvName == nil
end

local function findAndReplace( fn, condition, newValue, maxDepth )
	local value, upvIdx, subFn = find( fn, condition, maxDepth )
	
	debug.setupvalue( subFn, upvIdx, newValue )
	
	return value, upvIdx, subFn
end

upvalueUtil = {
	find = find,
	findAndReplace = findAndReplace
}