local modal_thread = include( "gameplay/modal_thread" )

local function readBook( event, evType, evData, boardRig, hud, vizThread )
	local result = nil
	local agent = evData.unit
	local dialog = include( "wizard-spell-preparation-dialog" ).swapDialog
	dialog:show( evData.spellsKnown, evData.spellsPrepared, agent:getSkillLevel( "magic" ), evData.expendedSpells, agent:getTraits().mp )
	hud._choice_dialog = dialog.screen
	dialog.onClose = function( self )
		result = self.result or result or 0
	end
	
	-- We are running in the vizThread coroutine.  Yield until a response is chosen by the UI.
	-- Note that the click handler will be triggered by the main coroutine, but we use a closure
	-- to inform us what the chosen result is.
	while result == nil do
		coroutine.yield()
		result = result or modal_thread.checkAutoClose( hud, hud._game )
	end

	dialog:destroy()
	hud._choice_dialog = nil

	hud._game.simCore:setChoice( result )
end

return readBook