local util = include( "client_util" )
local cdefs = include( "client_defs" )
local mui_defs = include( "mui/mui_defs" )
local mui = include( "mui/mui" )
local simfactory = include( "sim/simfactory" )
local itemdefs = include("sim/unitdefs/itemdefs")
local modal_thread = include( "gameplay/modal_thread" )
local guiex = include( "client/guiex" )
local mui_tooltip = include( "mui/mui_tooltip")
local skilldefs = include( "sim/skilldefs" )

local function locateObject( event, evType, evData, boardRig, hud, vizThread )
	local result = nil
	local agent = evData.unit
	
	local screen = mui.createScreen( "locate-object.lua" )
	MOAIFmodDesigner.playSound( cdefs.SOUND_HUD_GAME_POPUP )
	hud._choice_dialog = screen
	mui.activateScreen( screen )
	
	local list = screen:findWidget( "objectList" )
	if list._scrollbar then
		list._scrollbar:setVisible( false )
	end
	
	for i, category in ipairs( evData.categories ) do
		local bar = list:addItem()
		bar.binder.button.onClick = util.makeDelegate( nil, function() result = i end )
		bar.binder.button:setText( category.name )
		bar.binder.img:setImage( string.format( "gui/icons/device_icons/%s.png", category.icon ) )
	end
	
	screen.binder.panel.binder.closeBtn.onClick = util.makeDelegate( nil, function() result = 0 end )
	screen.binder.panel.binder.closeBtn:setHotkey( "pause" )
	
	-- We are running in the vizThread coroutine.  Yield until a response is chosen by the UI.
	-- Note that the click handler will be triggered by the main coroutine, but we use a closure
	-- to inform us what the chosen result is.
	while result == nil do
		coroutine.yield()
		result = result or modal_thread.checkAutoClose( hud, hud._game )
	end

	mui.deactivateScreen( screen )
	hud._choice_dialog = nil

	hud._game.simCore:setChoice( result )
end

return locateObject