local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local unitdefs = include("sim/unitdefs")
local simfactory = include( "sim/simfactory" )
local inventory = include("sim/inventory")
local abilityutil = include( "sim/abilities/abilityutil" )
local guarddefs = include("sim/unitdefs/guarddefs")

local labcoat_tooltip = class( abilityutil.hotkey_tooltip )

function labcoat_tooltip:init( hud, unit, range, ... )
	abilityutil.hotkey_tooltip.init( self, ... )
end

function labcoat_tooltip:activate( screen )
	abilityutil.hotkey_tooltip.activate( self, screen )

end

function labcoat_tooltip:deactivate()
	abilityutil.hotkey_tooltip.deactivate( self )
end

local wear_labcoat = 
	{
		name = "WEAR LABCOAT", --STRINGS.ABILITIES.DISGUISE,
		onTooltip = function( self, hud, sim, abilityOwner, abilityUser )
			return labcoat_tooltip( hud, abilityUser, abilityOwner:getTraits().range, self, sim, abilityOwner, "No inherent tactical benefit, but looks rather dashing, don't you think?" )
		end,

		profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-item_hijack_small.png",
		alwaysShow = true,
		getName = function( self, sim, unit )
		
			if unit:getUnitOwner() and unit:getUnitOwner():getTraits().SCIENCEMODE then
				return "Remove lab coat. Reluctantly."--STRINGS.ABILITIES.DISGUISE_DEACTIVATE
			else
				return "Wear lab coat"--STRINGS.ABILITIES.DISGUISE

			end
		end,

		canUseAbility = function( self, sim, unit )
			-- Must have a user owner.
			local userUnit = unit:getUnitOwner()
			if not userUnit then
				return false
			end

				
			if unit:getTraits().restrictedUse then

				local userUnitAgentID = userUnit:getUnitData().agentID
				local canUse =false
				for i,set in pairs(unit:getTraits().restrictedUse )do
					if set.agentID == userUnitAgentID then
						canUse=true
					end
				end
				
				if not canUse then
					return false,  STRINGS.UI.REASON.RESTRUCTED_USE
				end				
			end
					
			return true
			-- return abilityutil.checkRequirements( unit, userUnit )
		end,

		executeAbility = function( self, sim, unit )
			local userUnit = unit:getUnitOwner()
			local labcoat_kanim = "kanim_wilson_labcoat"
			local bland_kanim = "kanim_wilson"
				
			if userUnit:getTraits().SCIENCEMODE then
				userUnit:changeKanim( bland_kanim, 0.05 )
				userUnit:getTraits().SCIENCEMODE = nil
			else
			
				userUnit:changeKanim( labcoat_kanim, 0.05 )
				userUnit:getTraits().SCIENCEMODE = true
				

				-- inventory.useItem( sim, userUnit, unit )
			end
			sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = userUnit  } )

		--	sim:processReactions(userUnit)			

		end,
		
		
		
	}
return wear_labcoat




