local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilityutil = include( "sim/abilities/abilityutil" )
local inventory = include("sim/inventory")

local useCrystal = {
	name = STRINGS.WIZARD.ABILITIES.USE_CRYSTAL,
	--[[createTooltip = function( self, hud, sim, abilityOwner, abilityUser )
		local tt = abilityutil.formatToolTip(STRINGS.WIZARD.ABILITIES.USE_CRYSTAL, util.sformat( STRINGS.WIZARD.ABILITIES.USE_CRYSTAL_DESC, abilityOwner:getTraits().restoreMana ) )
		log:write(tt)
		
		return abilityutil.formatToolTip(STRINGS.WIZARD.ABILITIES.USE_CRYSTAL, util.sformat( STRINGS.WIZARD.ABILITIES.USE_CRYSTAL_DESC, abilityOwner:getTraits().restoreMana ) )
	end,]]
	
	onTooltip = function( self, hud, sim, abilityOwner, abilityUser )
		local tt = abilityutil.formatToolTip(STRINGS.WIZARD.ABILITIES.USE_CRYSTAL, util.sformat( STRINGS.WIZARD.ABILITIES.USE_CRYSTAL_DESC, abilityOwner:getTraits().restoreMana ) )
		local canUse, reason = self:canUseAbility( sim, abilityOwner )
		
		if reason then
			tt = tt .. "\n<c:ff0000>" .. reason .. "</>"
		end
		
		log:write(tt)
		
		return tt
	end,

	profile_icon = "gui/icons/item_icons/icon-item_wizard_crystal.png",
	getName = function( self, sim, unit )
		return self.name
	end,

	canUseAbility = function( self, sim, unit )
		-- Must have a user owner.
		local userUnit = unit:getUnitOwner()
		if not userUnit then
			return false
		end
		
		local arcaneFocus = userUnit:ownsAbility("wizard_archived")
		if not arcaneFocus then
			return false
		end
		local focus_item = arcaneFocus.focus_item
		if focus_item:getTraits().charges >= focus_item:getTraits().chargesMax then
			return false, STRINGS.WIZARD.UI.FULL_MANA
		end
				
		return true
	end,

	executeAbility = function( self, sim, unit )
		local userUnit = unit:getUnitOwner()
		
		local arcaneFocus = userUnit:ownsAbility("wizard_archived")
		arcaneFocus:restoreMana( unit:getTraits().restoreMana, unit:getTraits().canExceedMaxMana )

		inventory.useItem( sim, userUnit, unit )
		
		local x0, y0 = userUnit:getLocation()
		sim:emitSound( { path = "SpySociety/Actions/recharge_item", range = simdefs.SOUND_RANGE_0 }, x0, y0, userUnit )

		sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = userUnit  } )
	end,
}

return useCrystal