local util = include( "modules/util" )
local rand = include( "modules/rand" )
local version = include( "modules/version" )
local worldgen = include("sim/worldgen")

if worldgen.generateSideMission == nil then
	
	worldgen.generateSideMission = function( params, cxt )
		local rand = rand.createGenerator( params.seed )

		if params.missionCount > 0 and version.isVersionOrHigher( params.missionVersion or "", "0.17.9") and rand:nextInt(1,100) < SIDEMISSIONODDS and #worldgen.SIDEMISSIONS > 0 then --25
			params.side_mission = worldgen.SIDEMISSIONS[rand:nextInt(1,#worldgen.SIDEMISSIONS)]
		end
	end
end

worldgen.oldInitFns = {}

if worldgen.worlds.omni then
	worldgen.worlds.omni.noSideMissions = true
end

if worldgen.worlds.omni2 then
	worldgen.worlds.omni2.noSideMissions = true
end

for i, world in pairs(worldgen.worlds) do
	worldgen.oldInitFns[i] = world.init
	
	world.init = function( self, ... )
		worldgen.oldInitFns[i]( self, ... )
		
		self.params.side_mission = nil
		
		if not world.noSideMissions then
			worldgen.generateSideMission( self.params, self._cxt )
		end
	end
end