local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )

local itemdefs = 
{
    APEX_Rifter = util.extend(commondefs.item_template)
    {
    	name = STRINGS.APEX.ITEMS.RIFTER.NAME,
        desc = util.sformat(STRINGS.APEX.ITEMS.RIFTER.DESC, 4), -- no good access to self here
    	flavor = STRINGS.APEX.ITEMS.RIFTER.FLAVOR,
    	icon = "itemrigs/FloorProp_Bandages.png",
    	profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_cloaking_rigr_small.png",
        profile_icon_100 = "gui/icons/item_icons/icon-item_cloaking_rig.png",
        traits = {
            range = 7,
        	cooldown = 0,
        	cooldownMax = 12,
        	restrictedUse={{agentID="APEX_Wraith",name=STRINGS.APEX.AGENTS.WRAITH.NAME}},
        },
        abilities = {
        	"carryable",
        	"APEX_MakeRift",
        },
        value = 600,
        ITEM_LIST = false,

        -- onTooltip?

        -- auto-equip?
    },

    APEX_Voices = util.extend(commondefs.augment_template)
    {
        name = STRINGS.APEX.ITEMS.VOICES.NAME,
        desc = STRINGS.APEX.ITEMS.VOICES.DESC,
        flavor = STRINGS.APEX.ITEMS.VOICES.FLAVOR,
        icon = "itemrigs/FloorProp_Bandages.png",
        profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_voices_small.png",
        profile_icon_100 = "gui/icons/item_icons/icon-item_voices.png",
        traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
            installed = true,
            addAbilities = "APEX_VoidWarn",
        },
        value = 600,
        AUGMENT_LIST = false,
    },

    APEX_Marker = util.extend(commondefs.item_template)
    {
        type = "simunit",
        name = STRINGS.APEX.ITEMS.VOICES.MARKER_NAME_INTERNAL,
        namegen = STRINGS.APEX.ITEMS.VOICES.MARKER_NAMES,
        onWorldTooltip = function( tooltip, unit ) 
            tooltip:addLine( "<c:FF8411>"..unit:getName().."</>" )

            return tooltip
        end, 
        icon = "blob3.png",
        traits = {
            apex_marker = true,
        },
    },  
}

return itemdefs